// Cxg
local EventName = "ChildBirth"

// bZ[W
local MSG_DATA = 
{
	Name = "Family_ChildBirth"
	ID   = "MES_EV_CHILD_BIRTH_"
}


// I̒`
enum eMesResultChildName
{
	Name1,
	Name2,
	Name3,
	Jibundekimeru,
};

enum eMesResultChildNameOK
{
	Soredeii,
	Jibundekimeru,
};

// Jgp邽߂ɕKv
camera <- CameraChanger.GetCamera()

// vC[op
player <- null

// 
npcPartner <- null

// qǂi݁j
npcBaby <- null

// Җ
charaDoctor <- null


// v
charaHusband <- null
// Ȗ
charaWife <- null


EVENT_DATA <- {
	partnerIdStr = null,									// ID
	myHouseExtentionLevel = eHouseExtention.Level05,		// ̑zx
	
	childSex = eSex.eSex_Male,
}


/**
 * ID擾
 */
function getPartnerIdStr()
{
	local partnerIdStr = GetMarriageNpc()		// ID擾
	// fobON̑Ή
	if(!partnerIdStr){
		Print(" DEBUG SETTING ...   Marriage Partner is None")
		partnerIdStr = PersonalData.GetSex() == eSex.eSex_Male ? "Florist" : "Postman";
	}
	return partnerIdStr;
}

/**
 * ̑ziK擾
 */
function getMyHouseExtentionLevel()
{
	local extentionLevel = GetHouseExtentionLevel()
	// fobON̑Ή
	if(extentionLevel < eHouseExtention.Level03){
		Print(" DEBUG SETTING ...   House Extention Level is under 3")
		extentionLevel = eHouseExtention.Level03
	}
	return extentionLevel;
}



/**
 * Cxg
 */
function EventInitialize() : (EventName, MSG_DATA)
{
	EventInitializeCommon(EventName)
	
	// ID擾
	EVENT_DATA.partnerIdStr = getPartnerIdStr()
	
	// ̑zx擾
	EVENT_DATA.myHouseExtentionLevel = getMyHouseExtentionLevel()
	
	// q̐ʂ
	EVENT_DATA.childSex = Random.RandomInt(2)
	
	// q̐Feɍ킹Đݒ
	ChildData.SetModelColor( ID.StringToNpcId( EVENT_DATA.partnerIdStr ) )
	
	// q̐xݒ		܂Ă͂Ȃ̂łȂȂꉞ
	ChildData.SetGrowth( eChildGrowth.Okurumi )
	
	// q̐ʂݒ
	ChildData.SetSex( EVENT_DATA.childSex )
	
	// bZ[Wf[^ݒ
	MSG_DATA.ID = "MES_EV_CHILD_BIRTH_" + GetNpcMsgIdStr( EVENT_DATA.partnerIdStr) + "_"
}



/**
 * Cxg
 */
function EventMain()
{
	EventInitialize()
	
	// ł̐wɃV[
	SceneMyHouseInitialize()
	
	EventStartFirstFadeIn()
	
	// ł̐wɃV[
	SceneMyHouse( charaHusband, charaWife)
	
	// @ł̏oYV[
	SceneClinic1FInitialize()
	// @ł̏oYV[
	SceneClinic1F( charaHusband, charaWife)
	
	FadeOutBlack()
	
	EventEnd()
}




/**
 * ł̐wɃV[
 */
function SceneMyHouseInitialize()
{
	// lp
	player = ObjectManager.CreatePlayer()
	
	// p
	npcPartner = ObjectManager.CreateNpc( EVENT_DATA.partnerIdStr)
	
	// 肽L̐
	while(!ObjectManager.CreateWait()){}
	
	// vw̔z
	if( PersonalData.GetSex() == eSex.eSex_Male){
		charaHusband	= player
		charaWife		= npcPartner
	}
	else{
		charaHusband	= npcPartner
		charaWife		= player
	}
	
	
	switch( EVENT_DATA.myHouseExtentionLevel)
	{
		case eHouseExtention.Level05:		// TiK
			// v̐ݒ
			charaHusband.SetCharaPos( 45.8, -12.0)
			charaHusband.SetRotY(Math.Deg2Rad(180.0))
			
			// Ȗ̐ݒ
			local pos = MyHouseData.GetWakeupPos();
			charaWife.SetCharaPos( pos.x, pos.z)
			charaWife.SetRotY(Math.Deg2Rad(90.0))
			
			// J̐ݒ
			camera.SetCameraPos( pos.x, 32.0, 43.7)
			camera.SetTargetPos( pos.x, 7.2, 0.2)
			break;
		
		case eHouseExtention.Level04:		// SiK
			// v̐ݒ
			charaHusband.SetCharaPos( 47.8, -25.0)
			charaHusband.SetRotY(Math.Deg2Rad(180.0))
			
			// Ȗ̐ݒ
			local pos = MyHouseData.GetWakeupPos();
			charaWife.SetCharaPos( pos.x, pos.z)
			charaWife.SetRotY(Math.Deg2Rad(90.0))
			
			// J̐ݒ
			camera.SetCameraPos( pos.x, 36.7, 38.2)
			camera.SetTargetPos( pos.x, 6.9, -5.2)
			break;
		
		default:							// RiKȉiȂ͂j
			// v̐ݒ
			charaHusband.SetCharaPos( 43.8, -25.0)
			charaHusband.SetRotY(Math.Deg2Rad(180.0))
			
			// Ȗ̐ݒ
			local pos = MyHouseData.GetWakeupPos();
			charaWife.SetCharaPos( pos.x, pos.z)
			charaWife.SetRotY(Math.Deg2Rad(90.0))
			
			// J̐ݒ
			camera.SetCameraPos( pos.x, 33.8, 38.3)
			camera.SetTargetPos( pos.x, 9.0, -5.2)
			break;
	}
}



/**
 * ł̐wɃV[
 */
function SceneMyHouse( husband, wife) : (MSG_DATA)
{
	// ҋ@
	Wait(60)
	
	// GtFNgFwفxɕ\
	PlayFukidashiEffect( wife, "Fukidashi_Silent")
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwIxɕ\
	PlayFukidashiEffect( wife, "Fukidashi_Ameaze")
	
	// ҋ@
	WaitInterval()
	
	// ̒iKT̏ꍇ
	if( EVENT_DATA.myHouseExtentionLevel == eHouseExtention.Level05)
	{
		// v𑖂点
		husband.Run( charaWife.GetPos().x+7.5, charaWife.GetPos().z)
		
		// GtFNgFwłxvɕ\
		husband.SetEffect("Fukidashi_Haste")
		
		while(!husband.Wait()){}
	}
	
	// ̒iK4̏ꍇ
	else if( EVENT_DATA.myHouseExtentionLevel == eHouseExtention.Level04)
	{
		// 𑖂点
		husband.Run( charaWife.GetPos().x+7.5, charaWife.GetPos().z)
		
		// GtFNgFwłxɕ\
		husband.SetEffect("Fukidashi_Haste")
		
		while(!husband.Wait()){}
	
	}
	
	// ̒iKRȉ̏ꍇ
	else
	{
		// v𑖂点
		husband.Run( -13.8, -25.0)
		
		// GtFNgFwłxvɕ\
		husband.SetEffect("Fukidashi_Haste")
		
		while(!husband.Wait()){}
		
		husband.Run( charaWife.GetPos().x+7.5, charaWife.GetPos().z)
		while(!husband.Wait()){}
	}
	
	// v̌ύX
	CharaWalkRotObj( husband, wife)
	
	// Jƈړ
	local nowCameraPos = camera.GetCameraPos();
	local nowTargetPos = camera.GetTargetPos();	
	// Jړ
	camera.MoveCamera( VEC3( nowCameraPos.x+4.0, nowCameraPos.y, nowCameraPos.z), 30)
	camera.MoveTarget( VEC3( nowTargetPos.x+4.0, nowTargetPos.y, nowTargetPos.z), 30)	
	
	while(!husband.WaitEffect());
   	while(!camera.Wait()) {}
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"00")
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwׂxlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Talk")
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"01")
	
	// ҋ@
	WaitInterval()
	
	// tF[hAEgiXvbhj
	FadeOutUpSpread()
}



/**
 * @ł̏oYV[
 */
function SceneClinic1FInitialize()
{
	// }bvύX
	Map.Change( "Clinic_1F")
	
	
	// q̐Feɍ킹Đݒ
	ChildData.SetModelColor( ID.StringToNpcId( EVENT_DATA.partnerIdStr ) )
	
	// q̐xݒ		܂Ă͂Ȃ̂łȂȂꉞ
	ChildData.SetGrowth( eChildGrowth.Okurumi )
	
	// q̐ʂݒ
	ChildData.SetSex( EVENT_DATA.childSex )
	
	
	// lp
	player = ObjectManager.CreatePlayer()
	
	// p
	npcPartner = ObjectManager.CreateNpc( EVENT_DATA.partnerIdStr )
	
	// 肪uҁvȂҖYkɕύX
	local doctorIdStr = "Doctor"
	if( EVENT_DATA.partnerIdStr == "Doctor"){
		doctorIdStr = "AmericaFarmOldwoman"
	}
	// Җp
	charaDoctor = ObjectManager.CreateNpc( doctorIdStr)
	
	// qǂp
	npcBaby = ObjectManager.CreateNpc("Child")
	
	// 肽L̐
	while(!ObjectManager.CreateWait()){}
	
	
	// vw̔z
	if( PersonalData.GetSex() == eSex.eSex_Male){
		charaHusband	= player
		charaWife		= npcPartner
	}
	else{
		charaHusband	= npcPartner
		charaWife		= player
	}
	
	// v̐ݒ
	if( EVENT_DATA.partnerIdStr == "Doctor"){
		// tH[h̏ꍇ͎l̃xbh
		charaHusband.SetCharaPos( -15.2, -45.4)
		charaHusband.SetRotY(Math.Deg2Rad(270.0))
	}
	else{
		// ֎qɍ点
		charaHusband.SetFlight(true);
		CharaSetPosSitDownChair( charaHusband, VEC3( -29.5, 0.0, 14.0), 90.0)
	}
	
	// Ȗ̐ݒ
	charaWife.SetFlight(true);
	charaWife.SetPosY( -33.1, -2.5, -50.5)
	charaWife.SetRotY( Math.Deg2Rad(45))
	// [VFwĐÎ~x
	charaWife.SetMotionLoop( "SitWaitLoopNeck")
	
	// Җ
	if( EVENT_DATA.partnerIdStr == "Doctor"){
		// tH[hv̏ꍇAҖ̃[K̍WύX
		charaDoctor.SetCharaPos(  -16.8, -34.2)
		charaDoctor.SetRotY(Math.Deg2Rad(225.0))
	}
	else{
		charaDoctor.SetCharaPos( -15.2, -45.4)
		charaDoctor.SetRotY(Math.Deg2Rad(270.0))
	}
	
	// qǂ
	npcBaby.SetFlight(true);
	npcBaby.SetPosY( -27.1, 4.0, -50.5)
	npcBaby.SetRotY(Math.Deg2Rad(0.0))
	
	// J̐ݒ
	if( EVENT_DATA.partnerIdStr == "Doctor")
	{
		camera.SetCameraPos( 13.98, 20.35, 25.08)
		camera.SetTargetPos( -16.87, 1.82, -16.52)
	}
	else
	{
		camera.SetCameraPos( -18.6, 22.1, 58.3)
		camera.SetTargetPos( -24.3, 4.1, 12.0)
	}

}



/**
 * @ł̏oYV[
 */
function SceneClinic1F( husband, wife) : (MSG_DATA)
{
	// tF[hCFXvbh
	FadeInUpSpread()
	
	// ҋ@
	Wait(60)
	
	// 肪tH[h̏ꍇ͕sv
	if( EVENT_DATA.partnerIdStr != "Doctor")
	{
		// GtFNgFwفxvɕ\
		PlayFukidashiEffect( husband, "Fukidashi_Silent")
		
		// ҋ@
		WaitInterval()
		
		// GtFNgFwłxvɕ\
		PlayFukidashiEffect( husband, "Fukidashi_Haste")
		
		// ҋ@
		WaitInterval()
	}
	
	// uݒF̖O
	MsgUtil.SetTransCharaNameW( 0, NpcConstData.GetDispNameW( ID.StringToNpcId(EVENT_DATA.partnerIdStr) ))
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"02")
	
	// ҋ@
	WaitInterval()
	
	if( EVENT_DATA.partnerIdStr == "Doctor")
	{
		// 肪tH[h̏ꍇ
		
		Wait(60)
		
		// SEFY
		local seBornBaby = Sound.PlaySE("Born_Baby");
		while(!Sound.IsEndSE(seBornBaby));
		
		// ҋ@
		WaitInterval()
	}
	else
	{
		// 肪tH[hȊȌꍇ
		
		// GtFNgFwIxvɕ\
		husband.SetEffect( "Fukidashi_Ameaze");
		// [VFwCX痧オx		v
		CharaStandUpChair( husband, -26.5, 14.0)
		husband.Walk( -24.5, 14.0)
		while(!husband.Wait()){}
		while(!husband.WaitEffect());
		
		// v̌ύX
		CharaWalkRotObj( husband, wife)
		
		// ҋ@
		WaitInterval()
		
		// GtFNgFwłxvɕ\
		PlayFukidashiEffect( husband, "Fukidashi_Haste")
		
		// ҋ@
		WaitInterval()
		
		// SEFY
		local seBornBaby = Sound.PlaySE("Born_Baby");
		
		// YɋCt܂ł̊
		Wait(20)
		
		// GtFNgFwIxvɕ\
		PlayFukidashiEffect( husband, "Fukidashi_Ameaze")
		
		while(!Sound.IsEndSE(seBornBaby));
		
		// ҋ@
		WaitInterval()
		
		// v𑖂点
		husband.Run( -17.2, 29.0)
		while(!husband.Wait()){}
		husband.Run( 5.0, 29.0)
		while(!husband.Wait()){}
		husband.Run( 6.0, 1.3)
	}
	
	// tF[hAEg
	FadeOutUpBlack()
	
	while(!husband.Wait()){}
	husband.SetFlight(false);
	
	
	
	// ================================
	// @Ãxbh
	
	// 肪tH[h̏ꍇ͕sv
	if( EVENT_DATA.partnerIdStr != "Doctor"){
		// v̈ʒuݒ
		husband.SetCharaPos( -16.8, -34.2)
		husband.SetRotY(Math.Deg2Rad(225.0))
	}
	
	// J̐ݒ
	camera.SetCameraPos( -39.8, 28.4, -9.1)
	camera.SetTargetPos( -20.2, 8.1, -50.4)
	
	// ҋ@
	Wait(30)
	
	// tF[hC
	FadeInUpBlack()
	
	// ҋ@
	Wait(60)
	
	// q̐ʂŃbZ[W
	if( EVENT_DATA.childSex == eSex.eSex_Male){
		// bZ[W
		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"03")
	}
	else{
		// bZ[W
		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"04")
	}
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwn[gxɕ\
	PlayFukidashiEffect( npcPartner, "Fukidashi_Heart")
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"05")
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwn[gxlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Heart")
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"06")
	
	
	
	// I̍ڂɕ\q̖O
	local childNameArray = []
	if( EVENT_DATA.childSex == eSex.eSex_Male){
		childNameArray.append( Msg.GetMsg( MSG_DATA.Name, MSG_DATA.ID+"100"))
		childNameArray.append( Msg.GetMsg( MSG_DATA.Name, MSG_DATA.ID+"101"))
		childNameArray.append( Msg.GetMsg( MSG_DATA.Name, MSG_DATA.ID+"102"))
	}
	else{
		childNameArray.append( Msg.GetMsg( MSG_DATA.Name, MSG_DATA.ID+"103"))
		childNameArray.append( Msg.GetMsg( MSG_DATA.Name, MSG_DATA.ID+"104"))
		childNameArray.append( Msg.GetMsg( MSG_DATA.Name, MSG_DATA.ID+"105"))
	}
	
	// I̎⃁bZ[Wݒ
	local msgIdQuestion = MSG_DATA.ID+"07"
	
	// q̖O
	local flgChildNameEnd = false
	while( flgChildNameEnd != true )
	{
		// uFq̖O
		MsgUtil.SetTransMojiW( 0, childNameArray[0])
		MsgUtil.SetTransMojiW( 1, childNameArray[1])
		MsgUtil.SetTransMojiW( 2, childNameArray[2])
		
		// IFq̖O
		local msgResultChildName = MsgUtil.OpenSelectMsg( MSG_DATA.Name, msgIdQuestion, [ MSG_DATA.ID+"08", MSG_DATA.ID+"09", MSG_DATA.ID+"10", MSG_DATA.ID+"11", ] )
		
		local flgInputName = false
		
		if( msgResultChildName != eMesResultChildName.Jibundekimeru)
		{
			// GtFNgFwxɕ\
			PlayFukidashiEffect( npcPartner, "Fukidashi_Fun")
			
			// ҋ@
			WaitInterval()
			
			// uݒFIO
			MsgUtil.SetTransMojiW( 0, childNameArray[ msgResultChildName])
			
			// bZ[WFI
			local msgResultOK = MsgUtil.OpenSelectMsg( MSG_DATA.Name, MSG_DATA.ID+"12", [ MSG_DATA.ID+"13", MSG_DATA.ID+"14"] )
			
			// ҋ@
			WaitInterval()
			
			// ułvIIꍇ
			if(msgResultOK == eMesResultChildNameOK.Soredeii)
			{
				// q̖Oo^
				ChildData.SetName( childNameArray[ msgResultChildName] )
				
				// GtFNgFwn[gxɕ\
				PlayFukidashiEffect( npcPartner, "Fukidashi_Heart")
				
				// ҋ@
				WaitInterval()
				
				// bZ[W
				MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"15")
				
				flgChildNameEnd = true		// OI
			}
			// uς莩Ō߂vI
			else
			{
				flgInputName = true
			}
		}
		else
		{
			flgInputName = true
		}
		
		// O͏
		if(flgInputName)
		{
			// bZ[W
			MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"17")
			
			// ʂɖO͉ʂĂяoiʂ͐Î~ԁj
			SWKeyboardStart()
			
			local inputName = Keyboard.GetResultWStr()
			
			// uɓ͂Oݒ
			MsgUtil.SetTransMojiW( 0, inputName)
			
			// IFO͌̊mF
			local msgResultNaming = MsgUtil.OpenSelectMsg( MSG_DATA.Name, MSG_DATA.ID+"18", [ "MES_EV_CHILD_BIRTH_NAMING_00", "MES_EV_CHILD_BIRTH_NAMING_01"] )
			
			// ҋ@
			WaitInterval()
			
			if( msgResultNaming == 0)
			{
				// q̖Oo^
				ChildData.SetName( inputName )
				
				// GtFNgFwxɕ\
				PlayFukidashiEffect( npcPartner, "Fukidashi_Fun")
				
				MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"19")
				
				flgChildNameEnd = true		// OI
			}
			else
			{
				// q̖OI̎̎⃁bZ[Wݒ
				msgIdQuestion = MSG_DATA.ID+"20"
			}
			
			// L[{[h
			SWKeyboardEnd()
		}
	}
	
	
	// GtFNgwn[gxvƍȖɕ\
	husband.SetEffect("Fukidashi_Heart")
	charaWife.SetEffect("Fukidashi_Heart")
	while(!husband.WaitEffect());
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"16")
	
	// ҋ@
	WaitInterval()
}



/**
 * CxgI
 */
function EventEnd() : (EventName)
{
	EventFinalizeCommon(EventName)
	
	
	// ̋NʒuIʒuɎw
	Map.EventEndWeakupPoint()
}


