// Cxg
local EventName = "Family_Birthday_Marriage"


// ID擾
local partnerIdStr = GetMarriageNpc()

// ̑ziK擾
local extentionLevel = GetHouseExtentionLevel()

// bZ[W
local MSG_DATA = 
{
	Name = "Family_Birthday_Marriage"
	ID   = "MES_EV_FAMILY_BIRTHDAY_MARRIAGE_"
}

// Jgp邽߂ɕKv
camera <- CameraChanger.GetCamera()

// vC[op
player <- null

// npcp
	// 
	npcPartner <- null
	// qǂiNj
	npcChild <- null
	// \ECg
	npcPet <- null

// ACezup
itemModel <- []

// ̃bZ[WID
PartnerMsgIdStr <- null


/**
 * Cxg
 */
function EventInitialize() : (EventName, partnerIdStr)
{
	EventInitializeCommon(EventName)
	
	LoadScript("IncludeEventFamilyBirthdayCommon","Event/EventMain/EventFamilyBirthdayCommon.nut");
	IncludeEventFamilyBirthdayCommon();
	
	// ̃bZ[WID擾
	PartnerMsgIdStr = GetNpcMsgIdStr( partnerIdStr)
	// L̐
	{
		// vC[Cxgɓoꂳ
		player = ObjectManager.CreatePlayer()
		
		//NPČp
		npcPartner = ObjectManager.CreateNpc(partnerIdStr)
		
		// qN̏ꍇ
		if (ChildData.GetGrowth() == eChildGrowth.Child)
		{
			//NPC̎qǂp
			npcChild = ObjectManager.CreateNpc("Child")
		}
		
		//NPC̃ybgp
		// @memo bp[NX null `FbNsĖ肪oȂ悤ɂĂ.
		//       ǉ̏Kvȍۂ, bp[NXɂ֐ǉ悤.
		npcPet = SoulmateWrapClass()
		
		// 肽L̐
		while(!ObjectManager.CreateWait()){}
	}
	
	// L̈ʒuw
	{
		// l̈ʒuݒ
		player.SetCharaPos( 0.0, 82.8)
		// ľݒ
		player.SetRotY(Math.Deg2Rad(180.0))
		
		// 
		npcPartner.SetCharaPos( 87.4, 56.6)
		npcPartner.SetRotY(Math.Deg2Rad(180.0))
		
		// qN̏ꍇ
		if (ChildData.GetGrowth() == eChildGrowth.Child)
		{
			// qǂ
			npcChild.SetCharaPos( 87.4, 43.4)
			npcChild.SetRotY(Math.Deg2Rad(0.0))
		}
		
		// ybg
		npcPet.SetPos( 91.9, 56.6)
		npcPet.SetRotY(Math.Deg2Rad(0.0))
	}
	
	// J̐ݒ
	{
		// J̈ʒuݒ
		camera.SetCameraPos( 0.0, 27.3, 83.6)
		// J̒_̈ʒuݒ
		camera.SetTargetPos( 0.0, 5.9, 38.4)
	}
}

/**
 * Cxg
 */
function EventMain()
{
	EventInitialize()
	
	EventStartFirstFadeIn()
	
	
	EventScene_Birthday()
	
	
	// tF[hAEg
	FadeOutBlack()
	while(!Fade.Wait()){}
	
	EventEnd()
}


/**
 * CxgFuav
 */
function EventScene_Birthday() : (MSG_DATA, partnerIdStr, extentionLevel)
{
	// ̖Ou
	MsgUtil.SetTransCharaName( 0, NpcConstData.GetDispName(ID.StringToNpcId(partnerIdStr)) );

	// ҋ@
	Wait(60)
	
	// l
	player.Walk( 0.0, 47.3)
	while(!player.Wait()){}
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwفxlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Silent")
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"00")
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwxlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Fun")
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"01")
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFw킢킢xlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Waiwai")
	
	// ҋ@
	WaitInterval()
	
	// tF[hAEg
	FadeOutUpBlack()
	while(!Fade.Wait()){}
	
	// l֎qɍ点Ĕzu
	CharaSetPosSitDownChair( player, GetPosChairMyHouse( eMyHouseChair.No01), 90.0, 1)
	
	// ֎qɍ点Ĕzu
	CharaSetPosSitDownChair( npcPartner, GetPosChairMyHouse( eMyHouseChair.No02), 270.0, 1)
	// Ci܂̏ꍇ͍x𒲐
	if( partnerIdStr == "Inari"){
		local resetSitDownPoint = npcPartner.GetPos() + VEC3( 0.0, 2.0, 0.0)
		npcPartner.SetFlight( true)
		npcPartner.SetPosY( resetSitDownPoint.x, resetSitDownPoint.y, resetSitDownPoint.z)
	}
	// N̎qǂꍇ
	if (ChildData.GetGrowth() == eChildGrowth.Child){
		CharaSetPosSitDownChair( npcChild, GetPosChairMyHouse( eMyHouseChair.No00), 0.0, 1)
	}

	// \ECgꍇ
	// ybg
	EventFamilyBirthdayCommon.SettingMealSceneSoulmate( npcPet, extentionLevel );

	// J
	EventFamilyBirthdayCommon.SettingMealSceneCamera( camera, extentionLevel );
	
	// zu
	EventFamilyBirthdayCommon.SettingMealSceneFood( itemModel, partnerIdStr );
	
	// ҋ@
	Wait(30)
	
	// tF[hC
	FadeInUpBlack()
	while(!Fade.Wait()){}
	
	// ҋ@
	Wait(60)
	
	// GtFNgw킢킢xSɕ\
	player.SetEffect("Fukidashi_Waiwai")
	npcPartner.SetEffect("Fukidashi_Waiwai")
	if (ChildData.GetGrowth() == eChildGrowth.Child)
	{
		// N̎qꍇ
		npcChild.SetEffect("Fukidashi_Waiwai")
	}
	while(!player.WaitEffect());
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"JOY_"+PartnerMsgIdStr)
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwxlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Fun")
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwn[gxɕ\
	PlayFukidashiEffect( npcPartner, "Fukidashi_Heart")
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"MEAL_START_"+PartnerMsgIdStr)
	
	// ҋ@
	WaitInterval()
	
	// N̎qǂꍇ
	if (ChildData.GetGrowth() == eChildGrowth.Child)
	{
		// qǂ̎q̏ꍇ		qǂ̐ʔf
		if( ChildData.GetSex() == eSex.eSex_Female)
		{
			// jl̏ꍇ
			if(eSex.eSex_Male == PersonalData.GetSex())
			{
				// bZ[W
				if ((partnerIdStr == "Apprentice" || partnerIdStr == "Chaser" || partnerIdStr == "Craftman" || partnerIdStr == "Postman" || partnerIdStr == "Doctor") && PersonalData.GetSex() == eSex.eSex_Male)
				{
					MsgUtil.OpenMsg( "Wedding_Anniversary", "MES_EV_FAMILY_BIRTHDAY_MARRIAGE_MEAL_START_GIRL_"+"01")
				}
				else
				{
					MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"MEAL_START_GIRL_"+"00")
				}
				
			}
			
			// l̏ꍇ
			else
			{
				// bZ[W
				if ((partnerIdStr == "Florist" || partnerIdStr == "TeaGirl" || partnerIdStr == "Teacher" || partnerIdStr == "TwinOlder" || partnerIdStr == "TwinYounger") && PersonalData.GetSex() == eSex.eSex_Female)
				{
					MsgUtil.OpenMsg( "Wedding_Anniversary", "MES_EV_FAMILY_BIRTHDAY_MARRIAGE_MEAL_START_GIRL_"+"00")
				}
				else
				{
					MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"MEAL_START_GIRL_"+"01")
				}
				
			}
		}
		// qǂj̎q̏ꍇ		qǂ̐ʔf
		else
		{
			// jl̏ꍇ
			if(eSex.eSex_Male == PersonalData.GetSex())
			{
				// bZ[W
				if ((partnerIdStr == "Apprentice" || partnerIdStr == "Chaser" || partnerIdStr == "Craftman" || partnerIdStr == "Postman" || partnerIdStr == "Doctor") && PersonalData.GetSex() == eSex.eSex_Male)
				{
					MsgUtil.OpenMsg( "Wedding_Anniversary", "MES_EV_FAMILY_BIRTHDAY_MARRIAGE_MEAL_START_BOY_"+"01")
				}
				else
				{
					MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"MEAL_START_BOY_"+"00")
				}
				
			}
			
			// l̏ꍇ
			else
			{
				// bZ[W
				if ((partnerIdStr == "Florist" || partnerIdStr == "TeaGirl" || partnerIdStr == "Teacher" || partnerIdStr == "TwinOlder" || partnerIdStr == "TwinYounger") && PersonalData.GetSex() == eSex.eSex_Female)
				{
					MsgUtil.OpenMsg( "Wedding_Anniversary", "MES_EV_FAMILY_BIRTHDAY_MARRIAGE_MEAL_START_BOY_"+"00")
				}
				else
				{
					MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"MEAL_START_BOY_"+"01")
				}
				
			}
		}
	}
	
	// GtFNgwn[gxlƌɕ\
	player.SetEffect("Fukidashi_Heart")
	npcPartner.SetEffect("Fukidashi_Heart")
	while(!player.WaitEffect());
	
	// ҋ@
	WaitInterval()
	
	// [VFwHׂx		lAAqǂ
	{
		if (ChildData.GetGrowth() == eChildGrowth.Child)
		{
			local chara_array = [ player, npcPartner, npcChild]
			MultiCharaMotionEating( chara_array, 50)
		}
		else
		{
			local chara_array = [ player, npcPartner]
			MultiCharaMotionEating( chara_array, 50)
		}
	}
	
	// ҋ@
	WaitInterval()
	
	// tF[hAEg
	FadeOutUpBlack()
	while(!Fade.Wait()){}
	
	// SẴACe폜
	ItemModelManager.DeleteAll(itemModel)
	
	// [Vwx̏I
	player.LoopMotionEnd()
	npcPartner.LoopMotionEnd()
	if (ChildData.GetGrowth() == eChildGrowth.Child)
	{
		npcChild.LoopMotionEnd()
	}
	
	// ĂȂ
	npcPartner.SetFlight( false)
	
	// ybg̐ݒ
	EventFamilyBirthdayCommon.SettingLastSceneSoulmate( npcPet, extentionLevel );

	// L̈ʒuw
	// ̒iK4ȏ̏ꍇ
	if(extentionLevel >= eHouseExtention.Level04)
	{
		// l̈ʒuݒ
		player.SetCharaPos( -10.9, 24.4)
		// ľݒ
		player.SetRotY(Math.Deg2Rad(90.0))
		
		// 
		npcPartner.SetCharaPos( 4.8, 24.4)
		npcPartner.SetRotY(Math.Deg2Rad(270.0))
		
		if (ChildData.GetGrowth() == eChildGrowth.Child)
		{
			// qǂ
			npcChild.SetCharaPos( -3.6, 37.1)
			npcChild.SetRotY(Math.Deg2Rad(180.0))
		}
		
		// J̈ʒuݒ
		camera.SetCameraPos( -36.6, 28.7, 55.4)
		// J̒_̈ʒuݒ
		camera.SetTargetPos( -1.2, 8.4, 26.4)
	}
	// ̒iK3̏ꍇ
	else
	{
		// l̈ʒuݒ
		player.SetCharaPos( -4.9, 26.4)
		// ľݒ
		player.SetRotY(Math.Deg2Rad(90.0))
		
		// 
		npcPartner.SetCharaPos( 10.8, 26.4)
		npcPartner.SetRotY(Math.Deg2Rad(270.0))
		
		if (ChildData.GetGrowth() == eChildGrowth.Child)
		{
			// qǂ
			npcChild.SetCharaPos( 2.4, 39.1)
			npcChild.SetRotY(Math.Deg2Rad(180.0))
		}
		
		// J̈ʒuݒ
		camera.SetCameraPos( -30.6, 28.7, 57.4)
		// J̒_̈ʒuݒ
		camera.SetTargetPos( 4.8, 8.4, 28.4)
	}
	
	// ҋ@
	Wait(30)
	
	// tF[hC
	FadeInUpBlack()
	while(!Fade.Wait()){}
	
	// ҋ@
	Wait(60)
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"MEAL_END_"+PartnerMsgIdStr)
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwxlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Fun")
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	if ((partnerIdStr == "Teacher" || partnerIdStr == "TwinOlder") && PersonalData.GetSex() == eSex.eSex_Female)
	{
		MsgUtil.OpenMsg( "Wedding_Anniversary", MSG_DATA.ID+"COMMENT_"+partnerIdStr)
	}
	else if ((partnerIdStr == "Postman" || partnerIdStr == "Apprentice" || partnerIdStr == "Craftman") && PersonalData.GetSex() == eSex.eSex_Male)
	{
		MsgUtil.OpenMsg( "Wedding_Anniversary", MSG_DATA.ID+"COMMENT_"+partnerIdStr)
	}
	else
	{
		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"COMMENT_"+PartnerMsgIdStr)
	}
	
	
	// ҋ@
	WaitInterval()
	
	// lƌ
	player.Walk( player.GetPos().x + 4, player.GetPos().z)
	npcPartner.Walk( npcPartner.GetPos().x - 4, npcPartner.GetPos().z)
	while(!player.Wait()){}
	while(!npcPartner.Wait()){}
	
	// ҋ@
	WaitInterval()
	
	// ^^̃LXO
	ReadyToKissWantatan( partnerIdStr)
	
	// [VFwLXx		lA
	player.SetMotion( "Kiss")
	npcPartner.SetMotion( "Kiss")
	
	// ҋ@
	Wait(15)
	
	// SEFKISS
	local handle = Sound.PlaySE("Kiss");
	// SEFI҂
	while(!Sound.IsEndSE(handle));
	
	while(!player.Wait());
	while(!npcPartner.Wait());
	
	// ҋ@
	WaitInterval()
	
	// ^^̃LX㏈
	AfterTheKissWantatan( partnerIdStr)
	
	// GtFNgwn[gxlƌɁwxqǂƃybgɕ\
	player.SetEffect("Fukidashi_Heart")
	npcPartner.SetEffect("Fukidashi_Heart")
	if (ChildData.GetGrowth() == eChildGrowth.Child)
	{
		npcChild.SetEffect("Fukidashi_Fun")
	}
	npcPet.SetFukidashiEffect("Fukidashi_Fun")
	while(!player.WaitEffect());
	
	// ҋ@
	WaitInterval()
	
	// tF[hAEg
	FadeOutUpBlack()
	while(!Fade.Wait()){}
	
	// tB^[ݒu
	FilterBlackStart()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"02")
	
	// tB^[P
	FilterBlackEnd()
}


/**
 * CxgI
 */
function EventEnd() : (EventName)
{
	EventFinalizeCommon(EventName)
	
	// ̋NʒuIʒuɎw
	Map.EventEndWeakupPoint()
}

