// Cxg
local EventName = "Family_Picnic"

// bZ[W
local MSG_DATA = 
{
	Name = "Family_Picnic"
	ID   = "MES_EV_PICNIC_"
}


// ID擾
local partnerIdStr = GetMarriageNpc()

// Jgp邽߂ɕKv
camera <- CameraChanger.GetCamera()

// vC[op
player <- null

// 
npcPartner <- null

// q
npcChild <- null

// q̃bZ[W
childMsg <- null
if(ChildData.GetSex() == eSex.eSex_Male){ childMsg = "Child_Boy" }
else{ childMsg = "Child_Girl" }

// ID
PartnerIdStr <- null

// MsgID
PartnerMsgIdStr <- null




/**
 * Cxg
 */
function EventInitialize() : (EventName)
{
	EventInitializeCommon(EventName)
	
	PartnerIdStr    = GetMarriageNpc()
	PartnerMsgIdStr = GetNpcMsgIdStr( PartnerIdStr)
	
	
	// L̐
	{
		// vC[Cxgɓoꂳ
		player = ObjectManager.CreatePlayer()
		
		// Cxgɓoꂳ
		npcPartner = ObjectManager.CreateNpc( PartnerIdStr)
		
		// qCxgɓoꂳ
		npcChild = ObjectManager.CreateNpc("Child")
		
		// 肽L̐
		while(!ObjectManager.CreateWait()){}
	}
	
	//L̈ʒuAݒ
	{
		// l
		player.SetCharaPos(0.0, 40.0)
		// Jp^[1
		EventEasySetUp( [player, npcPartner, npcChild], camera, eCharaOffset.Pattern005, eCameraOffset.Pattern005)
		npcPartner.SetRotY(Math.Deg2Rad(90.0))
		npcChild.SetRotY(Math.Deg2Rad(270.0))
		
		// l		FʊO֔zu
		player.SetCharaPos(0.0, 68.6)
		player.SetRotY(Math.Deg2Rad( 180.0))
	}
}

/**
 * Cxg
 */
function EventMain()
{
	EventInitialize()
	
	EventStartFirstFadeIn()
	
	// V[:qɂoƌ
	EventScene_Child_Plead()
	
	// V[:f[g}bvɏo
	EventScene_Outing()
	
	// V[:qɖ߂Ă
	EventScene_Come_Farm()
	
	
	EventEnd()
}

/**
 * V[1:qɂoƌ
 */
function EventScene_Child_Plead() : (MSG_DATA)
{
	// ҋ@
	Wait(30)
	
	// [VFwlx
	npcPartner.SetMotion( "Think")
	// GtFNgFwcxqɕ\
	npcChild.SetEffect("Fukidashi_Silent")
	while(!npcPartner.Wait());
	while(!npcChild.WaitEffect());
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"00_"+PartnerMsgIdStr)
	
	// bZ[W		q̐ʂɂăbZ[Wω
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"01_"+childMsg)
	
	// ҋ@
	WaitInterval()
	
	// hAJ
	PlaySEDoor()
	
	// l
	player.Walk( 0.0, 40.0)
	while(!player.Wait()){}
	
	// GtFNgFw!xƎqɕ\
	npcPartner.SetEffect("Fukidashi_Ameaze")
	npcChild.SetEffect("Fukidashi_Ameaze")
	while(!npcPartner.WaitEffect());
	
	local chara_array = [ npcPartner, npcChild]
	// Ǝql̕Ɍ
	MultiCharaWalkRotObj(chara_array, player)
	
	// ҋ@
	WaitInterval()
	
	// q
	npcChild.Walk( 5.0, 30.0)
	while(!npcChild.Wait()){}
	
	// GtFNgFw?xlɕ\
	// LɌĕ]
	CharaWalkRotObj(player, npcChild, 5)
	PlayFukidashiEffect( player, "Fukidashi_Question")
	while(!player.Wait()){}
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"02_"+childMsg)
	
	// ҋ@
	WaitInterval()
	
	// [VFwȂx
	player.SetMotion( "Nod")
	while(!player.Wait());
	
	// ҋ@
	WaitInterval()
	
	// l̐ʂŕ
	if(eSex.eSex_Male == PersonalData.GetSex())
	{
		// j̏ꍇ
		// bZ[W
		if ((partnerIdStr == "Apprentice" || partnerIdStr == "Chaser" || partnerIdStr == "Craftman" || partnerIdStr == "Postman" || partnerIdStr == "Doctor") && PersonalData.GetSex() == eSex.eSex_Male)
		{
			MsgUtil.OpenMsg( "Wedding_Anniversary", "MES_EV_PICNIC_03_Child_Girl")
		}
		else
		{
			MsgUtil.OpenMsg( "Wedding_Anniversary", "MES_EV_PICNIC_04_"+childMsg)
		}
		
	}
	else
	{
		// ̏ꍇ
		// bZ[W
		if ((partnerIdStr == "Florist" || partnerIdStr == "TeaGirl" || partnerIdStr == "Teacher" || partnerIdStr == "TwinOlder" || partnerIdStr == "TwinYounger") && PersonalData.GetSex() == eSex.eSex_Female)
		{
			MsgUtil.OpenMsg( "Wedding_Anniversary", "MES_EV_PICNIC_04_Child_Boy")
		}
		else
		{
			MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"03_"+childMsg)
		}
		
	}
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwyxlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Fun")
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFw!xqɕ\
	PlayFukidashiEffect( npcChild, "Fukidashi_Ameaze")
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"05_"+childMsg)
	
	// ҋ@
	WaitInterval()
	
	// [VFwb^[x
	npcChild.SetMotion( "Yay")
	while(!npcChild.Wait());
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwفxɕ\
	PlayFukidashiEffect( npcPartner, "Fukidashi_Silent")
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"06_"+PartnerMsgIdStr)
	
	// ҋ@
	WaitInterval()
	
	// LɌĕ]
	CharaWalkRotObj(player, npcPartner, 10)
	while(!player.Wait()){}
	
	// [VFwȂx
	player.SetMotion( "Nod")
	while(!player.Wait());
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwn[gxlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Heart")
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwn[gxɕ\
	PlayFukidashiEffect( npcPartner, "Fukidashi_Heart")
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"07_"+PartnerMsgIdStr)
	
	// ҋ@
	WaitInterval()
	
	// Ǝq
	CharaWalkRotFace2Face( npcPartner, npcChild, 10)
	CharaWalkRotDeg( player, 180, 5)
	while(!player.Wait()){}
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"08_"+PartnerMsgIdStr)
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFw΂xqɕ\
	PlayFukidashiEffect( npcChild, "Fukidashi_Laugh")
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"09_"+childMsg)
	
	WaitInterval()
	
	// tF[hAEgiXvbhj
	FadeOutUpSpread()
	while(!Fade.Wait()){}
}

/**
 * V[2Ff[g}bvɏo
 */
function EventScene_Outing() : (MSG_DATA, PartnerMsgIdStr)

{
	// 肪kăGAog̏ꍇ
	if( PartnerMsgIdStr == "Postman" || PartnerMsgIdStr == "Doctor" || PartnerMsgIdStr == "Florist")
	{
		// }bvύX
		Map.Change("America_Date")
		
			//L̐
		{
			// vC[Cxgɓoꂳ
			player = ObjectManager.CreatePlayer()
			
			// Cxgɓoꂳ
			npcPartner = ObjectManager.CreateNpc( PartnerMsgIdStr)
			
			// qCxgɓoꂳ
			npcChild = ObjectManager.CreateNpc("Child")
			
			// 肽L̐
			while(!ObjectManager.CreateWait()){}
		}
		
		//L̈ʒuAݒ
		{
			// l
			player.SetCharaPos(28.4, -108.2)
			// Jp^[6
			EventEasySetUp( [player, npcPartner, npcChild], camera, eCharaOffset.Pattern006, eCameraOffset.Pattern006)
			npcPartner.SetRotY(Math.Deg2Rad(40.0))
			npcChild.SetRotY(Math.Deg2Rad(320.0))
			
			player.SetRotY(Math.Deg2Rad( 180.0))
		}
	}
		
	// 肪aGAog̏ꍇ
	else if( PartnerMsgIdStr == "Chaser" || PartnerMsgIdStr == "Apprentice" || PartnerMsgIdStr == "TeaGirl" || PartnerMsgIdStr == "Teacher")
	{
		// }bvύX
		Map.Change("Japan_Date")
		
		//L̐
		{
			// vC[Cxgɓoꂳ
			player = ObjectManager.CreatePlayer()
			
			// Cxgɓoꂳ
			npcPartner = ObjectManager.CreateNpc( PartnerMsgIdStr)
			
			// qCxgɓoꂳ
			npcChild = ObjectManager.CreateNpc("Child")
			
			// 肽L̐
			while(!ObjectManager.CreateWait()){}
		}
		
		//L̈ʒuAݒ
		{
			// l
			player.SetCharaPos(56.0, -210.0)
			// Jp^[6
			EventEasySetUp( [player, npcPartner, npcChild], camera, eCharaOffset.Pattern006, eCameraOffset.Pattern006)
			npcPartner.SetRotY(Math.Deg2Rad(40.0))
			npcChild.SetRotY(Math.Deg2Rad(320.0))
			
			player.SetRotY(Math.Deg2Rad( 180.0))
		}
	}
	
	// 肪썑GAog̏ꍇ
	else
	{
		// }bvύX
		Map.Change("South_Date")
		
		//L̐
		{
			// vC[Cxgɓoꂳ
			player = ObjectManager.CreatePlayer()
			
			// Cxgɓoꂳ
			npcPartner = ObjectManager.CreateNpc( PartnerMsgIdStr)
			
			// qCxgɓoꂳ
			npcChild = ObjectManager.CreateNpc("Child")
			
			// 肽L̐
			while(!ObjectManager.CreateWait()){}
		}
		
		//L̈ʒuAݒ
		{
			// l
			player.SetCharaPos(7.0, 31.5)
			// Jp^[6
			EventEasySetUp( [player, npcPartner, npcChild], camera, eCharaOffset.Pattern006, eCameraOffset.Pattern006)
			npcPartner.SetRotY(Math.Deg2Rad(40.0))
			npcChild.SetRotY(Math.Deg2Rad(320.0))
			
			player.SetRotY(Math.Deg2Rad( 180.0))
		}
	}
	
	// lƌƂɏĂɂ
	LiftItemFrontNoSE( player, "FoodRoastRiceBall")
	LiftItemFrontNoSE( npcPartner, "FoodRoastRiceBall")
	LiftItemFrontNoSE( npcChild, "FoodRoastRiceBall")
	
	local charaArray = [ player, npcPartner, npcChild]
	local itemArray  = [ "FoodRoastRiceBall", "FoodRoastRiceBall", "FoodRoastRiceBall"]
	
	// ҋ@
	Wait(30)
		
	// XvbhtF[hC
	FadeInUpSpread()
	while(!Fade.Wait()){}
	
	// ҋ@
	Wait(30)
	
	// lɎĂ郂m𗧂ĐHׂ
	EatStanding( charaArray);
	
	// GtFNgFwxlƌƎqɕ\
	foreach( chara in charaArray)
	{
		chara.SetEffect("Fukidashi_Fun");
	}
	while(!npcPartner.WaitEffect());
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"10_"+childMsg)
	
	// ҋ@
	WaitInterval()
	
	// [VFwȂxlƌ
	player.SetMotion( "Nod")
	npcPartner.SetMotion( "Nod")
	while(!player.Wait());
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"11_"+PartnerMsgIdStr)
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFw킢킢xlƎqɕ\
	player.SetEffect("Fukidashi_Waiwai")
	npcChild.SetEffect("Fukidashi_Waiwai")
	while(!player.WaitEffect());
	
	// ҋ@
	WaitInterval()
	
	// tF[hAEg
	FadeOutUpBlack()
	while(!Fade.Wait()){}
	
	// ҋ@
	Wait(30)
	
	// V[3
	// 肪kăGAog̏ꍇ
	if( PartnerMsgIdStr == "Postman" || PartnerMsgIdStr == "Doctor" || PartnerMsgIdStr == "Florist")
	{
		EventScene_America_Case()
	}
	// 肪aGAog̏ꍇ
	else if( PartnerMsgIdStr == "Chaser" || PartnerMsgIdStr == "Apprentice" || PartnerMsgIdStr == "TeaGirl" || PartnerMsgIdStr == "Teacher")
	{
		EventScene_Japan_Case()
	}
	// 肪썑GAog̏ꍇ
	else
	{
		EventScene_South_Case()
	}
}

/**
 * V[3-1FkĂ̏ꍇ
 */
function EventScene_America_Case() : (MSG_DATA)

{
	// ACezup
	itemMDL <- []
	
	//L̈ʒuAݒ
	{
		// l
		player.SetCharaPos(127.4, -60.0)
		player.SetRotY(Math.Deg2Rad(145.0))
		
		// 
		npcPartner.SetCharaPos(113.5, -49.0)
		npcPartner.SetRotY(Math.Deg2Rad(140.0))
		
		// q
		npcChild.SetCharaPos(121.0, -39.0)
		npcChild.SetRotY(Math.Deg2Rad(150.0))
		
		// J̈ʒuݒ
		camera.SetCameraPos( 129.0, 63.4, -3.5)
		// J̒_̈ʒuݒ
		camera.SetTargetPos( 129.0, 38.7, -47.0)
	}
	
	// ACe̐ݒ	Fz΂nʂ̒
	{
		// ACezu
		itemMDL.append( ItemModelManager.Create("Kuzu"))
		itemMDL.append( ItemModelManager.Create("Crystal"))
			
		// 肽ACe̐
		while(!ItemModelManager.CreateWait());
			
		// ACef̍W( x, y, z)ݒ
		itemMDL[0].SetPos( VEC3( 50.0, -10.0, -70.0))
		itemMDL[1].SetPos( VEC3( 70.0, -10.0, -70.0))
		// ACef̌( x, y, z)ݒ
		itemMDL[0].SetRot( VEC3( Math.Deg2Rad( 0.0), Math.Deg2Rad(  0.0), Math.Deg2Rad( 0.0)))
		itemMDL[1].SetRot( VEC3( Math.Deg2Rad( 0.0), Math.Deg2Rad(  0.0), Math.Deg2Rad( 0.0)))
	}
	
	local ItemIdStr = "Hammer";
	
	// gpANV̋ʊ֐
	function UseToolAction( chara, ItemIdStr)
	{
		local seIdStr = "Use_Hammer";
		
		// [VFwgpJnx
		chara.SetMotion( ItemIdStr + "Begin");
		// [V[vFwgp[vx
		chara.SetMotionLoop( ItemIdStr + "WaitLoop");
		Wait(25);
		Sound.PlaySE( seIdStr);
		Wait(35);
		Sound.PlaySE( seIdStr);
		Wait(35);
		Sound.PlaySE( seIdStr);
		Wait(35);
		Sound.PlaySE( seIdStr);
		
		// [VFwgpIx
		chara.SetMotion( ItemIdStr + "End")
		while(!chara.Wait());
		
		// [V[vFI
		chara.LoopMotionEnd()
	}
	
	// tF[hC
	FadeInUpBlack()
	while(!Fade.Wait()){}
	
	// lɓ
	player.EquipTool(ItemIdStr)
	while(!player.Wait());
	
	// ҋ@
	Wait(30)
	
	// gpANV
	UseToolAction( player, ItemIdStr);
	
	// ҋ@
	WaitInterval()
	
	// z΂Eグ
	{
		player.AttachItemToUp("Kuzu")
		player.SetMotion( "LiftUFromGround")
		Wait(15)
		player.SetAttachItemVisible(true);
		ItemModelManager.Delete( itemMDL[0])
		while(!player.Wait()){}
	}
	
	// ҋ@
	WaitInterval()
	
	// ACeobOɂ܂
	player.ItemPutInBag()
	while(!player.Wait()){}
	
	// GtFNgFwxlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Puzzle")
	
	// ҋ@
	WaitInterval()
	
	// q
	npcChild.Walk( 133.8, -54.9)
	while(!npcChild.Wait()){}
	
	// lƎq킹
	CharaWalkRotFace2Face( player, npcChild)
	
	// ҋ@
	WaitInterval()
	
	// lɓ
	player.LiftItemFront(ItemIdStr)
	while(!player.Wait());
	
	// lqɓn
	HandOverItem( player, npcChild, ItemIdStr)
	
	npcChild.AttachItemToRight(ItemIdStr)
	npcChild.SetAttachItemVisible(true);

	// ҋ@
	WaitInterval()

	// lƎq̌@ꏊ̂ق
	local chara_array = [ player, npcChild]
	MultiCharaWalkRotDeg( chara_array, 140)
	
	CharaWalkFixsingDeg( player, 121.1, -55.6, 150, 15)
	
	// lƌ肪̌@ꏊ̂ق
	local chara_array = [ player, npcPartner]
	MultiCharaWalkRotObj( chara_array, npcChild)
	
	// gpANV
	UseToolAction( npcChild, ItemIdStr);
	
	// z΂Eグ
	{
		npcChild.AttachItemToUp("Crystal")
		npcChild.SetMotion( "LiftUFromGround")
		Wait(15)
		npcChild.SetAttachItemVisible(true);
		ItemModelManager.Delete( itemMDL[1])
		while(!npcChild.Wait()){}
	}
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwLLxzɕ\
	local effectItemLiftLight = Effect.Spawn( "ItemLiftLight", 133.8, 45.0, -55.0)
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFw킢킢xlƌɕ\
	npcPartner.SetEffect("Fukidashi_Waiwai")
	player.SetEffect("Fukidashi_Waiwai")
	while(!npcPartner.WaitEffect());
	
	// tF[hAEg
	FadeOutUpBlack()
	while(!Fade.Wait()){}
	
	// GtFNg̃[vI
	EffectEmitter.Delete( effectItemLiftLight)
}

/**
 * V[3-2Fȁꍇ
 */
function EventScene_Japan_Case() : (MSG_DATA)

{
	//L̈ʒuAݒ
	{
		// l
		player.SetCharaPos(62.8, -207.5)
		player.SetRotY(Math.Deg2Rad(350.0))
		
		// 
		npcPartner.SetCharaPos(77.5, -173.0)
		npcPartner.SetRotY(Math.Deg2Rad(220.0))
		
		// q
		npcChild.SetCharaPos(67.9, -239.7)
		npcChild.SetRotY(Math.Deg2Rad(350.0))
		
		// J̈ʒuݒ
		camera.SetCameraPos( 32.74, 25.53, -188.38)
		// J̒_̈ʒuݒ
		camera.SetTargetPos( 74.91, 10.15, -160.20)
	}

	// ҋ@
	Wait(30)
		
	// tF[hC
	FadeInUpBlack()
	while(!Fade.Wait()){}
	
	// lƎq𑖂点
	player.Run( 39.0, -42.9)
	npcChild.Run( 45.0, -65.0)
	
	// ҋ@
	Wait(15)
	
	// pw肵ĕ]
	CharaWalkRotDeg( npcPartner, 350, 15)
	while(!npcPartner.Wait()){}
	
	while(!player.Wait()){}
	while(!npcChild.Wait()){}
	
	// q̌ς
	npcChild.SetRotY(Math.Deg2Rad(180.0))
	
	// ҋ@
	WaitInterval()
	
	// [VFwx
	npcChild.SetMotionLoop( "Run")
	
	// lƎq𑖂点
	player.Run( 62.3, -152.8)
//	npcChild.Run( 62.0, -163.8)
	CharaMoveNoMotion( npcChild, 62.0, 0.5, -158.0, 35)
	npcChild.LoopMotionEnd()
	
	// pw肵ĕ]
	CharaWalkRotDeg( npcPartner, 300, 15)
	
	// ҋ@
	WaitInterval()
	
	while(!npcPartner.Wait()){}	
	while(!player.Wait()){}
//	while(!npcChild.Wait()){}
	
	// GtFNgFw킢킢xOlɕ\
	npcChild.SetEffect("Fukidashi_Waiwai")
	npcPartner.SetEffect("Fukidashi_Waiwai")
	player.SetEffect("Fukidashi_Waiwai")
	while(!npcChild.WaitEffect());

	// ҋ@
	Wait(60)
	
	// qlƌ݂Ɍ
	CharaWalkRotObj(npcChild, player, 5)
	// ҋ@
	Wait(15)
	CharaWalkRotObj(npcChild, npcPartner, 5)
	
	// lƌ肪q
	local chara_array = [ player, npcPartner]
	MultiCharaWalkRotObj( chara_array, npcChild, 5)
	
	// GtFNgFw?xƎlɕ\
	npcPartner.SetEffect("Fukidashi_Question")
	player.SetEffect("Fukidashi_Question")
	while(!npcPartner.WaitEffect());
	
	// ҋ@
	WaitInterval()
	
	// q
	npcChild.Walk( 75.0, -166.0)
	while(!npcChild.Wait()){}
	
	// LɌĕ]
	CharaWalkRotObj(npcChild, npcPartner, 10)
	while(!npcChild.Wait()){}
	
	// lƌ肪q
	local chara_array = [ player, npcPartner]
	MultiCharaWalkRotObj( chara_array, npcChild, 5)
	
	// [VFwx	^b`Ă悤ɌH
	npcChild.SetMotion( "Fist")
	while(!npcChild.Wait());
	
	// ҋ@
	WaitInterval()
	
	
	// GtFNgFwcxƎlɕ\
	npcPartner.SetEffect("Fukidashi_Silent")
	player.SetEffect("Fukidashi_Silent")
	while(!npcPartner.WaitEffect());
	
	// GtFNgFwIHxɁAw΂xlƎqɕ\
	npcPartner.SetEffect("Fukidashi_Surprise")
	player.SetEffect("Fukidashi_Laugh")
	npcChild.SetEffect("Fukidashi_Laugh")
	while(!npcPartner.WaitEffect());
	
	// ҋ@
	WaitInterval()
	
	// So
	player.Run( 45.0, -65.0)
	npcChild.Run( 30.0, -70.0)
	
	// pw肵ĕ]
	CharaWalkRotDeg( npcPartner, 340)
	npcPartner.SetEffect("Fukidashi_Waiwai")
	while(!npcPartner.WaitEffect());
	
	npcPartner.Run( 45.0, -65.0)
	while(!npcPartner.Wait()){}
	
	WaitInterval()
	
	// tF[hAEg
	FadeOutUpBlack()
	while(!Fade.Wait()){}
	
	// I҂
	while(!player.Wait()){}
	while(!npcPartner.Wait()){}
	while(!npcChild.Wait()){}
	
}

/**
 * V[3-3F썑̏ꍇ
 */
function EventScene_South_Case() : (MSG_DATA)
{
	//L̈ʒuAݒ
	{
		// l
		player.SetCharaPos(44.0, 16.5)
		player.SetRotY(Math.Deg2Rad(80.0))
		
		// 
		npcPartner.SetCharaPos(-75.0, -10.0)
		npcPartner.SetRotY(Math.Deg2Rad(270.0))
		
		// q
		npcChild.SetCharaPos(-50.4, 10.7)
		npcChild.SetRotY(Math.Deg2Rad(350.0))
		
		// J̈ʒuݒ
		camera.SetCameraPos( 61.3, 36.9, 64.4)
		// J̒_̈ʒuݒ
		camera.SetTargetPos( 44.9, 11.2, 24.8)
	}
	
	// o
	local itemUki1 = ItemModelManager.Create("Uki")
	while(!ItemModelManager.CreateWait());
	itemUki1.SetPos( VEC3( 65.00, -5.00, 20.00))
	itemUki1.SetRot( VEC3( Math.Deg2Rad( 0.0), Math.Deg2Rad( 0.0), Math.Deg2Rad( 0.0)))
	
	// lɒފƂ
	LiftItemRightNoSE( player, "FishingRod")
	
	// [VFwނJnx
	player.SetMotion( "FishingStart")
	// [V[vFwނҋ@x
	player.SetMotionLoop( "FishingLoop")
	while(!player.Wait()){}
	
	// ҋ@
	Wait(30)
		
	// tF[hC
	FadeInUpBlack()
	while(!Fade.Wait()){}
	
	// q
	npcChild.Walk( 41.9, 27.0)
	while(!npcChild.Wait()){}
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwxqɕ\
	PlayFukidashiEffect( npcChild, "Fukidashi_Fun")
	
	// ҋ@
	WaitInterval()
	
	// [VFwނIx
	player.SetMotion( "FishingEnd")
	
	Wait(15)
	
	// 
	ItemModelManager.Delete( itemUki1 )
	
	while(!player.Wait());
	
	
	// [V[vFI
	player.LoopMotionEnd()
	
	// ҋ@
	Wait(60)
	
	// lƎq킹
	CharaWalkRotFace2Face( player, npcChild)
	
	// ҋ@
	WaitInterval()
	
	// ʍtF[hAEg
	FadeOutUpBlack()
	while(!Fade.Wait()){}
	
	// l̒ފƂ폜
	CharaDetachItem( player)
	
	// qɒފƂ
	LiftItemRightNoSE( npcChild, "FishingRod")
	
	// ʍtF[hC
	FadeInUpBlack()
	while(!Fade.Wait()){}
	
	// ҋ@
	WaitInterval()
	
	// lƎqĈق
	local chara_array = [ player, npcChild]
	MultiCharaWalkRotDeg( chara_array, 80)
	
	// ҋ@
	Wait(60)
	
	// [VFwނJnx
	npcChild.SetMotion( "FishingStart")
	
	// [V[vFwނҋ@x
	npcChild.SetMotionLoop( "FishingLoop")
	
	while(!npcChild.Wait());
	
	// ̒̃GtFNg
	Effect.Spawn( "SplashDown", 65.00, -5.00, 30.00)
	
	// o
	local itemUki2 = ItemModelManager.Create("Uki")
	while(!ItemModelManager.CreateWait());
	itemUki2.SetPos( VEC3( 65.00, -5.00, 30.00))
	itemUki2.SetRot( VEC3( Math.Deg2Rad( 0.0), Math.Deg2Rad( 0.0), Math.Deg2Rad( 0.0)))
	
	// ̓
	ModelMove( itemUki2, VEC3( 65.00, -8.00, 30.00), 15)
	ModelMove( itemUki2, VEC3( 65.00, -5.00, 30.00), 30)
	
	// ҋ@		F[V[v̍Đԕ
	Wait(120)
	
	// [V[vFI
	npcChild.LoopMotionEnd()
	
	// GtFNgFwIxqɕ\
	npcChild.SetEffect("Fukidashi_Ameaze")
	
	ModelMove( itemUki2, VEC3( 65.00, -8.00, 30.00), 5)
	
	// [V[vFwނEHx
	npcChild.SetMotionLoop( "FishingHitLoop")
	
	// qbgƂ̃GtFNg
	local effectHit = Effect.Spawn( "HitFloat", 65.00, -5.00, 30.00)
	
	// 
	ItemModelManager.Delete( itemUki2 )
	
	// ҋ@		F[V[v̍Đԕ
	Wait(120)
	
	// [V[vFI
	npcChild.LoopMotionEnd()
	
	// qbg̃GtFNg폜
	EffectEmitter.Delete( effectHit)
	
	// ނグƂ̃GtFNg
	Effect.Spawn( "FishedSpray",65.00, -5.00, 30.00)
	
	// [VFwނグx
	npcChild.SetMotion( "FishingCatch")
	
	// ނ
	npcChild.AttachItemToUp("FishSanma")
	Wait(15)
	npcChild.SetAttachItemVisible(true);
	
	while(!npcChild.Wait());
	
	// ҋ@
	WaitInterval()
	
	// 
	npcPartner.Walk( 23.6, 23.2)
	while(!npcPartner.Wait()){}
	
	// lƎq̂ق
	MultiCharaWalkRotObj( chara_array, npcPartner)
	
	// ҋ@
	WaitInterval()
	
	// ACe󂯓n
	{
		npcChild.SetMotion("PresentFromU");
		npcPartner.ReceiveItem( "FishSanma" );
		while(!npcPartner.Wait());
		npcChild.DetachItem();
		while(!npcChild.Wait());
		while(!npcPartner.Wait());
		npcChild.SetMotionLoop("Wait");
		npcChild.LoopMotionEnd();
	}
	
	// ҋ@
	WaitInterval()
	
	// 
	npcPartner.Walk( -75.0, -10.0)
	while(!npcPartner.Wait()){}
	
	// ɏĂ
    npcPartner.SetValiditySE(false);
	npcPartner.LiftItemFront("FoodGrilledFish")
	while(!npcPartner.Wait()){}
    npcPartner.SetValiditySE(true);
	
	// ҋ@
	Wait(60)
	
	// 
	npcPartner.Walk( 23.6, 23.2)
	while(!npcPartner.Wait()){}
	
	// ҋ@
	WaitInterval()
	
	// ACe󂯓n
	HandOverItem( npcPartner, npcChild, "FoodGrilledFish")
	
	// ҋ@
	WaitInterval()
	
	// qĂHׂ
	EatItemStanding( npcChild, "FoodGrilledFish")
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwn[gxqɕ\
	PlayFukidashiEffect( npcChild, "Fukidashi_Heart")
	
	// GtFNgFw킢킢xlƌɕ\
	npcPartner.SetEffect("Fukidashi_Waiwai")
	player.SetEffect("Fukidashi_Waiwai")
	while(!npcPartner.WaitEffect());
	
	WaitInterval()
	
	// tF[hAEg
	FadeOutUpBlack()
	while(!Fade.Wait()){}
}

/**
 * V[4Fqɖ߂Ă
 */
function EventScene_Come_Farm() : (MSG_DATA)

{
	// }bvύX
	Map.Change("Farm_00")
	
	//L̐
	{
		// vC[Cxgɓoꂳ
		player = ObjectManager.CreatePlayer()
		
		// Cxgɓoꂳ
		npcPartner = ObjectManager.CreateNpc( PartnerIdStr)
		
		// qCxgɓoꂳ
		npcChild = ObjectManager.CreateNpc("Child")
		
		// 肽L̐
		while(!ObjectManager.CreateWait()){}
	}
	
	//L̈ʒuAݒ
	{
		// l
		player.SetCharaPos(-60.5, -162.5)
		player.SetRotY(Math.Deg2Rad(180.0))
		
		// 
		npcPartner.SetCharaPos(-69.0, -177.0)
		npcPartner.SetRotY(Math.Deg2Rad(30.0))
		
		// q
		npcChild.SetCharaPos(-52.0, -177.0)
		npcChild.SetRotY(Math.Deg2Rad(330.0))
		
		// J̈ʒuݒ
		camera.SetCameraPos( -44.6, 36.2, -135.4)
		// J̒_̈ʒuݒ
		camera.SetTargetPos( -16.2, 11.6, -168.3)
	}

	// ҋ@
	Wait(30)
		
	// tF[hC
	FadeInUpBlack()
	while(!Fade.Wait()){}
	
	// l
	player.Walk( -10.5, -162.5)
	npcPartner.Walk( -19.0, -177.0)
	npcChild.Walk( -2.0, -177.0)
	while(!player.Wait()){}
	
	// ҋ@
	WaitInterval()
	
	// qƎl
	CharaWalkRotFace2Face( npcChild, player)
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwxqɕ\
	PlayFukidashiEffect( npcChild, "Fukidashi_Fun")
	
	// ҋ@
	WaitInterval()

	// lq̂ق
	CharaWalkRotObj( player, npcChild)
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"12_"+childMsg)
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwn[gxƎlɕ\
	npcPartner.SetEffect("Fukidashi_Heart")
	player.SetEffect("Fukidashi_Heart")
	while(!npcPartner.WaitEffect());
	
	// ҋ@
	WaitInterval()
	
	// ql̂ق
	CharaWalkRotFace2Face(npcPartner, player)
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"13_"+PartnerMsgIdStr)
	// lq
	CharaWalkRotObj(player, npcChild, 5)								 
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"14_"+childMsg)
	
	// ҋ@
	WaitInterval()
	
	// [VFwȂx
	player.SetMotion( "Nod")
	while(!player.Wait());
	
	// GtFNgFwxlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Fun")
	
	// ҋ@
	WaitInterval()
	
	// tF[hAEg
	FadeOutUpBlack()
	while(!Fade.Wait()){}
	
	// tB^[ݒu
	FilterBlackStart()
	
	// ҋ@
	Wait(30)
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"15")
	
	// tB^[P
	FilterBlackEnd()
	
	WaitInterval()
	
	// tF[hAEg
	FadeOutBlack()
	while(!Fade.Wait()){}
}




/**
 * CxgI
 */
function EventEnd() : (EventName)
{
	
	EventFinalizeCommon(EventName)
	
	// CxgĨ}bv؂芷
	// l͔w
	player.SetRotY(Math.Deg2Rad( 180.0))
	
	// CxgIA}bvl̈ʒû܂
	Map.EventEndChangeCurrentPos( MapData.GetMapIdStr(), player)
}

