

// Cxg
local EventName = "Festival_A_Friendship_After"

// bZ[W
local MSG_DATA = 
{
	Name = "Fes_A_FriendShip_After"
	ID   = "MES_EV_FES_A_FRIENDSHIP_AFTER_"
}


// s
enum eVisitCountry
{
	America,
	Japan,
	South,
};

// v[g
enum ePresentNo
{
	Item1,
	Item2,
	Item3,
};

// ǏʁFs
SelectMsgResultVisitCountry <- 0

// ǏʁFv[g
SelectMsgResult1stPresentNo <- 0		// Pl
SelectMsgResult2ndPresentNo <- 0		// Ql
SelectMsgResultChildPresentNo <- 0		// q


// Jgp邽߂ɕKv
camera <- CameraChanger.GetCamera()


// LN^
player <- null
npcPartner <- null

// LID
PartnerIdStr <- null	// ꏏɍsID
ChildIdStr <- "Child"

// bZ[WID
PartnerMsgIdStr <- ""

TLE <- ""



/**
 * LxbhɐQݒ
 * @param pointDataID : AINpcMapPointData Ŏw肷ID
 */
function CharaSetBedDown( chara, pointDataID, eyeCloseFlag = true)
{
	chara.SetFlight( true)
	local sleepPoint = AINpcMapPointData.GetPos( pointDataID)
	chara.SetPosY( sleepPoint.x, sleepPoint.y, sleepPoint.z)
	chara.SetRotY( AINpcMapPointData.GetRotY( pointDataID))
	chara.SetMotionLoop( "SleepWaitLoop")
	if( eyeCloseFlag){
		chara.ChangeFaceAnim( FaceAnimId.Close)			// \ύX : ڂނ
	}
}

/**
 * v[g̔bZ[W\
 */
function OpenGiftReactionMsg( npcMsgIdStr, presentNo) : (MSG_DATA)
{
	local giftReactionMsgId = ""
	if( presentNo == ePresentNo.Item1){
		giftReactionMsgId = MSG_DATA.ID+"09"+npcMsgIdStr+"_GIFT1"
	}
	else if( presentNo == ePresentNo.Item2){
		giftReactionMsgId = MSG_DATA.ID+"09"+npcMsgIdStr+"_GIFT2"
	}
	else{
		giftReactionMsgId = MSG_DATA.ID+"09"+npcMsgIdStr+"_GIFT3"
	}
	MsgUtil.OpenMsg( MSG_DATA.Name, giftReactionMsgId)
}


function NpcGenderCheck( charaIdStr)
{
	local charaGender = null
	switch(charaIdStr)
	{
		case "Postman":		charaGender = eSex.eSex_Male;		break;
		case "Doctor":		charaGender = eSex.eSex_Male;		break;
		case "Chaser":		charaGender = eSex.eSex_Male;		break;
		case "Apprentice":	charaGender = eSex.eSex_Male;		break;
		case "Craftman":	charaGender = eSex.eSex_Male;		break;
		case "Wantatan": 	charaGender = eSex.eSex_Male;		break;
		case "Florist":		charaGender = eSex.eSex_Female;		break;
		case "TeaGirl":		charaGender = eSex.eSex_Female;		break;
		case "Teacher":		charaGender = eSex.eSex_Female;		break;
		case "TwinOlder":	charaGender = eSex.eSex_Female;		break;
		case "TwinYounger":	charaGender = eSex.eSex_Female;		break;
		case "Presenter": 	charaGender = eSex.eSex_Female;		break;
	}
	return charaGender;
}


/**
 * Cxg
 */
function EventInitialize() : (EventName)
{
	EventInitializeCommon(EventName)
	
	// ՂQbɌ߂NPCID擾
	local partnerNpcId = EventFlag.GetParam("FriendshipAfterPartnerId")
	
	// fobOp
	if( partnerNpcId == -1 ||							// NpcIDݒ肳ĂȂ
		!NpcConstData.IsLover( partnerNpcId) ||			// ł͂Ȃ
		ID.NpcIdToString( partnerNpcId) == "Inari")		// Ci܂ł
	{
		Print("p[gi[̐ݒ肪sł")
		// ՌCxg̃p[gi[ɂȂ鑊NpcID擾
		partnerNpcId = GetFestivalAFriendshipAfterPartnerNpcId()
	}
	PartnerIdStr = ID.NpcIdToString( partnerNpcId)
	
	// s҂̃bZ[WID
	PartnerMsgIdStr = GetNpcMsgIdStr( PartnerIdStr)
	
	if (NpcGenderCheck(PartnerMsgIdStr) == PersonalData.GetSex()) 
	{
			TLE = "_TLE"
	}
}



/**
 * Cxg
 */
function EventMain()
{	

	EventInitialize()

	// s挈
	EventScene_Crossroad()
	
	// Iʂɂ艉o
	if( SelectMsgResultVisitCountry == eVisitCountry.America){
		// kĂI
		EventScene_AmericaFarmerHouse()
		EventScene_AmericaGeneralStore()
	}
	else if( SelectMsgResultVisitCountry == eVisitCountry.Japan){
		// aI
		EventScene_JapanWholesaleStoreHouse()
		EventScene_JapanWholesaleStoreDetachedHouse()
	}
	else{
		// 썑I
		EventScene_SouthOldPersonHouse()
		EventScene_SouthFishermanHouse()
	}
	
	// 
	EventScene_GiftCompleted()
	
	// qȂv[gz
	if(IsAppearGrownChild() && GetMarriageNpc() != "Inari"){
		
		EventScene_MyHousePresentForChild()
	}
	
	// tF[hAEg
	FadeOutBlack()
	
	EventEnd()
}




/**
 * _Fs挈
 */
function EventScene_Crossroad() : (MSG_DATA)
{
	// ================================
	// 
	
	// oL̏
	player = ObjectManager.CreatePlayer()
	npcPartner = ObjectManager.CreateNpc( PartnerIdStr)
	while(!ObjectManager.CreateWait()){}
	
	// L̐ݒ
	player.SetCharaPos( 12.00, 160.00)
	npcPartner.SetCharaPos( 25.00, 150.00)
	
	CharaSetDirObj( player, npcPartner)
	CharaSetDirObj( npcPartner, player)
	
	
	// J̐ݒ
	camera.SetCameraPos( 10.00, 25.00, 190.00)
	camera.SetTargetPos( 20.00, 10.00, 145.00)
	
	
	
	// ================================
	// o
	
	// Cxgŏ̃tF[h+witB^[ݒu
	EventStartFirstFadeInAndSetFilter()
	
	// ҋ@
	Wait(10)
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"00")
	
	// ҋ@
	Wait(90)
	
	// witB^[P
	FilterBlackEnd()
	
	// tF[hC
	FadeInUpBlack()
	
	// ҋ@
	Wait(30)
	
	// bZ[WIDݒ
	local partnerStateMsgId = ""
	if( IsChildAppear() && GetMarriageNpc() != "Inari"){
		partnerStateMsgId = "_CHILD"		// q
	}
	else if( GetMarriageNpc() && GetMarriageNpc() != "Inari"){
		partnerStateMsgId = "_NOCHILD"		// qȂ
	}
	else{
		partnerStateMsgId = "_PARTNER"		// 
	}
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"01_"+ PartnerMsgIdStr + partnerStateMsgId)
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwcx
	PlayFukidashiEffect( player, "Fukidashi_Silent")
	
	// ҋ@
	WaitInterval()
	
	// bZ[WFIuǂɍs H k / a / 썑v
	SelectMsgResultVisitCountry = MsgUtil.OpenSelectMsg( MSG_DATA.Name, MSG_DATA.ID+"02", [ MSG_DATA.ID+"03", MSG_DATA.ID+"04", MSG_DATA.ID+"05"]);
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwx
	MultiCharaEmotion( [npcPartner, player], "Fukidashi_Fun")
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"06_"+ PartnerMsgIdStr)
	
	// ҋ@
	WaitInterval()
	
	// tF[hAEg
	FadeOutUpBlack()
}



/**
 * kăTuFRɃv[g
 */
function EventScene_AmericaFarmerHouse() : (MSG_DATA)
{
	// ================================
	// FkĔ_Ƃ̉Ƃ̑O
	
	// }bvύX
	Map.Change( "America_Sub")		// kăTu
	
	// oL̏
	player = ObjectManager.CreatePlayer()
	npcPartner = ObjectManager.CreateNpc( PartnerIdStr)
	while(!ObjectManager.CreateWait()){}
	
	
	// L̐ݒ
	player.SetCharaPos(     55.00, 105.00)
	npcPartner.SetCharaPos( 70.00, 110.00)
	
	CharaSetDirObj( player, npcPartner)
	CharaSetDirObj( npcPartner, player)
	
	
	// J̐ݒ
	camera.SetCameraPos(  75.00, 50.00, 145.00)
	camera.SetTargetPos( 105.50, 35.00, 110.00)
	
	
	
	// ================================
	// oFkĔ_Ƃ̉Ƃ̑O
	
	// tF[hC
	FadeInUpBlack()
	
	// ҋ@
	Wait(30)
	
	// Jړ
	camera.Move( VEC3( 0.0, -25.0, 0.0), 120)
	
	// ҋ@
	Wait(10)
	
	// ړ
	player.Walk(     110.00, 105.00)
	npcPartner.Walk( 125.00, 110.00)
	
	while(!player.Wait()){}			// ړI҂
	while(!npcPartner.Wait()){}
	
	// ]F
	CharaWalkRotFace2Face( player, npcPartner, 10)
	
	// ҋ@
	Wait(30)
	
	// [VFwx
	player.SetMotion( "Nod")
	npcPartner.SetMotion( "Nod")
	while(!player.Wait());
	while(!npcPartner.Wait());
	
	// ҋ@
	WaitInterval()
	
	// ]FkĔ_Ƃ̉Ƃ̌
	MultiCharaWalkRotPos( [npcPartner, player], VEC3( 120.00, 0.00, 80.00), 10)
	
	// ҋ@
	WaitInterval()
	
	while(!camera.Wait()){}			// J̈ړI҂
	
	// tF[hAEgiVb^[j
	FadeOutUpShutter()
	
	
	
	// ================================
	// FkĔ_Ɖ̂QK
	
	// }bvύX
	Map.Change( "Farmer_House_2F")		// _ƂQKQk
	
	// oL̏
	player = ObjectManager.CreatePlayer()
	npcPartner = ObjectManager.CreateNpc( PartnerIdStr)
	
	local npcAmericaFarmOldwoman = ObjectManager.CreateNpc( "AmericaFarmOldwoman")	// [K
	local npcAmericaFarmMan      = ObjectManager.CreateNpc( "AmericaFarmMan")		// wN^[
	local npcAmericaFarmSon      = ObjectManager.CreateNpc( "AmericaFarmSon")		// R
	while(!ObjectManager.CreateWait()){}
	
	// L̐ݒ
	player.SetCharaPos(     85.00, -40.00)
	npcPartner.SetCharaPos( 80.00, -40.00)
	
	// xbhɐQF[K
	CharaSetBedDown( npcAmericaFarmOldwoman, "Sleep_AmericaFarmOldwoman")
	// xbhɐQFwN^[
	CharaSetBedDown( npcAmericaFarmMan, "Sleep_AmericaFarmMan")
	// xbhɐQFR
	CharaSetBedDown( npcAmericaFarmSon, "Sleep_AmericaFarmSon")
	
	
	// J̐ݒ
	camera.SetCameraPos( -5.00, 25.00, 45.00)
	camera.SetTargetPos( 15.00,  5.00,  5.00)
	
	
	
	// ================================
	// oFkĔ_Ɖ̂QK
	
	local childMsdId = "_AmericaFarmSon"
	
	// ҋ@
	Wait(30)
	
	// tF[hCiVb^[j
	FadeInUpShutter()
	
	// ҋ@
	Wait(30)
	
	// ړ
	npcPartner.Walk( 35.00, -40.00)
	Wait(15)	// zuꏊl܂Ă̂ŊԊu
	player.Walk(     50.00, -40.00)
	
	while(!npcPartner.Wait()){}		// ړI҂
	
	// ]
	CharaWalkRotObj( npcPartner, player, 5)		// lړ
	while(!player.Wait()){}			// ړI҂
	
	// ҋ@
	WaitInterval()
	
	// tF[hAEg
	FadeOutUpBlack()
	
	// J̐ݒ
	camera.SetCameraPos( 30.00, 25.00,   0.00)
	camera.SetTargetPos( 45.00,  5.00, -45.00)
	
	// JǏ]		Fp[gi[ɒǏ]
	camera.AttachTargetChara( npcPartner, VEC3( 0.0, 0.0, 0.0))
	
	// tF[hC
	FadeInUpBlack()
	
	// bZ[WFIun H v[gP / v[gQ / v[gRv
	local giftMsgId = MSG_DATA.ID+"07"+childMsdId
	SelectMsgResult1stPresentNo = MsgUtil.OpenSelectMsg( MSG_DATA.Name, giftMsgId, [ giftMsgId+"_GIFT1", giftMsgId+"_GIFT2", giftMsgId+"_GIFT3"]);
	
	// ACeĂ
	local itemModelIdStr = "WrappingA06"
	local itemModel = ItemModelManager.Create( itemModelIdStr)
	while(!ItemModelManager.CreateWait());
	itemModel.SetPos( VEC3( 80.00, 0.00, -25.00))		// Ȃꏊ
	
	
	// @todoF]TΉop^[𕪊򂳂Ēǉ
	
	// ҋ@
	WaitInterval()
	
	// v[go
	player.LiftItemFront( itemModelIdStr)
	while(!player.Wait()){}
	
	// v[gn
	HandOverItem( player, npcPartner, itemModelIdStr)
	
	// ҋ@
	WaitInterval()
	
	// ]
	MultiCharaWalkRotDeg( [npcPartner, player], 330.0, 10)
	
	// ړ
	player.Walk(     25.00, -10.00)
	npcPartner.Walk( 10.00, -10.00)
	
	while(!player.Wait()){}			// ړI҂
	while(!npcPartner.Wait()){}		// ړI҂
	
	// J̒Ǐ]
	camera.DetachTargetChara()
	
	// v[guꏊ
	local giftItemPoint = VEC3( 10.00, 0.00, 0.00)
	
	// ]
	MultiCharaWalkRotPos( [npcPartner, player], giftItemPoint, 5)
	
	// v[gɒu
	PutItemOnGround( npcPartner, itemModel, giftItemPoint)
	
	// ҋ@
	WaitInterval()
	
	// ]
	MultiCharaWalkRotObj( [npcPartner, player], npcAmericaFarmSon, 5)
	
	// ҋ@
	Wait(60)
	
	// ]F
	CharaWalkRotFace2Face( player, npcPartner, 5)
	
	// GtFNgFwx
	MultiCharaEmotion( [npcPartner, player], "Fukidashi_Fun")
	
	// ҋ@
	Wait(30)
	
	local walkAwayPoint = VEC3( 65.00, 0.00, -50.00)
	
	// ]
	MultiCharaWalkRotPos( [npcPartner, player], walkAwayPoint, 5)
	
	// ړ
	player.Walk(     walkAwayPoint.x, walkAwayPoint.z)
	npcPartner.Walk( walkAwayPoint.x, walkAwayPoint.z)
	
	// ҋ@
	Wait(10)
	
	// tF[hAEg
	FadeOutUpBlack()
	
	while(!player.Wait()){}			// ړI҂
	while(!npcPartner.Wait()){}		// ړI҂
	
	// ACe폜
	ItemModelManager.Delete( itemModel)
	
	
	
	// ================================
	// FkĔ_Ɖ̂PK
	
	// }bvύX
	Map.Change( "Farmer_House_1F")		// _ƂPKQk
	
	// oL̏
	player = ObjectManager.CreatePlayer()
	npcPartner = ObjectManager.CreateNpc( PartnerIdStr)
	while(!ObjectManager.CreateWait()){}
	
	// L̐ݒ
	player.SetCharaPos(     68.00, 30.00)
	npcPartner.SetCharaPos( 82.00, 25.00)
	
	
	// J̐ݒ
	camera.SetCameraPos( 20.00, 25.00, 58.00)
	camera.SetTargetPos( 30.00,  5.00, 10.00)
	
	
	
	// ================================
	// oFkĔ_Ɖ̂PK
	
	// tF[hC
	FadeInUpBlack()
	
	// ҋ@
	Wait(30)
	
	// ړ
	player.Walk(     23.00, 30.00)
	npcPartner.Walk( 36.00, 25.00)
	
	while(!player.Wait()){}			// ړI҂
	while(!npcPartner.Wait()){}		// ړI҂
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"08"+childMsdId)
	
	// GtFNgFwIx
	MultiCharaEmotionNoWait( [player, npcPartner], "Fukidashi_Ameaze")
	// ]F
	CharaWalkRotFace2Face( player, npcPartner, 5)
	
	WaitMultiCharaEmotion( [player, npcPartner])		// GtFNgI҂
	
	// v[g̔bZ[W\
	OpenGiftReactionMsg( childMsdId, SelectMsgResult1stPresentNo)
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwx
	MultiCharaEmotion( [player, npcPartner], "Fukidashi_Fun")
	
	// XvbhtF[hAEg
	FadeOutUpSpread()
}



/**
 * kăCFmGɃv[g
 */
function EventScene_AmericaGeneralStore() : (MSG_DATA)
{
	// ================================
	// FkĎG݉̑O
	
	// }bvύX
	Map.Change( "America_Main")		// kăC
	
	// oL̏
	player = ObjectManager.CreatePlayer()
	npcPartner = ObjectManager.CreateNpc( PartnerIdStr)
	while(!ObjectManager.CreateWait()){}
	
	
	// L̐ݒ
	player.SetCharaPos(      8.00, -200.00)
	npcPartner.SetCharaPos( 20.00, -200.00)
	
	CharaSetDirObj( player, npcPartner)
	CharaSetDirObj( npcPartner, player)
	
	
	// J̐ݒ
	camera.SetCameraPos( 50.00, 80.00, -160.00)
	camera.SetTargetPos( 10.00, 70.00, -210.00)
	
	
	
	// ================================
	// oFkĎG݉̉Ƃ̑O
	
	// XvbhtF[hC
	FadeInUpSpread()
	
	// ҋ@
	Wait(60)
	
	// ]FƂ
	MultiCharaWalkRotDeg( [npcPartner, player], 180.0, 10)
	
	// J̈ړFQlf
	camera.MoveTarget( VEC3( 25.00, 90.00, -210.00), 90)
	
	// ҋ@
	Wait(40)
	
	// tF[hAEgiVb^[j
	FadeOutUpShutter()
	
	while(!camera.Wait()){}			// J̈ړI҂
	
	
	
	// ================================
	// FkĎG݉̂QK
	
	// }bvύX
	Map.Change( "GeneralStore_2F")		// kĎG݉QK
	
	// oL̏
	player = ObjectManager.CreatePlayer()
	npcPartner = ObjectManager.CreateNpc( PartnerIdStr)
	
	local npcStoreWoman    = ObjectManager.CreateNpc( "StoreWoman")			// ~_
	local npcStoreDaughter = ObjectManager.CreateNpc( "StoreDaughter")		// mG
	while(!ObjectManager.CreateWait()){}
	
	// L̐ݒ
	player.SetCharaPos(     30.00, 25.00)
	npcPartner.SetCharaPos( 40.00,  5.00)
	
	// xbhɐQF~_
	CharaSetBedDown( npcStoreWoman, "Sleep_StoreWoman")
	// xbhɐQFmG
	CharaSetBedDown( npcStoreDaughter, "Sleep_StoreDaughter")
	
	CharaSetDirObj( player, npcStoreDaughter)
	CharaSetDirObj( npcPartner, npcStoreDaughter)
	
	
	// J̐ݒ
	camera.SetCameraPos( 40.00, 28.00, 60.00)
	camera.SetTargetPos( 50.00,  8.00, 15.00)
	
	
	
	// ================================
	// oFkĎG݉̂QK
	
	local childMsdId = "_StoreDaughter"
	
	// ҋ@
	Wait(30)
	
	// tF[hCiVb^[j
	FadeInUpShutter()
	
	// ҋ@
	Wait(30)
	
	// bZ[WFIun H v[gP / v[gQ / v[gRv
	local giftMsgId = MSG_DATA.ID+"07"+childMsdId
	SelectMsgResult1stPresentNo = MsgUtil.OpenSelectMsg( MSG_DATA.Name, giftMsgId, [ giftMsgId+"_GIFT1", giftMsgId+"_GIFT2", giftMsgId+"_GIFT3"]);
	
	// ACeĂ
	local itemModelIdStr = "WrappingA04"
	local itemModel = ItemModelManager.Create( itemModelIdStr)
	while(!ItemModelManager.CreateWait());
	itemModel.SetPos( VEC3( -70.00, 0.00, -30.00))		// Ȃꏊ
	
	// ҋ@
	WaitInterval()
	
	// v[go
	player.LiftItemFront( itemModelIdStr)
	while(!player.Wait()){}
	
	// v[gɒu
	local giftItemPoint = VEC3( 40.00, 0.00, 25.00)
	PutItemOnGround( player, itemModel, giftItemPoint)
	
	// ҋ@
	WaitInterval()
	
	// ]F
	CharaWalkRotFace2Face( player, npcPartner, 5)
	
	// GtFNgFwx
	MultiCharaEmotion( [npcPartner, player], "Fukidashi_Fun")
	
	// ҋ@
	Wait(30)
	
	local walkAwayPoint = VEC3( 0.00, 0.00, 35.00)
	
	// ]
	MultiCharaWalkRotPos( [npcPartner, player], walkAwayPoint, 5)
	
	// ړ
	player.Walk(     walkAwayPoint.x, walkAwayPoint.z)
	npcPartner.Walk( walkAwayPoint.x, walkAwayPoint.z)
	
	Wait(10)
	
	// tF[hAEg
	FadeOutUpBlack()
	
	while(!player.Wait()){}			// ړI҂
	while(!npcPartner.Wait()){}		// ړI҂
	
	// ACe폜
	ItemModelManager.Delete( itemModel)
	
	
	
	// ================================
	// FkĎG݉̂PK
	
	// }bvύX
	Map.Change( "GeneralStore_1F")		// kĎG݉QK
	
	// oL̏
	player = ObjectManager.CreatePlayer()
	npcPartner = ObjectManager.CreateNpc( PartnerIdStr)
	while(!ObjectManager.CreateWait()){}
	
	// L̐ݒ
	player.SetCharaPos(     45.00, -5.00)
	npcPartner.SetCharaPos( 55.00, -5.00)
	
	
	// J̐ݒ
	camera.SetCameraPos( -25.00, 28.00, 45.50)
	camera.SetTargetPos( -20.00,  8.00,  0.00)
	
	
	
	// ================================
	// oFkĎG݉̂PK
	
	// tF[hC
	FadeInUpBlack()
	
	// ҋ@
	Wait(30)
	
	// ړ
	player.Walk(     -28.00, 15.00)
	Wait(5)
	npcPartner.Walk( -12.00,  5.00)
	
	while(!npcPartner.Wait()){}		// ړI҂
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"08"+childMsdId)
	while(!player.Wait()){}			// ړI҂
	
	// GtFNgFwIx
	MultiCharaEmotionNoWait( [player, npcPartner], "Fukidashi_Ameaze")
	// ]F
	CharaWalkRotFace2Face( player, npcPartner, 5)
	
	WaitMultiCharaEmotion( [player, npcPartner])		// GtFNgI҂
	
	// ҋ@
	WaitInterval()
	
	// v[g̔bZ[W\
	OpenGiftReactionMsg( childMsdId, SelectMsgResult1stPresentNo)
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwx
	MultiCharaEmotion( [player, npcPartner], "Fukidashi_Fun")
	
	// XvbhtF[hAEg
	FadeOutUpSpread()
}



/**
 * aF^c~ƃC`Ƀv[g
 */
function EventScene_JapanWholesaleStoreHouse() : (MSG_DATA)
{
	// ================================
	// F≮]ƈ̉Ƃ̑O
	
	// }bvύX
	Map.Change( "Japan_Sub")		// aTu
	
	// oL̏
	player = ObjectManager.CreatePlayer()
	npcPartner = ObjectManager.CreateNpc( PartnerIdStr)
	while(!ObjectManager.CreateWait()){}
	
	
	// L̐ݒ
	player.SetCharaPos(     -80.00, -10.00)
	npcPartner.SetCharaPos( -70.00,   5.00)
	
	CharaSetDirObj( player, npcPartner)
	CharaSetDirObj( npcPartner, player)
	
	
	// J̐ݒ
	camera.SetCameraPos( -190.00, 60.00,  35.0)
	camera.SetTargetPos( -170.00, 50.00, -10.0)
	
	
	
	// ================================
	// oF≮]ƈ̉Ƃ̑O
	
	// tF[hC
	FadeInUpBlack()
	
	// ҋ@
	Wait(30)
	
	// J̈ړFƂƎl
	camera.MoveCamera( VEC3( -210.00, 30.00,  20.00), 180)
	camera.MoveTarget( VEC3( -170.00, 20.00, -10.00), 180)
	
	// ҋ@
	Wait(10)
	
	// ړ
	player.Walk(     -160.00, -20.00)
	npcPartner.Walk( -150.00,  -5.00)
	
	while(!player.Wait()){}			// ړI҂
	while(!npcPartner.Wait()){}
	
	// ]F
	CharaWalkRotFace2Face( player, npcPartner, 10)
	
	// ҋ@
	Wait(30)
	
	// [VFwx
	player.SetMotion( "Nod")
	npcPartner.SetMotion( "Nod")
	while(!player.Wait());
	while(!npcPartner.Wait());
	
	// ҋ@
	WaitInterval()
	
	// ]FƂ
	MultiCharaWalkRotDeg( [npcPartner, player], 180.0, 10)
	
	// ҋ@
	WaitInterval()
	
	while(!camera.Wait()){}			// J̈ړI҂
	
	// tF[hAEgiVb^[j
	FadeOutUpShutter()
	
	
	
	// ================================
	// F≮]ƈ̉
	
	// }bvύX
	Map.Change( "WholesaleStore_House")		// ≮]ƈ̉ƁQa
	
	// oL̏
	player = ObjectManager.CreatePlayer()
	npcPartner = ObjectManager.CreateNpc( PartnerIdStr)
	
	local npcStuffMan        = ObjectManager.CreateNpc( "StuffMan")			// Cbec
	local npcStuffWoman      = ObjectManager.CreateNpc( "StuffWoman")		// VY
	local npcStuffSonOlder   = ObjectManager.CreateNpc( "StuffSonOlder")	// ^c~
	local npcStuffSonYounger = ObjectManager.CreateNpc( "StuffSonYounger")	// C`
	while(!ObjectManager.CreateWait()){}
	
	// L̐ݒ
	player.SetCharaPos(     35.00, 60.00)
	npcPartner.SetCharaPos( 45.00, 60.00)
	
	// xbhɐQFCbec
	CharaSetBedDown( npcStuffMan, "Sleep_StuffMan")
	// xbhɐQFVY
	CharaSetBedDown( npcStuffWoman, "Sleep_StuffWoman")
	// xbhɐQF^c~
	CharaSetBedDown( npcStuffSonOlder, "Sleep_StuffSonOlder")
	// xbhɐQFC`
	CharaSetBedDown( npcStuffSonYounger, "Sleep_StuffSonYounger")
	
	
	// J̐ݒ
	camera.SetCameraPos( -45.00, 28.00,   5.00)
	camera.SetTargetPos( -65.00,  8.00, -35.00)
	
	
	
	// ================================
	// oF≮]ƈ̉
	
	local youngerChildMsdId = "_StuffSonYounger"	// C`
	local olderChildMsdId   = "_StuffSonOlder"		// ^c~
	
	// ҋ@
	Wait(30)
	
	// tF[hCiVb^[j
	FadeInUpShutter()
	
	// ҋ@
	Wait(60)
	
	// Jړ
	camera.Move( VEC3( 35.00, 0.00, -5.00), 120)
	while(!camera.Wait()){}			// J̈ړI҂
	
	// LzuWݒ
	player.SetCharaPos(       5.00, 0.00)
	npcPartner.SetCharaPos( -10.00, 0.00)
	
	// ړ
	npcPartner.Walk( -30.00, -35.00)
	player.Walk(     -15.00, -35.00)
	while(!npcPartner.Wait()){}		// ړI҂
	while(!player.Wait()){}		// ړI҂
	
	// ]F
	CharaWalkRotFace2Face( player, npcPartner, 5)
	
	// ҋ@
	WaitInterval()
	
	// bZ[WFIu^c~ɉn H v[gP / v[gQ / v[gRv
	local olderGiftMsgId = MSG_DATA.ID+"07"+olderChildMsdId
	SelectMsgResult1stPresentNo = MsgUtil.OpenSelectMsg( MSG_DATA.Name, olderGiftMsgId, [ olderGiftMsgId+"_GIFT1", olderGiftMsgId+"_GIFT2", olderGiftMsgId+"_GIFT3"]);
	
	// ACeĂ
	local olderItemModelIdStr = "WrappingJ04"
	local olderItemModel = ItemModelManager.Create( olderItemModelIdStr)
	while(!ItemModelManager.CreateWait());
	olderItemModel.SetPos( VEC3( 0.00, 3.84, 60.00))		// Ȃꏊ
	
	// v[go
	player.LiftItemFront( olderItemModelIdStr)
	while(!player.Wait()){}
	
	// v[gn
	HandOverItem( player, npcPartner, olderItemModelIdStr)
	
	// ҋ@
	WaitInterval()
	
	// bZ[WFIuC`ɉn H v[gP / v[gQ / v[gRv
	local youngerGiftMsgId = MSG_DATA.ID+"07"+youngerChildMsdId
	SelectMsgResult2ndPresentNo = MsgUtil.OpenSelectMsg( MSG_DATA.Name, youngerGiftMsgId, [ youngerGiftMsgId+"_GIFT1", youngerGiftMsgId+"_GIFT2", youngerGiftMsgId+"_GIFT3"]);
	
	// ACeĂ
	local youngerItemModelIdStr = "WrappingJ02"
	local youngerItemModel = ItemModelManager.Create( youngerItemModelIdStr)
	while(!ItemModelManager.CreateWait());
	youngerItemModel.SetPos( VEC3( 5.00, 3.84, 60.00))		// Ȃꏊ
	
	// v[go
	player.LiftItemFront( youngerItemModelIdStr)
	while(!player.Wait()){}
	
	
	// @todoFړɕ]
	
	// Jړ
	camera.Move( VEC3( -25.00, 0.00, 0.00), 120)
	
	// ړ
	npcPartner.Walk( -60.00, -35.00)
	player.Walk(     -36.00, -35.00)
	
	while(!player.Wait()){}			// ړI҂
	while(!npcPartner.Wait()){}		// ړI҂
	
	// ҋ@
	WaitInterval()
	
	// ^c~ւ̃v[guꏊ
	local olderGiftItemPoint = VEC3( -60.00, 5.32, -25.00)
	
	// ]
	CharaWalkRotPos( npcPartner, olderGiftItemPoint, 5)
	
	// v[gɒu
	PutItemOnGround( npcPartner, olderItemModel, olderGiftItemPoint)
	
	// ]
	CharaWalkRotObj( npcPartner, player, 5)
	
	// ҋ@
	WaitInterval()
	
	
	// C`ւ̃v[guꏊ
	local youngerGiftItemPoint = VEC3( -36.00, 5.32, -25.00)
	
	// ]
	CharaWalkRotPos( player, youngerGiftItemPoint, 5)
	
	// v[gɒu
	PutItemOnGround( player, youngerItemModel, youngerGiftItemPoint)
	
	// ]
	CharaWalkRotObj( player, npcPartner, 5)
	
	// GtFNgFwx
	MultiCharaEmotion( [npcPartner, player], "Fukidashi_Fun")
	
	// ҋ@
	Wait(30)
	
	while(!camera.Wait()){}			// J̈ړI҂
	
	// tF[hAEg
	FadeOutUpBlack()
	
	// ACe폜
	ItemModelManager.Delete( olderItemModel)
	ItemModelManager.Delete( youngerItemModel)
	
	
	
	// ================================
	// F≮]ƈ̉Ƃ̑O
	
	// }bvύX
	Map.Change( "Japan_Sub")		// aTu
	
	// oL̏
	player = ObjectManager.CreatePlayer()
	npcPartner = ObjectManager.CreateNpc( PartnerIdStr)
	while(!ObjectManager.CreateWait()){}
	
	
	// L̐ݒ
	player.SetCharaPos(     -150.00, -15.00)
	npcPartner.SetCharaPos( -160.00, -15.00)
	
	CharaSetDirObj( player, npcPartner)
	CharaSetDirObj( npcPartner, player)
	
	
	// J̐ݒ
	camera.SetCameraPos( -155.00, 50.00, 47.50)
	camera.SetTargetPos( -155.00, 35.00,  0.00)
	
	
	
	// ================================
	// oF≮]ƈ̉Ƃ̑O
	
	// tF[hC
	FadeInUpBlack()
	
	// ҋ@
	Wait(30)
	
	// GtFNgFw킢킢x
	MultiCharaEmotion( [npcPartner, player], "Fukidashi_Waiwai")
	
	// ҋ@
	WaitInterval()
	
	// ]FƂ̌
	MultiCharaWalkRotDeg( [npcPartner, player], 90.0, 5)
	
	// ړ
	player.Walk(     -120.00, -15.00)
	npcPartner.Walk( -130.00, -15.00)
	while(!player.Wait()){}			// ړI҂
	while(!npcPartner.Wait()){}		// ړI҂
	
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"08"+youngerChildMsdId)
	
	// GtFNgFwIx
	MultiCharaEmotionNoWait( [npcPartner, player], "Fukidashi_Ameaze")
	// ]
	CharaWalkRotObj( player, npcPartner)
	WaitMultiCharaEmotion( [npcPartner, player])		// GtFNgI҂
	
	// ҋ@
	WaitInterval()
	
	// v[g̔bZ[W\FC`
	OpenGiftReactionMsg( youngerChildMsdId, SelectMsgResult2ndPresentNo)
	
	// ]
	MultiCharaWalkRotDeg( [npcPartner, player], 225.0, 10)
	
	// ҋ@
	Wait(30)
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"08"+olderChildMsdId)
	
	// ҋ@
	WaitInterval()
	
	// v[g̔bZ[W\F^c~
	OpenGiftReactionMsg( olderChildMsdId, SelectMsgResult1stPresentNo)
	
	// ҋ@
	WaitInterval()
	
	// ҋ@
	WaitInterval()
	
	// ]F
	CharaWalkRotFace2Face( player, npcPartner, 5)
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwx
	MultiCharaEmotion( [npcPartner, player], "Fukidashi_Fun")
	
	// ]
	CharaWalkRotDeg( player, 90.0, 6)
	
	// ړ
	player.Walk(     -80.00, -15.00)
	npcPartner.Walk( -90.00, -15.00)
	while(!player.Wait()){}			// ړI҂
	while(!npcPartner.Wait()){}		// ړI҂
	
	// XvbhtF[hAEg
	FadeOutUpSpread()
}



/**
 * aFXɃv[g
 */
function EventScene_JapanWholesaleStoreDetachedHouse() : (MSG_DATA)
{
	// ================================
	// F≮̗̑O
	
	// }bvύX
	Map.Change( "Japan_Main")		// aC
	
	// oL̏
	player = ObjectManager.CreatePlayer()
	npcPartner = ObjectManager.CreateNpc( PartnerIdStr)
	while(!ObjectManager.CreateWait()){}
	
	
	// L̐ݒ
	player.SetCharaPos(     75.00, -125.00)
	npcPartner.SetCharaPos( 85.00, -115.00)
	
	CharaSetDirObj( player, npcPartner)
	CharaSetDirObj( npcPartner, player)
	
	
	// J̐ݒ
	camera.SetCameraPos( -35.50, 40.00, -115.00)
	camera.SetTargetPos(   0.00, 35.00, -150.00)
	
	
	
	// ================================
	// oF≮̗̑O
	
	// XvbhtF[hC
	FadeInUpSpread()
	
	// ҋ@
	Wait(30)
	
	// ړ
	player.Walk(     30.00, -190.00)
	npcPartner.Walk( 40.00, -180.00)
	
	while(!player.Wait()){}			// ړI҂
	while(!npcPartner.Wait()){}		// ړI҂
	
	// ]F
	CharaWalkRotFace2Face( player, npcPartner, 5)
	
	// ҋ@
	Wait(30)
	
	// [VFwx
	player.SetMotion( "Nod")
	npcPartner.SetMotion( "Nod")
	while(!player.Wait());
	while(!npcPartner.Wait());
	
	// ҋ@
	WaitInterval()
	
	// ]FƂ
	MultiCharaWalkRotDeg( [npcPartner, player], 180.0, 10)
	
	// ҋ@
	WaitInterval()
	
	// tF[hAEgiVb^[j
	FadeOutUpShutter()
	
	
	
	// ================================
	// F≮̗
	
	// }bvύX
	Map.Change( "WholesaleStore_DetachedHouse")		// ≮̗Qa
	
	// oL̏
	player = ObjectManager.CreatePlayer()
	npcPartner = ObjectManager.CreateNpc( PartnerIdStr)
	
	local npcMigrantGirl = ObjectManager.CreateNpc( "MigrantGirl")	// X
	while(!ObjectManager.CreateWait()){}
	
	// L̐ݒ
	player.SetCharaPos(     -10.00, 25.00)
	npcPartner.SetCharaPos( -20.00, 10.00)
	
	// xbhɐQFX
	CharaSetBedDown( npcMigrantGirl, "Sleep_MigrantGirl")
	
	
	// J̐ݒ
	camera.SetCameraPos( -35.00, 28.00,   4.50)
	camera.SetTargetPos( -45.00,  8.00, -40.00)
	
	
	
	// ================================
	// oF≮̗
	
	local childMsdId = "_MigrantGirl"
	
	// ҋ@
	Wait(30)
	
	// tF[hCiVb^[j
	FadeInUpShutter()
	
	// ҋ@
	Wait(60)
	
	// Jړ
	camera.Move( VEC3( 25.00, 0.00, 5.00), 120)
	while(!camera.Wait()){}			// J̈ړI҂
	
	// ړ
	npcPartner.Walk( -25.00, -50.00)
	player.Walk(     -15.00, -35.00)
	while(!npcPartner.Wait()){}		// ړI҂
	while(!player.Wait()){}		// ړI҂
	
	// ]F
	CharaWalkRotFace2Face( player, npcPartner, 5)
	
	// ҋ@
	WaitInterval()
	
	// bZ[WFIun H v[gP / v[gQ / v[gRv
	local giftMsgId = MSG_DATA.ID+"07"+childMsdId
	SelectMsgResult1stPresentNo = MsgUtil.OpenSelectMsg( MSG_DATA.Name, giftMsgId, [ giftMsgId+"_GIFT1", giftMsgId+"_GIFT2", giftMsgId+"_GIFT3"]);
	
	// ACeĂ
	local itemModelIdStr = "WrappingJ04"
	local itemModel = ItemModelManager.Create( itemModelIdStr)
	while(!ItemModelManager.CreateWait());
	itemModel.SetPos( VEC3( -45.00, 0.00, 45.00))		// Ȃꏊ
	
	// ҋ@
	WaitInterval()
	
	// v[go
	player.LiftItemFront( itemModelIdStr)
	while(!player.Wait()){}
	
	// v[gn
	HandOverItem( player, npcPartner, itemModelIdStr)
	
	// ҋ@
	WaitInterval()
	
	// v[gu̗ʒu
	local partnerPutDownPoint = VEC3( -45.00, 0.00, -50.00)
	
	// ]
	CharaWalkRotPos( npcPartner, partnerPutDownPoint, 5)
	
	// ړ
	npcPartner.Walk( partnerPutDownPoint.x, partnerPutDownPoint.z)
	
	// ]
	CharaWalkRotPos( player, partnerPutDownPoint, 5)
	
	while(!npcPartner.Wait()){}		// ړI҂
	
	// v[guꏊ
	local giftItemPoint = VEC3( -50.00, 5.02, -50.00)
	
	// v[gɒu
	PutItemOnGround( npcPartner, itemModel, giftItemPoint)
	
	// ]
	CharaWalkRotObj( npcPartner, npcMigrantGirl, 5)
	
	// ҋ@
	Wait(30)
	
	// tF[hAEg
	FadeOutUpBlack()
	
	// ACe폜
	ItemModelManager.Delete( itemModel)
	
	
	
	// ================================
	// F≮̗̑O
	
	// }bvύX
	Map.Change( "Japan_Main")		// aC
	
	// oL̏
	player = ObjectManager.CreatePlayer()
	npcPartner = ObjectManager.CreateNpc( PartnerIdStr)
	while(!ObjectManager.CreateWait()){}
	
	// L̐ݒ
	player.SetCharaPos(     50.00, -180.00)
	npcPartner.SetCharaPos( 35.00, -185.00)
	
	player.SetRotY( Math.Deg2Rad(0.0))
	npcPartner.SetRotY( Math.Deg2Rad(0.0))
	
	
	// J̐ݒ
	camera.SetCameraPos( 90.00, 45.00, -115.00)
	camera.SetTargetPos( 55.00, 30.00, -150.00)
	
	
	
	// ================================
	// oF≮̗̑O	
	
	// tF[hC
	FadeInUpBlack()
	
	// ҋ@
	Wait(30)
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"08"+childMsdId)
	
	// ]FƂ
	MultiCharaWalkRotDeg( [npcPartner, player], 180.0, 5)
	
	// ҋ@
	WaitInterval()
	
	
	// v[g̔bZ[W\
	OpenGiftReactionMsg( childMsdId, SelectMsgResult1stPresentNo)
	
	// ҋ@
	WaitInterval()
	
	// ]F
	CharaWalkRotFace2Face( player, npcPartner, 5)
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwx
	MultiCharaEmotion( [player, npcPartner], "Fukidashi_Fun")
	
	// XvbhtF[hAEg
	FadeOutUpSpread()
}



/**
 * 썑FVNɃv[g
 */
function EventScene_SouthOldPersonHouse() : (MSG_DATA)
{
	// ================================
	// FVl̎̑O
	
	// }bvύX
	Map.Change( "South_Main")		// 썑C
	
	// oL̏
	player = ObjectManager.CreatePlayer()
	npcPartner = ObjectManager.CreateNpc( PartnerIdStr)
	while(!ObjectManager.CreateWait()){}
	
	// L̐ݒ
	player.SetCharaPos(     -258.00, 70.00)
	npcPartner.SetCharaPos( -242.00, 70.00)
	
	
	// J̐ݒ
	camera.SetCameraPos( -320.00, 80.00, 60.00)
	camera.SetTargetPos( -285.00, 65.00, 25.00)
	
	
	
	// ================================
	// oFVl̎̑O
	
	// tF[hC
	FadeInUpBlack()	
	
	// Jړ
	camera.Move( VEC3( 0.00, -40.00, 0.00), 120)
	
	// ҋ@
	Wait(50)
	
	// tF[hAEg
	FadeOutUpBlack()
	
	while(!camera.Wait()){}			// J̈ړI҂
	
	// J̐ݒ
	camera.SetCameraPos( -290.00, 35.00, 80.00)
	camera.SetTargetPos( -265.00, 25.00, 40.00)
	
	// ҋ@
	Wait(30)
	
	// tF[hC
	FadeInUpBlack()
	
	// ړ
	player.Walk(     -258.00, 30.00)
	npcPartner.Walk( -242.00, 30.00)
	
	while(!player.Wait()){}			// ړI҂
	while(!npcPartner.Wait()){}
	
	
	// ]F
	CharaWalkRotFace2Face( player, npcPartner, 5)
	
	// ҋ@
	WaitInterval()
	
	// [VFwx
	player.SetMotion( "Nod")
	npcPartner.SetMotion( "Nod")
	while(!player.Wait());
	while(!npcPartner.Wait());
	
	// ҋ@
	Wait(30)
	
	// ]FƂ
	MultiCharaWalkRotDeg( [npcPartner, player], 180.0, 10)
	
	// ҋ@
	WaitInterval()
	
	// tF[hAEgiVb^[j
	FadeOutUpShutter()
	
	
	
	// ================================
	// FVl̎
	
	// }bvύX
	Map.Change( "OldPerson_House")		// Vl̎Q썑
	
	// oL̏
	player = ObjectManager.CreatePlayer()
	npcPartner = ObjectManager.CreateNpc( PartnerIdStr)
	
	local npcAngler         = ObjectManager.CreateNpc( "Angler")			// no
	local npcAnglerGrandson = ObjectManager.CreateNpc( "AnglerGrandson")	// eBO
	while(!ObjectManager.CreateWait()){}
	
	// L̐ݒ
	player.SetCharaPos(     -25.00, -20.00)
	npcPartner.SetCharaPos( -40.00, -25.00)
	
	// xbhɐQFno
	CharaSetBedDown( npcAngler, "Sleep_Angler")
	// xbhɐQFeBO
	CharaSetBedDown( npcAnglerGrandson, "Sleep_AnglerGrandson")
	
	
	// J̐ݒ
	camera.SetCameraPos( -105.00, 25.00, -30.00)
	camera.SetTargetPos( -105.00,  5.00, -75.00)
	
	
	
	// ================================
	// oFVl̎
	
	local childMsdId = "_AnglerGrandson"
	
	// ҋ@
	Wait(30)
	
	// tF[hCiVb^[j
	FadeInUpShutter()
	
	// ҋ@
	Wait(60)
	
	// Jړ
	camera.Move( VEC3( 10.0, 0.0, 0.0), 60)
	while(!camera.Wait()){}			// J̈ړI҂
	camera.Move( VEC3( 40.0, 0.0, 0.0), 30)
	while(!camera.Wait()){}			// J̈ړI҂
	camera.Move( VEC3( 10.0, 0.0, 0.0), 60)
	while(!camera.Wait()){}			// J̈ړI҂
	
	// ҋ@
	Wait(90)
	
	// tF[hAEg
	FadeOutUpBlack()
	
	// J̐ݒ
	camera.SetCameraPos( -70.00, 28.00, -10.50)
	camera.SetTargetPos( -60.00,  8.00, -55.00)
	
	// ҋ@
	Wait(30)
	
	// tF[hC
	FadeInUpBlack()	
	
	// ړ
	player.Walk(     -55.00, -35.00)
	npcPartner.Walk( -70.00, -40.00)
	while(!player.Wait()){}			// ړI҂
	while(!npcPartner.Wait()){}		// ړI҂
	
	// ]F
	CharaWalkRotFace2Face( player, npcPartner, 5)
	
	// ҋ@
	WaitInterval()
	
	// bZ[WFIun H v[gP / v[gQ / v[gRv
	local giftMsgId = MSG_DATA.ID+"07"+childMsdId
	SelectMsgResult1stPresentNo = MsgUtil.OpenSelectMsg( MSG_DATA.Name, giftMsgId, [ giftMsgId+"_GIFT1", giftMsgId+"_GIFT2", giftMsgId+"_GIFT3"]);
	
	// ACeĂ
	local itemModelIdStr = "WrappingS03"
	local itemModel = ItemModelManager.Create( itemModelIdStr)
	while(!ItemModelManager.CreateWait());
	itemModel.SetPos( VEC3( -50.00, 0.00, -20.00))		// Ȃꏊ
	
	// ҋ@
	WaitInterval()
	
	// v[go
	player.LiftItemFront( itemModelIdStr)
	while(!player.Wait()){}
	
	// v[gn
	HandOverItem( player, npcPartner, itemModelIdStr)
	
	// ҋ@
	WaitInterval()
	
	// v[gu̗ʒu
	local partnerPutDownPoint = VEC3( -60.00, 0.00, -65.00)
	
	// ]
	CharaWalkRotPos( npcPartner, partnerPutDownPoint, 5)
	
	// ړ
	npcPartner.Walk( partnerPutDownPoint.x, partnerPutDownPoint.z)
	
	// ]
	CharaWalkRotPos( player, partnerPutDownPoint, 5)
	
	while(!npcPartner.Wait()){}		// ړI҂
	
	// ҋ@
	WaitInterval()
	
	// eBOւ̃v[guꏊ
	local giftItemPoint = VEC3( -55.00, 0.00, -70.00)
	
	// ]
	CharaWalkRotPos( npcPartner, giftItemPoint, 5)
	
	// v[gɒu
	PutItemOnGround( npcPartner, itemModel, giftItemPoint)
	
	// ҋ@
	WaitInterval()
	
	// ]F
	CharaWalkRotFace2Face( player, npcPartner, 5)
	
	// GtFNgFwx
	MultiCharaEmotion( [npcPartner, player], "Fukidashi_Fun")
	
	// ҋ@
	Wait(30)
	
	// tF[hAEg
	FadeOutUpBlack()
	
	// ACe폜
	ItemModelManager.Delete( itemModel)
	
	
	
	// ================================
	// oFeBON
	
	// L̐ݒ
	player.SetCharaPos(       0.00,  -5.00)
	npcPartner.SetCharaPos( -15.00, -15.00)
	
	
	// J̐ݒ
	camera.SetCameraPos( 70.00, 28.00, 75.00)
	camera.SetTargetPos( 70.00,  8.00, 30.00)
	
	// ҋ@
	Wait(60)
	
	// tF[hC
	FadeInUpBlack()
	
	
	// ړ
	player.Walk(     75.00, 35.00)
	npcPartner.Walk( 60.00, 25.00)
	while(!player.Wait()){}			// ړI҂
	while(!npcPartner.Wait()){}		// ړI҂
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"08"+childMsdId)
	
	// GtFNgFwIx
	MultiCharaEmotionNoWait( [npcPartner, player], "Fukidashi_Ameaze")
	// ]F
	CharaWalkRotFace2Face( player, npcPartner, 5)
	WaitMultiCharaEmotion( [npcPartner, player])		// GtFNgI҂
	
	// ҋ@
	Wait(30)
	
	// ]FeBO̕
	MultiCharaWalkRotObj( [npcPartner, player], npcAnglerGrandson, 10)
	
	// v[g̔bZ[W\
	OpenGiftReactionMsg( childMsdId, SelectMsgResult1stPresentNo)
	
	// ҋ@
	WaitInterval()
	
	// ]F
	CharaWalkRotFace2Face( player, npcPartner, 5)
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwx
	MultiCharaEmotion( [player, npcPartner], "Fukidashi_Fun")
	
	// ҋ@
	Wait(30)
	
	local walkAwayPoint = VEC3( 70.00, 0.00, 75.00)
	
	// ]
	MultiCharaWalkRotPos( [npcPartner, player], walkAwayPoint, 5)
	
	// ړ
	player.Walk(     walkAwayPoint.x, walkAwayPoint.z)
	npcPartner.Walk( walkAwayPoint.x, walkAwayPoint.z)
	while(!player.Wait()){}			// ړI҂
	while(!npcPartner.Wait()){}		// ړI҂
	
	// XvbhtF[hAEg
	FadeOutUpSpread()
}



/**
 * 썑FVNƃA}Ƀv[g
 */
function EventScene_SouthFishermanHouse() : (MSG_DATA)
{
	// ================================
	// Ft̑O
	
	// }bvύX
	Map.Change( "South_Sub")		// 썑Tu
	
	// oL̏
	player = ObjectManager.CreatePlayer()
	npcPartner = ObjectManager.CreateNpc( PartnerIdStr)
	while(!ObjectManager.CreateWait()){}
	
	// L̐ݒ
	player.SetCharaPos(     10.00, -110.00)
	npcPartner.SetCharaPos( 20.00, -105.00)
	player.SetRotY( Math.Deg2Rad(180.0))
	npcPartner.SetRotY( Math.Deg2Rad(180.0))
	
	
	// J̐ݒ
	camera.SetCameraPos( -60.00, 40.00, -60.00)
	camera.SetTargetPos( -20.00, 30.00, -90.00)
	
	
	
	// ================================
	// oFt̑O
	
	// XvbhtF[hC
	FadeInUpSpread()
	
	// ҋ@
	Wait(30)
	
	// ]F
	CharaWalkRotFace2Face( player, npcPartner, 10)
	
	// ҋ@
	Wait(30)
	
	// GtFNgFw킢킢x
	MultiCharaEmotion( [npcPartner, player], "Fukidashi_Waiwai")
	
	// ҋ@
	WaitInterval()
	
	// ]FƂ
	MultiCharaWalkRotDeg( [npcPartner, player], 180.0, 10)
	
	// ړ
	player.Walk(     10.00, -150.00)
	npcPartner.Walk( 20.00, -145.00)
	
	// ҋ@
	WaitInterval()
	
	// tF[hAEgiVb^[j
	FadeOutUpShutter()
	
	while(!player.Wait()){}			// ړI҂
	while(!npcPartner.Wait()){}		// ړI҂
	
	
	
	// ================================
	// Ft̎
	
	// }bvύX
	Map.Change( "Fisherman_House")		// t̎Q썑
	
	// oL̏
	player = ObjectManager.CreatePlayer()
	npcPartner = ObjectManager.CreateNpc( PartnerIdStr)
	
	local npcFisher         = ObjectManager.CreateNpc( "Fisher")			// UnD
	local npcFisherWife     = ObjectManager.CreateNpc( "FisherWife")		// J
	local npcFisherSon      = ObjectManager.CreateNpc( "FisherSon")			// VN
	local npcFisherDaughter = ObjectManager.CreateNpc( "FisherDaughter")	// A}
	while(!ObjectManager.CreateWait()){}
	
	// L̐ݒ
	player.SetCharaPos(     -45.00, -10.00)
	npcPartner.SetCharaPos( -50.00, -10.00)
	
	// xbhɐQFUnD
	CharaSetBedDown( npcFisher, "Sleep_Fisher")
	// xbhɐQFJ
	CharaSetBedDown( npcFisherWife, "Sleep_FisherWife")
	// xbhɐQFVN
	CharaSetBedDown( npcFisherSon, "Sleep_FisherSon")
	// xbhɐQFA}
	CharaSetBedDown( npcFisherDaughter, "Sleep_FisherDaughter")
	
	
	// J̐ݒ
	camera.SetCameraPos( -50.00, 28.00,  -65.50)
	camera.SetTargetPos( -20.00,  8.00, -100.00)
	
	
	
	// ================================
	// oFt̎
	
	local sonChildMsdId      = "_FisherSon"			// VN
	local daughterChildMsdId = "_FisherDaughter"	// A}
	
	// ҋ@
	Wait(30)
	
	// Jړ
	camera.Move( VEC3( 0.0, 0.0, 50.0), 180)
	
	// tF[hCiVb^[j
	FadeInUpShutter()
	
	// ҋ@
	Wait(70)
	
	
	// tF[hAEg
	FadeOutUpBlack()
	
	while(!camera.Wait()){}			// J̈ړI҂
	
	// J̐ݒ
	camera.SetCameraPos( -70.00, 32.50, -10.00)
	camera.SetTargetPos( -50.00, 10.00, -50.00)
	
	// ҋ@
	Wait(30)
	
	// tF[hC
	FadeInUpBlack()
	
	
	// ړ
	npcPartner.Walk( -50.00, -55.00)
	Wait(10)
	player.Walk(     -45.00, -40.00)
	while(!player.Wait()){}			// ړI҂
	while(!npcPartner.Wait()){}		// ړI҂
	
	// ]F
	CharaWalkRotFace2Face( player, npcPartner, 5)
	
	// ҋ@
	WaitInterval()
	
	// bZ[WFIuVNɉn H v[gP / v[gQ / v[gRv
	local sonGiftMsgId = MSG_DATA.ID+"07"+sonChildMsdId
	SelectMsgResult1stPresentNo = MsgUtil.OpenSelectMsg( MSG_DATA.Name, sonGiftMsgId, [ sonGiftMsgId+"_GIFT1", sonGiftMsgId+"_GIFT2", sonGiftMsgId+"_GIFT3"]);
	
	// ACeĂ
	local sonItemModelIdStr = "WrappingS05"
	local sonItemModel = ItemModelManager.Create( sonItemModelIdStr)
	while(!ItemModelManager.CreateWait());
	sonItemModel.SetPos( VEC3( 20.00, 0.00, 40.00))		// Ȃꏊ
	
	// v[go
	player.LiftItemFront( sonItemModelIdStr)
	while(!player.Wait()){}
	
	// v[gn
	HandOverItem( player, npcPartner, sonItemModelIdStr)
	
	// ҋ@
	WaitInterval()
	
	// v[gu̗ʒuFp[gi[
	local partnerPutDownPoint = VEC3( -20.00, 0.00, -75.00)
	
	// ]
	CharaWalkRotPos( npcPartner, partnerPutDownPoint, 5)
	
	// ړ
	npcPartner.Walk( partnerPutDownPoint.x, partnerPutDownPoint.z)
	
	// ]
	CharaWalkRotPos( player, partnerPutDownPoint, 5)
	
	while(!npcPartner.Wait()){}		// ړI҂
	
	// ҋ@
	WaitInterval()
	
	// VNւ̃v[guꏊ
	local sonGiftItemPoint = VEC3( -10.00, 0.00, -75.00)
	
	// ]
	CharaWalkRotPos( npcPartner, sonGiftItemPoint, 5)
	
	// v[gɒu
	PutItemOnGround( npcPartner, sonItemModel, sonGiftItemPoint)
	
	// ҋ@
	WaitInterval()
	
	// ]
	MultiCharaWalkRotObj( [npcPartner, player], npcFisherDaughter, 10)
	
	// ҋ@
	WaitInterval()
	
	
	// bZ[WFIuA}ɉn H v[gP / v[gQ / v[gRv
	local daughterGiftMsgId = MSG_DATA.ID+"07"+daughterChildMsdId
	SelectMsgResult2ndPresentNo = MsgUtil.OpenSelectMsg( MSG_DATA.Name, daughterGiftMsgId, [ daughterGiftMsgId+"_GIFT1", daughterGiftMsgId+"_GIFT2", daughterGiftMsgId+"_GIFT3"]);
	
	// ACeĂ
	local daughterItemModelIdStr = "WrappingS06"
	local daughterItemModel = ItemModelManager.Create( daughterItemModelIdStr)
	while(!ItemModelManager.CreateWait());
	daughterItemModel.SetPos( VEC3( 30.00, 0.00, 40.00))		// Ȃꏊ
	
	// v[go
	player.LiftItemFront( daughterItemModelIdStr)
	while(!player.Wait()){}
	
	// v[gu̗ʒuFl
	local playerPutDownPoint = VEC3( -20.00, 0.00, -40.00)
	
	// ]
	CharaWalkRotPos( player, playerPutDownPoint, 5)
	
	// ړ
	player.Walk( playerPutDownPoint.x, playerPutDownPoint.z)
	while(!player.Wait()){}		// ړI҂
	
	// A}ւ̃v[guꏊ
	local daughterGiftItemPoint = VEC3( -10.00, 0.00, -40.00)
	
	// ҋ@
	WaitInterval()
	
	// v[gɒu
	PutItemOnGround( player, daughterItemModel, daughterGiftItemPoint)
	
	// ]F
	CharaWalkRotFace2Face( player, npcPartner, 5)
	
	// GtFNgFwx
	MultiCharaEmotion( [npcPartner, player], "Fukidashi_Fun")
	
	// ҋ@
	Wait(30)
	
	// tF[hAEg
	FadeOutUpBlack()
	
	// ACe폜
	ItemModelManager.Delete( sonItemModel)
	ItemModelManager.Delete( daughterItemModel)
	
	
	
	// ================================
	// Ft̑O
	
	// }bvύX
	Map.Change( "South_Sub")		// 썑Tu
	
	// oL̏
	player = ObjectManager.CreatePlayer()
	npcPartner = ObjectManager.CreateNpc( PartnerIdStr)
	while(!ObjectManager.CreateWait()){}
	
	
	// L̐ݒ
	player.SetCharaPos(     20.00, -145.00)
	npcPartner.SetCharaPos( 10.00, -145.00)
	
	player.SetRotY( Math.Deg2Rad(0.0))
	npcPartner.SetRotY( Math.Deg2Rad(0.0))
	
	
	// J̐ݒ
	camera.SetCameraPos( 65.00, 40.00,  -80.00)
	camera.SetTargetPos( 40.00, 25.00, -120.00)
	
	
	
	// ================================
	// oFt̑O
	
	// tF[hC
	FadeInUpBlack()
	
	// ҋ@
	Wait(30)
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"08"+daughterChildMsdId)
	
	// ]F
	CharaWalkRotFace2Face( player, npcPartner)
	
	// ҋ@
	Wait(30)
	
	// ]FƂ
	MultiCharaWalkRotDeg( [npcPartner, player], 180.0, 10)
	
	// ҋ@
	Wait(30)
	
	
	// v[g̔bZ[W\FA}
	OpenGiftReactionMsg( daughterChildMsdId, SelectMsgResult2ndPresentNo)
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"08"+sonChildMsdId)
	
	// ҋ@
	Wait(60)
	
	// v[g̔bZ[W\FVN
	OpenGiftReactionMsg( sonChildMsdId, SelectMsgResult1stPresentNo)
	
	// ҋ@
	WaitInterval()
	
	// ]F
	CharaWalkRotFace2Face( player, npcPartner, 5)
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwx
	MultiCharaEmotion( [npcPartner, player], "Fukidashi_Fun")
	
	// ҋ@
	Wait(30)
	
	// ]FA
	MultiCharaWalkRotDeg( [npcPartner, player], 0.0, 10)
	
	// ړ
	player.Walk(     20.00, -90.00)
	npcPartner.Walk( 10.00, -90.00)
	
	// XvbhtF[hAEg
	FadeOutUpSpread()
	
	while(!player.Wait()){}			// ړI҂
	while(!npcPartner.Wait()){}		// ړI҂
}



/**
 * 
 */
function EventScene_GiftCompleted() : (MSG_DATA)
{
	// ================================
	// 
	if( SelectMsgResultVisitCountry == eVisitCountry.America)
	{
		// }bvύX
		Map.Change( "America_Main")		// kăC
		
		// oL̏
		player = ObjectManager.CreatePlayer()
		npcPartner = ObjectManager.CreateNpc( PartnerIdStr)
		while(!ObjectManager.CreateWait()){}
		
		// L̐ݒ
		player.SetCharaPos(     -5.00, -160.00)
		npcPartner.SetCharaPos( 10.00, -165.00)
		
		CharaSetDirObj( player, npcPartner)
		CharaSetDirObj( npcPartner, player)
		
		// J̐ݒ
		camera.SetCameraPos( -20.00, 75.00, -130.00)
		camera.SetTargetPos(   5.00, 65.00, -170.00)
	}
	else if( SelectMsgResultVisitCountry == eVisitCountry.Japan)
	{
		// }bvύX
		Map.Change( "Japan_Main")		// aC
		
		// oL̏
		player = ObjectManager.CreatePlayer()
		npcPartner = ObjectManager.CreateNpc( PartnerIdStr)
		while(!ObjectManager.CreateWait()){}
		
		// L̐ݒ
		player.SetCharaPos(     120.00, 65.00)
		npcPartner.SetCharaPos( 135.00, 55.00)
		
		CharaSetDirObj( player, npcPartner)
		CharaSetDirObj( npcPartner, player)
		
		// J̐ݒ
		camera.SetCameraPos( 120.00, 25.00, 110.00)
		camera.SetTargetPos( 130.00, 15.00,  60.00)
	}
	else{
		// }bvύX
		Map.Change( "South_Sub")		// 썑Tu
		
		// oL̏
		player = ObjectManager.CreatePlayer()
		npcPartner = ObjectManager.CreateNpc( PartnerIdStr)
		while(!ObjectManager.CreateWait()){}
		
		// L̐ݒ
		player.SetCharaPos(     -30.00, 10.00)
		npcPartner.SetCharaPos( -25.00, -5.00)
		
		CharaSetDirObj( player, npcPartner)
		CharaSetDirObj( npcPartner, player)
		
		// J̐ݒ
		camera.SetCameraPos(   0.00, 20.00, 35.00)
		camera.SetTargetPos( -30.00, 10.00,  0.00)
	}
	
	
	// ================================
	// o
	
	// XvbhtF[hC
	FadeInUpSpread()
	
	// ҋ@
	Wait(30)
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"10_"+ PartnerMsgIdStr)
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwx
	PlayFukidashiEffect( player, "Fukidashi_Fun")
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"11_"+ PartnerMsgIdStr)
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFw΂x
	MultiCharaEmotion( [npcPartner, player], "Fukidashi_Laugh")
	
	// ҋ@
	WaitInterval()
	
	// qւ̃v[gLŕ
	if( IsAppearGrownChild() && GetMarriageNpc() != "Inari")
	{
		// qɃv[gn
		
		// bZ[W
		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"12_"+ PartnerMsgIdStr)
		
		// ҋ@
		WaitInterval()
		
		// [VFwx
		player.SetMotion( "Nod")
		while(!player.Wait());
		
		// ҋ@
		WaitInterval()
		
		// XvbhtF[hAEg
		FadeOutUpSpread()
		
		// V[ɑ
	}
	else
	{
		// qɃv[gnV[͖
		
		// tF[hAEg
		FadeOutUpBlack()
		
		// CxgI
	}
}



/**
 * FqɃv[gz
 */
function EventScene_MyHousePresentForChild() : (MSG_DATA)
{
	// ================================
	// Fv[gn
	
	// }bvύXF
	Map.Change( PersonalData.GetMyHouseInteriorDesignMapIdStr())
	
	// oL̏
	player = ObjectManager.CreatePlayer()
	npcPartner = ObjectManager.CreateNpc( PartnerIdStr)
	local npcChild = ObjectManager.CreateNpc( ChildIdStr)
	while(!ObjectManager.CreateWait()){}
	
	
	// L̐ݒ
	player.SetCharaPos(     -10.0, 10.0)
	npcPartner.SetCharaPos(   0.0, -5.0)
	CharaSetDirObj( player, npcPartner)
	CharaSetDirObj( npcPartner, player)
	
	// xbhɐQFq
	CharaSetBedDown( npcChild, GetSleepChildHouseMapPointId())
	
	
	// J̐ݒ
	camera.SetCameraPos(  20.00, 28.00, 17.50)
	camera.SetTargetPos( -20.00,  8.00, -5.00)
	
	
	
	// ================================
	// oFv[gn
	
	// qMSGݒ
	local childMsgId = ((ChildData.GetSex() == eSex.eSex_Male) ? "_ChildBoy" : "_ChildGirl")

	// XvbhtF[hC
	FadeInUpSpread()
	
	// ҋ@
	Wait(30)
	
	// bZ[WFIuv[g H v[gP / v[gQ / v[gRv
	local selectMsgId = MSG_DATA.ID+"13"+childMsgId
	SelectMsgResultChildPresentNo = MsgUtil.OpenSelectMsg( MSG_DATA.Name, MSG_DATA.ID+"13", [ selectMsgId+"_GIFT1", selectMsgId+"_GIFT2", selectMsgId+"_GIFT3" ] )
	
	// ǏʂƎq̍D݂烉bsO̎ނݒ
	local itemModelIdStr = ""
	if( SelectMsgResultChildPresentNo == ePresentNo.Item1){			itemModelIdStr = "WrappingA06";	}
	else if( SelectMsgResultChildPresentNo == ePresentNo.Item2){	itemModelIdStr = "WrappingJ06";	}
	else{															itemModelIdStr = "WrappingS06";	}
	
	// ACeĂ
	local itemModel = ItemModelManager.Create( itemModelIdStr)
	while(!ItemModelManager.CreateWait());
	itemModel.SetPos( VEC3( 35.00, 0.00, 45.00))		// Ȃꏊ
	
	// ҋ@
	WaitInterval()
	
	// v[go
	player.LiftItemFront( itemModelIdStr)
	while(!player.Wait()){}
	
	// v[guꏊ
	local giftItemPoint = VEC3( -10.00, player.GetPos().y, 0.00)
	
	// ]
	MultiCharaWalkRotPos( [npcPartner, player], giftItemPoint, 5)
	
	// v[gɒu
	PutItemOnGround( player, itemModel, giftItemPoint)
	
	// ҋ@
	WaitInterval()
	
	// ]F
	CharaWalkRotFace2Face( player, npcPartner, 5)
	
	// GtFNgFwx
	MultiCharaEmotion( [npcPartner, player], "Fukidashi_Fun")
	
	// ҋ@
	Wait(30)
	
	// l̈ړݒ
	local playerWalkAwayPoint  = VEC3( -25.0, 0.0, 40.0)
	local partnerWalkAwayPoint = VEC3(   5.0, 0.0,  0.0) + playerWalkAwayPoint
	
	// ]
	MultiCharaWalkRotPos( [npcPartner, player], playerWalkAwayPoint, 10)
	
	// lړ
	player.Walk( playerWalkAwayPoint.x, playerWalkAwayPoint.z)
	npcPartner.Walk( partnerWalkAwayPoint.x, partnerWalkAwayPoint.z)
	Wait(10)
	
	// Vb^[tF[hAEg
	FadeOutUpShutter()
	
	
	
	// ================================
	// FqN
	
	while(!player.Wait());		// ړI҂
	while(!npcPartner.Wait());		// ړI҂
	
	// ACe폜
	ItemModelManager.Delete( itemModel)
	
	// Lݒ
	player.SetCharaPos(     -115.00, 45.00)
	npcPartner.SetCharaPos( -105.00, 35.00)
	CharaSetDirObj( player, npcPartner)
	CharaSetDirObj( npcPartner, player)
	
	
	// J̐ݒ
	camera.SetCameraPos(  -95.00, 28.00, 70.00)
	camera.SetTargetPos( -115.00,  8.00, 30.00)
	
	
	
	// ================================
	// oFqN
	
	// ҋ@
	Wait(60)
	
	// Vb^[tF[hC
	FadeInUpShutter()
	
	// ҋ@
	Wait(30)
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"14"+childMsgId)
	
	// GtFNgFwIx
	MultiCharaEmotionNoWait( [player, npcPartner], "Fukidashi_Ameaze")
	// ]F
	MultiCharaWalkRotDeg( [player, npcPartner], 90.0, 10)
	WaitMultiCharaEmotion( [player, npcPartner])		// GtFNgI҂
	
	// ҋ@
	Wait(30)
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"15"+childMsgId+TLE)
	
	// ҋ@
	WaitInterval()
	
	// SEF
	Sound.PlaySEAndWait("Forest_In")
	
	// IACeɂ胁bZ[WIDݒ
	local itemNoMsgId = ""
	if( SelectMsgResultChildPresentNo == ePresentNo.Item1){			itemNoMsgId = "_GIFT1";	}
	else if( SelectMsgResultChildPresentNo == ePresentNo.Item2){	itemNoMsgId = "_GIFT2";	}
	else{															itemNoMsgId = "_GIFT3";	}
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"16"+childMsgId+itemNoMsgId)
	
	// ]F
	CharaWalkRotFace2Face( player, npcPartner, 5)
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFw΂x
	MultiCharaEmotion( [npcPartner, player], "Fukidashi_Laugh")
	
	// ҋ@
	WaitInterval()
	
	// ]
	MultiCharaWalkRotDeg( [player, npcPartner], 90.0, 10)
	
	// ړ
	player.Walk(     -75.00, 45.00)
	npcPartner.Walk( -75.00, 35.00)
	while(!player.Wait());		// ړI҂
	while(!npcPartner.Wait());		// ړI҂
	
	// tF[hAEg
	FadeOutUpBlack()
	
	
	
	// ================================
	// FqƉb
	
	player.SetCharaPos(     -13.00, 30.00)
	npcPartner.SetCharaPos(  -3.00, 32.00)
	
	npcChild.SetFlight( false)
	npcChild.SetCharaPos( -10.0, -10.0)
	npcChild.SetRotY( Math.Deg2Rad(90.0))
	npcChild.ChangeFaceAnim( FaceAnimId.Open)		// ڂJ
	npcChild.LoopMotionEnd()
	Wait(1)
	// v[g
	LiftItemFrontNoSE( npcChild, itemModelIdStr)
	
	
	// J̐ݒ
	camera.SetCameraPos(  25.00, 28.00,   5.00)
	camera.SetTargetPos( -15.00,  8.00, -10.00)
	
	
	
	// ================================
	// oFqƉb
	
	// ҋ@
	Wait(30)
	
	// tF[hC
	FadeInUpBlack()
	
	// ҋ@
	Wait(30)
	
	// GtFNgFw킢킢x
	PlayFukidashiEffect( npcChild, "Fukidashi_Waiwai")
	
	// Jړ
	camera.Move( VEC3( 0.0, 0.0, 10.0), 60)
	
	// lړ
	player.Walk(     -13.00, 10.00)
	npcPartner.Walk(  -3.00, 12.00)
	
	while(!player.Wait());			// ړI҂
	while(!npcPartner.Wait());		// ړI҂
	while(!camera.Wait()){}			// J̈ړI҂
	
	// ]
	MultiCharaWalkRotObj( [npcPartner, player], npcChild)
	
	// GtFNgFwIx
	npcChild.SetEffect("Fukidashi_Ameaze")
	// ]
	CharaWalkRotDeg( npcChild, 0.0, 6)
	while(!npcChild.WaitEffect()){}		// GtFNgI҂
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"17"+childMsgId+TLE)
	
	// ҋ@
	WaitInterval()
	
	// ACe܂
	npcChild.ItemPutInBag()
	
	// GtFNgFw킢킢x
	MultiCharaEmotion( [npcPartner, player], "Fukidashi_Waiwai")
	
	while(!npcChild.Wait());
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"18_"+ PartnerMsgIdStr)
	
	// ҋ@
	WaitInterval()
	
	// [VFwx
	npcChild.SetMotion( "Nod")
	// GtFNgFwn[gxlɕ\
	PlayFukidashiEffect( npcChild, "Fukidashi_Heart")
	while(!npcChild.Wait());		// [VI҂
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"19"+childMsgId+TLE)
	
	// ҋ@
	WaitInterval()
	
	// tF[hAEg
	FadeOutUpBlack()
}



/**
 * CxgI
 */
function EventEnd() : (EventName)
{
	EventFinalizeCommon(EventName)
	
	// CxgIAlN̈ʒu
	Map.EventEndWeakupPoint()
}

