// Cxg
local EventName = "Tutorial_Marriage"

// bZ[W
local MSG_DATA = 
{
	Name = "Tutorial_Marriage"
	ID   = "MES_EV_TUTORIAL_MARRIAGE_"
}


// lOenum
enum eMesPlayerName1
{
	Change,
	NoChange,
};


// lOenum
enum eMesPlayerName2
{
	Yes,
	No,
};

camera <- CameraChanger.GetCamera()

player <- null

npcPartner <- null


/**
 * ID擾
 */
function getPartnerIdStr()
{
	local partnerIdStr = GetMarriageNpc()		// ID擾
	// fobON̑Ή
	if(!partnerIdStr){
		partnerIdStr = PersonalData.GetSex() == eSex.eSex_Male ? "Florist" : "Postman";
	}
	return partnerIdStr;
}


/**
 * Cxg
 */
function EventInitialize() : (EventName)
{
	EventInitializeCommon(EventName)
	
	// }bvύX
	Map.Change(PersonalData.GetMyHouseInteriorDesignMapIdStr())
	
	//L̐
	{
		//vC[Cxgɓoꂳ
		player = ObjectManager.CreatePlayer();
		
		npcPartner = ObjectManager.CreateNpc(getPartnerIdStr());
		
		while(!ObjectManager.CreateWait()){}
	}
	
	
	//L̈ʒuAݒ
	{
		
		// l̈ʒuݒ
		player.SetCharaPos( -6.00, 40.00)
		player.SetRotY(Math.Deg2Rad( 90.0))
		
		// 
		npcPartner.SetCharaPos( 6.00, 40.00)
		npcPartner.SetRotY(Math.Deg2Rad( 270.0))
	}
	
	//J֌W
	{
		camera.SetCameraPos( 0.00, 25.89, 73.21)
		camera.SetTargetPos( 0.00,  6.75, 27.02)
	}
	
}

/**
 * Cxg
 */
function EventMain()
{
	// Jn̏
	EventInitialize()
	
	// JñtF[hC
	EventStartFirstFadeIn()
	
	// `[gA
	Tutorial_Marriage()
	
	EventEnd()
}

function Tutorial_Marriage() : (MSG_DATA)
{
	// NPC̏Ƒ啶ID܂Ƃ߂.
	local MarriageNpcArray = [
		{ NpcIdStr = "Postman",		country = "A_", CapitalId = "POSTMAN_" },
		{ NpcIdStr = "Doctor",		country = "A_", CapitalId = "DOCTOR_" },
		{ NpcIdStr = "Chaser",		country = "J_", CapitalId = "CHASER_" },
		{ NpcIdStr = "Apprentice",	country = "J_", CapitalId = "APPRENTICE_" },
		{ NpcIdStr = "Craftman",	country = "S_", CapitalId = "CRAFTMAN_" },
		{ NpcIdStr = "Florist",		country = "A_", CapitalId = "FLORIST_" },
		{ NpcIdStr = "TeaGirl",		country = "J_", CapitalId = "TEAGIRL_" },
		{ NpcIdStr = "Teacher",		country = "J_", CapitalId = "TEACHER_" },
		{ NpcIdStr = "TwinOlder",	country = "S_", CapitalId = "TWINOLDER_" },
		{ NpcIdStr = "TwinYounger",	country = "S_", CapitalId = "TWINYOUNGER_" },
	]
	
	// bZ[Wpɐݒ
	local InitialCountry;
	local CapitalNpcIdStr;
	foreach( data in MarriageNpcArray){
		if( getPartnerIdStr() == data.NpcIdStr){
			InitialCountry = data.country;
			CapitalNpcIdStr = data.CapitalId;
		}
	}
	
	// ҋ@
	Wait(30)
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+InitialCountry+CapitalNpcIdStr+"00")
	
	// ҋ@
	WaitInterval()
	
	// LL
	CharaWalkRotDeg( npcPartner, 180)
	
	// ҋ@
	WaitInterval()
	
	// LL
	CharaWalkRotDeg( npcPartner, 0)
	
	// ҋ@
	WaitInterval()
	
	// LL
	CharaWalkRotDeg( npcPartner, 90)
	
	// ҋ@
	WaitInterval()
	
	// LL
	CharaWalkRotDeg( npcPartner, 270)
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+InitialCountry+CapitalNpcIdStr+"01")
	
	// ҋ@
	WaitInterval()
	
	// [VFwȂxlɕ\
	player.SetMotion( "Nod")
	while(!player.Wait());
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwn[gxQlɕ\
	player.SetEffect("Fukidashi_Heart")
	npcPartner.SetEffect("Fukidashi_Heart")
	while(!player.WaitEffect());
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwIxɕ\
	PlayFukidashiEffect( npcPartner, "Fukidashi_Ameaze")
	
	// ҋ@
	WaitInterval()
	
	// ς邩ςȂ
	
	local resultChange 		= MsgUtil.OpenSelectMsg( MSG_DATA.Name, MSG_DATA.ID+InitialCountry+CapitalNpcIdStr+"02", [ MSG_DATA.ID+InitialCountry+CapitalNpcIdStr+"03", MSG_DATA.ID+InitialCountry+CapitalNpcIdStr+"04" ] )
	local resultChangeFinal	= eMesPlayerName2.No
	
	if (resultChange == eMesPlayerName1.NoChange) {
		// ĂіςȂIꍇ̊mF
		resultChangeFinal = MsgUtil.OpenSelectMsg( MSG_DATA.Name, MSG_DATA.ID+InitialCountry+CapitalNpcIdStr+"06", [ MSG_DATA.ID+InitialCountry+CapitalNpcIdStr+"07", MSG_DATA.ID+InitialCountry+CapitalNpcIdStr+"08" ] )
	}
	
	if (resultChangeFinal == eMesPlayerName2.No)
	{
		// ҋ@
		WaitInterval()
		
		// GtFNgFwxɕ\
		PlayFukidashiEffect( npcPartner, "Fukidashi_Fun")
		
		// ҋ@
		WaitInterval()
		
		// bZ[W
		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+InitialCountry+CapitalNpcIdStr+"05")
		
		// ҋ@
		WaitInterval()
		
		local resultDecide = eMesPlayerName2.No;
		
		// \tgEFAL[{[h
		SWKeyboardStart()
		
		// l̖O肷܂Ń[v
		while(resultDecide == eMesPlayerName2.No)
		{
			local inputName = Keyboard.GetResultWStr()
			
			// ľĂіύX
			PersonalData.SetNickName(inputName);
			
			resultDecide = MsgUtil.OpenSelectMsg( MSG_DATA.Name, MSG_DATA.ID+InitialCountry+CapitalNpcIdStr+"06", [ MSG_DATA.ID+InitialCountry+CapitalNpcIdStr+"07", MSG_DATA.ID+InitialCountry+CapitalNpcIdStr+"08" ] )
			
			if(resultDecide == eMesPlayerName2.Yes)
			{
				// L[{[h
				SWKeyboardEnd()
			}
			else
			{
				Wait(10)	// OmFMSG߂Wait
				
				do
				{
					Keyboard.Open();
					while(!Keyboard.IsClose()){ suspend(); }
					Wait(30);
				}
				while( Keyboard.GetResult() != Keyboard.RESULT_OK)
			}
		}
	}
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+InitialCountry+CapitalNpcIdStr+"09")
	
	// ҋ@
	WaitInterval()
	
	// [VFwȂxlɕ\
	player.SetMotion( "Nod")
	while(!player.Wait());
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+InitialCountry+CapitalNpcIdStr+"10")
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwIxlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Ameaze")
	
	// ҋ@
	WaitInterval()
	
	// [VFwUxlɕ\
	player.SetMotion( "Deny")
	while(!player.Wait());
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwcxɕ\
	PlayFukidashiEffect( npcPartner, "Fukidashi_Silent")
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+InitialCountry+CapitalNpcIdStr+"11")
	
	// ҋ@
	WaitInterval()
	
	// [VFwȂxlɕ\
	player.SetMotion( "Nod")
	while(!player.Wait());
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+InitialCountry+CapitalNpcIdStr+"12")
	
	// ҋ@
	WaitInterval()
	
	// [VFwȂxlɕ\
	player.SetMotion( "Nod")
	while(!player.Wait());
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+InitialCountry+CapitalNpcIdStr+"13")
	
	// ҋ@
	WaitInterval()
	
	// tF[hAEg
	FadeOutBlack()
}


/**
 * CxgI
 */
function EventEnd() : (EventName)
{
	EventFinalizeCommon(EventName)
	
	// CQ[̏Ԃ̓ɕύX
	ChangeMainGameStateNextDay()
}







