//
// _ɗFDxb,Gk
//
local npcWrap = NpcWrap(ObjectManager.GetTalkNpc())


// }bvɂẲb.
function MapTalk(npcWrap)
{
	local mapId = MapData.GetMapId();
	local mapIdStr = MapData.GetMapIdStr();
	local msgNum = Random.RandomInt(2);
	local msgId = null;
	
	if( MapConstData.IsOutdoor(mapId)){
		if( Map.IsFarm()){
			// q
			msgId = "MES_MAP_FARM_0";
		}
		else if( mapIdStr == "Crossroad"){
			// _
			msgId = "MES_MAP_THREE_FORKED_ROAD_0";
		}
		else if( mapIdStr == "America_Main"){
			msgId = "MES_MAP_AMERICA_0";
		}
		else if( mapIdStr == "America_Sub"){
			msgId = "MES_MAP_AMERICA_0";
			msgNum += 2;
		}
		else if( mapIdStr == "Japan_Main"){
			msgId = "MES_MAP_JAPAN_0";
		}
		else if( mapIdStr == "Japan_Sub"){
			msgId = "MES_MAP_JAPAN_0";
			msgNum += 2;
		}
		else if( mapIdStr == "South_Main"){
			msgId = "MES_MAP_SOUTH_0";
		}
		else if( mapIdStr == "South_Sub"){
			msgId = "MES_MAP_SOUTH_0";
			msgNum += 2;
		}
		
	}
	else {
		if( MapData.GetMapIdStr() == PersonalData.GetMyHouseInteriorDesignMapIdStr()){
			msgId = "MES_PLAYER_HOUSE_0";
		}
		else if( NpcConstData.IsMapIdOfMyHome( npcWrap.GetId(), mapId)){
			msgId = "MES_MY_HOUSE_0";
			msgNum = 0;
		}
	}
	
	if( msgId != null){
		npcWrap.StartTalkGeneral(msgId + msgNum);
		return true;
	}
	
	return false;
}

// FDxƂ̉b
function FriendShipTalk(npcWrap)
{
	local marriageNpc = GetMarriageNpc();
	local friendship = npcWrap.GetFriendShip();
	local msgNum = 0;
	if( npcWrap.IsMarriage()){
		local loveCounter = EventFlag.GetParam("LoveKeepCounter");
		if( loveCounter >= 248){
			msgNum = 6;
		}
		else if( loveCounter >= 186){
			msgNum = 5;
		}
		else if( loveCounter >= 124){
			msgNum = 4;
		}
		else if( loveCounter >= 62){
			msgNum = 3;
		}
		else if( friendship >= 90000){
			msgNum = 2;
		}
		else if( friendship >= 80000){
			msgNum = 1;
		}
		
		if (
		(npcWrap.GetIdStr() == "TeaGirl" && (msgNum == 3 || msgNum == 4) && PlayerWrap.GetMsgSex() == "WOMAN") ||
		(npcWrap.GetIdStr() == "Chaser" && msgNum == 3 && PlayerWrap.GetMsgSex() == "MAN") ||
		(npcWrap.GetIdStr() == "Apprentice" && msgNum == 3 && PlayerWrap.GetMsgSex() == "MAN") ||
		(npcWrap.GetIdStr() == "Craftman" && (msgNum == 1 || msgNum == 2) && PlayerWrap.GetMsgSex() == "MAN") ||
		(npcWrap.GetIdStr() == "Postman" && (msgNum == 3 || msgNum == 4) && PlayerWrap.GetMsgSex() == "MAN") ||
		(npcWrap.GetIdStr() == "Florist" && (msgNum == 3 || 0) && PlayerWrap.GetMsgSex() == "WOMAN") )
		{
			MsgUtil.OpenMsg( "Wedding_Anniversary", "MES_" + npcWrap.GetIdStr() + "_" + PlayerWrap.GetMsgSex() + "_MARRIAGE_CONVERSATION_0" + msgNum );
		}
		else if (npcWrap.GetIdStr() == "DummyLover1" && msgNum == 3 && PlayerWrap.GetMsgSex() == "MAN")
		{
			npcWrap.StartTalkGeneral( "MES_MARRIAGE_CONVERSATION_0" + msgNum + "_TLE");
		}
		else
		{
			npcWrap.StartTalkGeneral( "MES_MARRIAGE_CONVERSATION_0" + msgNum);
		}
		
		return true;
	}
	else if( (npcWrap.IsLover() || npcWrap.IsEngage()) &&
			 npcWrap.GetIdStr() != "Inari"){
		msgNum = friendship >= 90000 ? 5 :
				 friendship >= 80000 ? 4 :
				 friendship >= 70000 ? 3 :
				 friendship >= 60000 ? 2 :
				 friendship >= 45000 ? 1 : 0;
		
		if (
		(npcWrap.GetIdStr() == "Teacher" && (msgNum == 1 || msgNum == 4 || msgNum == 5) && PlayerWrap.GetMsgSex() == "WOMAN") ||
		(npcWrap.GetIdStr() == "Apprentice" && msgNum == 5 && PlayerWrap.GetMsgSex() == "MAN") ||
		(npcWrap.GetIdStr() == "Craftman" && msgNum == 2 && PlayerWrap.GetMsgSex() == "MAN") ||
		(npcWrap.GetIdStr() == "Postman" && (msgNum == 2 || msgNum == 3) && PlayerWrap.GetMsgSex() == "MAN") )
		{
			MsgUtil.OpenMsg( "Wedding_Anniversary", "MES_" + npcWrap.GetIdStr() + "_" + PlayerWrap.GetMsgSex() + "_LOVER_CONVERSATION_0" + msgNum );
		}
		else
		{
			npcWrap.StartTalkGeneral( "MES_LOVER_CONVERSATION_0" + msgNum);
		}
		
		return true;
	}
	else {
		msgNum = friendship >= 40000 ? 4 :
				 friendship >= 30000 ? 3 :
				 friendship >= 20000 ? 2 :
				 friendship >= 10000 ? 1 : 0;
		
		if( (npcWrap.GetIdStr() == "Postman" && PlayerWrap.GetMsgSex() == "MAN") || 
			(npcWrap.GetIdStr() == "Doctor" && (msgNum == 1 || msgNum == 3 || msgNum == 4) && PlayerWrap.GetMsgSex() == "MAN") ||
			(npcWrap.GetIdStr() == "Florist" && (msgNum == 2 || msgNum == 3 || msgNum == 4) && PlayerWrap.GetMsgSex() == "WOMAN") ||
			(npcWrap.GetIdStr() == "Craftman" && (msgNum == 0 || msgNum == 3 || msgNum == 4) && PlayerWrap.GetMsgSex() == "MAN") ||
			(npcWrap.GetIdStr() == "TwinOlder" && (msgNum == 3 || msgNum == 4) && PlayerWrap.GetMsgSex() == "WOMAN") ||
			(npcWrap.GetIdStr() == "TwinYounger" && (msgNum == 2 || msgNum == 4) && PlayerWrap.GetMsgSex() == "WOMAN") ||
			(npcWrap.GetIdStr() == "TeaGirl" && (msgNum == 1 || msgNum == 3 || msgNum == 4) && PlayerWrap.GetMsgSex() == "WOMAN") ||
			(npcWrap.GetIdStr() == "Teacher" && (msgNum == 2 || msgNum == 3 || msgNum == 4) && PlayerWrap.GetMsgSex() == "WOMAN") ||
			(npcWrap.GetIdStr() == "Chaser" && msgNum != 3 && PlayerWrap.GetMsgSex() == "MAN") ||
			(npcWrap.GetIdStr() == "Apprentice" && PlayerWrap.GetMsgSex() == "MAN") )
		{
			MsgUtil.OpenMsg( "Wedding_Anniversary", "MES_" + npcWrap.GetIdStr() + "_" + PlayerWrap.GetMsgSex() + "_FRENDSHIP_CONVERSATION_0" + msgNum );
		}
		else if (npcWrap.GetMsgIdNpcIdStr() == "Child_Boy" && (msgNum == 3 || msgNum == 2 || msgNum == 0))
		{
			
			if (PlayerWrap.GetMsgSex() == "MAN" && (marriageNpc == "Chaser" || marriageNpc == "Apprentice" || marriageNpc == "Postman" || marriageNpc == "Doctor" || marriageNpc == "Craftman"))
			{
				MsgUtil.OpenMsg( "Wedding_Anniversary", "MES_ChildBoy_" + PlayerWrap.GetMsgSex() + "_FRENDSHIP_CONVERSATION_0" + msgNum );
			}
			else if (PlayerWrap.GetMsgSex() == "WOMAN" && (marriageNpc == "Florist" || marriageNpc == "TwinOlder" || marriageNpc == "TwinYounger" || marriageNpc == "Teacher" || marriageNpc == "TeaGirl"))
			{
				MsgUtil.OpenMsg( "Wedding_Anniversary", "MES_ChildBoy_" + PlayerWrap.GetMsgSex() + "_FRENDSHIP_CONVERSATION_0" + msgNum );
			}
			else
			{
				npcWrap.StartTalkGeneral( "MES_" + PlayerWrap.GetMsgSex() + "_FRENDSHIP_CONVERSATION_0" + msgNum);
			}
		}
		else if (npcWrap.GetMsgIdNpcIdStr() == "Child_Girl" && (msgNum == 3 || msgNum == 2 || msgNum == 0))
		{
			
			if ((marriageNpc == "Apprentice" || marriageNpc == "Chaser" || marriageNpc == "Craftman" || marriageNpc == "Postman" || marriageNpc == "Doctor") && PlayerWrap.GetMsgSex() == "MAN")
			{
				MsgUtil.OpenMsg( "Wedding_Anniversary", "MES_ChildGirl_" + PlayerWrap.GetMsgSex() + "_FRENDSHIP_CONVERSATION_0" + msgNum );
			}
			else if ((marriageNpc == "Florist" || marriageNpc == "TeaGirl" || marriageNpc == "Teacher" || marriageNpc == "TwinOlder" || marriageNpc == "TwinYounger") && PlayerWrap.GetMsgSex() == "WOMAN")
			{
				MsgUtil.OpenMsg( "Wedding_Anniversary", "MES_ChildGirl_" + PlayerWrap.GetMsgSex() + "_FRENDSHIP_CONVERSATION_0" + msgNum );
			}
			else
			{
				npcWrap.StartTalkGeneral( "MES_" + PlayerWrap.GetMsgSex() + "_FRENDSHIP_CONVERSATION_0" + msgNum);
			}
		}
		else if ( 
		(npcWrap.GetIdStr() == "DummyLover1" && msgNum == 4 && PlayerWrap.GetMsgSex() == "MAN") ||
		(npcWrap.GetIdStr() == "DummyLover2" && msgNum == 4 && PlayerWrap.GetMsgSex() == "WOMAN") ) 
		{
			npcWrap.StartTalkGeneral( "MES_" + PlayerWrap.GetMsgSex() + "_FRENDSHIP_CONVERSATION_0" + msgNum + "_TLE");
		}
		else if(npcWrap.GetIdStr() == "Child") {
            local marriageIdStr = GetMarriageNpc();
            local msgIdStr = "MES_" + PlayerWrap.GetMsgSex() + "_FRENDSHIP_CONVERSATION_0" + msgNum;
			if(marriageIdStr != null && marriageIdStr == "Inari") {
                if(msgNum == 2) {
                    msgIdStr += "_INARI";
                }
            }
			npcWrap.StartTalkGeneral(msgIdStr);
        }
		else
		{
			npcWrap.StartTalkGeneral( "MES_" + PlayerWrap.GetMsgSex() + "_FRENDSHIP_CONVERSATION_0" + msgNum);
		}
		
		return true;
	}
	
	return false;
}

function CommonTownTalk(npcWrap, quests, events, msgs)
{
    local completedMsgs = [];
    local condNum       = 0;

    if(quests != null) {
        local len = quests.len();
        if(len < condNum || condNum == 0) {
            condNum = len;
        }
    }

    if(events != null) {
        local len = events.len();
        if(len < condNum || condNum == 0) {
            condNum = len;
        }
    }

    print("cond num:" + condNum + "\n");
    for(local i = 0; i < condNum; ++i) {
        if(TownCommunication.IsCompleteQuest(quests[i], events[i])) {
            completedMsgs.append(msgs[i]);
        }
    }

    foreach(id in completedMsgs) {
        if(MsgRandomJudge()) {
            npcWrap.StartTalkGeneral(id);
            return true;
        }
    }

    return false;
}

function AmericaTownTalk(npcWrap)
{
    local quests =
    [
        "America_A_03",
        "America_A_04",
        "America_B_03",
        "America_B_04",
        "America_C_03",
        "America_C_04",
        "America_D_03"
    ];

    local events =
    [
        "Story_Town_A_RankA_Goddess_Clear",
        "Story_Town_A_RankA_Collabo_Menu2_Clear",
        "Story_Town_A_RankB_Bronze_Clear",
        "Story_Town_A_RankB_Collabo_Perfume_Clear",
        "Story_Town_A_RankC_Belltower_Clear",
        "Story_Town_A_RankC_Collabo_Menu1_Clear",
        "Story_Town_A_RankD_Bridge_Clear"
    ];

    local msgs =
    [
        "MES_TOWN_GRADEUP_A_GODDESS_STATUE",
        "MES_TOWN_COLLABO_A_RESTAURANT_01",
        "MES_TOWN_GRADEUP_A_BRONZE_STATUE",
        "MES_TOWN_COLLABO_A_PERFUME",
        "MES_TOWN_GRADEUP_A_BELL",
        "MES_TOWN_COLLABO_A_RESTAURANT_00",
        "MES_TOWN_GRADEUP_A_BRIDGE"
    ];

    return CommonTownTalk(npcWrap, quests, events, msgs);
}

function JapanTownTalk(npcWrap)
{
    local quests =
    [
        "Japan_A_03",
        "Japan_A_04",
        "Japan_B_03",
        "Japan_B_04",
        "Japan_C_03",
        "Japan_C_04",
        "Japan_D_03"
    ];

    local events =
    [
        "Story_Town_J_RankA_Inari_Clear",
        "Story_Town_J_RankA_Collabo_Spa_Clear",
        "Story_Town_J_RankB_Park_Clear",
        "Story_Town_J_RankB_Collabo_Kanzashi_Clear",
        "Story_Town_J_RankC_Spa_Clear",
        "Story_Town_J_RankC_Collabo_Menu_Clear",
        "Story_Town_J_RankD_FarmBridge_Clear"
    ];

    local msgs =
    [
        "MES_TOWN_GRADEUP_J_SHRINE",
        "MES_TOWN_COLLABO_J_BATH",
        "MES_TOWN_GRADEUP_J_RELIEF",
        "MES_TOWN_COLLABO_J_ACCESSORY",
        "MES_TOWN_GRADEUP_J_BATHSHOP",
        "MES_TOWN_COLLABO_J_TEA",
        "MES_TOWN_GRADEUP_J_BRIDGE"
    ];

    return CommonTownTalk(npcWrap, quests, events, msgs);
}

function SouthTownTalk(npcWrap)
{
    local quests =
    [
        "South_A_03",
        "South_A_04",
        "South_B_03",
        "South_B_04",
        "South_C_03",
        "South_C_04",
        "South_D_03"
    ];

    local events =
    [
        "Story_Town_S_RankA_Pier_Clear",
        "Story_Town_S_RankA_Collabo_Menu_Clear",
        "Story_Town_S_RankB_InnAround_Clear",
        "Story_Town_S_RankB_Collabo_Avatar_Clear",
        "Story_Town_S_RankC_Fire_Clear",
        "Story_Town_S_RankC_Collabo_FoodStuff_Clear",
        "Story_Town_S_RankD_OutsideKitchen_Clear"
    ];

    local msgs =
    [
        "MES_TOWN_GRADEUP_S_LANDING",
        "MES_TOWN_COLLABO_S_TEA",
        "MES_TOWN_GRADEUP_S_INN",
        "MES_TOWN_COLLABO_S_DRESS",
        "MES_TOWN_GRADEUP_S_BONFIRE",
        "MES_TOWN_COLLABO_S_FOOD",
        "MES_TOWN_GRADEUP_S_KITCHEN"
    ];

    return CommonTownTalk(npcWrap, quests, events, msgs);
}

function TownTalk(npcWrap)
{
    // R~˗CxgNA̓bZ[WoȂ.
    if( EventFlag.GetFlag("TodaysEventTownRankClear")){
        return false;
    }

    local country = npcWrap.GetCountry();
    switch(country) {
        // aNGXgnb
        case 0: {
            return JapanTownTalk(npcWrap);
        } break;

        // kăNGXgnb
        case 1: {
            return AmericaTownTalk(npcWrap);
        } break;

        // 썑NGXgnb
        case 2: {
            return SouthTownTalk(npcWrap);
        } break;
    }

    return false;
}

// , ؍ݒ͎Gk.
function Chat(npcWrap)
{
	local marriageNpc = GetMarriageNpc();
	
	if( MsgRandomJudge()){
		// l ؍ݒ
		if( NpcData.GetState("Sister") == eNpcState.Appear){
			npcWrap.StartTalkGeneral("MES_COMING_SYSTER_00");
			return;
		}
		// l ؍ݒ
		if( NpcData.GetState("Mother") == eNpcState.Appear){
			npcWrap.StartTalkGeneral("MES_COMING_MOTHER_00");
			return;
		}
	}
	
	// ͒̕ǉRecłׁADLC01Ă邩mF
    if(Addon.HasDLC01()) {
        if(npcWrap.IsLoverNpc() && MsgRandomJudge()){
            
            // 1/10̊mŃ^^Ei҉bɁB
            if( Random.RandomInt(2) == 0) {
                local num = EventData.GetTodayAddCharaMsgNum();
                // ߂ĂׂƂ-1ݒ肳Ă.
                if( num == -1 && EventFlag.GetParam( "RandomAddCharaTalkIntervalCount") == 10){
                    num = Random.RandomInt(4);
                    EventData.SetTodayAddCharaMsgNum(num);
                    
                    EventFlag.SetParam( "RandomAddCharaTalkIntervalCount" , Random.RandomInt(5))	// ĔɃo׃_ɂĐݒ
                }
                if( NpcData.GetState("DummyLover1") == eNpcState.Appear && NpcData.GetState("DummyLover2") == eNpcState.Appear && num != -1) {
                    npcWrap.StartTalkGeneral("MES_ADDCHARA_TALK_0" + num);
                    return;
                }
            }
            else {
                local num = EventData.GetTodayRandomMsgNum();
                // ߂ĂׂƂ-1ݒ肳Ă.
                if( num == -1){
                    num = Random.RandomInt(26);
                    EventData.SetTodayRandomMsgNum(num);
                }
                
                npcWrap.StartTalkGeneral("MES_RANDOM_TALK_" + (num >= 10 ? num : "0" + num) );
                return;
            }
        }
    }
	
	// Gk
	if (npcWrap.GetIdStr() == "Child" && (npcWrap.GetFreeTalkCounter() == 3 || npcWrap.GetFreeTalkCounter() == 4 || npcWrap.GetFreeTalkCounter() == 30))
	{
		if ((marriageNpc == "Apprentice" || marriageNpc == "Chaser" || marriageNpc == "Craftman" || marriageNpc == "Postman" || marriageNpc == "Doctor") && PlayerWrap.GetMsgSex() == "MAN")
		{
			MsgUtil.OpenMsg( "Wedding_Anniversary", "MES_ChildBoy_TALK_" + npcWrap.GetFreeTalkCounter() );
		}
		else if ((marriageNpc == "Florist" || marriageNpc == "TeaGirl" || marriageNpc == "Teacher" || marriageNpc == "TwinOlder" || marriageNpc == "TwinYounger") && PlayerWrap.GetMsgSex() == "WOMAN")
		{
			MsgUtil.OpenMsg( "Wedding_Anniversary", "MES_ChildGirl_TALK_" + npcWrap.GetFreeTalkCounter() );
		}
		else
		{
			npcWrap.StartTalkGeneral("MES_TALK_" + npcWrap.GetFreeTalkCounter());
		}
	}
	else
	{
		npcWrap.StartTalkGeneral("MES_TALK_" + npcWrap.GetFreeTalkCounter());
	}
	
	
	// GktO On ɂĂ, ̓ւ̏̂ƂŎGkisx 1 i߂\.
	npcWrap.SetFreeTalkFlag(true);
}


// @memo bs.
switch(Random.RandomInt(4)){
	
	case 0:
		{
			if( !MapTalk(npcWrap)){
				Chat(npcWrap);
			}
		}
		break;
	
	case 1:
		{
			if( !FriendShipTalk(npcWrap)){
				Chat(npcWrap);
			}
		}
		break;

    case 2:
        {
            if( !TownTalk(npcWrap)) {
                Chat(npcWrap);
            }
        }
        break;
	
	case 3:
		{
			Chat(npcWrap);
		}
		break;
}

LoadProposeFlow();

