// Cxg
local EventName = "Couple_A_Doctor_1"

// bZ[W
local MSG_DATA = 
{
	Name = "Couple_A_Doctor_1"
	ID   = "MES_EV_COUPLE_A_DOCTOR_1_"
}

// ID擾
local mapIdStr = PersonalData.GetMyHouseInteriorDesignMapIdStr()

// ̑ziK擾
local extentionLevel = GetHouseExtentionLevel()

// Jgp邽߂ɕKv
camera <- CameraChanger.GetCamera()

// vC[op
player <- null

// [V
Doctor <- null

// ~_
StoreWoman <- null

// Aj[
StoreDa <- null

/**
 * Cxg
 */
function EventInitialize() : (EventName, extentionLevel)
{
	EventInitializeCommon(EventName)
	
	{
		// vC[Cxgɓoꂳ
		player = ObjectManager.CreatePlayer()
		
		// [VCxgɓoꂳ
		Doctor = ObjectManager.CreateNpc("Doctor")
		
		// 肽L̐
		while(!ObjectManager.CreateWait()){}
	}
	
	//L̈ʒuAݒ
	// ziKF5
	if(extentionLevel == eHouseExtention.Level05) 
	{
		// l
		player.SetCharaPos(-4.0, 9.0)
		player.SetRotY(Math.Deg2Rad(15.0))
		
		// [V
		Doctor.SetCharaPos( -12.0, 9.0)
		Doctor.SetRotY(Math.Deg2Rad(15.0))
	
		// J̈ʒuݒ
		camera.SetCameraPos( -7.9, 33.0, 51.9)
		// J̒_̈ʒuݒ
		camera.SetTargetPos( -7.9, 7.3, 9.0)
	}
	// ziKF4
	else if(extentionLevel == eHouseExtention.Level04) 
	{
		// l
		player.SetCharaPos(-7.0, 9.0)
		player.SetRotY(Math.Deg2Rad(15.0))
		
		// [V
		Doctor.SetCharaPos( -15.0, 9.0)
		Doctor.SetRotY(Math.Deg2Rad(15.0))
	
		// J̈ʒuݒ
		camera.SetCameraPos( -10.9, 33.0, 51.9)
		// J̒_̈ʒuݒ
		camera.SetTargetPos( -10.9, 7.3, 9.0)
	}
	else
	{
		// l
		player.SetCharaPos(-21.0, 18.0)
		player.SetRotY(Math.Deg2Rad(15.0))
		
		// [V
		Doctor.SetCharaPos( -29.0, 18.0)
		Doctor.SetRotY(Math.Deg2Rad(15.0))
	
		// J̈ʒuݒ
		camera.SetCameraPos( -24.9, 33.0, 60.9)
		// J̒_̈ʒuݒ
		camera.SetTargetPos( -24.9, 7.3, 18.0)
	}
	// Ԑݒ
	SetTime( 6, 0, 0)
	
}

/**
 * Cxg
 */
function EventMain()
{
	EventInitialize()
	
	// tB^[ݒu
	Fade.SetFilter(Fade.eFilterColor_Black);
	
	EventStartFirstFadeIn()
	
	// mbNƐl̐
	EventScene_Knock_Voice()
	
	// 钆Ƀ~_K˂Ă
	EventScene_Midnight_Visit()
	
	// ~_
	EventScene_StoreWoman_Haste()
	
	// ꂵރAj[
	EventScene_StoreDaughter_Painful()
	
	// A
	EventScene_Return_Home()
	
	EventEnd()
}

/**
 * V[0FmbNƐl̐
 */
function EventScene_Knock_Voice() : (MSG_DATA)

{
	// SEFmbN
	Sound.PlaySE("Batan");
	Wait(7)
	Sound.PlaySE("Batan");
	Wait(7)
	local handle = Sound.PlaySE("Batan");
	// SEFI҂
	while(!Sound.IsEndSE(handle));
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"00")
	
	// tB^[P
	FilterBlackEnd()
	
	// ҋ@
	Wait(30)
}

/**
 * V[1F钆Ƀ~_K˂Ă
 */
function EventScene_Midnight_Visit() : (MSG_DATA)

{
	// tF[hC
	FadeInUpBlack()
	while(!Fade.Wait()){}
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"01")
	
	// ҋ@
	Wait(30)
	
	// tF[hAEg
	FadeOutUpBlack()
	while(!Fade.Wait()){}
}

/**
 * V[2F~_
 */
function EventScene_StoreWoman_Haste() : (MSG_DATA, mapIdStr)

{
	// }bvύX		:q}bv1
	Map.Change("Farm_00")
	
	//L̐
	{
		// vC[Cxgɓoꂳ
		player = ObjectManager.CreatePlayer()
			
		// [VCxgɓoꂳ
		Doctor = ObjectManager.CreateNpc("Doctor")
		
		// ~_Cxgɓoꂳ
		StoreWoman = ObjectManager.CreateNpc("StoreWoman")
			
		// 肽L̐
		while(!ObjectManager.CreateWait()){}
	}
	//L̈ʒuA
	if(mapIdStr == "Home_03_Japan")
	{
		// l
		player.SetCharaPos(-15.0, -310.7)
		
		// [V
		Doctor.SetCharaPos(-15.0, -300.7)
		
		// ~_
		StoreWoman.SetCharaPos(-25.0, -305.0)
	}
	else
	{
		// l
		player.SetCharaPos(-15.0, -265.7)

		// [V
		Doctor.SetCharaPos(-15.0, -255.7)

		// ~_
		StoreWoman.SetCharaPos(-25.0, -260.0)
	}
	
	// lƃ[V~_ւނ
	local chara_array = [ player, Doctor]
	MultiCharaWalkRotObj(chara_array, StoreWoman)

	// Jp^[16
	EventEasySetUp( [StoreWoman], camera, eCharaOffset.Pattern016, eCameraOffset.Pattern016)
	StoreWoman.SetRotY(Math.Deg2Rad(90.0))
	
	// tF[hC
	FadeInUpBlack()
	while(!Fade.Wait()){}
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"02")
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFw!xlA[Vɕ\
	player.SetEffect("Fukidashi_Ameaze")
	Doctor.SetEffect("Fukidashi_Ameaze")
	while(!player.WaitEffect());
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"03")
	
	// ҋ@
	WaitInterval()
	
	// [VƎl
	CharaWalkRotFace2Face( player, Doctor)
	// ~_͎l
	CharaWalkRotObj(StoreWoman, player)
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"04")
	
	// ҋ@
	WaitInterval()
	
	// [VFwȂx
	player.SetMotion( "Nod")
	while(!player.Wait());
	
	// ҋ@
	WaitInterval()
	
	// lƃ[V𑖂点
	player.Run( -15.0, -200.0)
	Doctor.Run( -15.0, -200.0)
	StoreWoman.Run( -25.0, -200.0)
	while(!player.Wait()){}
	
	// ҋ@
	Wait(30)
	
	// tF[hAEg
	FadeOutUpBlack()
	while(!Fade.Wait()){}
}

/**
 * V[3FꂵރAj[
 */
function EventScene_StoreDaughter_Painful() : (MSG_DATA)

{
	// }bvύX		:G݉QF 
	Map.Change("GeneralStore_2F")
	
	//L̐
	{
		// vC[Cxgɓoꂳ
		player = ObjectManager.CreatePlayer()
			
		// [VCxgɓoꂳ
		Doctor = ObjectManager.CreateNpc("Doctor")
		
		// ~_Cxgɓoꂳ
		StoreWoman = ObjectManager.CreateNpc("StoreWoman")
		
		// Aj[Cxgɓoꂳ
		StoreDa = ObjectManager.CreateNpc("StoreDaughter")
			
		// 肽L̐
		while(!ObjectManager.CreateWait()){}
	}
	
	//L̈ʒuAݒ
	{
		// l
		player.SetCharaPos(42.6, -13.8)
		player.SetRotY(Math.Deg2Rad( 45.0))
		
		// [V
		Doctor.SetCharaPos(55.4, -8.9)
		Doctor.SetRotY(Math.Deg2Rad( 20.0))
		
		// ~_
		StoreWoman.SetCharaPos(42.3, 4.6)
		StoreWoman.SetRotY(Math.Deg2Rad(90.0))
		
		// Aj[
		StoreDa.ChangeFaceAnim( FaceAnimId.Close );
		StoreDa.SetPosY( 66.0, 4.5, 4.9)
		StoreDa.SetRotY(Math.Deg2Rad(270.0))
		// [V[vFwxbhɐQEÎ~x
		StoreDa.SetMotionLoop( "SleepWaitLoop")
		
		
		// J̈ʒuݒ
		camera.SetCameraPos( 52.8, 38.0, 41.7)
		// J̒_̈ʒuݒ
		camera.SetTargetPos( 52.8, 5.2, -4.9)
	}
	
	// ҋ@
	Wait(60)
	
	// tF[hC
	FadeInUpBlack()
	while(!Fade.Wait()){}
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"05")
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwłx~_ɕ\
	PlayFukidashiEffect( StoreWoman, "Fukidashi_Haste")
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"06")
	
	// ҋ@
	WaitInterval()
	
	// ~_[V
	CharaWalkRotObj(StoreWoman, Doctor)
	
	// [VFw߂ށx~_
	StoreWoman.SetMotion( "Sad")
	while(!StoreWoman.Wait());
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"07")
	
	// ҋ@
	WaitInterval()
	
	// [VFwĂx	ƂĂ悤Ɍ郂[V
	Doctor.SetMotion( "Rummage")
	while(!Doctor.Wait());
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwcx[Vɕ\
	PlayFukidashiEffect( Doctor, "Fukidashi_Silent")
	
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"08")
	
	// ҋ@
	WaitInterval()
	
	// [V~_
	CharaWalkRotObj(Doctor, StoreWoman)
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"09")
	
	// ҋ@
	WaitInterval()
	
	// [VAj[
	CharaWalkRotObj(Doctor, StoreDa)
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"10")
	
	// ҋ@
	WaitInterval()
	
	// [Vl
	CharaWalkRotObj(Doctor, player)
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"11")
	
	// ҋ@
	WaitInterval()
	
	// [VFwȂx
	player.SetMotion( "Nod")
	while(!player.Wait());
	
	// ҋ@
	WaitInterval()
	
	// l𑖂点
	player.Run( -10.5, -30.0)
	while(!player.Wait()){}
	
	// ҋ@
	WaitInterval()
	
	// ~_ƃ[V
	CharaWalkRotFace2Face( StoreWoman, Doctor)
	while(!StoreWoman.Wait()){}	
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"12")
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFw!x~_ɕ\
	PlayFukidashiEffect( StoreWoman, "Fukidashi_Ameaze")
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"14")
	
	// ҋ@
	WaitInterval()
	
	// tF[hAEg
	FadeOutUpBlack()
	while(!Fade.Wait()){}
	
	// [Vƃ~_̌Aj[̂ق
	Doctor.SetRotY(Math.Deg2Rad( 20.0))
	StoreWoman.SetRotY(Math.Deg2Rad(90.0))
	
	// ҋ@
	Wait(120)
	
	// tF[hC
	FadeInUpBlack()
	while(!Fade.Wait()){}
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"15")
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwcx[Vɕ\
	PlayFukidashiEffect( Doctor, "Fukidashi_Silent")
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"16")
	
	// ҋ@
	WaitInterval()
	
	// [Vƃ~_
	CharaWalkRotFace2Face( Doctor, StoreWoman)
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"17")
	
	// ҋ@
	WaitInterval()
	
	// l:	tF[hC
	player.Walk( 42.6, -13.8)
	while(!player.Wait()){}
	
	// ҋ@
	WaitInterval()
	
	// ~_ƃ[Vl
	local chara_array = [ StoreWoman, Doctor]
	MultiCharaWalkRotObj(chara_array, player)
	
	// ҋ@
	WaitInterval()
	
	// l~_
	CharaWalkRotObj(player, StoreWoman)
	
	// ҋ@
	WaitInterval()
	
	// [VFwgUUŐx
	player.SetMotion( "Explain")
	while(!player.Wait());
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFw!x[VA~_ɕ\
	Doctor.SetEffect("Fukidashi_Ameaze")
	StoreWoman.SetEffect("Fukidashi_Ameaze")
	while(!Doctor.WaitEffect());
	
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"18")
	
	// ҋ@
	WaitInterval()
	
	// [VFwȂx
	player.SetMotion( "Nod")
	while(!player.Wait());
	
	// ҋ@
	WaitInterval()
	
	// [V~_
	CharaWalkRotObj(Doctor, StoreWoman)
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"19")
	
	// ҋ@
	WaitInterval()
	
	// [VFwVx
	StoreWoman.SetMotion( "Greeting")
	while(!StoreWoman.Wait());
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwłxlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Haste")
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"20")
	
	// ҋ@
	Wait(30)
	
	// tF[hAEg
	FadeOutUpBlack()
	while(!Fade.Wait()){}

	// Aj[
	// ڂ̂͌p̂ŗvȂȂ炠ĂB
	StoreDa.ChangeFaceAnim( FaceAnimId.Open );
}


/**
 * V[4FA
 */
function EventScene_Return_Home() : (MSG_DATA, mapIdStr)

{
	// }bvύX		:
	Map.Change(mapIdStr)
	
	//L̐
	{
		// vC[Cxgɓoꂳ
		player = ObjectManager.CreatePlayer()
			
		// [VCxgɓoꂳ
		Doctor = ObjectManager.CreateNpc("Doctor")
			
		// 肽L̐
		while(!ObjectManager.CreateWait()){}
	}
	
	//L̈ʒuAݒ
	{
		// l
		player.SetCharaPos(-4.0, 80.0)
		player.SetRotY(Math.Deg2Rad( 270.0))
		
		// [V
		Doctor.SetCharaPos(4.0, 80.0)
		Doctor.SetRotY(Math.Deg2Rad( 90.0))
		
		// J̈ʒuݒ
		camera.SetCameraPos( 0.0, 34.8, 84.7)
		// J̒_̈ʒuݒ
		camera.SetTargetPos( 0.0, 10.1, 41.2)
	}
	
	// ҋ@
	Wait(60)
	
	// tF[hC
	FadeInUpBlack()
	while(!Fade.Wait()){}
	
	// ҋ@
	WaitInterval()
	
	// lƃ[V
	player.Walk( -4.0, 42.0)
	Doctor.Walk( 4.0, 42.0)
	while(!player.Wait()){}
	
	// ҋ@
	WaitInterval()
	
	// [VƎl
	CharaWalkRotFace2Face( Doctor, player)
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"21")
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwyxlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Fun")
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"22")
	
	// ҋ@
	WaitInterval()
	
	// [VFwUx
	player.SetMotion( "Deny")
	while(!player.Wait());
	
	// ҋ@
	WaitInterval()
	
	// [VFwgUUŐx
	player.SetMotion( "Explain")
	while(!player.Wait());
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"23")
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwcx[Vɕ\
	PlayFukidashiEffect( Doctor, "Fukidashi_Silent")
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"24")
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFw?xlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Question")
	
	// ҋ@
	WaitInterval()
	
	if (PersonalData.GetSex() == eSex.eSex_Male)
	{
		// bZ[W
		MsgUtil.OpenMsg( "Wild_Animal_Thanks", MSG_DATA.ID+"25")
	}
	else
	{
		// bZ[W
		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"25")
	}
	
	// ҋ@
	WaitInterval()
	
	// [VFwȂx
	player.SetMotion( "Nod")
	while(!player.Wait());
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFw!x[Vɕ\
	PlayFukidashiEffect( Doctor, "Fukidashi_Ameaze")
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"26")

	Doctor.Walk( 1.0, 42.0)
	while(!Doctor.Wait()){}	
	
	// [VFwnOJnx[V
	Doctor.SetMotion( "HugBegin")
	Doctor.SetMotionLoop( "HugLoop")
	
	while(!Doctor.Wait());
	
	// ҋ@
	WaitInterval()
	
	if (PersonalData.GetSex() == eSex.eSex_Male)
	{
		// bZ[W
		MsgUtil.OpenMsg( "Wild_Animal_Thanks", MSG_DATA.ID+"27")
	}
	else
	{
		// bZ[W
		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"27")
	}
	
	// ҋ@
	WaitInterval()
	
	// [VFwnOIx
	Doctor.SetMotion( "HugEnd")
	Doctor.LoopMotionEnd()
	while(!Doctor.Wait());

	CharaWalkFixsingDeg( Doctor, 4.0, 42.0, 270, 10)
	while(!Doctor.Wait());
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"28")
	
	// ҋ@
	WaitInterval()
	
	// [VFwȂx
	player.SetMotion( "Nod")
	while(!player.Wait());
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"29")
	
	// ҋ@
	WaitInterval()
	
	// [VFwLXx
	player.SetMotion( "Kiss")
	Doctor.SetMotion( "Kiss")
	// ҋ@
	Wait(15)
	// SEFLX
	local handle = Sound.PlaySE("Kiss");
	// SEFI҂
	while(!Sound.IsEndSE(handle));
	while(!Doctor.Wait());
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwn[gxlA[Vɕ\
	player.SetEffect("Fukidashi_Heart")
	Doctor.SetEffect("Fukidashi_Heart")
	while(!player.WaitEffect());
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"30")
	
	// ҋ@
	WaitInterval()
	
	// [VFwȂx
	player.SetMotion( "Nod")
	while(!player.Wait());
	
	// ҋ@
	Wait(30)
	
	// tF[hAEg
	FadeOutBlack()
	while(!Fade.Wait()){}
}



/**
 * CxgI
 */
function EventEnd() : (EventName)
{
	EventFinalizeCommon(EventName)
	
	// ID擾
	local mapIdStr = PersonalData.GetMyHouseInteriorDesignMapIdStr()
	
	// CxgIAlN̈ʒu
	Map.EventEndWeakupPoint()
}

