// Cxg
local EventName = "Couple_J_Apprentice_1"

// bZ[W
local MSG_DATA = 
{
	Name = "Couple_J_Apprentice_1"
	ID   = "MES_EV_COUPLE_J_APPRENTICE_1_"
}

// ̑ziK擾
local extentionLevel = GetHouseExtentionLevel()


// Jgp邽߂ɕKv
camera <- CameraChanger.GetCamera()

// vC[op
player <- null

// ng
npcApprentice <- null

//\
npcPostman <- null

//ACe
itemModel <- []

function GetTableSidePos( chairNoId, extentionLevel )
{
	local ret = GetPosSeatOfTheTableMyHouse( chairNoId );

	switch( chairNoId )
	{
		case eMyHouseChair.No02:
		{
			// ziKF3ȉ
			if(extentionLevel <= eHouseExtention.Level03)
			{
				ret.z += 15.0;
			}
			// ziKF4
			else if(extentionLevel == eHouseExtention.Level04)
			{
				ret.z += 15.0;
			}
			// ziKF5
			else if(extentionLevel == eHouseExtention.Level05)
			{
				ret.z += 15.0;
			}
		}break;
	}

	return ret;
}

function GetLetterPos( basePos )
{
	local ret = basePos;
	ret.y += 0.4;	// ܂̂ŏB

	return ret;
}

function GetLetterDegX()
{
	// f΂߂ɂȂĂ̂ŁAɍ킹B
	return 63.0;
}

/**
 * Cxg
 */
function EventInitialize() : (EventName, extentionLevel)
{
	EventInitializeCommon(EventName)
	
	// L̐
	{
		// vC[Cxgɓoꂳ
		player = ObjectManager.CreatePlayer()
		
		// ngCxgɓoꂳ
		npcApprentice	= ObjectManager.CreateNpc("Apprentice")
		
		// \Cxgɓoꂳ
		npcPostman	= ObjectManager.CreateNpc("Postman")
		
		// 肽L̐
		while(!ObjectManager.CreateWait()){}
	}
	// L̈ʒuw
	{
		// L̈ʒuݒ
		player.SetCharaPos( 0.0, 80.0)
		player.SetRotY(Math.Deg2Rad( 180.0))
		
		// ng
		npcApprentice.SetCharaPos( 65.0, 55.0)
		npcApprentice.SetRotY(Math.Deg2Rad(180.0))
		
		// \
		npcPostman.SetCharaPos( 0.0, 80.0)
		npcPostman.SetRotY(Math.Deg2Rad( 180.0))
	}
	
	// J֌W
	// ziKF5
	if(extentionLevel == eHouseExtention.Level05)
	{
		// J̈ʒuݒ
		camera.SetCameraPos(43.3, 37.4, 65.6)
		camera.SetTargetPos(15.6, 11.2, 31.7)
	
	}
	else
	{
		// J̈ʒuݒ
		camera.SetCameraPos(40.0, 32.0, 63.0)
		camera.SetTargetPos( 9.0, 10.0, 30.0)
	}
	
	//ACe֌W
	{
		// ACe쐬
		itemModel.append( ItemModelManager.Create("WrappingJ01"))
		itemModel.append( ItemModelManager.Create("recipe_J"))
		itemModel.append( ItemModelManager.Create("Umeboshi"))
		itemModel.append( ItemModelManager.Create("recipe_J"))
		
		
		while(!ItemModelManager.CreateWait());
		
		itemModel[0].SetPos( VEC3( -120.0,  0.0, 55.0))
		itemModel[0].SetRot( VEC3( Math.Deg2Rad( 0.0), Math.Deg2Rad(  0.0), Math.Deg2Rad( 0.0)))
		
		itemModel[1].SetPos( VEC3( -115.0,  6.0, 50.0))
		itemModel[1].SetRot( VEC3( Math.Deg2Rad( 90.0), Math.Deg2Rad(  0.0), Math.Deg2Rad( 0.0)))
		
		itemModel[2].SetPos( VEC3( -120.0,  0.0, 50.0))
		itemModel[2].SetRot( VEC3( Math.Deg2Rad( 0.0), Math.Deg2Rad(  0.0), Math.Deg2Rad( 0.0)))
		
		itemModel[3].SetPos( VEC3( -115.0,  -6.0, 50.0))
		itemModel[3].SetRot( VEC3( Math.Deg2Rad( 90.0), Math.Deg2Rad(  90.0), Math.Deg2Rad( 0.0)))
		}
}

/**
 * Cxg
 */
function EventMain()
{
	EventInitialize()
	
	EventStartFirstFadeIn()
	
	EventScene_Home()
	
	EventEnd()
}

/**
 * CxgFuvł̃V[
 */
function EventScene_Home() : (MSG_DATA, extentionLevel)
{
	//ҋ@
	Wait(30)
	
	// SEFhAJ
	PlaySEDoor()
	
	//ҋ@
	WaitInterval()
	
	// ziKF5
	if(extentionLevel == eHouseExtention.Level05)
	{
		//lt[C
		player.Walk( 10.0, 22.0)
		while(!player.Wait()){}
	}
	
	// ziKF4
	else if(extentionLevel == eHouseExtention.Level04)
	{
		//lt[C
		player.Walk( 5.0, 23.0)
		while(!player.Wait()){}
	}
	else
	{
		//lt[C
		player.Walk( 20.0, 15.0)
		while(!player.Wait()){}
	}
	
	//ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"00")
	
	//ҋ@
	WaitInterval()
	
	//l̕UԂ
	CharaWalkRotObj( player, npcPostman)
	
	// GtFNgFwIxlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Ameaze")
	
	//ҋ@
	WaitInterval()
	
	// SEFhAJ
	PlaySEDoor()
	
	//\t[C
	
	// ziKF1`3
	if(extentionLevel <= eHouseExtention.Level03)
	{
		//ƒiK3̎
		local tableSidePos = GetTableSidePos( eMyHouseChair.No02, extentionLevel);
		npcPostman.Walk( tableSidePos.x, tableSidePos.z)
		while(!npcPostman.Wait()){}
	}	
	
	else if(extentionLevel == eHouseExtention.Level04)
	{
		//ƒiK4̎
		npcPostman.Walk( 5.0, 33.0)
		while(!npcPostman.Wait()){}
	}
	
	// ziKF5
	else if(extentionLevel == eHouseExtention.Level05)
	{
		//ƒiK5̎
		npcPostman.Walk( 10.0, 30.0)
		while(!npcPostman.Wait()){}
	}
	
	//Ql
	CharaWalkRotFace2Face( player, npcPostman)
	
	//ҋ@
	WaitInterval()
	
	// [VFwUx
	player.SetMotion( "ByeBye")
	while(!player.Wait());
	
	// [VFwUx
	npcPostman.SetMotion( "ByeBye")
	while(!npcPostman.Wait());
	
	//ҋ@
	WaitInterval()
	
	// J̈ʒuݒ
	
	// ziKF1`3
	if(extentionLevel <= eHouseExtention.Level03)
	{
		//ƒiK3
		camera.SetCameraPos( 25.0, 30.0, 50.0)
		camera.SetTargetPos( 10.5, 9.5, 7.0)
		
		//ҋ@
		Wait(60)
	}	
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"01")
	
	//ҋ@
	WaitInterval()
	
	// GtFNgFwIxlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Ameaze")
	
	//ҋ@
	WaitInterval()
	
	//\C~肾
	npcPostman.LiftItemFront("WrappingJ01")
	while(!npcPostman.Wait());
	
	//ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"02")
	
	//ҋ@
	WaitInterval()
	
	//\e[uɋ߂Â
	{
		local tableSidePos = GetTableSidePos( eMyHouseChair.No02, extentionLevel);
		npcPostman.Walk( tableSidePos.x, tableSidePos.z)
		while(!npcPostman.Wait()){}
	}
	
	//\e[u̕
	CharaWalkRotDeg( npcPostman, 180)
	
	//ҋ@
	WaitInterval()
	
	// ACȅɒu
	PutItemOnTable( npcPostman, itemModel[0], GetPosSeatOfTheTableMyHouse( eMyHouseChair.No02))
	// ziKF1`3
	if(extentionLevel <= eHouseExtention.Level03)
	{
	}	
	// ziKF4
	else if(extentionLevel == eHouseExtention.Level04)
	{
		//ƒiK4̎
		npcPostman.Walk( 20.0, 31.0)
		while(!npcPostman.Wait()){}
	}
	// ziKF5
	else if(extentionLevel == eHouseExtention.Level05)
	{
		//ƒiK5̎
		npcPostman.Walk( 22.0, 30.0)
		while(!npcPostman.Wait()){}
	}
	
	//ҋ@
	WaitInterval()
	
	//Ql
	CharaWalkRotFace2Face( player, npcPostman)
	
	//ҋ@
	WaitInterval()
	
	// J̈ʒuݒ
	
	// ziKF4
	if(extentionLevel == eHouseExtention.Level04)
	{
		//ƒiK4̎
		camera.SetCameraPos(-6.8, 35.0, 60.9)
		camera.SetTargetPos( 12.5, 9.3, 22.6)
	}
	// ziKF5
	else if(extentionLevel == eHouseExtention.Level05)
	{
		//ƒiK5̎
		camera.SetCameraPos(-11.0, 32.2, 54.7)
		camera.SetTargetPos( 19.3, 8.0, 22.8)
	}
	//ҋ@
	Wait(60)
	
	// \莆o
	npcPostman.LiftItemFront("recipe_J")
	while(!npcPostman.Wait()){}
	
	//ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"03")
	
	//ҋ@
	WaitInterval()
	
	// ACe󂯓n
	PresentForYouReceivePart( npcPostman, player, "recipe_J")
	
	//ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"04")
	
	//ҋ@
	WaitInterval()
	
	// [VFwx
	player.SetMotion( "Nod")
	while(!player.Wait());
	
	//ҋ@
	WaitInterval()
	
	//\oĂ
	CharaWalkSeenBySomeone( npcPostman, 0.0, 60.0, 45, player)
	
	// SEFhAJ
	PlaySEDoor()
	
	// l莆o
	player.LiftItemFront("recipe_J")
	while(!player.Wait()){}
	
	//ҋ@
	WaitInterval()
	
	// GtFNgFwفxlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Silent")
	
	//ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"05")
	
	//ҋ@
	WaitInterval()
	
	// GtFNgFwxlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Fun")
	
	//ҋ@
	WaitInterval()
	
	// tF[hAEg
	FadeOutUpBlack()
	while(!Fade.Wait()){}
	
	//VsobOɓ
	CharaDetachItem( player)
	
	//莆(recipe_J)e[uɔzu
	{
		local itemPos = GetLetterPos( GetPosSeatOfTheTableMyHouse(eMyHouseChair.No01) );
		local itemRot = VEC3( Math.Deg2Rad( GetLetterDegX()), Math.Deg2Rad( 90.0), Math.Deg2Rad( 0.0) );
		itemPos.x -= 4.0;// L̎O牓Ȃ̂ŒB
		PutItemOnTableRot( npcPostman, itemModel[1], itemPos, itemRot )
	}

	// l֎qɍ点Ĕzu
	CharaSetPosSitDownChair( player, GetPosChairMyHouse( eMyHouseChair.No01), 90)
	player.SetFlight(true)

	// J̈ʒuݒ
	{
		local tablePos = GetPosTableMyHouse();
		
		// J̈ʒuݒ
		camera.SetCameraPos(tablePos.x, tablePos.y+30.0, tablePos.z+45.0)
		camera.SetTargetPos(tablePos.x, tablePos.y, tablePos.z-30.0)
	}

	// ng
	npcApprentice.SetCharaPos( 0.0, 70.0)
	npcApprentice.SetRotY(Math.Deg2Rad(180.0))
	
	// \
	npcPostman.SetCharaPos( 65.0, 55.0)
	npcPostman.SetRotY(Math.Deg2Rad( 180.0))
	
	//ҋ@
	Wait(60)
	
	// tF[hC
	FadeInUpBlack()
	while(!Fade.Wait()){}
	
	//ҋ@
	Wait(30)
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"06")
	
	//ҋ@
	WaitInterval()
	
	// GtFNgFwxlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Fun")
	
	//ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"07")
	
	//ҋ@
	WaitInterval()
	
	// GtFNgFw炢xlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Laugh")
	
	//ҋ@
	WaitInterval()
	
	if (PersonalData.GetSex() == eSex.eSex_Male)
	{
		// bZ[W
		MsgUtil.OpenMsg( "Wild_Animal_Thanks", MSG_DATA.ID+"08")
	}
	else
	{
		// bZ[W
		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"08")
	}
	
	//ҋ@
	WaitInterval()
	
	// GtFNgFwxlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Fun")
	
	//ҋ@
	WaitInterval()
	
	if (PersonalData.GetSex() == eSex.eSex_Male)
	{
		// bZ[W
		MsgUtil.OpenMsg( "Wild_Animal_Thanks", MSG_DATA.ID+"09")
	}
	else
	{
		// bZ[W
		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"09")
	}
	
	//ҋ@
	WaitInterval()
	
	// GtFNgFwn[gxlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Heart")
	
	//ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"10")
	
	//ҋ@
	WaitInterval()
	
	// GtFNgFwفxlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Silent")
	
	//ҋ@
	WaitInterval()
	
	// GtFNgFwn[gxlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Heart")
	
	//ҋ@
	WaitInterval()
	
	// ziKF1`3
	if(extentionLevel <= eHouseExtention.Level03)
	{
		//ƒiK3̎
		// J̈ʒuݒ
		camera.SetCameraPos( 41.1, 37.4, 34.7)
		camera.SetTargetPos( 10.2, 8.6, 8.0)
	}
	// ziKF4
	else if(extentionLevel == eHouseExtention.Level04)
	{
		//ƒiK4̎
		// J̈ʒuݒ
		camera.SetCameraPos( 57.5, 34.0, 46.0)
		camera.SetTargetPos( 28.0, 8.5, 15.0)
	}
	// ziKF5
	else if(extentionLevel == eHouseExtention.Level05)
	{
		//ƒiK5̎
		// J̈ʒuݒ
		camera.SetCameraPos( 71.5, 33.3, 49.3)
		camera.SetTargetPos( 36.0, 8.6, 24.2)
	}
	
	//ҋ@
	Wait(30)
		
	//l֎q~
	CharaRotDeg( player, 0)
	CharaStandUpChair( player, player.GetPos().x, player.GetPos().z + 6.5)
	
	//ҋ@
	WaitInterval()
	
	//l莆
	CharaWalkRotObj(player, itemModel[1])
	while(!player.Wait()){}
	
	LiftItemFromTable( player, itemModel[1], "recipe_J", "F")
	
	//ҋ@
	WaitInterval()
	
	// ACeobOɂ܂
	player.ItemPutInBag()
	while(!player.Wait()){}
	
	//ҋ@
	WaitInterval()
	
	//lC~̋߂ɍs
	{
		local chairSidePos = GetPosChairMyHouse( eMyHouseChair.No01);
		local tableSidePos = GetTableSidePos( eMyHouseChair.No02, extentionLevel);
		chairSidePos.z = tableSidePos.z;
		player.Walk( chairSidePos.x, chairSidePos.z)
		while(!player.Wait()){}
		player.Walk( tableSidePos.x, tableSidePos.z)
		while(!player.Wait()){}
	}
	
	//lC~̕
	CharaWalkRotDeg( player, 180)
	
	//ҋ@
	WaitInterval()
	
	// tF[hAEg
	FadeOutUpBlack()
	while(!Fade.Wait()){}
	
	// SEFC~J̉
	local handle = Sound.PlaySE("Walk_Grass");
	// SEFI҂
	while(!Sound.IsEndSE(handle));
	
	//C~~ɂȂ
	ItemModelManager.Delete(itemModel[0])
	itemModel[2].SetPos( GetPosSeatOfTheTableMyHouse( eMyHouseChair.No02))
	itemModel[2].SetRot( VEC3( Math.Deg2Rad( 0.0), Math.Deg2Rad(  0.0), Math.Deg2Rad( 0.0)))

	//ҋ@
	Wait(30)
	
	// tF[hC
	FadeInUpBlack()
	while(!Fade.Wait()){}
	
	//ҋ@
	Wait(30)
	
	// GtFNgFwIxlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Ameaze")
	
	//ҋ@
	WaitInterval()
	
	// GtFNgFwفxlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Silent")
	
	//ҋ@
	WaitInterval()
	
	// [VFwڂx
	player.SetMotion( "RubEyes")
	while(!player.Wait());
	
	//ҋ@
	WaitInterval()
	
	// [VFwڂx
	player.SetMotion( "RubEyes")
	while(!player.Wait());
	
	//ҋ@
	WaitInterval()
	
	// [VFwڂx
	player.SetMotion( "RubEyes")
	while(!player.Wait());
	
	//ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"11")
	
	//ҋ@
	WaitInterval()
	
	// ziKF5
	if(extentionLevel == eHouseExtention.Level05)
	{
		// J̈ʒuݒ
		camera.SetCameraPos(43.3, 37.4, 65.6)
		camera.SetTargetPos(15.6, 11.2, 31.7)
	
	}
	else
	{
		// J̈ʒuݒ
		camera.SetCameraPos(40.0, 32.0, 63.0)
		camera.SetTargetPos( 9.0, 10.0, 30.0)
	}
	
	//ҋ@
	Wait(60)
	
	//l̕UԂ
	CharaWalkRotObj(player, npcApprentice)
	
	// GtFNgFwIxlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Ameaze")
	
	//ҋ@
	WaitInterval()
	
	// SEFhAJ
	PlaySEDoor()
	
	//ngt[C
	{
		local tableSidePos = GetTableSidePos( eMyHouseChair.No02, extentionLevel);

		tableSidePos.x -= 8.0;

		//ƒiK3̎
		npcApprentice.Walk( tableSidePos.x, tableSidePos.z)
		while(!npcApprentice.Wait()){}
		
		//ҋ@
		WaitInterval()
		
		//Ql
		CharaWalkRotFace2Face( player, npcApprentice)
		
		//ҋ@
		WaitInterval()
	}

	// ziKF1`3
	if(extentionLevel <= eHouseExtention.Level03)
	{
		//ƒiK3̎
		camera.SetCameraPos(26.3, 33.0, 49.2)
		camera.SetTargetPos(3.9, 8.4, 11.9)
	}
	// ziKF4
	else if(extentionLevel == eHouseExtention.Level04)
	{
		//ƒiK4̎
		camera.SetCameraPos(47.0, 31.0, 60.9)
		camera.SetTargetPos(20.9, 9.6, 23.9)
	}
	// ziKF5
	else if(extentionLevel == eHouseExtention.Level05)
	{
		//ƒiK5̎
		camera.SetCameraPos(40.3, 32.9, 70.7)
		camera.SetTargetPos(29.0, 7.2, 29.4)
	}
	
	//ҋ@
	Wait(30)
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"12")
	
	//ҋ@
	WaitInterval()
	
	// GtFNgFwIxngɕ\
	PlayFukidashiEffect( npcApprentice, "Fukidashi_Ameaze")
	
	//ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"13")
	
	//ҋ@
	WaitInterval()
	
	// [VFwnOEJnx
	npcApprentice.SetMotion( "HugBegin")
	// [V[vFwnOE[vx
	npcApprentice.SetMotionLoop( "HugLoop")
	
	// [VwnOx̏I҂
	while(!npcApprentice.Wait());
	
	//ҋ@
	WaitInterval()
	
	// GtFNgFwIxlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Ameaze")
	
	//ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"14")
	
	//ҋ@
	WaitInterval()
	
	// GtFNgFwفxlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Silent")
	
	//ҋ@
	WaitInterval()
	
	// GtFNgFw΂xlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Laugh")
	
	//ҋ@
	WaitInterval()
	
	// GtFNgFw^xngɕ\
	PlayFukidashiEffect( npcApprentice, "Fukidashi_Question")
	
	//ҋ@
	WaitInterval()
	
	// [V[vFI
	npcApprentice.LoopMotionEnd()
	
	// [VFwnOEIx
	npcApprentice.SetMotion( "HugEnd")
	while(!npcApprentice.Wait());
	
	//ҋ@
	WaitInterval()
	
	//ng
	
	//ƒiK4
	CharaWalkFixsingDeg( npcApprentice, npcApprentice.GetPos().x -8, npcApprentice.GetPos().z, 90, 30)
	
	//ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"15")
	
	//ҋ@
	WaitInterval()
	
	// [VFwU(ے)x
	player.SetMotion( "Deny")
	while(!player.Wait());
	
	//ҋ@
	WaitInterval()
	
	// [VFwx
	player.SetMotion( "Explain")
	
	// GtFNgFwpNxlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Talk")
	
	while(!player.Wait());
	
	//ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"16")
	
	//ҋ@
	WaitInterval()
	
	// [VFwx
	player.SetMotion( "Nod")
	while(!player.Wait());
	
	//ҋ@
	WaitInterval()
	
	//ACep
	player.LiftItemFront("recipe_J")
	while(!player.Wait());
	
	//ҋ@
	WaitInterval()
	
	//lngɎ莆n
	HandOverItem( player, npcApprentice, "recipe_J")
	
	//ҋ@
	WaitInterval()
	
	// GtFNgFw^xngɕ\
	PlayFukidashiEffect( npcApprentice, "Fukidashi_Question")
	
	//ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"17")
	
	//ҋ@
	WaitInterval()
	
	// GtFNgFwIHxngɕ\
	PlayFukidashiEffect( npcApprentice, "Fukidashi_Surprise")
	
	//ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"18")
	
	//ҋ@
	WaitInterval()
	
	// GtFNgFwفxngɕ\
	PlayFukidashiEffect( npcApprentice, "Fukidashi_Silent")
	
	//ҋ@
	WaitInterval()
	
	// GtFNgFwفxngɕ\
	PlayFukidashiEffect( npcApprentice, "Fukidashi_Silent")
	
	//ҋ@
	WaitInterval()
	
	// GtFNgFwyxlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Fun")
	
	// GtFNgFwفxngɕ\
	PlayFukidashiEffect( npcApprentice, "Fukidashi_Silent")
	
	//ҋ@
	WaitInterval()
	
	// ACȅɒu
	{
		local tableItemPos = GetLetterPos( GetPosSeatOfTheTableMyHouse(eMyHouseChair.No01) );
		local itemRot = VEC3( Math.Deg2Rad( GetLetterDegX()), Math.Deg2Rad( 180.0), Math.Deg2Rad( 0.0) );
		local itemPos = tableItemPos;

		// ̈ʒuɒ
		itemPos.z += 8.0;

		if(extentionLevel <= eHouseExtention.Level03)
		{
			// ng̕
			CharaWalkRotDeg( npcApprentice, 145)
		}
		else if(extentionLevel == eHouseExtention.Level04)
		{
			// ng̕
			CharaWalkRotDeg( npcApprentice, 135)
		}
		else if(extentionLevel == eHouseExtention.Level05)
		{
			// ng̕
			CharaWalkRotDeg( npcApprentice, 135)
		}

		PutItemOnTableRot( npcApprentice, itemModel[3], itemPos, itemRot )
	}
	
	// ngl̕
	CharaWalkRotObj( npcApprentice, player)
	
	//ҋ@
	WaitInterval()
	
	// [VFwx
	npcApprentice.SetMotion( "Scratch")
	while(!npcApprentice.Wait());
	
	//ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"19")
	
	//ҋ@
	WaitInterval()
	
	// [VFwx
	npcApprentice.SetMotion( "Scratch")
	while(!npcApprentice.Wait());
	
	//ҋ@
	WaitInterval()
	
	//nglɈ߂Â
	npcApprentice.Walk( npcApprentice.GetPos().x + 8, npcApprentice.GetPos().z)
	while(!npcApprentice.Wait()){}
	
	//ҋ@
	WaitInterval()
	
	//lƃng
	CharaWalkRotFace2Face( player, npcApprentice)
	
	//ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"20")
	
	//ҋ@
	WaitInterval()
	
	// [VFwx
	player.SetMotion( "Nod")
	
	// GtFNgFwn[gxlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Heart")
	
	while(!player.Wait());
	
	//ҋ@
	WaitInterval()
	
	// [VFw݁x
	npcApprentice.SetMotion( "Sad")
	
	// GtFNgFwxngɕ\
	PlayFukidashiEffect( npcApprentice, "Fukidashi_Puzzle")
	
	while(!npcApprentice.Wait());
	
	//ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"21")
	
	//ҋ@
	WaitInterval()
	
	// GtFNgFw΂xlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Laugh")
	
	//ҋ@
	WaitInterval()
	
	// [VFwx
	player.SetMotion( "Explain")
	
	// GtFNgFwyxlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Fun")
	
	while(!player.Wait());
	
	//ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"22")
	
	//ҋ@
	WaitInterval()
	
	// GtFNgFwyxngɕ\
	PlayFukidashiEffect( npcApprentice, "Fukidashi_Fun")
	
	//ҋ@
	WaitInterval()
	
	// GtFNgFwтxlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Ameaze")
	
	//ҋ@
	WaitInterval()
	
	// [VFwx
	player.SetMotion( "Explain")
	
	// GtFNgFw^xlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Question")
	
	while(!player.Wait());
	
	//ҋ@
	WaitInterval()
	
	// GtFNgFwтxngɕ\
	PlayFukidashiEffect( npcApprentice, "Fukidashi_Ameaze")
	
	//ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"23")
	
	//ҋ@
	WaitInterval()
	
	// GtFNgFwтxlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Ameaze")
	
	//ҋ@
	WaitInterval()
	
	// [VFwnOEJnx
	player.SetMotion( "HugBegin")
	// [V[vFwnOE[vx
	player.SetMotionLoop( "HugLoop")
	
	// [VwnOx̏I҂
	while(!player.Wait());
	
	//ҋ@
	WaitInterval()
	
	// GtFNgFwLLxlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Kirakira")
	
	//ҋ@
	WaitInterval()
	
	// GtFNgFwn[gxlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Heart")
	
	//ҋ@
	WaitInterval()
	
	// GtFNgFwyxngɕ\
	PlayFukidashiEffect( npcApprentice, "Fukidashi_Fun")
	
	//ҋ@
	WaitInterval()
	
	// [VFwnOEJnx
	npcApprentice.SetMotion( "HugBegin")
	// [V[vFwnOE[vx
	npcApprentice.SetMotionLoop( "HugLoop")
	
	// [VwnOx̏I҂
	while(!npcApprentice.Wait());
	
	//ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"24")
	
	//ҋ@
	WaitInterval()
	
	// GtFNgFwفxngɕ\
	PlayFukidashiEffect( npcApprentice, "Fukidashi_Silent")
	
	//ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"25")
	
	//ҋ@
	WaitInterval()
	
	// tF[hAEg
	FadeOutUpBlack()
	while(!Fade.Wait()){}
	
	// [V[vFI
	player.LoopMotionEnd()
	npcApprentice.LoopMotionEnd()

	//ng
	npcApprentice.SetCharaPos( npcApprentice.GetPos().x -8, npcApprentice.GetPos().z)
	
	//lƃng
	CharaWalkRotFace2Face( player, npcApprentice)
	
	//ҋ@
	Wait(30)
	
	// tF[hC
	FadeInUpBlack()
	while(!Fade.Wait()){}
	
	//ҋ@
	Wait(30)
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"26")
	
	//ҋ@
	WaitInterval()
	
	// GtFNgFwفxlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Silent")
	
	//ҋ@
	WaitInterval()
	
	// [VFwx
	player.SetMotion( "Explain")
	
	// GtFNgFwn[gxlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Heart")
	
	while(!player.Wait());
	
	//ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"27")
	
	//ҋ@
	WaitInterval()
	
	// [VFwx
	player.SetMotion( "Nod")
	while(!player.Wait());
	
	//ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"28")
	
	//ҋ@
	WaitInterval()
	
	if (PersonalData.GetSex() == eSex.eSex_Male)
	{
		// bZ[W
		MsgUtil.OpenMsg( "Wild_Animal_Thanks", MSG_DATA.ID+"29")
	}
	else
	{
		// bZ[W
		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"29")
	}
	
	//ҋ@
	WaitInterval()
	
	//nglɈ߂Â
	npcApprentice.Walk( npcApprentice.GetPos().x + 9, npcApprentice.GetPos().z)
	while(!npcApprentice.Wait()){}
	
	//ҋ@
	WaitInterval()
	
	// GtFNgFwKISSxQlɕ\
	local chara_array = [ player, npcApprentice]
	MultiCharaMotionNoWait(chara_array, "Kiss")
	
	// ҋ@
	Wait(15)
	// SEFLX
	local handle = Sound.PlaySE("Kiss");
	// SEFI҂
	while(!Sound.IsEndSE(handle));
	while(!npcApprentice.Wait());
	
	//ҋ@
	WaitInterval()
	
	// GtFNgFwn[gxQlɕ\
	MultiCharaEmotion(chara_array, "Fukidashi_Heart")
	
	while(!player.WaitEffect());
	
	//ҋ@
	WaitInterval()
	
	// [VFwx
	player.SetMotion( "Explain")
	
	// GtFNgFwpNxlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Talk")
	
	while(!player.Wait());
	
	//ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"30")
	
	//ҋ@
	WaitInterval()
	
	// [VFwx
	player.SetMotion( "Nod")
	while(!player.Wait());
	
	//ҋ@
	WaitInterval()
	
	// [VFw[x
	npcApprentice.SetMotion( "Yay")
	while(!npcApprentice.Wait());
	
	//ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"31")
	
	//ҋ@
	WaitInterval()
	
	// [VFwx
	player.SetMotion( "Nod")
	while(!player.Wait());
	
	//ҋ@
	WaitInterval()
	
	// tF[hAEg
	FadeOutUpBlack()
	while(!Fade.Wait()){}
	
}
/**
 * CxgI
 */
function EventEnd() : (EventName)
{
	EventFinalizeCommon(EventName)
	
	// CxgĨ}bv؂芷
	// l͔w
	player.SetRotY(Math.Deg2Rad( 180.0))
	
	// ID擾
	local mapIdStr = PersonalData.GetMyHouseInteriorDesignMapIdStr()
	// CxgIA}bvl̈ʒû܂
	Map.EventEndChangeCurrentPos( mapIdStr, player)
}

