/**
 * ͂񓖔ԃCxg
 */

// Cxg
local EventName = "Family_MealTurn"


// @
enum eCookingMethod
{
	UseRecipe,
	Feeling,
}



// bZ[W
local MSG_DATA = 
{
	Name  = "Family_Meal_Turn"
	CommonID = "MES_EV_PREGNANCY_"
}

// Jgp邽߂ɕKv
camera <- CameraChanger.GetCamera()

// Lop
player <- null			// l
npcPartner <- null		// 
npcChild <- null		// q


// Cxgf[^
EVENT_DATA <- {
	partnerIdStr = null,				// ID
	flgRequestPartner = false,			// ̃NGXg(true:)
	
	selectResultCookingMethod = eCookingMethod.UseRecipe,	// ǏʁF̂肩
	
	// pɍƗJeSŕ
	cookIdArray = [
		{ YakiNabe = [], RiceNoodleBread = [], SaladSoupDrink = [] },	// eCountryId.Japan
		{ YakiNabe = [], RiceNoodleBread = [], SaladSoupDrink = [] },	// eCountryId.America
		{ YakiNabe = [], RiceNoodleBread = [], SaladSoupDrink = [] },	// eCountryId.South
		{ YakiNabe = [], RiceNoodleBread = [], SaladSoupDrink = [] },	// eCountryId.Other
	],
	
	// ̃f[^
	CookData = {
		itemIdStr = null,			// ̃ACeID
		nameStr   = null,			// 
		quality   = 0,				// ̕i
		addRecoveryHp = 0,			// gbsOgpHPǉ񕜗
		
		itemIdStrSub1 = null,		// tP
		itemIdStrSub2 = null,		// tQ
	},
	
	cookIdRequestArray = [],		// ̃NGXgp
	
	requestCookId = 0,
}




/**
 * ID擾
 */
function getPartnerIdStr()
{
	local partnerIdStr = GetMarriageNpc()		// ID擾
	// fobON̑Ή
	if(!partnerIdStr){
		partnerIdStr = PersonalData.GetSex() == eSex.eSex_Male ? "Florist" : "Postman";
	}
	return partnerIdStr;
}

/**
 * ̑ziK擾
 */
function getMyHouseExtentionLevel()
{
	local extentionLevel = GetHouseExtentionLevel()
	// fobON̑Ή
	if(extentionLevel < eHouseExtention.Level03){
		extentionLevel = eHouseExtention.Level03
	}
	return extentionLevel;
}

/**
 * ́uDvȏ̃ACeł邩
 */
function isMealNpcLikeVeryMuch( npcIdStr, itemIdStr)
{
	local flg = false
	local favoriteType = FavoriteConstData.GetFavoriteType( npcIdStr, itemIdStr)
	if( favoriteType == eFavoriteType.Favorite ||		// 0000 ԍD
		favoriteType == eFavoriteType.VeryLike ){		// 0001 D
		flg = true
	}
	return flg
}

/**
 * ͌肪NGXĝ
 */
function isMealPartnerRequest()
{
    if(EVENT_DATA.flgRequestPartner) {
        return ( EVENT_DATA.CookData.itemIdStr == ID.ItemIdToString( CookConstData.GetCookItemId( EVENT_DATA.requestCookId)) )
    }
    else {
        return false
    }
}



/**
 * Qiڂ̗擾
 */
function GetSub1Dish( mainDish)
{
	// ACef[^Yn擾
	local itemIdMain = CookConstData.GetCookItemId( mainDish)
	local countryId  = ItemConstData.GetProducingArea( itemIdMain)
	
	// C̃JeSTuP肷
	local categoryIdMain = CookConstData.GetCategory( mainDish)
	local cookIdArray
	if( categoryIdMain == eCookCategory.Yaki ||
		categoryIdMain == eCookCategory.Nabe )
	{
		Print("Sub1Dish is ... Rice or Noodle or Bread")
		cookIdArray = EVENT_DATA.cookIdArray[ countryId].RiceNoodleBread
	}
	else
	{
		Print("Sub1Dish is ... Yaki or Nabe")
		cookIdArray = EVENT_DATA.cookIdArray[ countryId].YakiNabe
	}
	
	local cookIdSub1 = cookIdArray[ Random.RandomInt( cookIdArray.len())]
	Print("Sub1Dish cookId : "+cookIdSub1)
	return cookIdSub1
}


/**
 * Riڂ̗擾
 */
function GetSub2Dish( mainDish, sub1Sish)
{
	// ACef[^Yn擾
	local itemIdMain = CookConstData.GetCookItemId( mainDish)
	local countryId  = ItemConstData.GetProducingArea( itemIdMain)
	
	// CƃTuP̃JeSTuQ肷
	local categoryIdMain = CookConstData.GetCategory( mainDish)
	local categoryIdSub1 = CookConstData.GetCategory( sub1Sish)
	local cookIdArray
	if( categoryIdSub1 == eCookCategory.Rice ||
		categoryIdSub1 == eCookCategory.NoodleBread )
	{
		Print("Sub2Dish is ... Salad or Soup or Drink")
		cookIdArray = EVENT_DATA.cookIdArray[ countryId].SaladSoupDrink
	}
	else if( categoryIdMain == eCookCategory.Rice ||
			 categoryIdMain == eCookCategory.NoodleBread )
	{
		Print("Sub2Dish is ... Salad or Soup or Drink")
		cookIdArray = EVENT_DATA.cookIdArray[ countryId].SaladSoupDrink
	}
	else
	{
		Print("Sub2Dish is ... Rice or Noodle or Bread")
		cookIdArray = EVENT_DATA.cookIdArray[ countryId].RiceNoodleBread
	}
	
	local cookIdSub2 = cookIdArray[ Random.RandomInt( cookIdArray.len())]
	Print("Sub2Dish cookId : "+cookIdSub2)
	return cookIdSub2
}





/**
 * Cxg
 */
function EventInitialize() : (EventName)
{
	EventInitializeCommon(EventName)
	
	EVENT_DATA.partnerIdStr = getPartnerIdStr()
	
	// fobOs̑ΉFύX
	if( GetHouseExtentionLevel() != getMyHouseExtentionLevel() ){
		local count = 2		// lƌ
		if( IsAppearGrownChild()){ count++; }
		
	}
	
	
	// Loݒ
	player     = ObjectManager.CreatePlayer()
	npcPartner = ObjectManager.CreateNpc( EVENT_DATA.partnerIdStr)
	// cN̎qΓoꂳ
	if( IsAppearGrownChild()){
		npcChild   = ObjectManager.CreateNpc("Child")
	}
	// 肽L̐
	while(!ObjectManager.CreateWait()){}
	
	
	if( npcChild){
		// ܂oꂵȂ̂Ŕ\
		npcChild.SetVisible(false)
	}
	
	
	// ƗJeSʂɗIDe[u쐬
	local itemId, countryId
	
	for( local i = 0; i < ID.eCookId_Num; i++)
	{
		// ACef[^Yn擾
		itemId    = CookConstData.GetCookItemId(i)
		countryId = ItemConstData.GetProducingArea( itemId)
		
		switch( CookConstData.GetCategory(i))
		{
			case eCookCategory.Yaki:
			case eCookCategory.Nabe:
				EVENT_DATA.cookIdArray[ countryId].YakiNabe.append(i)
				break;
			
			case eCookCategory.Rice:
			case eCookCategory.NoodleBread:
				EVENT_DATA.cookIdArray[ countryId].RiceNoodleBread.append(i)
				break;
			
			case eCookCategory.Salad:
			case eCookCategory.Soup:
			case eCookCategory.Drink:
				EVENT_DATA.cookIdArray[ countryId].SaladSoupDrink.append(i)
				break;
		}
	}
	
	
	// ̗NGXg
	local partnerScheduleType = NpcConstData.GetScheduleType( ID.StringToNpcId( EVENT_DATA.partnerIdStr), TimeData.GetWeek());
	if( partnerScheduleType == eScheduleType.Normal &&		// ̍̍s^CvuʏXPW[vł
	    Random.RandomInt(100) < 35)							// m5%
	{
		// ̃NGXg
		EVENT_DATA.flgRequestPartner = true
		
		// NGXgp̗Xg쐬		́uDvȏォ烉_Ō
		local max = ID.eCookId_Num
		
		for( local i = 0; i < max; i++)
		{
			local itemIdStr = ID.ItemIdToString( CookConstData.GetCookItemId(i))
			if( CookData.GetRecipeHaveFlag(i) == true	&&								// Vsς݂
				isMealNpcLikeVeryMuch( EVENT_DATA.partnerIdStr, itemIdStr) == true )		// Dȏł邩
			{
				EVENT_DATA.cookIdRequestArray.append(i)
				Print("CookID entry : "+i)
			}
		}
		
		if( EVENT_DATA.cookIdRequestArray.len() == 0)
		{
			// VsĂȂ̂ŃNGXg̓LZ
			EVENT_DATA.flgRequestPartner = false
			Print("Not have Recipe.   Request is cancel ...")
		}
		else
		{
			// NGXg
			local indexCookMain = Random.RandomInt( EVENT_DATA.cookIdRequestArray.len())
			EVENT_DATA.requestCookId = EVENT_DATA.cookIdRequestArray[ indexCookMain]
			Print("Request CookID is : "+EVENT_DATA.requestCookId)
		}
	}
}



/**
 * Cxg
 */
function EventMain()
{
	EventInitialize()
	
	// lH
	EventScene_MakeMealByPlayer()
	
	// HV[̏
	EventScene_HaveMealInitialize()
	
	// H
	EventScene_HaveMealPlayerMade()
	
	// HI
	EventScene_MealExit()
	
	// tF[hAEg
	FadeOutUpBlack()
	while(!Fade.Wait()){}
	
	EventEnd()
}



/**
 * lH
 */
function EventScene_MakeMealByPlayer() : (MSG_DATA)
{
	// ̑ziKeWݒ
	local extentionLevel  = getMyHouseExtentionLevel()
	local indexHouseLevel = extentionLevel - eHouseExtention.Level03
	
	// 肩̃NGXgĂȂ烁bZ[W\
	if( EVENT_DATA.flgRequestPartner)
	{
		// LƃJ̐ݒ
		local partnerPos = GetPosTableMyHouse() + VEC3( -7.0,  0.0, 23.0)
		npcPartner.SetCharaPos( partnerPos.x, partnerPos.z)
		
		// p^[zu
		EventEasySetUp( [npcPartner, player], camera, eCharaOffset.Pattern009, eCameraOffset.Pattern009)
		
		// 킹
		CharaSetDirObj( player, npcPartner)
		CharaSetDirObj( npcPartner, player)
		
		EventStartFirstFadeIn()
		
		// ҋ@
		WaitInterval()
		
		// uݒFw<ITEMNAME0>xɗݒ肷
		MsgUtil.SetTransItemNameW( 0, CookConstData.GetName( ID.CookIdToString( EVENT_DATA.requestCookId)))
		// bZ[W
		MsgUtil.OpenMsg( MSG_DATA.Name, "MES_PLAYER_MEALDEMO_REQUEST_"+EVENT_DATA.partnerIdStr)
		
		// tF[hAEg
		FadeOutUpBlack()
		
		// ҋ@
		WaitInterval()
	}
	
	// lLb`Oɗ
	local SetDataArray = [
			// l̍W							// l̕		// J̍W							// J̒_
		{	playerPos = VEC3( 28.5,  0.0, -31.0),	playerDeg = 180,	cameraPos = VEC3( 28.5, 23.0,  14.6), 	targetPos = VEC3( 28.5,  6.1, -32.5),	}	// zRiK
		{	playerPos = VEC3( 28.0,  0.0, -35.0),	playerDeg = 180,	cameraPos = VEC3( 28.0, 23.0,  18.6), 	targetPos = VEC3( 28.0,  6.1, -28.5),	}	// zSiK
		{	playerPos = VEC3( 50.0,  0.0, -35.0),	playerDeg =   0,	cameraPos = VEC3( 50.0, 23.0,  18.6), 	targetPos = VEC3( 50.0,  6.1, -28.5),	}	// zTiK
	];
	local SetData = SetDataArray[ indexHouseLevel ]
	
	player.SetCharaPos( SetData.playerPos.x, SetData.playerPos.z)
	player.SetRotY(Math.Deg2Rad( SetData.playerDeg))
	
	// ܂oꂵȂ̂Ŕ\
	npcPartner.SetVisible(false)
	if(npcChild){
		npcChild.SetVisible(false)
	}
	
	// J̐ݒ
	camera.SetCameraPos( SetData.cameraPos.x, SetData.cameraPos.y, SetData.cameraPos.z)
	camera.SetTargetPos( SetData.targetPos.x, SetData.targetPos.y, SetData.targetPos.z)
	
	if( EVENT_DATA.flgRequestPartner){
		// tF[hC
		FadeInBlack() 
	}
	else{
		EventStartFirstFadeIn()
	}
	
	
	// ҋ@
	WaitInterval()
	
	// 
	local flgCookingScene = true
	while( flgCookingScene)
	{
		// bZ[WFIu낤 H Vs痿 ^ 蔲v
		EVENT_DATA.selectResultCookingMethod = MsgUtil.OpenSelectMsg( MSG_DATA.Name, MSG_DATA.CommonID+"00", [ MSG_DATA.CommonID+"01", MSG_DATA.CommonID+"02" ] )
		
		// 蔲H
		if( EVENT_DATA.selectResultCookingMethod == eCookingMethod.Feeling ) {
			// 蔲ɂ̂ŏI
			flgCookingScene = false
			continue;
		}
		
		// Cxg^Cg\
		EventTitle.SetVisible(false);
		
		// ʌĂяo
		OtherScreen.CallWait("EventCook");
		
		// ̏擾
		EVENT_DATA.CookData.itemIdStr = CookCreationData.GetCookItemIdStr()			// ̃ACeID擾
		EVENT_DATA.CookData.nameStr   = CookCreationData.GetCookItemName()			// 擾
		EVENT_DATA.CookData.quality   = CookCreationData.GetCreateCookQuality()		// ̕i擾
		EVENT_DATA.CookData.addRecoveryHp = CookCreationData.CalcAddRecoveryHp( EVENT_DATA.CookData.quality, CookCreationData.IsUseTopping())	// gbsOgpHPǉ񕜗
		
		
		// ʏI
		CookCreationData.Clear()
		Print("Return from Cooking Screen ... " +"   make item : "+EVENT_DATA.CookData.itemIdStr)
		
		// ҋ@
		WaitInterval()
		
		// ʂŉ
		if( EVENT_DATA.CookData.itemIdStr == null) {
			// Cxg^Cg\
			EventTitle.SetVisible(true);
			// tF[hC
			FadeInBlack()
			continue;			// 炸߂Ă̂őIɖ߂
		}
		
		// 쐬
		flgCookingScene = false
		
		// Cxg^Cg\
		EventTitle.SetVisible(true);
		
		Wait(30)
		
		// tF[hC
		FadeInBlack() 
		
		// ҋ@
		WaitInterval()
		
		// uݒFw<ITEMNAME0>xɗݒ肷
		MsgUtil.SetTransItemNameW( 0, EVENT_DATA.CookData.nameStr)
		
		// bZ[W
		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.CommonID+"03")
	}
	
	// tF[hAEg
	FadeOutUpBlack()
	
	// ʂŉ
	if( EVENT_DATA.CookData.itemIdStr != null)
	{
		// CƓ̗Qi
		local cookIdMain = ItemConstData.GetCookId( ID.StringToItemId( EVENT_DATA.CookData.itemIdStr))
		
		local cookIdSub1 = GetSub1Dish( cookIdMain)
		EVENT_DATA.CookData.itemIdStrSub1	= ID.ItemIdToString( CookConstData.GetCookItemId( cookIdSub1))
		
		local cookIdSub2 = GetSub2Dish( cookIdMain, cookIdSub1)
		EVENT_DATA.CookData.itemIdStrSub2	= ID.ItemIdToString( CookConstData.GetCookItemId( cookIdSub2))
	}
	else
	{
		// 蔲̓p1
		EVENT_DATA.CookData.itemIdStr		= "FoodBread"
		EVENT_DATA.CookData.itemIdStrSub1	= null
		EVENT_DATA.CookData.itemIdStrSub2	= null
	}
	
	
	// SEF̉
	local seCooking = Sound.PlaySE("Cooking");
	while(!Sound.IsEndSE(seCooking));
}



/**
 * ̔zVʒu擾
 */
function getCateringPosMeal( seatNo, mealNo, mealMax)
{
	local tableHeight = 8.2
	local tableCenterPos = GetPosTableMyHouse() + VEC3( 0.0, tableHeight, 0.0)
	
	local someMealPosOffset = [		// zu
		{	main = VEC3(  2.5,  0.0, -7.5),	sub1 = VEC3( -2.5,  0.0,  -7.5), sub2 = VEC3(  0.0,  0.0, -3.0),	},		// 
		{	main = VEC3( -7.5,  0.0, -2.5),	sub1 = VEC3( -7.5,  0.0,   2.5), sub2 = VEC3( -3.0,  0.0,  0.0),	},		// 
		{	main = VEC3(  7.5,  0.0,  2.5),	sub1 = VEC3(  7.5,  0.0,  -2.5), sub2 = VEC3(  3.0,  0.0,  0.0),	},		// E
	]
	local oneMealPosOffset = [		// zu
		{	main = VEC3(  0.0,  0.0, -7.5),	sub1 = VEC3(  2.5,  0.0,  -3.0), sub2 = VEC3( -2.5,  0.0, -3.0),	},		// 
		{	main = VEC3( -7.5,  0.0,  0.0),	sub1 = VEC3( -3.0,  0.0,  -2.5), sub2 = VEC3( -3.0,  0.0,  2.5),	},		// 
		{	main = VEC3(  7.5,  0.0,  0.0),	sub1 = VEC3(  3.0,  0.0,   2.5), sub2 = VEC3(  3.0,  0.0, -2.5),	},		// E
	]
	
	local itemPos = VEC3( 0.0, 0.0, 0.0)
	local itemPosOffset = (mealMax == 1) ? oneMealPosOffset : someMealPosOffset
	switch(mealNo)
	{
		case 0:		itemPos = (tableCenterPos + itemPosOffset[ seatNo ].main);		break;
		case 1:		itemPos = (tableCenterPos + itemPosOffset[ seatNo ].sub1);		break;
		case 2:		itemPos = (tableCenterPos + itemPosOffset[ seatNo ].sub2);		break;
	}
	return itemPos
}


/**
 * HV[̏
 */
function EventScene_HaveMealInitialize()
{
	// ACep
	local itemModelPlayer	= []
	local itemModelPartner	= []
	local itemModelChild	= []
	
	// p
	local itemIdStrMain = EVENT_DATA.CookData.itemIdStr
	local itemIdStrSub1 = EVENT_DATA.CookData.itemIdStrSub1
	local itemIdStrSub2 = EVENT_DATA.CookData.itemIdStrSub2
	
	itemModelPlayer.append( ItemModelManager.Create( itemIdStrMain))
	if( itemIdStrSub1){
		itemModelPlayer.append( ItemModelManager.Create( itemIdStrSub1))
	}
	if( itemIdStrSub2){
		itemModelPlayer.append( ItemModelManager.Create( itemIdStrSub2))
	}
	
	itemModelPartner.append( ItemModelManager.Create( itemIdStrMain))
	if( itemIdStrSub1){
		itemModelPartner.append( ItemModelManager.Create( itemIdStrSub1))
	}
	if( itemIdStrSub2){
		itemModelPartner.append( ItemModelManager.Create( itemIdStrSub2))
	}
	
	if(npcChild){
		itemModelChild.append( ItemModelManager.Create( itemIdStrMain))
		if( itemIdStrSub1){
			itemModelChild.append( ItemModelManager.Create( itemIdStrSub1))
		}
		if( itemIdStrSub2){
			itemModelChild.append( ItemModelManager.Create( itemIdStrSub2))
		}
	}
	while(!ItemModelManager.CreateWait());
	
	
	// L֎qɔzu
	
	// l֎qɍ点Ĕzu
	CharaSetPosSitDownChair( player, GetPosChairMyHouse( eMyHouseChair.No01), 90.0)
	// ֎qɍ点Ĕzu
	CharaSetPosSitDownChair( npcPartner, GetPosChairMyHouse( eMyHouseChair.No02), 270.0)
	// N̎qǂꍇ
	if (ChildData.GetGrowth() == eChildGrowth.Child){
		CharaSetPosSitDownChair( npcChild, GetPosChairMyHouse( eMyHouseChair.No00), 0.0)
	}
	
	// J̐ݒ
	local tablePos = GetPosTableMyHouse()
	// J̈ʒuݒ
	camera.SetCameraPos( tablePos.x, 28.5, tablePos.z + 36.0)
	// J̒_̈ʒuݒ
	camera.SetTargetPos( tablePos.x,  8.4, tablePos.z -  9.5)
	
	// oԂ̂ŕ\
	npcPartner.SetVisible(true)
	if(npcChild){
		npcChild.SetVisible(true)
	}
	
	
	// zV
	local cookingNum = itemModelPlayer.len()	// ̐
	for( local i = 0; i < cookingNum; i++)
	{
		itemModelPlayer[i].SetScale( VEC3( 0.6, 0.6, 0.6))
		itemModelPlayer[i].SetPos( getCateringPosMeal( eMyHouseChair.No01, i, cookingNum))
		itemModelPlayer[i].SetRot( VEC3( Math.Deg2Rad( 0.0), Math.Deg2Rad( 90.0), Math.Deg2Rad( 0.0)))
		
		itemModelPartner[i].SetScale( VEC3( 0.6, 0.6, 0.6))
		itemModelPartner[i].SetPos( getCateringPosMeal( eMyHouseChair.No02, i, cookingNum))
		itemModelPartner[i].SetRot( VEC3( Math.Deg2Rad( 0.0), Math.Deg2Rad(270.0), Math.Deg2Rad( 0.0)))
		
		// c̎qȂݒ
		if(npcChild){
			itemModelChild[i].SetScale( VEC3( 0.6, 0.6, 0.6))
			itemModelChild[i].SetPos( getCateringPosMeal( eMyHouseChair.No00, i, cookingNum))
			itemModelChild[i].SetRot( VEC3( Math.Deg2Rad( 0.0), Math.Deg2Rad(  0.0), Math.Deg2Rad( 0.0)))
		}
	}
	
	// ҋ@
	WaitInterval()
}



/**
 * lHׂ
 */
function EventScene_HaveMealPlayerMade() : (MSG_DATA)
{
	local partnerIdStr = EVENT_DATA.partnerIdStr
	
	// cN̎qȂ琫ʂ擾
	local msgIdStrChildSex = null
	if( IsAppearGrownChild()){
		msgIdStrChildSex = "Boy"
		if( eSex.eSex_Female == ChildData.GetSex()){
			msgIdStrChildSex = "Girl"
		}
	}
	
	// Cxgɑ̗̓Q[W\
	ConsoleManager.SetPlayerGaugeVisible(true);
	
	// ҋ@
	WaitInterval()
	
	// tF[hC
	FadeInUpBlack()
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, "MES_PLAYER_MEALDEMO_ITADAKI_"+partnerIdStr)
	
	// cN̎qȂ烁bZ[W\
	if( msgIdStrChildSex){
		MsgUtil.OpenMsg( MSG_DATA.Name, "MES_PLAYER_MEALDEMO_ITADAKI_Child_"+msgIdStrChildSex)
	}
	
	// H
	local charaFamilyArray = [ player, npcPartner]
	if(npcChild){
		charaFamilyArray.append( npcChild)
	}
	MultiCharaMotionEating( charaFamilyArray, 100)
	
	// Hݒ
	PersonalData.ExeMeal( EVENT_DATA.CookData.itemIdStr, 1, EVENT_DATA.CookData.addRecoveryHp)
	
	if( ItemConstData.HasBuf( EVENT_DATA.CookData.itemIdStr)){
		// GtFNgFwotx\
		PlayBodyEffect( player, "MealPower")
	}
	
	
	// ================================
	// H̊z肷
	local msgStrMealDemo = null
	local msgStrMealDemoChild = null	// iŕ]ꍇ͎q̃bZ[Wǉ
	
	if( isMealPartnerRequest())
	{
		msgStrMealDemo = "MES_PLAYER_MEALDEMO_REQUEST_COMMENT_"+partnerIdStr
		
		// GtFNg
		MultiCharaEmotion( charaFamilyArray, "Fukidashi_Waiwai")
	}
	// orqǂ̑Dȏ̗H ꍇ̗Dxw  qǂx
	else if( msgIdStrChildSex && isMealNpcLikeVeryMuch( "Child", EVENT_DATA.CookData.itemIdStr))
	{
		msgStrMealDemo =  "MES_PLAYER_MEALDEMO_LIKE_Child_"+msgIdStrChildSex

		local charaFamilyArray = [player, npcPartner]
		if(npcChild){
			charaFamilyArray.append( npcChild)
		}
		// GtFNg
		MultiCharaEmotion( charaFamilyArray, "Fukidashi_Waiwai")
	}
	else if( isMealNpcLikeVeryMuch( partnerIdStr, EVENT_DATA.CookData.itemIdStr))
	{
		msgStrMealDemo = "MES_PLAYER_MEALDEMO_LIKE_"+partnerIdStr

		local charaFamilyArray = [player, npcPartner]
		if(npcChild){
			charaFamilyArray.append( npcChild)
		}
		// GtFNg
		MultiCharaEmotion( charaFamilyArray, "Fukidashi_Waiwai")
	}
	else {
		local quality =  EVENT_DATA.CookData.quality		// ̕i擾
		
		// uKɍvI񂾁H
		if( EVENT_DATA.selectResultCookingMethod == eCookingMethod.Feeling) {
			msgStrMealDemo      = null
			msgStrMealDemoChild = null
		}
		// ̕iɂ胁bZ[W
		else if(quality <= 59) {
			msgStrMealDemo      = null
			msgStrMealDemoChild = null
		}
		else if(quality <= 200) {
			msgStrMealDemo      = "MES_PLAYER_MEALDEMO_NORMAL_"+partnerIdStr
			msgStrMealDemoChild = "MES_PLAYER_MEALDEMO_NORMAL_Child_"+msgIdStrChildSex
		}
		else if(quality <= 300) {
			msgStrMealDemo      = "MES_PLAYER_MEALDEMO_GOOD_"+partnerIdStr
			msgStrMealDemoChild = "MES_PLAYER_MEALDEMO_GOOD_Child_"+msgIdStrChildSex
			
		}
		else {
			msgStrMealDemo      = "MES_PLAYER_MEALDEMO_BRAVO_"+partnerIdStr
			msgStrMealDemoChild = "MES_PLAYER_MEALDEMO_BRAVO_Child_"+msgIdStrChildSex
		}
		
		
		local emotion = "Fukidashi_Puzzle"
		if( EVENT_DATA.selectResultCookingMethod == eCookingMethod.Feeling) {	emotion = "Fukidashi_Puzzle"	}	// uKɍvI	// GtFNgFwx
		else if(quality <= 59) {												emotion = "Fukidashi_Silent"	}	// iu 59vȉ			// GtFNgFwفx
		else if(quality <= 119) {												emotion = "Fukidashi_Fun"		}	// iu119vȉ			// GtFNgFwyx
		else if(quality <= 179) {												emotion = "Fukidashi_Heart"		}	// iu179vȉ			// GtFNgFwn[gx
		else if(quality <= 239) {												emotion = "Fukidashi_Kirakira"	}	// iu239vȉ			// GtFNgFwLLx
		else {																	emotion = "Fukidashi_Waiwai"	}	// iu240vȏ			// GtFNgFw킢킢x
		local charaFamilyArray = [player, npcPartner]
		if(npcChild){
			charaFamilyArray.append( npcChild)
		}
		// GtFNg
		MultiCharaEmotion( charaFamilyArray, emotion)
	}
	
	// H̊zȂ\
	if(msgStrMealDemo != null){
		// bZ[W
		if (msgStrMealDemo == "MES_PLAYER_MEALDEMO_BRAVO_TeaGirl" && eSex.eSex_Female == PersonalData.GetSex())
		{
			MsgUtil.OpenMsg( "Wedding_Anniversary", msgStrMealDemo)
		}
		else
		{
			MsgUtil.OpenMsg( MSG_DATA.Name, msgStrMealDemo)
		}
		
	}
	// iŕ]ꍇAq̃bZ[W\
	if(msgStrMealDemoChild != null && msgIdStrChildSex != null){
		// bZ[W
		MsgUtil.OpenMsg( MSG_DATA.Name, msgStrMealDemoChild)
	}
	
	WaitInterval()
	
	
	// lHPQ[W񕜃AjI҂
	WaitPlayerGaugeRecoveryAnimEnd()
	
	// tF[hAEg
	FadeOutUpBlack()
	
	// ̗̓Q[W
	ConsoleManager.SetPlayerGaugeVisible(false);
	
	// ACef폜FЕt
	ItemModelManager.DeleteAll()
	
	// ҋ@FЕt̊
	Wait(60)
}



/**
 * HIV[
 */
function EventScene_MealExit() : (MSG_DATA)
{
	local partnerIdStr = EVENT_DATA.partnerIdStr
	
	// tF[hC
	FadeInUpBlack()
	
	WaitInterval()
	
	// 
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, "MES_PLAYER_MEALDEMO_GOTI_"+partnerIdStr)
	WaitInterval()
	
	// cN̎qȂ烁bZ[W\
	if( IsAppearGrownChild())
	{
		// ʂ擾
		local msgIdStrChildSex = "Boy"
		if( eSex.eSex_Female == ChildData.GetSex()){
			msgIdStrChildSex = "Girl"
		}
		// bZ[W
		MsgUtil.OpenMsg( MSG_DATA.Name, "MES_PLAYER_MEALDEMO_GOTI_Child_"+msgIdStrChildSex)
	}
	
	// H̃bZ[W
	local mesAfterMeal_Base = "MES_MEALDEMO_WEEKDAY_"
	
	// ݎ烁bZ[W
	local currentTime = TimeData.GetHour()
	local mesAfterMeal_Time = "DINNER_"
	
	if(currentTime <= 9) {
		mesAfterMeal_Time = "BREAKFAST_"
	}
	else if(currentTime <= 14) {
		mesAfterMeal_Time = "LUNCH_"
	}
	
	// bZ[WFH̉b
	
	if (mesAfterMeal_Time == "DINNER_" && partnerIdStr == "Doctor" && eSex.eSex_Male == PersonalData.GetSex())
	{
		MsgUtil.OpenMsg( "Wedding_Anniversary", mesAfterMeal_Base + mesAfterMeal_Time + partnerIdStr)
	}
	else
	{
		MsgUtil.OpenMsg( MSG_DATA.Name, mesAfterMeal_Base + mesAfterMeal_Time + partnerIdStr)
	}
	
}



/**
 * CxgI
 */
function EventEnd() : (EventName)
{
    EventFinalizeCommon(EventName)

    // N̈ʒu
    Map.EventEndWeakupPoint()
}

