/**
 * ͂񓖔ԃCxg
 */
 
// Cxg
local EventName = "Family_MealTurnPartner"

// bZ[W
local MSG_DATA = 
{
	Name = "Family_Meal_Turn"
	ID   = "MES_EV_PREGNANCY_"
}


// Jgp邽߂ɕKv
camera <- CameraChanger.GetCamera()

// Lop
player <- null			// l
npcPartner <- null		// 
npcChild <- null		// q


EVENT_DATA <- {
	partnerIdStr = null,				// ID
	flgRequestPlayer = false,			// l̃NGXg(true:)
	
	// pɍƗJeSŕ
	cookIdArray = [
		{ YakiNabe = [], RiceNoodleBread = [], SaladSoupDrink = [] },	// eCountryId.Japan
		{ YakiNabe = [], RiceNoodleBread = [], SaladSoupDrink = [] },	// eCountryId.America
		{ YakiNabe = [], RiceNoodleBread = [], SaladSoupDrink = [] },	// eCountryId.South
		{ YakiNabe = [], RiceNoodleBread = [], SaladSoupDrink = [] },	// eCountryId.Other
	],
	
	cookIdMain = null,			// C
	cookIdSub1 = null,			// tP
	cookIdSub2 = null,			// tQ
	
	// NGXgp
	cookIdRequestAmerica	= 0,	// IFkė
	cookIdRequestJapan		= 0,	// IFa
	cookIdRequestSouth		= 0,	// IF썑
	choiceCountryId			= 0,	// IID
}




/**
 * ID擾
 */
function getPartnerIdStr()
{
	local partnerIdStr = GetMarriageNpc()		// ID擾
	// fobON̑Ή
	if(!partnerIdStr){
		partnerIdStr = PersonalData.GetSex() == eSex.eSex_Male ? "Florist" : "Postman";
	}
	return partnerIdStr;
}

/**
 * ̑ziK擾
 */
function getMyHouseExtentionLevel()
{
	local extentionLevel = GetHouseExtentionLevel()
	// fobON̑Ή
	if(extentionLevel < eHouseExtention.Level03){
		extentionLevel = eHouseExtention.Level03
	}
	return extentionLevel;
}



/**
 * C̗擾
 */
function GetMainDish( countryId)
{
	// ID烁C肷
	local cookIdArray = EVENT_DATA.cookIdArray[ countryId].YakiNabe
	
	local cookIdMain = cookIdArray[ Random.RandomInt( cookIdArray.len())]
	Print("MainDish cookId : "+cookIdMain)
	return cookIdMain
}


/**
 * Qiڂ̗擾
 */
function GetSub1Dish( mainDish)
{
	// ACef[^Yn擾
	local itemIdMain = CookConstData.GetCookItemId( mainDish)
	local countryId  = ItemConstData.GetProducingArea( itemIdMain)
	
	// C̃JeSTuP肷
	local categoryIdMain = CookConstData.GetCategory( mainDish)
	local cookIdArray
	if( categoryIdMain == eCookCategory.Yaki ||
		categoryIdMain == eCookCategory.Nabe )
	{
		Print("Sub1Dish is ... Rice or Noodle or Bread")
		cookIdArray = EVENT_DATA.cookIdArray[ countryId].RiceNoodleBread
	}
	else
	{
		Print("Sub1Dish is ... Yaki or Nabe")
		cookIdArray = EVENT_DATA.cookIdArray[ countryId].YakiNabe
	}
	
	local cookIdSub1 = cookIdArray[ Random.RandomInt( cookIdArray.len())]
	Print("Sub1Dish cookId : "+cookIdSub1)
	return cookIdSub1
}


/**
 * Riڂ̗擾
 */
function GetSub2Dish( mainDish, sub1Sish)
{
	// ACef[^Yn擾
	local itemIdMain = CookConstData.GetCookItemId( mainDish)
	local countryId  = ItemConstData.GetProducingArea( itemIdMain)
	
	// CƃTuP̃JeSTuQ肷
	local categoryIdMain = CookConstData.GetCategory( mainDish)
	local categoryIdSub1 = CookConstData.GetCategory( sub1Sish)
	local cookIdArray
	if( categoryIdSub1 == eCookCategory.Rice ||
		categoryIdSub1 == eCookCategory.NoodleBread )
	{
		Print("Sub2Dish is ... Salad or Soup or Drink")
		cookIdArray = EVENT_DATA.cookIdArray[ countryId].SaladSoupDrink
	}
	else if( categoryIdMain == eCookCategory.Rice ||
			 categoryIdMain == eCookCategory.NoodleBread )
	{
		Print("Sub2Dish is ... Salad or Soup or Drink")
		cookIdArray = EVENT_DATA.cookIdArray[ countryId].SaladSoupDrink
	}
	else
	{
		Print("Sub2Dish is ... Rice or Noodle or Bread")
		cookIdArray = EVENT_DATA.cookIdArray[ countryId].RiceNoodleBread
	}
	
	local cookIdSub2 = cookIdArray[ Random.RandomInt( cookIdArray.len())]
	Print("Sub2Dish cookId : "+cookIdSub2)
	return cookIdSub2
}




/**
 * Cxg
 */
function EventInitialize() : (EventName)
{
	EventInitializeCommon(EventName)
	
	EVENT_DATA.partnerIdStr = getPartnerIdStr()
	
	
	// Loݒ
	player     = ObjectManager.CreatePlayer()
	npcPartner = ObjectManager.CreateNpc( EVENT_DATA.partnerIdStr)
	// cN̎qΓoꂳ
	if( IsAppearGrownChild()){
		npcChild   = ObjectManager.CreateNpc("Child")
	}
	// 肽L̐
	while(!ObjectManager.CreateWait()){}
	
	if( npcChild){
		// ܂oꂵȂ̂Ŕ\
		npcChild.SetVisible(false)
	}
	
	// LƃJ̐ݒ
	local playerPos = GetPosTableMyHouse() + VEC3( -7.0,  0.0, 23.0)
	player.SetCharaPos( playerPos.x, playerPos.z)
	// p^[zu
	EventEasySetUp( [player, npcPartner], camera, eCharaOffset.Pattern009, eCameraOffset.Pattern009)
	
	// 킹
	CharaSetDirObj( player, npcPartner)
	CharaSetDirObj( npcPartner, player)
	
	
	// ƗJeSʂɗIDe[u쐬
	local itemId, countryId
	
	for( local i = 0; i < ID.eCookId_Num; i++)
	{
		// ACef[^Yn擾
		itemId    = CookConstData.GetCookItemId(i)
		countryId = ItemConstData.GetProducingArea( itemId)
		
		switch( CookConstData.GetCategory(i))
		{
			case eCookCategory.Yaki:
			case eCookCategory.Nabe:
				EVENT_DATA.cookIdArray[ countryId].YakiNabe.append(i)
				break;
			
			case eCookCategory.Rice:
			case eCookCategory.NoodleBread:
				EVENT_DATA.cookIdArray[ countryId].RiceNoodleBread.append(i)
				break;
			
			case eCookCategory.Salad:
			case eCookCategory.Soup:
			case eCookCategory.Drink:
				EVENT_DATA.cookIdArray[ countryId].SaladSoupDrink.append(i)
				break;
		}
	}
	
	
	// l̗NGXg
	local partnerScheduleType = NpcConstData.GetScheduleType( ID.StringToNpcId( EVENT_DATA.partnerIdStr), TimeData.GetWeek());
	if( partnerScheduleType == eScheduleType.Normal &&		// ̍̍s^CvuʏXPW[vł
	    Random.RandomInt(2) == 0)							// m50%
	{
		// l̃NGXg
		EVENT_DATA.flgRequestPlayer = true
		
		// NGXgp̗Xg쐬		R̗̒ꂼꃉ_Ō
		local max = ID.eCookId_Num
		local cookIdRequestJapanArray   = []
		local cookIdRequestAmericaArray = []
		local cookIdRequestSouthArray   = []
		
		for( local i = 0; i < max; i++)
		{
			local itemId	= CookConstData.GetCookItemId(i)
			local countryId	= ItemConstData.GetProducingArea( itemId)
			
			switch(countryId)
			{
				case eCountryId.Japan:
					cookIdRequestJapanArray.append(i)
					break;
				case eCountryId.America:
					cookIdRequestAmericaArray.append(i)
					break;
				case eCountryId.South:
					cookIdRequestSouthArray.append(i)
					break;
				default:
					break;
			}
		}
		
		EVENT_DATA.cookIdRequestJapan	= cookIdRequestJapanArray[ Random.RandomInt( cookIdRequestJapanArray.len())]
		EVENT_DATA.cookIdRequestAmerica	= cookIdRequestAmericaArray[ Random.RandomInt( cookIdRequestAmericaArray.len())]
		EVENT_DATA.cookIdRequestSouth	= cookIdRequestSouthArray[ Random.RandomInt( cookIdRequestSouthArray.len())]
	}
}

/**
 * Cxg
 */
function EventMain()
{
	EventInitialize()
	
	EventStartFirstFadeIn()
	
	// ҂ɍĂ炤
	EventScene_MakeMealByPartner()
	
	// HV[̏
	EventScene_HaveMealInitialize()
	
	// 񑊎̗Hׂ
	EventScene_HaveMealByPartner()
	
	// HI
	EventScene_MealExit()
	
	// tF[hAEg
	FadeOutUpBlack()
	
	EventEnd()
}



/**
 * ҂H
 */
function EventScene_MakeMealByPartner() : (MSG_DATA)
{
	Wait(30)
	
	local partnerIdStr = EVENT_DATA.partnerIdStr
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, "MES_MEALDEMO_READY_"+partnerIdStr)
	
	
	// l̃NGXgĂȂ烁bZ[W\
	if( EVENT_DATA.flgRequestPlayer)
	{
		// Iɕ\闿ݒ
		local cookIdArray = [ EVENT_DATA.cookIdRequestAmerica, EVENT_DATA.cookIdRequestJapan, EVENT_DATA.cookIdRequestSouth, ]
		MsgUtil.SetTransItemNameW( 0, CookConstData.GetName( ID.CookIdToString( cookIdArray[0])))	// k
		MsgUtil.SetTransItemNameW( 1, CookConstData.GetName( ID.CookIdToString( cookIdArray[1])))	// a
		MsgUtil.SetTransItemNameW( 2, CookConstData.GetName( ID.CookIdToString( cookIdArray[2])))	// 썑
		
		// bZ[WFIuHׂ H kė ^ a ^ 썑v
		local msgSelectArray = [ 	"MES_MEALDEMO_READY_REQUEST_SELECT_00_"+partnerIdStr,
									"MES_MEALDEMO_READY_REQUEST_SELECT_01_"+partnerIdStr,
									"MES_MEALDEMO_READY_REQUEST_SELECT_02_"+partnerIdStr ]
		local result = MsgUtil.OpenSelectMsg( MSG_DATA.Name, "MES_MEALDEMO_READY_REQUEST_"+partnerIdStr, msgSelectArray )
		
		// Ă炤ƂĐݒ
		local countryIdArray = [ eCountryId.America, eCountryId.Japan, eCountryId.South ]
		EVENT_DATA.choiceCountryId	= countryIdArray[ result]
		EVENT_DATA.cookIdMain		= cookIdArray[ result]
		
		// bZ[W
		MsgUtil.OpenMsg( MSG_DATA.Name, "MES_MEALDEMO_READY_REQUEST_OK_"+partnerIdStr)
		
		// CƓ̗ő̂Qi
		EVENT_DATA.cookIdSub1 = GetSub1Dish( EVENT_DATA.cookIdMain)
		EVENT_DATA.cookIdSub2 = GetSub2Dish( EVENT_DATA.cookIdMain, EVENT_DATA.cookIdSub1)
	}
	else
	{
		// ̍痿
		EVENT_DATA.cookIdMain = GetMainDish( GetNpcCountry( partnerIdStr))
		EVENT_DATA.cookIdSub1 = GetSub1Dish( EVENT_DATA.cookIdMain)
		EVENT_DATA.cookIdSub2 = GetSub2Dish( EVENT_DATA.cookIdMain, EVENT_DATA.cookIdSub1)
	}
	
	WaitInterval()
	
	// tF[hAEg
	FadeOutUpBlack()
	
	// SEF̉
	local seCooking = Sound.PlaySE("Cooking");
	while(!Sound.IsEndSE(seCooking));
	
	Wait(30)
}



/**
 * ̔zVʒu擾
 */
function getCateringPosMeal( seatNo, mealNo, mealMax)
{
	local tableHeight = 8.2
	local tableCenterPos = GetPosTableMyHouse() + VEC3( 0.0, tableHeight, 0.0)
	
	local someMealPosOffset = [		// zu
		{	main = VEC3(  2.5,  0.0, -7.5),	sub1 = VEC3( -2.5,  0.0,  -7.5), sub2 = VEC3(  0.0,  0.0, -3.0),	},		// 
		{	main = VEC3( -7.5,  0.0, -2.5),	sub1 = VEC3( -7.5,  0.0,   2.5), sub2 = VEC3( -3.0,  0.0,  0.0),	},		// 
		{	main = VEC3(  7.5,  0.0,  2.5),	sub1 = VEC3(  7.5,  0.0,  -2.5), sub2 = VEC3(  3.0,  0.0,  0.0),	},		// E
	]
	local oneMealPosOffset = [		// zu
		{	main = VEC3(  0.0,  0.0, -7.5),	sub1 = VEC3(  2.5,  0.0,  -3.0), sub2 = VEC3( -2.5,  0.0, -3.0),	},		// 
		{	main = VEC3( -7.5,  0.0,  0.0),	sub1 = VEC3( -3.0,  0.0,  -2.5), sub2 = VEC3( -3.0,  0.0,  2.5),	},		// 
		{	main = VEC3(  7.5,  0.0,  0.0),	sub1 = VEC3(  3.0,  0.0,   2.5), sub2 = VEC3(  3.0,  0.0, -2.5),	},		// E
	]
	
	local itemPos = VEC3( 0.0, 0.0, 0.0)
	local itemPosOffset = (mealMax == 1) ? oneMealPosOffset : someMealPosOffset
	switch(mealNo)
	{
		case 0:		itemPos = (tableCenterPos + itemPosOffset[ seatNo ].main);		break;
		case 1:		itemPos = (tableCenterPos + itemPosOffset[ seatNo ].sub1);		break;
		case 2:		itemPos = (tableCenterPos + itemPosOffset[ seatNo ].sub2);		break;
	}
	return itemPos
}


/**
 * HV[̏
 */
function EventScene_HaveMealInitialize() : (EVENT_DATA)
{
	// ACep
	local itemModelPlayer	= []
	local itemModelPartner	= []
	local itemModelChild	= []
	
	// p
	local itemIdStrMain = null
	local itemIdStrSub1 = null
	local itemIdStrSub2 = null
	
	if( EVENT_DATA.cookIdMain){
		itemIdStrMain = ID.ItemIdToString( CookConstData.GetCookItemId( EVENT_DATA.cookIdMain))
		
		itemModelPlayer.append( ItemModelManager.Create( itemIdStrMain))
		itemModelPartner.append( ItemModelManager.Create( itemIdStrMain))
		if(npcChild){
			itemModelChild.append( ItemModelManager.Create( itemIdStrMain))
		}
		while(!ItemModelManager.CreateWait());
	}
	if( EVENT_DATA.cookIdSub1){
		itemIdStrSub1 = ID.ItemIdToString( CookConstData.GetCookItemId( EVENT_DATA.cookIdSub1))
		
		itemModelPlayer.append( ItemModelManager.Create( itemIdStrSub1))
		itemModelPartner.append( ItemModelManager.Create( itemIdStrSub1))
		if(npcChild){
			itemModelChild.append( ItemModelManager.Create( itemIdStrSub1))
		}
		while(!ItemModelManager.CreateWait());
	}
	if( EVENT_DATA.cookIdSub2){
		itemIdStrSub2 = ID.ItemIdToString( CookConstData.GetCookItemId( EVENT_DATA.cookIdSub2))
		
		itemModelPlayer.append( ItemModelManager.Create( itemIdStrSub2))
		itemModelPartner.append( ItemModelManager.Create( itemIdStrSub2))
		if(npcChild){
			itemModelChild.append( ItemModelManager.Create( itemIdStrSub2))
		}
		while(!ItemModelManager.CreateWait());
	}
	

	// L֎qɔzu
	
	// l֎qɍ点Ĕzu
	CharaSetPosSitDownChair( player, GetPosChairMyHouse( eMyHouseChair.No01), 90.0)
	// ֎qɍ点Ĕzu
	CharaSetPosSitDownChair( npcPartner, GetPosChairMyHouse( eMyHouseChair.No02), 270.0)
	// N̎qǂꍇ
	if (ChildData.GetGrowth() == eChildGrowth.Child){
		CharaSetPosSitDownChair( npcChild, GetPosChairMyHouse( eMyHouseChair.No00), 0.0)
	}
	
	// J̐ݒ
	local tablePos = GetPosTableMyHouse()
	// J̈ʒuݒ
	camera.SetCameraPos( tablePos.x, 28.5, tablePos.z + 36.0)
	// J̒_̈ʒuݒ
	camera.SetTargetPos( tablePos.x,  8.4, tablePos.z -  9.5)
	
	// oԂ̂ŕ\
	npcPartner.SetVisible(true)
	if(npcChild){
		npcChild.SetVisible(true)
	}	
	
	
	// zV
	local cookingNum = itemModelPlayer.len()	// ̐
	for( local i = 0; i < cookingNum; i++)
	{
		itemModelPlayer[i].SetScale( VEC3( 0.6, 0.6, 0.6))
		itemModelPlayer[i].SetPos( getCateringPosMeal( eMyHouseChair.No01, i, cookingNum))
		itemModelPlayer[i].SetRot( VEC3( Math.Deg2Rad( 0.0), Math.Deg2Rad( 90.0), Math.Deg2Rad( 0.0)))
		
		itemModelPartner[i].SetScale( VEC3( 0.6, 0.6, 0.6))
		itemModelPartner[i].SetPos( getCateringPosMeal( eMyHouseChair.No02, i, cookingNum))
		itemModelPartner[i].SetRot( VEC3( Math.Deg2Rad( 0.0), Math.Deg2Rad(270.0), Math.Deg2Rad( 0.0)))
		
		// c̎qȂݒ
		if(npcChild){
			itemModelChild[i].SetScale( VEC3( 0.6, 0.6, 0.6))
			itemModelChild[i].SetPos( getCateringPosMeal( eMyHouseChair.No00, i, cookingNum))
			itemModelChild[i].SetRot( VEC3( Math.Deg2Rad( 0.0), Math.Deg2Rad(  0.0), Math.Deg2Rad( 0.0)))
		}
	}
	
	// ҋ@
	WaitInterval()
}



/**
 * 񑊎̗Hׂ
 */
function EventScene_HaveMealByPartner() : (MSG_DATA)
{
	local partnerIdStr = EVENT_DATA.partnerIdStr
	
	// cN̎qȂ琫ʂ擾
	local msgIdStrChildSex = null
	if( IsAppearGrownChild()){
		msgIdStrChildSex = (eSex.eSex_Male == ChildData.GetSex()) ? "Boy" : "Girl"
	}
	
	// Cxgɑ̗̓Q[W\
	ConsoleManager.SetPlayerGaugeVisible(true);
	
	// ҋ@
	WaitInterval()
	
	// tF[hC
	FadeInUpBlack() 
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, "MES_MEALDEMO_ITADAKI_"+partnerIdStr)
	
	// cN̎qȂ烁bZ[W\
	if( msgIdStrChildSex){
		MsgUtil.OpenMsg( MSG_DATA.Name, "MES_MEALDEMO_ITADAKI_Child_"+msgIdStrChildSex)
	}
	
	local charaFamilyArray = [ player, npcPartner]
	if(npcChild){
		charaFamilyArray.append( npcChild)
	}
	
	// GtFNgFwyx\
	MultiCharaEmotionNoWait( charaFamilyArray, "Fukidashi_Fun")
	
	// H
	MultiCharaMotionEating( charaFamilyArray, 100)
	
	// G[V̏I҂
	while(!charaFamilyArray[0].WaitEffect());
	
	// Hݒ
	local itemIdStrMain = ID.ItemIdToString( CookConstData.GetCookItemId( EVENT_DATA.cookIdMain))
	PersonalData.ExeMeal( itemIdStrMain, 1, 0)		// ̏ꍇAgbsOǉɂHP񕜌ʂ͂Ȃ̂0
	
	if( ItemConstData.HasBuf( itemIdStrMain)){
		// GtFNgFwotx\
		PlayBodyEffect( player, "MealPower")
	}
	
	
	local msgStrMealDemo = null
	
	// lNGXgH
	if( EVENT_DATA.flgRequestPlayer)
	{
		// w<ITEMNAME0>xɗݒ肷
		MsgUtil.SetTransItemNameW( 0, CookConstData.GetName( ID.CookIdToString( EVENT_DATA.cookIdMain)))
		msgStrMealDemo = "MES_MEALDEMO_REQUEST_COMMENT_"+partnerIdStr
	}
	else
	{
		// cN̎q邩ǂŃbZ[WύX
		local msgIndexRandom = Random.RandomInt(5)		// MES_MEALDEMO_PAIR_COMMENT_00 ` _04 Ń_
		if( IsAppearGrownChild() == false)
		{
			msgStrMealDemo = "MES_MEALDEMO_PAIR_COMMENT_0"+msgIndexRandom+"_"+partnerIdStr
		}
		else
		{
			msgStrMealDemo = "MES_MEALDEMO_FAMILY_COMMENT_0"+msgIndexRandom+"_Child"+msgIdStrChildSex+"_"+partnerIdStr
		}
	}
	
	// H̊z
	if(msgStrMealDemo != null && IsAppearGrownChild() == true) 
	{
		// bZ[W
		if (((partnerIdStr == "Apprentice" || partnerIdStr == "Chaser" || partnerIdStr == "Craftman" || partnerIdStr == "Postman" || partnerIdStr == "Doctor") && PersonalData.GetSex() == eSex.eSex_Male) 
		|| ((partnerIdStr == "Florist" || partnerIdStr == "TeaGirl" || partnerIdStr == "Teacher" || partnerIdStr == "TwinOlder" || partnerIdStr == "TwinYounger") && PersonalData.GetSex() == eSex.eSex_Female))
		{
			MsgUtil.OpenMsg( "Wedding_Anniversary", msgStrMealDemo)
		}
		else
		{
			MsgUtil.OpenMsg( MSG_DATA.Name, msgStrMealDemo)
		}

	}
	else if (msgStrMealDemo != null && IsAppearGrownChild() == false)
	{
		if (partnerIdStr == "Apprentice" && eSex.eSex_Male == PersonalData.GetSex())
		{
			MsgUtil.OpenMsg( "Wedding_Anniversary", msgStrMealDemo)
		}
		else
		{
			MsgUtil.OpenMsg( MSG_DATA.Name, msgStrMealDemo)
		}
		
	}
	
	WaitInterval()
	
	// lHPQ[W񕜃AjI҂
	WaitPlayerGaugeRecoveryAnimEnd()
	
	// tF[hAEg
	FadeOutUpBlack()
	
	// ̗̓Q[W
	ConsoleManager.SetPlayerGaugeVisible(false);
	
	// ACef폜FЕt
	ItemModelManager.DeleteAll()
	
	// ҋ@FЕt̊
	Wait(60)
}



/**
 * HIV[
 */
function EventScene_MealExit() : (MSG_DATA)
{
	local partnerIdStr = EVENT_DATA.partnerIdStr
	
	// tF[hC
	FadeInUpBlack()
	
	WaitInterval()
	
	// 
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, "MES_PLAYER_MEALDEMO_GOTI_"+partnerIdStr)
	WaitInterval()
	
	// cN̎qȂ烁bZ[W\
	if( IsAppearGrownChild())
	{
		// ʂ擾
		local msgIdStrChildSex = (eSex.eSex_Male == ChildData.GetSex()) ? "Boy" : "Girl"
		// bZ[W
		MsgUtil.OpenMsg( MSG_DATA.Name, "MES_PLAYER_MEALDEMO_GOTI_Child_"+msgIdStrChildSex)
	}
	
	// H̃bZ[W
	local mesAfterMeal_Base = "MES_MEALDEMO_WEEKDAY_"
	
	// ݎ烁bZ[W
	local currentTime = TimeData.GetHour()
	local mesAfterMeal_Time = "DINNER_"
	
	if(currentTime <= 9) {
		mesAfterMeal_Time = "BREAKFAST_"
	}
	else if(currentTime <= 14) {
		mesAfterMeal_Time = "LUNCH_"
	}
	
	// bZ[WFH̉b
	MsgUtil.OpenMsg( MSG_DATA.Name, mesAfterMeal_Base + mesAfterMeal_Time + partnerIdStr)
}



/**
 * CxgI
 */
function EventEnd() : (EventName)
{
	EventFinalizeCommon(EventName)
	
	// N̈ʒu
	Map.EventEndWeakupPoint()
}

