// Cxg
local EventName = "Wedding_Anniversary"

// bZ[W
local MSG_DATA = 
{
	Name = "Wedding_Anniversary"
	ID   = "MES_EV_WEDDING_ANNIVERSARY_"
}


// ̑ziK擾
local extentionLevel = GetHouseExtentionLevel()

// ID擾
local partnerIdStr = GetMarriageNpc()

// Jgp邽߂ɕKv
camera <- CameraChanger.GetCamera()

// vC[op
player <- null

// 
npcPartner <- null

// q
npcChild <- null

// \ECg
soulmate <- null

// ACep
itemModel <- []

// ̃bZ[WID
PartnerMsgIdStr <- null

function NpcGenderCheck( charaIdStr)
{
	local charaGender = null
	switch(charaIdStr)
	{
		case "Postman":		charaGender = eSex.eSex_Male;		break;
		case "Doctor":		charaGender = eSex.eSex_Male;		break;
		case "Chaser":		charaGender = eSex.eSex_Male;		break;
		case "Apprentice":	charaGender = eSex.eSex_Male;		break;
		case "Craftman":	charaGender = eSex.eSex_Male;		break;
		case "Florist":		charaGender = eSex.eSex_Female;		break;
		case "TeaGirl":		charaGender = eSex.eSex_Female;		break;
		case "Teacher":		charaGender = eSex.eSex_Female;		break;
		case "TwinOlder":	charaGender = eSex.eSex_Female;		break;
		case "TwinYounger":	charaGender = eSex.eSex_Female;		break;
	}
	return charaGender;
}

/**
 * Cxg
 */
function EventInitialize() : (EventName, partnerIdStr)
{
	EventInitializeCommon(EventName)
	
	// ̃bZ[WID擾
	PartnerMsgIdStr = GetNpcMsgIdStr( partnerIdStr)
	
	
	// L̐
	{
		// vC[Cxgɓoꂳ
		player = ObjectManager.CreatePlayer()
		
		// Cxgɓoꂳ
		npcPartner = ObjectManager.CreateNpc( partnerIdStr)
		
		// \ECg݂Ȃoꂳ
		soulmate = SoulmateWrapClass()
		
		// L̐҂
		while(!ObjectManager.CreateWait()){}
	}
	
	//L̈ʒuAݒ
	{
		// 
		local chairNo3Pos = GetPosChairMyHouse( eMyHouseChair.No03)
		npcPartner.SetCharaPos( chairNo3Pos.x, chairNo3Pos.z + 5.0)
		npcPartner.SetRotY( Math.Deg2Rad( 180.0))	// e[u̕Ă
		
		// l
		local wakeUpPos = MyHouseData.GetWakeupPos()
		player.SetCharaPos( wakeUpPos.x + 10, wakeUpPos.z + 60)
		player.SetRotY(Math.Deg2Rad(180.0))
		
		// \ECg
		soulmate.SetPos( wakeUpPos.x, wakeUpPos.z)
		local partnerPos = npcPartner.GetPos()
		soulmate.SetDirPos( partnerPos.x, partnerPos.z)
		
		
		// J̈ʒuݒ
		camera.SetCameraPos( chairNo3Pos.x, 37.23, chairNo3Pos.z + 33.00)
		// J̒_̈ʒuݒ
		camera.SetTargetPos( chairNo3Pos.x, 9.00, chairNo3Pos.z + 1.80)
	}
}


/**
 * Cxg
 */
function EventMain()
{
	EventInitialize()
	
	EventStartFirstFadeIn()
	
	// V[1FLO悤
	EventScene_Wedding_Anniversary_Proposal()
	
	// V[2FH
	EventScene_Wedding_Anniversary_Eat()
	
	// V[3Fo
	EventScene_Wedding_Anniversary_Talk()
	
	// V[4Ff[gGA֏o
	EventScene_Wedding_Anniversary_Outing()
	
	EventEnd()
}

/**
 * V[1:LO悤
 */
function EventScene_Wedding_Anniversary_Proposal() : (MSG_DATA, partnerIdStr)
{
	Wait(60)
	
	// GtFNgFwIx\ECgɕ\
	soulmate.SetFukidashiEffect("Fukidashi_Ameaze")
	Print("soulmate.WalkRotPos()")
	soulmate.WalkRotPos( 0.0, 45.5)
	
	// ҋ@
	WaitInterval()
	
	// hAJ
	PlaySEDoor()
	
	// l
	local partnerPos = npcPartner.GetPos()
	player.Walk( partnerPos.x - 10.0, partnerPos.z)
	
	// J2l̐^񒆂Ɉړ
	camera.Move( VEC3( -5.0, 0.0, 0.0), 30)
	
	soulmate.WalkRotPos( partnerPos.x - 10.0, partnerPos.z)
	
	while(!player.Wait()){}
	while(!camera.Wait()){}
	
	// l̕
	CharaWalkRotObj( player, npcPartner)
	
	// GtFNgFwIxɕ\
	npcPartner.SetEffect("Fukidashi_Ameaze")
	CharaWalkRotObj( npcPartner, player)
	while(!npcPartner.WaitEffect());
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwxɕ\
	PlayFukidashiEffect( npcPartner, "Fukidashi_Fun")
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"00_"+PartnerMsgIdStr)
	
	// ҋ@
	WaitInterval()
	
	// [VFwȂx
	player.SetMotion( "Nod")
	while(!player.Wait());
	
	// ҋ@
	Wait(30)
	
	// tF[hAEg
	FadeOutUpBlack()
	while(!Fade.Wait()){}
}

/**
 * V[2:H
 */
function EventScene_Wedding_Anniversary_Eat() : (MSG_DATA,partnerIdStr, extentionLevel)
{
	// qCxgɓoꂳ
	if (ChildData.GetGrowth() == eChildGrowth.Child)
	{
		npcChild = ObjectManager.CreateNpc("Child")
		
		// L̐҂
		while(!ObjectManager.CreateWait()){}
	}
	
	// l֎qɍ点Ĕzu
	CharaSetPosSitDownChair( player, GetPosChairMyHouse( eMyHouseChair.No01), 90.0, 1)
	
	// ֎qɍ点Ĕzu
	CharaSetPosSitDownChair( npcPartner, GetPosChairMyHouse( eMyHouseChair.No02), 270.0, 1)
	// Ci܂̏ꍇ͍x𒲐
	if( partnerIdStr == "Inari"){
		local resetSitDownPoint = npcPartner.GetPos() + VEC3( 0.0, 2.0, 0.0)
		npcPartner.SetFlight( true)
		npcPartner.SetPosY( resetSitDownPoint.x, resetSitDownPoint.y, resetSitDownPoint.z)
	}
	
	// N̎qǂꍇ
	if (ChildData.GetGrowth() == eChildGrowth.Child){
		CharaSetPosSitDownChair( npcChild, GetPosChairMyHouse( eMyHouseChair.No00), 0.0, 1)
	}
	
	// \ECg
	local soulmatePosBase = GetPosChairMyHouse( eMyHouseChair.No01)		// \ECg̈ʒu߂ׁA֎q̍W擾
	soulmate.SetPos( soulmatePosBase.x, soulmatePosBase.z - 25.0)
	local tablePos = GetPosTableMyHouse()
	soulmate.SetDirPos( tablePos.x, tablePos.z)
	
	
	// J̈ʒuݒ
	camera.SetCameraPos( tablePos.x, 28.5, tablePos.z + 36.0)
	// J̒_̈ʒuݒ
	camera.SetTargetPos( tablePos.x,  8.4, tablePos.z -  9.5)
	
	
	// zu
	{
		// ̎
		local Food01 = 0
		local Food02 = 0
		local Food03 = 0
		local Food04 = 0
		
		// 肪kăGAog̏ꍇ
		if( partnerIdStr == "Postman" || partnerIdStr == "Doctor" || partnerIdStr == "Florist" || partnerIdStr == "DummyLover2")
		{
			Food01 = "FoodOnionGratinSoup"	//O^X[v
			Food02 = "FoodMixSalad"			//~bNXT_
			Food03 = "FoodPizza"			//sU
			Food04 = "FoodCinnamonRoll"		//Vi[
		}
		
		// 肪aGAog̏ꍇ
		else if( partnerIdStr == "Chaser" || partnerIdStr == "Apprentice" || partnerIdStr == "TeaGirl" || partnerIdStr == "Teacher" || partnerIdStr == "Inari")
		{
			Food01 = "FoodTenpura"			//VՂ
			Food02 = "FoodShanhaiganiSoup"	//JjX[v
			Food03 = "FoodScatteredSushi"	//炵i
			Food04 = "FoodYoukan"			//悤
		}
		
		// 肪썑GAog̏ꍇ
		else
		{
			Food01 = "FoodCoconutSoup"		//RRibcX[v
			Food02 = "FoodRomiromiSalmon"	//~~T[
			Food03 = "FoodNasiLemak"		//iV}
			Food04 = "FoodTropicalSalad"	//gsJT_
		}
		
		// ACezu
		itemModel.append( ItemModelManager.Create( Food01))
		itemModel.append( ItemModelManager.Create( Food02))
		itemModel.append( ItemModelManager.Create( Food03))
		itemModel.append( ItemModelManager.Create( Food04))
		// 肽ACe̐
		while(!ItemModelManager.CreateWait());
		
		//ACeXP[͏kȂBLO̍ؗB
//		itemModel[0].SetScale( VEC3( 0.9, 0.9, 0.9))
//		itemModel[1].SetScale( VEC3( 0.9, 0.9, 0.9))
//		itemModel[2].SetScale( VEC3( 0.9, 0.9, 0.9))
//		itemModel[3].SetScale( VEC3( 0.9, 0.9, 0.9))
		// ACef̍W( x, y, z)ݒ
		itemModel[0].SetPos( GetPosSeatOfTheTableMyHouse( eMyHouseChair.No00))
		itemModel[1].SetPos( GetPosSeatOfTheTableMyHouse( eMyHouseChair.No01))
		itemModel[2].SetPos( GetPosSeatOfTheTableMyHouse( eMyHouseChair.No02))
		itemModel[3].SetPos( GetPosSeatOfTheTableMyHouse( eMyHouseChair.No03))
		// ACef̌( x, y, z)ݒ
		itemModel[0].SetRot( VEC3( Math.Deg2Rad( 0.0), Math.Deg2Rad( 0.0), Math.Deg2Rad( 0.0)))
		itemModel[1].SetRot( VEC3( Math.Deg2Rad( 0.0), Math.Deg2Rad( 0.0), Math.Deg2Rad( 0.0)))
		itemModel[2].SetRot( VEC3( Math.Deg2Rad( 0.0), Math.Deg2Rad( 0.0), Math.Deg2Rad( 0.0)))
		itemModel[3].SetRot( VEC3( Math.Deg2Rad( 0.0), Math.Deg2Rad( 0.0), Math.Deg2Rad( 0.0)))
	}
	
	// ҋ@
	Wait(60)
	
	// tF[hC
	FadeInUpBlack()
	while(!Fade.Wait()){}
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwn[gxlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Heart")
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"01_"+PartnerMsgIdStr)
	
	// ҋ@
	WaitInterval()
	
	if (ChildData.GetGrowth() == eChildGrowth.Child)
	{
		// GtFNgFwxqǂɕ\
		PlayFukidashiEffect( npcChild, "Fukidashi_Fun")
		
		// ҋ@
		WaitInterval()
		
		if (PersonalData.GetSex() == NpcGenderCheck(PartnerMsgIdStr))
		{
			if (PersonalData.GetSex() == eSex.eSex_Female)
			{
				// bZ[W		qǂꍇ̂݁Aqǂ̐ʂɂĕω
				MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"02_"+"Child_Girl")
			}
			else
			{
				// bZ[W		qǂꍇ̂݁Aqǂ̐ʂɂĕω
				MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"02_"+"Child_Boy")
			}
		}
		else
		{
			// l̎qǂ̐ʂ𔻒
			if( ChildData.GetSex() == eSex.eSex_Male)
			{
				// bZ[W		qǂꍇ̂݁Aqǂ̐ʂɂĕω
				MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"02_"+"Child_Boy")
			}
			else
			{
				// bZ[W		qǂꍇ̂݁Aqǂ̐ʂɂĕω
				MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"02_"+"Child_Girl")
			}
		}
		
		// ҋ@
		WaitInterval()
		
		// GtFNgFw킢킢xlƌɕ\
		player.SetEffect("Fukidashi_Waiwai")
		npcPartner.SetEffect("Fukidashi_Waiwai")
		npcChild.SetEffect("Fukidashi_Waiwai")
		while(!player.WaitEffect());
	}
	// qǂȂꍇ
	else
	{
		// GtFNgFw킢킢xlƌɕ\
		player.SetEffect("Fukidashi_Waiwai")
		npcPartner.SetEffect("Fukidashi_Waiwai")
		while(!player.WaitEffect());
	}
	
	// ҋ@
	Wait(30)
		
	// tF[hAEg
	FadeOutUpBlack()
	while(!Fade.Wait()){}
	
	// ҋ@
	WaitInterval()
	
	// SEFHׂ
	local handle = Sound.PlaySE("Eat");
	// SEFI҂
	while(!Sound.IsEndSE(handle));
	
	// ҋ@
	Wait(15)
	
	// SEFHׂ
	local handle = Sound.PlaySE("Eat");
	// SEFI҂
	while(!Sound.IsEndSE(handle));
	
	// ҋ@
	Wait(15)
	
	// SEFHׂ
	local handle = Sound.PlaySE("Eat");
	// SEFI҂
	while(!Sound.IsEndSE(handle));
	
	// ҋ@
	WaitInterval()
	
	// ACe
	ItemModelManager.DeleteAll(itemModel)
	
	if (ChildData.GetGrowth() == eChildGrowth.Child)
	{
		// qǂ\
		npcChild.SetVisible(false);
	}
	
	// \ECgދ
	soulmate.SetPos( 0.0, 80.0)
	// ĂȂ
	npcPartner.SetFlight( false)					 
}

/**
 * V[3:o
 */
function EventScene_Wedding_Anniversary_Talk() : (MSG_DATA,partnerIdStr, extentionLevel)
{
	//L̈ʒuAݒ
	// ziKF5
	if(extentionLevel == eHouseExtention.Level05)
	{
		// l
		player.SetCharaPos(8.0, 0.0)
		// Jp^[17
		EventEasySetUp( [player, npcPartner], camera, eCharaOffset.Pattern017, eCameraOffset.Pattern017)
		player.SetRotY(Math.Deg2Rad( 90.0))
		npcPartner.SetRotY(Math.Deg2Rad(270.0))
		
		player.LoopMotionEnd()
		npcPartner.LoopMotionEnd()
	}
	// ziKF4
	else if(extentionLevel == eHouseExtention.Level04)
	{
		// l
		player.SetCharaPos(30.0, 35.0)
		player.SetRotY(Math.Deg2Rad( 90.0))
		//
		npcPartner.SetCharaPos(40.5, 35.0)
		npcPartner.SetRotY(Math.Deg2Rad(270.0))
		// J̈ʒuݒ
		camera.SetCameraPos( 35.3, 29.2, 78.4)
		// J̒_̈ʒuݒ
		camera.SetTargetPos( 35.3, 6.7, 28.5)
		
		player.LoopMotionEnd()
		npcPartner.LoopMotionEnd()
	}
	// ziKF3
	else
	{
		// l
		player.SetCharaPos(-2.0, 26.0)
		player.SetRotY(Math.Deg2Rad( 90.0))
		npcPartner.SetCharaPos(8.5, 26.0)
		npcPartner.SetRotY(Math.Deg2Rad(270.0))
		
		// J̈ʒuݒ
		camera.SetCameraPos( 3.3, 29.4, 68.8)
		// J̒_̈ʒuݒ
		camera.SetTargetPos( 3.3, 6.3, 18.3)
		
		player.LoopMotionEnd()
		npcPartner.LoopMotionEnd()
	}
	
	// ҋ@
	Wait(60)
	
	// tF[hC
	FadeInUpBlack()
	while(!Fade.Wait()){}
	
	// ҋ@
	Wait(30)
	
	// GtFNgFwxlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Fun")	
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"04_"+PartnerMsgIdStr)
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwn[gxlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Heart")
	
	// ҋ@
	WaitInterval()
	
	// [VFwȂx
	player.SetMotion( "Nod")
	while(!player.Wait());
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwxɕ\
	PlayFukidashiEffect( npcPartner, "Fukidashi_Fun")
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"05_"+PartnerMsgIdStr)
	
	// ҋ@
	WaitInterval()
	
	// ҋ@
	Wait(30)
		
	// tF[hAEg
	FadeOutUpBlack()
	while(!Fade.Wait()){}
}


/**
 * V[4Ff[g}bvɏo
 */
function EventScene_Wedding_Anniversary_Outing() : (MSG_DATA, partnerIdStr)

{
	// ҋ@
	Wait(60)
	
	// 肪kăGAog̏ꍇ
	if( partnerIdStr == "Postman" || partnerIdStr == "Doctor" || partnerIdStr == "Florist" || partnerIdStr == "DummyLover2)
	{
		// }bvύX
		Map.Change("America_Date")
		
			//L̐
		{
			// vC[Cxgɓoꂳ
			player = ObjectManager.CreatePlayer()
			
			// Cxgɓoꂳ
			npcPartner = ObjectManager.CreateNpc( partnerIdStr)
			
			// 肽L̐
			while(!ObjectManager.CreateWait()){}
		}
		
		//L̈ʒuAݒ
		{
			// l
			player.SetCharaPos(9.0, -93.0)
			// Jp^[16
			EventEasySetUp( [player, npcPartner], camera, eCharaOffset.Pattern016, eCameraOffset.Pattern016)
			npcPartner.SetRotY(Math.Deg2Rad(180.0))
			
			player.SetRotY(Math.Deg2Rad( 180.0))
		}
		
		// JǏ]		F̃Jݒ̂܂ܒǏ]
		camera.AttachTargetChara( player, VEC3( 0.0, 0.0, 0.0))
		
		// lƌ
		player.Walk( 9.0, -143.0)
		npcPartner.Walk( 19.5, -143.0)
		
		// tF[hC
		FadeInUpBlack()
		while(!Fade.Wait()){}
	}
		
	// 肪aGAog̏ꍇ
	else if( partnerIdStr == "Chaser" || partnerIdStr == "Apprentice" || partnerIdStr == "TeaGirl" || partnerIdStr == "Teacher" || partnerIdStr == "Inari")
	{
		// }bvύX
		Map.Change("Japan_Date")
		
		//L̐
		{
			// vC[Cxgɓoꂳ
			player = ObjectManager.CreatePlayer()
			
			// Cxgɓoꂳ
			npcPartner = ObjectManager.CreateNpc( partnerIdStr)
			
			// 肽L̐
			while(!ObjectManager.CreateWait()){}
		}
		
		//L̈ʒuAݒ
		{
			// l
			player.SetCharaPos(51.5, -160.0)
			// Jp^[16
			EventEasySetUp( [player, npcPartner], camera, eCharaOffset.Pattern016, eCameraOffset.Pattern016)
			npcPartner.SetRotY(Math.Deg2Rad(180.0))
			
			player.SetRotY(Math.Deg2Rad( 180.0))
		}
		
		// JǏ]		F̃Jݒ̂܂ܒǏ]
		camera.AttachTargetChara( player, VEC3( 0.0, 0.0, 0.0))
		
		// lƌ
		player.Walk( 51.5, -212.0)
		npcPartner.Walk( 62.0, -212.0)
		
		// tF[hC
		FadeInUpBlack()
		while(!Fade.Wait()){}
	}
	
	// 肪썑GAog̏ꍇ
	else
	{
		// }bvύX
		Map.Change("South_Date")
		
		//L̐
		{
			// vC[Cxgɓoꂳ
			player = ObjectManager.CreatePlayer()
			
			// Cxgɓoꂳ
			npcPartner = ObjectManager.CreateNpc( partnerIdStr)
			
			// 肽L̐
			while(!ObjectManager.CreateWait()){}
		}
		
		//L̈ʒuAݒ
		{
			// l
			player.SetCharaPos(-54.0, 0.0)
			// Jp^[16
			EventEasySetUp( [player], camera, eCharaOffset.Pattern016, eCameraOffset.Pattern016)
			player.SetRotY(Math.Deg2Rad( 90.0))
			
			// 
			npcPartner.SetCharaPos(-54.0, 10.0)
			npcPartner.SetRotY(Math.Deg2Rad(90.0))
		}
		
		// JǏ]		F̃Jݒ̂܂ܒǏ]
		camera.AttachTargetChara( player, VEC3( 0.0, 0.0, 0.0))
		
		// lƌ
		player.Walk( 4.0, 0.0)
		npcPartner.Walk( 4.0, 10.0)
		
		// tF[hC
		FadeInUpBlack()
		while(!Fade.Wait()){}
		
		while(!npcPartner.Wait()){}
		npcPartner.Walk( 14.5, 0.0)
	}
	
	while(!npcPartner.Wait()){}
	
	// 肪썑GAog̏ꍇ
	if( partnerIdStr == "Craftman" || partnerIdStr == "TwinOlder" || partnerIdStr == "TwinYounger" || partnerIdStr == "DummyLover1" )
	{
		local chara_array = [ player, npcPartner]
		MultiCharaWalkRotDeg( chara_array, 180)
	}

	// J̒Ǐ]
	camera.DetachTargetChara()
	
	// ҋ@
	Wait(30)
	
	if (partnerIdStr == "Teacher" && PersonalData.GetSex() == eSex.eSex_Female)
	{
		// bZ[W
		MsgUtil.OpenMsg( "Wild_Animal_Thanks", MSG_DATA.ID+"06_"+partnerIdStr)
	}
	else
	{
		// bZ[W
		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"06_"+PartnerMsgIdStr)
	}
	
	// ҋ@
	WaitInterval()
	
	// lƌ肪
	CharaWalkRotFace2Face( player, npcPartner, 10)
	
	// ҋ@
	WaitInterval()
	
	if (partnerIdStr == "Chaser" && PersonalData.GetSex() == eSex.eSex_Male)
	{
		// bZ[W
		MsgUtil.OpenMsg( "Wild_Animal_Thanks", MSG_DATA.ID+"07_"+partnerIdStr)
	}
	else
	{
		// bZ[W
		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"07_"+PartnerMsgIdStr)
	}
	
	// ҋ@
	WaitInterval()
	
	// lƌ
	npcPartner.Walk( npcPartner.GetPos().x - 1, player.GetPos().z)
	player.Walk( player.GetPos().x + 1, npcPartner.GetPos().z)
	while(!player.Wait()){}
	while(!npcPartner.Wait()){}	
	
	// ^^̃LXO
	ReadyToKissWantatan( partnerIdStr)
	
	// [VFwLXx
	{
		// [VFwLXx
		npcPartner.SetMotion( "Kiss")
		player.SetMotion( "Kiss")
		
		// ҋ@
		Wait(20)
		
		// SEFLX
		local handle = Sound.PlaySE("Kiss");
		// SEFI҂
		while(!Sound.IsEndSE(handle));
		while(!player.Wait());
	}
	
	// ҋ@
	WaitInterval()
	
	// ^^̃LX㏈
	AfterTheKissWantatan( partnerIdStr)
	
	// GtFNgFwn[gxlƌɕ\
	player.SetEffect("Fukidashi_Heart")
	npcPartner.SetEffect("Fukidashi_Heart")
	while(!player.WaitEffect());
	
	// ҋ@
	WaitInterval()
	
	// ================================
	// o򏈗FCi܂̌ߑ(G)Iڂ鏈
	if( partnerIdStr == "Inari")
	{
		// bZ[W
		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"08_Inari")
		
		// tF[hAEg
		FadeOutUpBlack()
		
		// J̐ݒF؂f
		camera.SetCameraPos( 59.40, 46.71, -179.99)
		camera.SetTargetPos( 59.40, 40.59, -229.61)
		
		// SEu@鉹v
		Sound.PlaySEAndWait( "Sharan")
		
		// ҋ@
		Wait(30)
		
		// tF[hC
		FadeInUpBlack()
		
		// ҋ@
		WaitInterval()
		
		// bZ[WF2ڈȍ~ŕ
		if( !EventFlag.GetFlag( "WeddingAnniversaryInariFirstTime")){
			// 
			MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"09_Inari")
		}
		else{
			// 2ڈȍ~
			MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"10_Inari")
		}
		
		// tF[hAEg()
		FadeOutUpCommon(Fade.SPEED_SLOW, Fade.FADE_BLACK)
	}
	else
	{
		// Ci܈ȊO͂
		
		// tF[hAEg
		FadeOutUpBlack()
	}
	
	// ҋ@
	Wait(30)
	
	// tB^[ݒu
	FilterBlackStart()
	
	// ҋ@
	WaitInterval()
	
	// uݒF̖O
	MsgUtil.SetTransCharaNameW( 0, NpcConstData.GetDispNameW( ID.StringToNpcId(partnerIdStr) ))
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"08")
	
	// ҋ@
	WaitInterval()
	
	// tB^[P
	FilterBlackEnd()
	
	// ҋ@
	Wait(30)
		
	// tF[hAEg
	FadeOutBlack()
	while(!Fade.Wait()){}
}



/**
 * CxgI
 */
function EventEnd() : (EventName)
{
	EventFinalizeCommon(EventName)
	
	// CxgĨ}bv؂芷
	player.SetRotY(Math.Deg2Rad( 0.0))	
	
	// CxgIAlN̈ʒu
	Map.EventEndWeakupPoint()
}

