// Cxg
local EventName = "Festival_Thanks"

// bZ[W
local MSG_DATA = 
{
	Name = "Festival_Thanks"
	ID   = "MES_EV_FES_THANKS_"
}

// e[utOenum
enum eTableFlag
{
	First,
	Second,
	Third,
	Forth,
};


// Jgp邽߂ɕKv
camera <- CameraChanger.GetCamera()

// vC[op
player <- null

// 
npcLover <- null

// IdStr
npcLoverStr <- null

// ̃bZ[WID
PartnerMsgIdStr <- null


// l
BasePos <- null;

// iK
houseExtentionLevel <- GetHouseExtentionLevel()

// f
sSweetsModelArray <- []

// l̂܂ɂACe
playeSweetsItem <- null

// lv[gACe
playePresentItem <- null
if( EventData.GetTempItemData() != null)
{
	playePresentItem = EventData.GetTempItemData().GetInnerIdStr()
}
else
{
	playePresentItem = "FoodChocolateCookie";
}

// ꂼ̒ۂَq. IDɍ킹邽ߘa, k, 썑̏
countySweetsTable <- [
	["FoodMitarashiDango", "FoodDorayaki", "FoodYoukan"],
	["FoodChocolateCookie", "FoodCrape", "FoodDoughnut"],
	["FoodFruitPunch", "FoodMalasada", "FoodSataAndagi"]
]

// ݂̃e[ũtOێ
nowTableFlag <- null

if(EventFlag.GetFlag("Table1"))
{
	EventFlag.SetFlag("Table1", false)
	EventFlag.SetFlag("Table2", true)
	nowTableFlag = eTableFlag.First
}
else if(EventFlag.GetFlag("Table2"))
{
	nowTableFlag = eTableFlag.Second
}
else if(EventFlag.GetFlag("Table3"))
{
	EventFlag.SetFlag("Table3", false)
	EventFlag.SetFlag("Table2", true)
	nowTableFlag = eTableFlag.Third
}
else if(EventFlag.GetFlag("Table4"))
{
	EventFlag.SetFlag("Table4", false)
	EventFlag.SetFlag("Table2", true)
	nowTableFlag = eTableFlag.Forth
}



/**
 * lororԂɂNPCIdStrԂ
 */
function GetLoveStateNpc()
{
	if(GetLoverNpc())	{ return GetLoverNpc(); }
	if(GetEngageNpc())	{ return GetEngageNpc(); }
	if(GetMarriageNpc()){ return GetMarriageNpc(); }
	
	return null;
}

/**
 * Cxg
 */
function EventInitialize() : (EventName)
{
	EventInitializeCommon(EventName)
	
	// e[utOύXĂ̂Ń}bv
	Map.Change( PersonalData.GetMyHouseInteriorDesignMapIdStr() )
	
	// ̃bZ[WID擾
	PartnerMsgIdStr = GetNpcMsgIdStr( npcLoverStr)
	
	// NPC̍ID擾
	local npcCoutryId = NpcConstData.GetCountry( ID.StringToNpcId(npcLoverStr) )
	local randomnum =  Random.RandomInt( countySweetsTable[npcCoutryId].len() );
	playeSweetsItem = countySweetsTable[npcCoutryId][randomnum]
	

	// L̐
	if(npcLoverStr != null)
	{
		// vC[Cxgɓoꂳ
		player = ObjectManager.CreatePlayer()
		
		npcLover = ObjectManager.CreateNpc(npcLoverStr)
		
		// 肽L̐
		while(!ObjectManager.CreateWait()){}
	}
	
	local countySweets;
	local present;
	
	// l֎qɍ点Ĕzu
	CharaSetPosSitDownChair( player, GetPosChairMyHouse( eMyHouseChair.No01), 90.0, 1)
	
	// ֎qɍ点Ĕzu
	CharaSetPosSitDownChair( npcLover, GetPosChairMyHouse( eMyHouseChair.No02), 270.0, 1)
	// fƃ[V̓sɂACi܂̏ꍇ͍x𒲐
	if( npcLoverStr == "Inari"){
		local resetSitDownPoint = npcLover.GetPos() + VEC3( 0.0, 2.0, 0.0)
		npcLover.SetFlight( true)
		npcLover.SetPosY( resetSitDownPoint.x, resetSitDownPoint.y, resetSitDownPoint.z)
	}
	
	// J̈ʒuݒ
	local tablePos = GetPosTableMyHouse()
	camera.SetCameraPos( tablePos.x, 28.5, tablePos.z + 36.0)
	// J̒_̈ʒuݒ
	camera.SetTargetPos( tablePos.x,  8.4, tablePos.z -  9.5)
	
	
	// ACe
	{
		countySweets = ItemModelManager.Create(playeSweetsItem)
		present = ItemModelManager.Create(playePresentItem)
		
		// 肽ACe̐
		while(!ItemModelManager.CreateWait());
		
		countySweets.SetPos( GetPosTableMyHouse() + VEC3( -6.0, 8.0, 0.0))
		present.SetPos( GetPosTableMyHouse() + VEC3( 6.0, 8.0, 0.0))
	}
	
	// ziKF12
	//           L̈ʒuAݒ
	if(houseExtentionLevel <= eHouseExtention.Level02)
	{
		// l̃CX
		local playerChair = ItemModelManager.Create("JudgeChair_America")
		playerChair.SetPos( GetPosChairMyHouse( eMyHouseChair.No01))
		playerChair.SetRot( VEC3( Math.Deg2Rad( 0.0), Math.Deg2Rad( 90.0), Math.Deg2Rad( 0.0)))
		
		// ̃CX
		local playerChair = ItemModelManager.Create("JudgeChair_America")
		playerChair.SetPos( GetPosChairMyHouse( eMyHouseChair.No02))
		playerChair.SetRot( VEC3( Math.Deg2Rad( 0.0), Math.Deg2Rad( 270.0), Math.Deg2Rad( 0.0)))
		
	}
	
	if(houseExtentionLevel == eHouseExtention.Level01)
	{
		// 1iK,
		BasePos = VEC3( 0.0, 0.01, 0.0);
		
	}
	else if(houseExtentionLevel == eHouseExtention.Level02)
	{
		// 2iK
		BasePos = VEC3( 5.0, 0.01, 0.0);
		
	}
	else if(houseExtentionLevel == eHouseExtention.Level03)
	{
		// 3iK
		BasePos = VEC3( 5.0, 0.21, 0.0);
		
	}
	else if(houseExtentionLevel == eHouseExtention.Level04)
	{
		// 4iK
		BasePos = VEC3( 25.0, 0.21, 10.0);
		
	}
	else if(houseExtentionLevel == eHouseExtention.Level05)
	{
		// 5iK
		BasePos = VEC3( 35.0, 0.21, 20.0);
		
	}
	
	sSweetsModelArray.append(countySweets);
	sSweetsModelArray.append(present);
	
	// قɃ^C~OȂ̂ŁAŃACeobOɓĂ
	BagData.AddItemToBag( playeSweetsItem, 1, NpcWrap(npcLover).GetReceiveItemQuality());
	
	
	// ҋ@
	Wait(30)
	
}

/**
 * Cxg
 */
function EventMain()
{
	// ԂɂNPC擾
	npcLoverStr = GetLoveStateNpc()
	
	EventInitialize()
	
	EventStartFirstFadeIn()
	
	if(npcLoverStr != null)
	{
		
		Event_FesThanks()
	}
	
	EventEnd()
}

/**
 * CxgC
 */
function Event_FesThanks() : (MSG_DATA)
{
	local msgState;
	if(NpcData.GetLoveState(npcLoverStr) == eNpcLoveState.Lover)
	{
		msgState = "LOVER_";
	}
	else if(NpcData.GetLoveState(npcLoverStr) == eNpcLoveState.Engage)
	{
		msgState = "LOVER_";
	}
	else if(NpcData.GetLoveState(npcLoverStr) == eNpcLoveState.Marriage)
	{
		msgState = "MARRIAGE_";
	}
	
	
	// ҋ@
	Wait(30)
	
	// 2lz
	local charaArray = [player , npcLover];
	
	// [VFw֎qɍĐHׂx2lɕ\
	MultiCharaMotionEating( charaArray,  100)
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwIx2lɕ\
	MultiCharaEmotion( charaArray, "Fukidashi_Ameaze")
	
	// ҋ@
	WaitInterval()
	
	local randomnum = Random.RandomInt(2);
	
	// bZ[W
	if( randomnum == 0){
		MsgUtil.SetTransItemNameW( 0, ItemConstData.GetName( ID.StringToItemId(playePresentItem) ) )
	}
	else{
		MsgUtil.SetTransItemNameW( 0, ItemConstData.GetName( ID.StringToItemId(playeSweetsItem) ) )
	}
	if ( msgState == "MARRIAGE_" && (npcLoverStr == "Craftman" || npcLoverStr == "Apprentice" || npcLoverStr == "Postman") && eSex.eSex_Male == PersonalData.GetSex())
	{
		MsgUtil.OpenMsg( "Wild_AnimalThanks", "MES_EV_FES_THANKS_"+msgState+"0"+randomnum.tostring()+"_"+npcLoverStr)
	}
	else
	{
		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+msgState+"0"+randomnum.tostring()+"_"+PartnerMsgIdStr)
	}
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwn[gx2lɕ\
	MultiCharaEmotion( charaArray, "Fukidashi_Heart")
	
	// ҋ@
	WaitInterval()
	
	// [VFw֎qɍĐHׂx2lɕ\
	MultiCharaMotionEating( charaArray,  100)	
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwn[gx2lɕ\
	MultiCharaEmotion( charaArray, "Fukidashi_Heart")	
	
	// ҋ@
	WaitInterval()
	
	// ʃtF[hAEg
	FadeOutUpBlack()
	while(!Fade.Wait()){}
	
	// LN^𗧂
	for( local i = 0; i < charaArray.len(); i++ )
	{
		charaArray[i].SetFlight(true)
		charaArray[i].LoopMotionEnd()
		while(!charaArray[i].Wait());
		charaArray[i].SetFlight(false)
	}
	
	// 1iK, 2iK, 3iK
	if(houseExtentionLevel == eHouseExtention.Level01 || houseExtentionLevel == eHouseExtention.Level02 || houseExtentionLevel == eHouseExtention.Level03)
	{
		// l
		player.SetCharaPos( BasePos.x - 7.0, BasePos.z + 25)
		player.SetRotY(Math.Deg2Rad( 90.0))
		
		// 
		npcLover.SetCharaPos( BasePos.x + 7.0, BasePos.z + 25)
		npcLover.SetRotY(Math.Deg2Rad( 270.0))
		
		camera.SetCameraPos( BasePos.x, 26.56, 60.02)
		camera.SetTargetPos( BasePos.x,  6.30, 14.31)
	}
	else if(houseExtentionLevel == eHouseExtention.Level04)
	{
		// l
		player.SetCharaPos( BasePos.x - 7.0, BasePos.z + 15)
		player.SetRotY(Math.Deg2Rad( 90.0))
		
		// 
		npcLover.SetCharaPos( BasePos.x + 7.0, BasePos.z + 15)
		npcLover.SetRotY(Math.Deg2Rad( 270.0))
		
		camera.SetCameraPos( BasePos.x, 27.46, 58.22)
		camera.SetTargetPos( BasePos.x,  7.20, 11.31)
	}
	else if(houseExtentionLevel == eHouseExtention.Level05)
	{
		// l
		player.SetCharaPos( BasePos.x - 7.0, BasePos.z + 15)
		player.SetRotY(Math.Deg2Rad( 90.0))
		
		// 
		npcLover.SetCharaPos( BasePos.x + 7.0, BasePos.z + 15)
		npcLover.SetRotY(Math.Deg2Rad( 270.0))
		
		camera.SetCameraPos( BasePos.x, 25.06, 64.52)
		camera.SetTargetPos( BasePos.x,  4.80, 15.51)
	}
	
	// f
	while(sSweetsModelArray.len() > 0){
		local model = sSweetsModelArray.pop();
		ItemModelManager.Delete(model);
	}
	
	// ҋ@
	Wait(30)
	
	// ʃtF[hC
	FadeInUpBlack()
	while(!Fade.Wait()){}
	
	// ҋ@
	Wait(30)
	
	// bZ[W
	if ( msgState == "MARRIAGE_" && npcLoverStr == "Teacher" && eSex.eSex_Male != PersonalData.GetSex() )
	{
		MsgUtil.OpenMsg( "Wild_AnimalThanks", "MES_EV_FES_THANKS_"+msgState+"02_"+npcLoverStr)
	}
	else
	{
		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+msgState+"02_"+PartnerMsgIdStr)
	}
	
	// ҋ@
	WaitInterval()
	
	/**
	 * Ăꍇ, LX
	 * Ă炸, 肪coL, ~XY̏ꍇ, Ȃł
	 * ȊO
	 */
	if(NpcData.GetLoveState(npcLoverStr) == eNpcLoveState.Marriage)
	{
		local player_pos = player.GetPos();
		local npcLover_pos = npcLover.GetPos();
		player.Walk  (player_pos.x + 3.5, player_pos.z)
		npcLover.Walk(npcLover_pos.x - 3.5, npcLover_pos.z)
		while(!player.Wait()){}
		while(!npcLover.Wait()){}
		
		// ^^̃LXO
		ReadyToKissWantatan( npcLoverStr)
		
		// [VFwLXx2lɕ\
		player.SetMotion( "Kiss")
		npcLover.SetMotion( "Kiss")
		
		// ҋ@
		Wait(15)
		
		// SEFLX
		local handle = Sound.PlaySE("Kiss");
		// SEFI҂
		while(!Sound.IsEndSE(handle));
		while(!player.Wait());
		while(!npcLover.Wait());
		
		// ^^̃LX㏈
		AfterTheKissWantatan( npcLoverStr)
	}
	else if(npcLoverStr == "Teacher" || npcLoverStr == "TeaGirl")
	{
		local player_pos = player.GetPos();
		local npcLover_pos = npcLover.GetPos();
		player.Walk  (player_pos.x + 6.0, player_pos.z)
		while(!player.Wait()){}
		while(!npcLover.Wait()){}
		
		// [VFwȂłxlɕ\
		player.SetMotion( "StrokeHead")
		while(!player.Wait());
	}
	else
	{
		local player_pos = player.GetPos();
		local npcLover_pos = npcLover.GetPos();
		player.Walk  (player_pos.x + 3, player_pos.z)
		npcLover.Walk(npcLover_pos.x - 3, npcLover_pos.z)
		while(!player.Wait()){}
		while(!npcLover.Wait()){}
		// [VFwnOx2lɕ\
		MultiCharaMotion( charaArray, "Hug")
	}
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwn[gx2lɕ\
	MultiCharaEmotion( charaArray, "Fukidashi_Heart")
	
	// ҋ@
	Wait(30)
	
	// ʃtF[hC
	FadeOutUpCommon(Fade.SPEED_SLOW, Fade.FADE_BLACK);
	while(!Fade.Wait()){}
	
	// ҋ@
	Wait(30)
	
	// tB^[ݒu
	FilterBlackStart()
	MsgUtil.SetTransCharaNameW( 0, NpcConstData.GetDispNameW( ID.StringToNpcId(npcLoverStr) ) )
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"03")
	
	// tB^[P
	FilterBlackEnd()
}




/**
 * CxgI
 */
function EventEnd() : (EventName)
{
	EventFinalizeCommon(EventName)
	
	// ύXtOɖ߂
	if(nowTableFlag == eTableFlag.First)
	{
		EventFlag.SetFlag("Table1", true)
		EventFlag.SetFlag("Table2", false)
	}
	else if(nowTableFlag == eTableFlag.Second)
	{
		// ύXĂȂ̂ŉȂ
	}
	else if(nowTableFlag == eTableFlag.Third)
	{
		EventFlag.SetFlag("Table3", true)
		EventFlag.SetFlag("Table2", false)
	}
	else if(nowTableFlag == eTableFlag.Forth)
	{
		EventFlag.SetFlag("Table4", true)
		EventFlag.SetFlag("Table2", false)
	}
	
	// CxgĨ}bv؂芷	F֑O
	Map_EventEndMyHouseEntrancePoint()
}

