// Cxg
local EventName = "Love_Cancel"

// bZ[W
local MSG_DATA = 
{
	Name = "Love_Cancel"
	ID   = "MES_EV_LOVE_"
}


// lID擾
local loverIdStr = GetLoverNpc()

// Jgp邽߂ɕKv
camera <- CameraChanger.GetCamera()

// vC[op
player <- null

// 
npcPartner <- null


// NPCID猋̏og̓_bZ[WID擾
function NpcIdStr2MsgIDStrContryInitial( charaIdStr)
{
	local charaMsgIdStr = null
	switch(charaIdStr)
	{
		case "Postman":		charaMsgIdStr = "A_POSTMAN";		break;
		case "Doctor":		charaMsgIdStr = "A_DOCTOR";		break;
		case "Chaser":		charaMsgIdStr = "J_CHASER";		break;
		case "Apprentice":	charaMsgIdStr = "J_APPRENTICE";	break;
		case "Craftman":	charaMsgIdStr = "S_CRAFTMAN";		break;
		case "Florist":		charaMsgIdStr = "A_FLORIST";		break;
		case "TeaGirl":		charaMsgIdStr = "J_TEAGIRL";		break;
		case "Teacher":		charaMsgIdStr = "J_TEACHER";		break;
		case "TwinOlder":	charaMsgIdStr = "S_TWINOLDER";	break;
		case "TwinYounger":	charaMsgIdStr = "S_TWINYOUNGER";	break;
	}
	return charaMsgIdStr;
}

function NpcGenderCheck( charaIdStr)
{
	local charaGender = null
	switch(charaIdStr)
	{
		case "Postman":		charaGender = eSex.eSex_Male;		break;
		case "Doctor":		charaGender = eSex.eSex_Male;		break;
		case "Chaser":		charaGender = eSex.eSex_Male;		break;
		case "Apprentice":	charaGender = eSex.eSex_Male;		break;
		case "Craftman":	charaGender = eSex.eSex_Male;		break;
		case "Florist":		charaGender = eSex.eSex_Female;		break;
		case "TeaGirl":		charaGender = eSex.eSex_Female;		break;
		case "Teacher":		charaGender = eSex.eSex_Female;		break;
		case "TwinOlder":	charaGender = eSex.eSex_Female;		break;
		case "TwinYounger":	charaGender = eSex.eSex_Female;		break;
	}
	return charaGender;
}


/**
 * Cxg
 */
function EventInitialize() : (EventName, loverIdStr)
{
	EventInitializeCommon(EventName)
	
	
	// L̐
	{
		// vC[Cxgɓoꂳ
		player = ObjectManager.CreatePlayer()
		
		// Cxgɓoꂳ
		npcPartner = ObjectManager.CreateNpc(loverIdStr)
		
		// 肽L̐
		while(!ObjectManager.CreateWait()){}
	}
	//L̈ʒuAݒ
	{
		// l
		player.SetCharaPos( -150.0, -329.50)
		player.SetRotY(Math.Deg2Rad(90.0))
		
		// 
		npcPartner.SetCharaPos( -130.0, -329.50)
		npcPartner.SetRotY(Math.Deg2Rad( 270.0))
	}
		
		//J֌W
	{
		// J̈ʒuݒ
		camera.SetCameraPos( -140.0, 37.89, -281.73)
		// J̒_̈ʒuݒ
		camera.SetTargetPos( -140.0, 26.15, -324.13)
	}
}

/**
 * Cxg
 */
function EventMain()
{
	EventInitialize()

	EventStartFirstFadeIn()

	// tCxg
	EventScene_Love_Cancel()
	
	EventEnd()
}

/**
 * tCxg
 */
function EventScene_Love_Cancel() : (MSG_DATA,loverIdStr)

{
	local partnerId = NpcIdStr2MsgIDStrContryInitial( loverIdStr)
	
	// ҋ@
	Wait(30)
	
	// [VFwgUUŐx
	// GtFNgFwpNxlɕ\
	player.SetEffect("Fukidashi_Talk");
	player.SetMotion( "Explain")
	while(!player.Wait());
	while(!player.WaitEffect());
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFw!x𑊎ɕ\
	PlayFukidashiEffect( npcPartner, "Fukidashi_Ameaze")
	
	// ҋ@
	WaitInterval()
	
	// [VFwYށx
// 	npcPartner.SetMotion( "Troubled")
//	while(!npcPartner.Wait());
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwEEEx𑊎ɕ\
	PlayFukidashiEffect( npcPartner, "Fukidashi_Silent")

	// ҋ@
	WaitInterval()

	// GtFNgFwEEExlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Silent")
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwEEEx𑊎ɕ\
	PlayFukidashiEffect( npcPartner, "Fukidashi_Silent")

	// ҋ@
	WaitInterval()
	
	// GtFNgFwx𑊎ɕ\
	PlayFukidashiEffect( npcPartner, "Fukidashi_Puzzle")
	
	// ҋ@
	Wait(30)
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+partnerId+"_CANCEL_COMMENT_004")

	EventParameter(null);
	NpcData.SetLoveState( loverIdStr, eNpcLoveState.NotLover);

	// ҋ@
	WaitInterval()

	// GtFNgFwEEExlɕ\
	PlayFukidashiEffect( player, "Fukidashi_Silent")
	
	// ҋ@
	WaitInterval()
	
	if ((loverIdStr == "Craftman" || loverIdStr == "TwinOlder") && PersonalData.GetSex() == NpcGenderCheck( loverIdStr))
	{
		// bZ[W
		MsgUtil.OpenMsg( "Wild_Animal_Thanks", MSG_DATA.ID+partnerId+"_CANCEL_COMMENT_005")
	}
	else
	{
		// bZ[W
		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+partnerId+"_CANCEL_COMMENT_005")
	}
	
	// ҋ@
	Wait(30)

	// [VFwȂx
	player.SetMotion( "Nod")
	while(!player.Wait());
	
	// ҋ@
	WaitInterval()
	
	if (loverIdStr == "Teacher" && PersonalData.GetSex() == eSex.eSex_Female)
	{
		// bZ[W
		MsgUtil.OpenMsg( "Wild_Animal_Thanks", MSG_DATA.ID+partnerId+"_CANCEL_COMMENT_006")
	}
	else
	{
		// bZ[W
		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+partnerId+"_CANCEL_COMMENT_006")
	}
	
	// ҋ@
	Wait(50)
	
	// 肪očs
	npcPartner.Walk( -50.0, -329.50)
	while(!npcPartner.Wait()){}

	// ҋ@
	Wait(10)

	// GtFNgFwفxlɕ\
	player.SetEffect("Fukidashi_Silent");

	// Jړ(l^C~OƂقړɊJn)
	camera.MoveCamera( VEC3( -150.0, 37.89, -281.73), 90)
	camera.MoveTarget( VEC3( -150.0, 26.15, -324.13), 90)

	while(!player.WaitEffect());

	// ҋ@
	Wait(60)

	// [VFw߂x
	player.SetMotion( "StareBottom")

	// ҋ@
	Wait(80)
	
	// tF[hAEg
	FadeOutBlack()
	while(!Fade.Wait()){}

	while(!player.Wait());

}



/**
 * CxgI
 */
function EventEnd() : (EventName)
{
	EventFinalizeCommon(EventName)
	
	// CxgĨ}bv؂芷
	// l͔w
	player.SetRotY(Math.Deg2Rad( 0.0))
	
	// CxgIA}bvl̈ʒû܂
	Map_EventEndMyHouseEntrancePoint()
}

