/**
 * 񑊎ID擾
 */
function getPartnerIdStr()
{
	local partnerIdStr = GetEngageNpc()		// 񑊎ID擾
	// fobON̑Ή
	if(!partnerIdStr){
		partnerIdStr = PersonalData.GetSex() == eSex.eSex_Male ? "TwinOlder" : "Craftman";
	}
	return partnerIdStr;
}

function NpcGenderCheck( charaIdStr)
{
	local charaGender = null
	switch(charaIdStr)
	{
		case "Postman":		charaGender = eSex.eSex_Male;		break;
		case "Doctor":		charaGender = eSex.eSex_Male;		break;
		case "Chaser":		charaGender = eSex.eSex_Male;		break;
		case "Apprentice":	charaGender = eSex.eSex_Male;		break;
		case "Craftman":	charaGender = eSex.eSex_Male;		break;
		case "Florist":		charaGender = eSex.eSex_Female;		break;
		case "TeaGirl":		charaGender = eSex.eSex_Female;		break;
		case "Teacher":		charaGender = eSex.eSex_Female;		break;
		case "TwinOlder":	charaGender = eSex.eSex_Female;		break;
		case "TwinYounger":	charaGender = eSex.eSex_Female;		break;
	}
	return charaGender;
}


// Cxg
local EventName = "Marriage_S"

// 񑊎ID擾
local partnerIdStr = getPartnerIdStr()

// bZ[W
local MSG_DATA = 
{
	Name = "Marriage_S"
	ID   = "MES_EV_LOVE_S_MARRIAGE_"
}


// Jgp邽߂ɕKv
camera <- CameraChanger.GetCamera()

// VY
groom <- null

// Vw
bride <- null

// \ECg
soulmate <- null

// npcp
Craftman <- null
TwinOlder <- null
TwinYounger <- null
Angler <- null
AnglerGrandson <- null
Historian <- null
Assistant <- null
FisherSon <- null
FisherDaughter <- null
FisherWife <- null
Fisher <- null
Witch <- null
Goddes <- null
Inari <- null
Summary <- null
Uncle <- null
// fB
Father <- null
// }[i
Mother <- null
// [l
Sister <- null


/**
 * Cxg
 */
function EventInitialize() : (EventName, partnerIdStr)
{
	// ɐݒ
	SetTime( 12, 0, 0)
	
	// X^bt[
	LoadScript("StaffrollCommon", "Event/EventMain/StaffrollCommon.nut");
	StaffrollCommon();
	InitializeStaffrollWedding()
	
	EventInitializeCommon(EventName)
	
	// lAo^[fp[^ō쐬
	local avaterModelParamPlayer = AvatarModelParam.CreatePlayer();		// l̃Ao^[fp[^쐬
	if( eSex.eSex_Male == PersonalData.GetSex() )
	{
		// jl̐ݒ
		avaterModelParamPlayer.SetAvatarHairModelId("060");			// hbhwA[
		avaterModelParamPlayer.SetAvatarBodyModelId("141_00");		// 썑ߑj
		avaterModelParamPlayer.SetAvatarHatModelId("068");		// 썑ߑjXq
		avaterModelParamPlayer.SetAvatarGlassesModelId("Invalid");		// KlȂ
	}
	else
	{
		// l̐ݒ		
		avaterModelParamPlayer.SetAvatarHairModelId("040");			// hbhwA[
		avaterModelParamPlayer.SetAvatarBodyModelId("142_00");		// 썑ߑj
		avaterModelParamPlayer.SetAvatarHatModelId("067");		// 썑ߑjXq
		avaterModelParamPlayer.SetAvatarGlassesModelId("Invalid");		// KlȂ
	}
	// l̍쐬			// f؂芷ɗLɂ
	local player = ObjectManager.CreateCharaByAvatarModelParam(avaterModelParamPlayer);
	
	local npcWeddingIdStr = null
	
	if(partnerIdStr == "Craftman") {
		npcWeddingIdStr = "CraftmanWedding"
	}
	else if(partnerIdStr == "TwinOlder") {
		npcWeddingIdStr = "TwinOlderWedding"
	}
	else {
		npcWeddingIdStr = "TwinYoungerWedding"
	}
	
	{
	// L̐
		{
			// VY̐ʂŕ
			if(NpcGenderCheck(partnerIdStr) == eSex.eSex_Female)
			{
				// VY
//				groom = ObjectManager.CreatePlayer()
				groom = player							// f؂芷ɗLɂ
				
				// VY
				bride = ObjectManager.CreateChara(npcWeddingIdStr)
			}
			else
			{
				// Vw
//				groom = ObjectManager.CreatePlayer()
				groom = ObjectManager.CreateChara(npcWeddingIdStr)
				
				// VY
				bride = player							// f؂芷ɗLɂ
			}
			
			//NPC̃ybgp
			// @memo bp[NX null `FbNsĖ肪oȂ悤ɂĂ.
			//       ǉ̏Kvȍۂ, bp[NXɂ֐ǉ悤.
			soulmate = SoulmateWrapClass()
			
			if(partnerIdStr == "Craftman")
			{
				// CXJp
				TwinOlder = ObjectManager.CreateNpc("TwinOlder")
				
				// CXip
				TwinYounger = ObjectManager.CreateNpc("TwinYounger")
			}
			else if(partnerIdStr == "TwinOlder")
			{
				// q[Kp
				Craftman = ObjectManager.CreateNpc("Craftman")
				
				// CXip
				TwinYounger = ObjectManager.CreateNpc("TwinYounger")
			}
			else if(partnerIdStr == "TwinYounger")
			{
				
				// q[Kp
				Craftman = ObjectManager.CreateNpc("Craftman")
				
				// CXJp
				TwinOlder = ObjectManager.CreateNpc("TwinOlder")
			}
			
			// nop
			Angler = ObjectManager.CreateNpc("Angler")
			
			// RRip
			AnglerGrandson = ObjectManager.CreateNpc("AnglerGrandson")
			
			// ~Xp
			Historian = ObjectManager.CreateNpc("Historian")
			
			// [^Xp
			Assistant = ObjectManager.CreateNpc("Assistant")
			
			// NNDp
			FisherSon = ObjectManager.CreateNpc("FisherSon")
			
			// A}p
			FisherDaughter = ObjectManager.CreateNpc("FisherDaughter")
			
			// Jp
			FisherWife = ObjectManager.CreateNpc("FisherWife")
			
			// UnDp
			Fisher = ObjectManager.CreateNpc("Fisher")
			
			// ܂p
			Witch = ObjectManager.CreateNpc("Witch")
			
			// _܂p
			Goddes = ObjectManager.CreateNpc("Goddes")
			
			// Ci܂p
			Inari = ObjectManager.CreateNpc("Inari")
			
			// gg^i܂Ƃߖjp
			Summary = ObjectManager.CreateNpc("InnOwner")
			
			// }[i
			Mother = ObjectManager.CreateNpc("Mother")
			
			// [l
			Sister = ObjectManager.CreateNpc("Sister")
			
			// fB
			Father = ObjectManager.CreateNpc("Event_Father")
			
			// tNp
			Uncle = ObjectManager.CreateNpc("Uncle")
			
			// 肽L̐
			while(!ObjectManager.CreateWait()){}
		}
		
		// L̈ʒuw
		{
			// VŸʒuݒ
			groom.SetCharaPos( -4.0, 80.0)
			// VY̌ݒ
			groom.SetRotY(Math.Deg2Rad(180.0))
			
			// Vw
			bride.SetCharaPos( 4.0, 80.0)
			bride.SetRotY(Math.Deg2Rad(180.0))
			
			// \ECg̐ݒ
			soulmate.SetPos( 40.0, -53.0)
			soulmate.SetRotY(Math.Deg2Rad(270.0))
			
			if(partnerIdStr == "Craftman")
			{
				// CXJ̈ʒuݒ
				TwinOlder.SetCharaPos( 37.0, -23.0)
				TwinOlder.SetRotY(Math.Deg2Rad(180.0))
				
				// CXïʒuݒ
				TwinYounger.SetCharaPos( -37.0, -23.0)
				TwinYounger.SetRotY(Math.Deg2Rad(180.0))
			}
			else if(partnerIdStr == "TwinOlder")
			{
				// CXïʒuݒ
				TwinYounger.SetCharaPos( 37.0, -23.0)
				TwinYounger.SetRotY(Math.Deg2Rad(180.0))
				
				// q[K̈ʒuݒ
				Craftman.SetCharaPos( -37.0, -23.0)
				Craftman.SetRotY(Math.Deg2Rad(180.0))
				
			}
			else if(partnerIdStr == "TwinYounger")
			{
				// CXJ̈ʒuݒ
				TwinOlder.SetCharaPos( 37.0, -23.0)
				TwinOlder.SetRotY(Math.Deg2Rad(180.0))
				
				// q[K̈ʒuݒ
				Craftman.SetCharaPos( -37.0, -23.0)
				Craftman.SetRotY(Math.Deg2Rad(180.0))
			}
			
			// nöʒuݒ
			Angler.SetCharaPos( 37.0, -13.0)
			Angler.SetRotY(Math.Deg2Rad(180.0))
			
			// RRïʒuݒ
			AnglerGrandson.SetCharaPos( -37.0, -13.0)
			AnglerGrandson.SetRotY(Math.Deg2Rad(180.0))
			
			// ~Ẍʒuݒ
			Historian.SetCharaPos( 37.0, 17.0)
			Historian.SetRotY(Math.Deg2Rad(180.0))
			
			// [^Ẍʒuݒ
			Assistant.SetCharaPos( -37.0, 17.0)
			Assistant.SetRotY(Math.Deg2Rad(180.0))
			
			// NND̈ʒuݒ
			FisherSon.SetCharaPos( -37.0, 7.0)
			FisherSon.SetRotY(Math.Deg2Rad(180.0))
			
			// A}̈ʒuݒ
			FisherDaughter.SetCharaPos( 37.0, 7.0)
			FisherDaughter.SetRotY(Math.Deg2Rad(180.0))
			
			// J̈ʒuݒ
			FisherWife.SetCharaPos( 37.0, -3.0)
			FisherWife.SetRotY(Math.Deg2Rad(180.0))
			
			// UnD̈ʒuݒ
			Fisher.SetCharaPos( -37.0, -3.0)
			Fisher.SetRotY(Math.Deg2Rad(180.0))
			
			// ܂̈ʒuݒ
			Witch.SetCharaPos( -37.0, 32.0)
			Witch.SetRotY(Math.Deg2Rad(180.0))
			
			// _܂̈ʒuݒ
			Goddes.SetCharaPos( -37.0, 40.0)
			Goddes.SetRotY(Math.Deg2Rad(180.0))
			
			// Ci܂̈ʒuݒ
			Inari.SetCharaPos( 37.0, 35.0)
			Inari.SetRotY(Math.Deg2Rad(180.0))
			
			// gg^̈ʒuݒ		:܂Ƃߖ
			Summary.SetCharaPos( 0.0, -115.0)
			Summary.SetRotY(Math.Deg2Rad(0.0))
			
			// fB̈ʒuݒ
			Father.SetCharaPos( -37.0, -43.0)
			Father.SetRotY(Math.Deg2Rad(0.0))
			
			// }[ïʒuݒ
			Mother.SetCharaPos( 37.0, -43.0)
			Mother.SetRotY(Math.Deg2Rad(0.0))
			
			// [l̈ʒuݒ
			Sister.SetCharaPos( 37.0, -33.0)
			Sister.SetRotY(Math.Deg2Rad(0.0))
			
			// tN̈ʒuݒ
			Uncle.SetCharaPos( -37.0, -33.0)
			Uncle.SetRotY(Math.Deg2Rad(180.0))
			
			
		}
		// J̐ݒ
		{
			// J̈ʒuݒ
			camera.SetCameraPos( 0.0, 32.9, -72.4)
			// J̒_̈ʒuݒ
			camera.SetTargetPos( 0.0, 5.1, -114.0)
		}
		
		if (partnerIdStr != "Craftman" && eSex.eSex_Female == PersonalData.GetSex())
		{
			bride.AttachBouquet("EventBouquet_3");
			bride.SetAttachItemVisible(true);
			groom.AttachBouquet("EventBouquet_3");
			groom.SetAttachItemVisible(true);
		}
		else if (partnerIdStr == "Craftman" && eSex.eSex_Female == PersonalData.GetSex())
		{
			bride.AttachBouquet("EventBouquet_3");
			bride.SetAttachItemVisible(true);
		}
	}
}

/**
 * Cxg
 */
function EventMain()
{
	EventInitialize()
	
	EventStartFirstFadeIn()
	
	// VYVw
	EventScene_Marriage_S_Admission()
	
	// VYVw܂Ƃߖ܂ŕ
	EventScene_Marriage_S_Walk()
	
	// ̌t
	EventScene_Marriage_S_Vow()
	
	// VYVwޏ
	EventScene_Marriage_S_Exit()
	
	// ҋ@
	Wait(60)
	
	// tF[hAEg
	FadeOutBlack()
	while(!Fade.Wait()){}
	
	// ҋ@(X^bt[n܂܂łWait)
	Wait(60)
	
	EventEnd()

    if(EventFlag.GetEndFlag("Story_TownRank_Ending") ||
       EventFlag.GetEndFlag("Story_Ending_FarmRival")) {
        MiniMsg.CreateMiniMsg("System", "MES_UNLOCK_SPECIAL_CARD", 3, 0);
    }
}

/**
 * V[1F
 */
function EventScene_Marriage_S_Admission() : (MSG_DATA, partnerIdStr)

{
	// ҋ@
	Wait(60)

	// ̖OibZ[Wp̓{\LjCHARANAME0ɑ
	MsgUtil.SetTransCharaNameW( 0, NpcConstData.GetDispNameW( ID.StringToNpcId(partnerIdStr) ) )
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"00_"+partnerIdStr)
	
	// ҋ@
	WaitInterval()
	
	// SEF
	local handle = Sound.PlaySE("Waaaah");
	// SEFI҂
	while(!Sound.IsEndSE(handle));
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	if (eSex.eSex_Male == PersonalData.GetSex())
	{
		if (partnerIdStr == "Craftman")
		{
			MsgUtil.OpenMsg( "Wild_Animal_Thanks", "MES_EV_MAN_LOVE_S_MARRIAGE_01")
		}
		else
		{
			MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"01")
		}
	}
	else
	{	
		if (partnerIdStr != "Craftman")
		{
			MsgUtil.OpenMsg( "Wild_Animal_Thanks", "MES_EV_WOMAN_LOVE_S_MARRIAGE_01")
		}
		else
		{
			MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"01")
		}
	}
	
	// ҋ@
	WaitInterval()
	
		if(partnerIdStr == "Craftman")
		{
			local chara_array = [ TwinOlder,TwinYounger,Angler,AnglerGrandson,Historian,Assistant,FisherSon,FisherDaughter,
			FisherWife,Fisher,Witch,Goddes,Inari,Uncle,Father,Mother,Sister]
			// wLVY̕Ɍ
			MultiCharaWalkRotObj(chara_array, groom)
		}
		else if(partnerIdStr == "TwinOlder")
		{
			local chara_array = [ Craftman,TwinYounger,Angler,AnglerGrandson,Historian,Assistant,FisherSon,FisherDaughter,
			FisherWife,Fisher,Witch,Goddes,Inari,Uncle,Father,Mother,Sister]
			// wLVY̕Ɍ
			MultiCharaWalkRotObj(chara_array, groom)
		}
		else if(partnerIdStr == "TwinYounger")
		{
			local chara_array = [ Craftman,TwinOlder,Angler,AnglerGrandson,Historian,Assistant,FisherSon,FisherDaughter,
			FisherWife,Fisher,Witch,Goddes,Inari,Uncle,Father,Mother,Sister]
			// wLVY̕Ɍ
			MultiCharaWalkRotObj(chara_array, groom)
		}
	
	// ҋ@
	WaitInterval()
	
	// SEF
	handle = Sound.PlaySE("Applause");
	// SEFI҂
	while(!Sound.IsEndSE(handle));
	
	// tF[hAEg
	FadeOutUpBlack()
	while(!Fade.Wait()){}

}


/**
 * V[2F
 */
function EventScene_Marriage_S_Walk() : (MSG_DATA, partnerIdStr)

{
	{
		// J̈ʒuݒ
		camera.SetCameraPos( 0.0, 35.8, 85.5)
		// J̒_̈ʒuݒ
		camera.SetTargetPos( 0.0, 6.1, 45.3)
	}
	
	// ҋ@
	Wait(30)
	
	// tF[hC
	FadeInUpBlack()
	while(!Fade.Wait()){}
	
	// ҋ@
	Wait(30)
	
	// VYƐVw
	groom.Walk( -4.0, 50.0)
	bride.Walk( 4.0, 50.0)
	while(!groom.Wait()){}
	while(!bride.Wait()){}
	
	// ҋ@
	WaitInterval()
	
	// [VFwx
	groom.SetMotion( "Greeting")
	bride.SetMotion( "Greeting")
	while(!groom.Wait());
	while(!bride.Wait());
	
	// ҋ@
	WaitInterval()	
	
	// tF[hAEg
	FadeOutUpBlack()
	while(!Fade.Wait()){}
	
	{
		// J̈ʒuݒ
		camera.SetCameraPos( 0.0, 13.0, 24.8)
		// J̒_̈ʒuݒ
		camera.SetTargetPos( 0.0, 8.8, 68.6)
	}
	
	// ҋ@
	WaitInterval()
	
	// tF[hC
	FadeInUpBlack()
	while(!Fade.Wait()){}
	
		if(partnerIdStr == "Craftman")
		{
			//
			local chara_array = [ Father,Uncle,TwinYounger,AnglerGrandson,Fisher,FisherSon,Assistant,Witch,Goddes]
			// wLɌ
			MultiCharaWalkRotDeg(chara_array, 90)
			//E
			local chara_array = [ Mother,Sister,TwinOlder,Angler,FisherWife,FisherDaughter,Historian,Inari]
			// wLɌ
			MultiCharaWalkRotDeg(chara_array, 270)
		}
		else if(partnerIdStr == "TwinOlder")
		{
			//
			local chara_array = [ Father,Uncle,Craftman,AnglerGrandson,Fisher,FisherSon,Assistant,Witch,Goddes]
			// wLɌ
			MultiCharaWalkRotDeg(chara_array, 90)
			//E
			local chara_array = [ Mother,Sister,TwinYounger,Angler,FisherWife,FisherDaughter,Historian,Inari]
			// wLɌ
			MultiCharaWalkRotDeg(chara_array, 270)
		}
		else if(partnerIdStr == "TwinYounger")
		{
			//
			local chara_array = [ Father,Uncle,Craftman,AnglerGrandson,Fisher,FisherSon,Assistant,Witch,Goddes]
			// wLɌ
			MultiCharaWalkRotDeg(chara_array, 90)
			//E
			local chara_array = [ Mother,Sister,TwinOlder,Angler,FisherWife,FisherDaughter,Historian,Inari]
			// wLɌ
			MultiCharaWalkRotDeg(chara_array, 270)
		}
	
	// ҋ@
	Wait(120)	
	
	// tF[hAEg
	FadeOutUpBlack()
	while(!Fade.Wait()){}
	
	{
		// J̈ʒuݒ
		camera.SetCameraPos( 0.0, 35.8, 85.5)
		// J̒_̈ʒuݒ
		camera.SetTargetPos( 0.0, 6.1, 45.3)
	}
	
	// JǏ]		F̃Jݒ̂܂ܒǏ]
	camera.AttachTargetChara( groom, VEC3( 0.0, 0.0, 0.0))
	
	// ҋ@
	Wait(30)
	
	// tF[hC
	FadeInUpBlack()
	while(!Fade.Wait()){}
	
	// ҋ@
	Wait(10)
	
	// VYƐVw
	bride.Walk( 4.0, 37.5)
	groom.Walk( -4.0, 37.5)	
	while(!bride.Wait()){}
	// ҋ@
	Wait(15)
	bride.Walk( 4.0, 25.0)
	groom.Walk( -4.0, 25.0)	
	while(!bride.Wait()){}
	
	// ҋ@
	WaitInterval()
	
	// J̒Ǐ]
	camera.DetachTargetChara()
	
	// J̈ʒuĐݒ
	camera.SetCameraPos( -26.1, 26.0, 3.7)
	camera.SetTargetPos( 8.0, 2.4, 31.7)
	
	// ҋ@
	WaitInterval()
	
	// JǏ]		F̃Jݒ̂܂ܒǏ]
	camera.AttachTargetChara( groom, VEC3( 0.0, 0.0, 0.0))
	
	// VYƐVw
	bride.Walk( 4.0, 12.5)
	groom.Walk( -4.0, 12.5)	
	while(!bride.Wait()){}
	// ҋ@
	Wait(15)
	bride.Walk( 4.0, 0.0)
	groom.Walk( -4.0, 0.0)	
	while(!bride.Wait()){}

	// ҋ@
	WaitInterval()
	
	// J̒Ǐ]
	camera.DetachTargetChara()
	
	// J̈ʒuĐݒ
	camera.SetCameraPos( 22.6, 27.3, -22.7)
	camera.SetTargetPos( -10.9, 5.9, 7.9)
	
		if(partnerIdStr == "Craftman")
		{
			//E
			local chara_array = [ Mother,Sister,TwinOlder,Angler,FisherWife,FisherDaughter,Historian,Inari]
			// wLVY̕Ɍ
			MultiCharaWalkRotPos( chara_array, VEC3( 0.0, 0.0, -45.0))
		}
		else if(partnerIdStr == "TwinOlder")
		{
			//E
			local chara_array = [ Mother,Sister,TwinYounger,Angler,FisherWife,FisherDaughter,Historian,Inari]
			// wLVY̕Ɍ
			MultiCharaWalkRotPos( chara_array, VEC3( 0.0, 0.0, -45.0))
		}
		else if(partnerIdStr == "TwinYounger")
		{
			//E
			local chara_array = [ Mother,Sister,TwinOlder,Angler,FisherWife,FisherDaughter,Historian,Inari]
			// wLVY̕Ɍ
			MultiCharaWalkRotPos( chara_array, VEC3( 0.0, 0.0, -45.0))
		}	
	
	// ҋ@
	Wait(30)
	
	// JǏ]		F̃Jݒ̂܂ܒǏ]
	camera.AttachTargetChara( groom, VEC3( 0.0, 0.0, 0.0))
	
		// VYƐVw
		bride.Walk( 4.0, -12.5)
		groom.Walk( -4.0, -12.5)
		while(!bride.Wait()){}
		// ҋ@
		Wait(15)
		bride.Walk( 4.0, -25.0)
		groom.Walk( -4.0, -25.0)
		while(!bride.Wait()){}
	
	// ҋ@
	WaitInterval()
	
	// J̒Ǐ]
	camera.DetachTargetChara()
	
	// J̈ʒuĐݒ
	camera.SetCameraPos( -16.93, 24.54, -55.21)
	camera.SetTargetPos( -12.53, 20.04, -47.44)
	// ҋ@
	Wait(30)
	
		if(partnerIdStr == "Craftman")
		{
			//
			local chara_array = [ Father,Uncle,TwinYounger,AnglerGrandson,Fisher,FisherSon,Assistant,Witch,Goddes]
			// wLVY̕Ɍ
			MultiCharaWalkRotPos( chara_array, VEC3( 0.0, 0.0, -62.5))
		}
		else if(partnerIdStr == "TwinOlder")
		{
			//
			local chara_array = [ Father,Uncle,Craftman,AnglerGrandson,Fisher,FisherSon,Assistant,Witch,Goddes]
			// wLVY̕Ɍ
			MultiCharaWalkRotPos( chara_array, VEC3( 0.0, 0.0, -62.5))
		}
		else if(partnerIdStr == "TwinYounger")
		{
			//
			local chara_array = [ Father,Uncle,Craftman,AnglerGrandson,Fisher,FisherSon,Assistant,Witch,Goddes]
			// wLVY̕Ɍ
			MultiCharaWalkRotPos( chara_array, VEC3( 0.0, 0.0, -62.5))
		}
	
	// JǏ]		F̃Jݒ̂܂ܒǏ]
	camera.AttachTargetChara( groom, VEC3( 0.0, 0.0, 0.0))
	
		// VYƐVw
		bride.Walk( 4.0, -37.5)
		groom.Walk( -4.0, -37.5)
		while(!bride.Wait()){}
		// ҋ@
		Wait(15)
		bride.Walk( 4.0, -50.0)
		groom.Walk( -4.0, -50.0)
		while(!bride.Wait()){}
		
	// ҋ@
	WaitInterval()
	
	// J̒Ǐ]
	camera.DetachTargetChara()
	
	// J̈ʒuĐݒ//
	camera.SetCameraPos( 12.88, 24.27, -82.18)
	camera.SetTargetPos( -3.12, 7.18, -52.24)
	
	// ҋ@
	Wait(15)
	
	// JǏ]		F̃Jݒ̂܂ܒǏ]
	camera.AttachTargetChara( groom, VEC3( 0.0, 0.0, 0.0))
	
		// VYƐVw
		bride.Walk( 4.0, -62.5)
		groom.Walk( -4.0, -62.5)
		while(!bride.Wait()){}
		// ҋ@
		Wait(15)
		bride.Walk( 4.0, -75.0)
		groom.Walk( -4.0, -75.0)
		while(!bride.Wait()){}
	
	// ҋ@
	WaitInterval()
	
	// tF[hAEg
	FadeOutUpBlack()
	while(!Fade.Wait()){}
	
		if(partnerIdStr == "Craftman")
		{
			local chara_array = [ TwinOlder,TwinYounger,Angler,AnglerGrandson,Historian,Assistant,FisherSon,FisherDaughter,
			FisherWife,Fisher,Witch,Goddes,Inari,Uncle,Father,Mother,Sister]
			// wLVY̕Ɍ
			MultiCharaWalkRotObj(chara_array, groom)
		}
		else if(partnerIdStr == "TwinOlder")
		{
			local chara_array = [ Craftman,TwinYounger,Angler,AnglerGrandson,Historian,Assistant,FisherSon,FisherDaughter,
			FisherWife,Fisher,Witch,Goddes,Inari,Uncle,Father,Mother,Sister]
			// wLVY̕Ɍ
			MultiCharaWalkRotObj(chara_array, groom)
		}
		else if(partnerIdStr == "TwinYounger")
		{
			local chara_array = [ Craftman,TwinOlder,Angler,AnglerGrandson,Historian,Assistant,FisherSon,FisherDaughter,
			FisherWife,Fisher,Witch,Goddes,Inari,Uncle,Father,Mother,Sister]
			// wLVY̕Ɍ
			MultiCharaWalkRotObj(chara_array, groom)
		}
	
	// J̒Ǐ]
	camera.DetachTargetChara()
	
	// ҋ@
	Wait(30)
	
	{
		// VŸʒuݒ
		groom.SetCharaPos( -4.0, -90.0)
		// VY̌ݒ
		groom.SetRotY(Math.Deg2Rad(180.0))
			
		// Vw
		bride.SetCharaPos( 4.0, -90.0)
		bride.SetRotY(Math.Deg2Rad(180.0))
		
		// \ECg̐ݒ
		local groomPos = groom.GetPos()
		soulmate.SetDirPos( groomPos.x, groomPos.z)
	}
	{
		// J̐ݒ
		// J̈ʒuݒ
		camera.SetCameraPos( 0.0, 39.6, -56.9)
//		camera.SetCameraPos( 0.0, 39.5, -32.8)
		// J̒_̈ʒuݒ
		camera.SetTargetPos( 0.0, 9.8, -97.1)
//		camera.SetTargetPos( 0.0, 15.9, -76.9)
	}
}

/**
 * V[3F
 */
function EventScene_Marriage_S_Vow() : (MSG_DATA, partnerIdStr)
{
	// ҋ@
	Wait(30)
	
	// tF[hC
	FadeInUpBlack()
	while(!Fade.Wait()){}
	
	// ҋ@
	Wait(30)
	
	// ܂ƂߖVY̕
	CharaWalkRotObj(Summary, groom)
	

			MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"02_"+partnerIdStr)

	// bZ[W
	
	// l̐ʂŕ
	
	// GtFNgFwyxVYɕ\
	PlayFukidashiEffect( groom, "Fukidashi_Fun")
		
	// ҋ@
	WaitInterval()
	
	// J̈ʒuĐݒ		:VY̑SgAbv
//	camera.SetCameraPos( -7.83, 24.50, -114.25)
//	camera.SetTargetPos( -1.46, 7.06, -83.44)
	// J̈ʒuĐݒ		:VY̑SgAbv
	camera.SetCameraPos( -7.21, 23.59, -113.99)
	camera.SetTargetPos( -1.46, 7.06, -81.94)
	
	// ҋ@
	Wait(60)
		
	// bZ[W

		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"03_"+partnerIdStr)

		
	// ҋ@
	WaitInterval()
		
	// J̈ʒuĐݒ		:̃Jʒu
	camera.SetCameraPos( 0.0, 39.6, -56.9)
	camera.SetTargetPos( 0.0, 9.8, -97.1)
//	camera.SetCameraPos( 0.0, 39.5, -32.8)
//	camera.SetTargetPos( 0.0, 15.9, -76.9)
		
	// ҋ@
	Wait(30)
		
	// GtFNgFwn[gxVYɕ\
	PlayFukidashiEffect( groom, "Fukidashi_Heart")
	
	// l̐ʂŕ
	if(eSex.eSex_Male == NpcGenderCheck(partnerIdStr))
	{
		// bZ[W
		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"04_"+partnerIdStr)
		
		// ҋ@
		WaitInterval()
	}
		
	// SEF
	local handle = Sound.PlaySE("Waaaah");
	// SEFI҂
	while(!Sound.IsEndSE(handle));
		
	// ܂ƂߖVw̕
	CharaWalkRotObj(Summary, bride)
	
	
		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"05_"+partnerIdStr)
		
		
	// ҋ@
	WaitInterval()
	
		
	// J̈ʒuĐݒ		:Vw̑SgAbv
	camera.SetCameraPos( 6.85, 23.96, -114.90)
	camera.SetTargetPos( 0.56, 7.32, -81.56)
		
	// ҋ@
	Wait(60)
		

		// bZ[W
		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"06_"+partnerIdStr)

		
	// ҋ@
	WaitInterval()
		
	// J̈ʒuĐݒ		:̃Jʒu
	camera.SetCameraPos( 0.0, 39.6, -56.9)
	camera.SetTargetPos( 0.0, 9.8, -97.1)
//	camera.SetCameraPos( 0.0, 39.5, -32.8)
//	camera.SetTargetPos( 0.0, 15.9, -76.9)	
	
	// ҋ@
	Wait(30)
		
	// GtFNgFwn[gxVwɕ\
	PlayFukidashiEffect( bride, "Fukidashi_Heart")
		
	// ҋ@
	WaitInterval()
	
	// l̐ʂŕ
	if(eSex.eSex_Female == NpcGenderCheck(partnerIdStr))
	{
		// bZ[W
		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"04_"+partnerIdStr)
		
		// ҋ@
		WaitInterval()
	}
		
	// ҋ@
	WaitInterval()
	
	// SEF
	local handle = Sound.PlaySE("Waaaah");
	// SEFI҂
	while(!Sound.IsEndSE(handle));
	
	// ܂Ƃߖʂ
	CharaWalkRotDeg(Summary, 0)
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"07")
	
	// SEF
	handle = Sound.PlaySE("Applause");
	// SEFI҂
	while(!Sound.IsEndSE(handle));
	
	// bZ[W
	if (eSex.eSex_Male == PersonalData.GetSex())
	{
		if (partnerIdStr == "Craftman")
		{
			MsgUtil.OpenMsg( "Wild_Animal_Thanks", "MES_EV_MAN_LOVE_S_MARRIAGE_08")
		}
		else
		{
			MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"08")
		}
	}
	else
	{	
		if (partnerIdStr != "Craftman")
		{
			MsgUtil.OpenMsg( "Wild_Animal_Thanks", "MES_EV_WOMAN_LOVE_S_MARRIAGE_08")
		}
		else
		{
			MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"08")
		}
	}
	
	// SEF
	handle = Sound.PlaySE("Waaaah");
	// SEF
	handle = Sound.PlaySE("Applause");
	// SEFI҂
	while(!Sound.IsEndSE(handle));
	
	// bZ[W
	if (eSex.eSex_Male == PersonalData.GetSex())
	{
		if (partnerIdStr == "Craftman")
		{
			MsgUtil.OpenMsg( "Wild_Animal_Thanks", "MES_EV_MAN_LOVE_S_MARRIAGE_09")
		}
		else
		{
			MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"09")
		}
	}
	else
	{	
		if (partnerIdStr != "Craftman")
		{
			MsgUtil.OpenMsg( "Wild_Animal_Thanks", "MES_EV_WOMAN_LOVE_S_MARRIAGE_09")
		}
		else
		{
			MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"09")
		}
	}
	
	// ҋ@
	WaitInterval()
	
	// VYƐVw
	CharaWalkRotFace2Face( groom, bride, 10)
	
	// ҋ@
	WaitInterval()
	
	// Jړ
	camera.MoveCamera( VEC3( 0.0, 31.8, -67.3), 90)
	camera.MoveTarget( VEC3( 0.0, 9.8, -97.1), 90)
	while(!camera.Wait()){}	
	
	// ҋ@
	Wait(20)	
	
	// [VFwLXx
	{
		// [VFwLXx
		if (partnerIdStr != "Craftman" && eSex.eSex_Female == PersonalData.GetSex())
		{
			groom.SetMotion( "WeddingKiss")
			bride.SetMotion( "WeddingKiss")
		}
		else if (partnerIdStr == "Craftman" && eSex.eSex_Female == PersonalData.GetSex())
		{
			groom.SetMotion( "WeddingKiss")
			bride.SetMotion( "Kiss")
		}
		else
		{
			groom.SetMotion( "Kiss")
			bride.SetMotion( "Kiss")
		}
		
		// ҋ@
		Wait(20)
		
		// SEFLX
		local handle = Sound.PlaySE("Kiss");
		// SEFI҂
		while(!Sound.IsEndSE(handle));
		while(!bride.Wait());
	}
	
	// ҋ@
	WaitInterval()
	
	// SEF̉
	handle = Sound.PlaySE("Weding_Bell");

	// ҋ@
	Wait(60)
	
	// Jړ
	camera.MoveCamera( VEC3( 0.0, 39.6, -56.9), 90)
	camera.MoveTarget( VEC3( 0.0, 9.8, -97.1), 90)
	while(!camera.Wait()){}
	
	// SEF
	handle = Sound.PlaySE("Waaaah");
	// SEF
	handle = Sound.PlaySE("Applause");
	// SEFI҂
	while(!Sound.IsEndSE(handle));
	
	// GtFNgFwn[gxVYAVwɕ\
	groom.SetEffect("Fukidashi_Heart")
	bride.SetEffect("Fukidashi_Heart")
	while(!groom.WaitEffect());
	
	// ҋ@
	WaitInterval()
	
	// tF[hAEg
	FadeOutUpBlack()
	while(!Fade.Wait()){}
}


/**
 * V[4:
 */
function EventScene_Marriage_S_Exit() : (MSG_DATA, partnerIdStr)

{
	{
		if(partnerIdStr == "Craftman")
		{
			//
			local chara_array = [ Father,Uncle,TwinYounger,AnglerGrandson,Fisher,FisherSon,Assistant,Witch,Goddes]
			// wLɌ
			MultiCharaWalkRotDeg(chara_array, 90)
			//E
			local chara_array = [ Mother,Sister,TwinOlder,Angler,FisherWife,FisherDaughter,Historian,Inari]
			// wLɌ
			MultiCharaWalkRotDeg(chara_array, 270)
		}
		else if(partnerIdStr == "TwinOlder")
		{
			//
			local chara_array = [ Father,Uncle,Craftman,AnglerGrandson,Fisher,FisherSon,Assistant,Witch,Goddes]
			// wLɌ
			MultiCharaWalkRotDeg(chara_array, 90)
			//E
			local chara_array = [ Mother,Sister,TwinYounger,Angler,FisherWife,FisherDaughter,Historian,Inari]
			// wLɌ
			MultiCharaWalkRotDeg(chara_array, 270)
		}
		else if(partnerIdStr == "TwinYounger")
		{
			//
			local chara_array = [ Father,Uncle,Craftman,AnglerGrandson,Fisher,FisherSon,Assistant,Witch,Goddes]
			// wLɌ
			MultiCharaWalkRotDeg(chara_array, 90)
			//E
			local chara_array = [ Mother,Sister,TwinOlder,Angler,FisherWife,FisherDaughter,Historian,Inari]
			// wLɌ
			MultiCharaWalkRotDeg(chara_array, 270)
		}
		
		// VY̌ݒ
		groom.SetRotY(Math.Deg2Rad(0.0))
		// Vw
		bride.SetRotY(Math.Deg2Rad(0.0))
		
		// \ECg̐ݒ
		soulmate.SetRotY(Math.Deg2Rad(270.0))
		
		// J̈ʒuݒ
//		camera.SetCameraPos( 0.0, 39.5, -32.8)
		camera.SetCameraPos( 0.0, 41.8, -42.0)
		// J̒_̈ʒuݒ
//		camera.SetTargetPos( 0.0, 15.9, -76.9)
		camera.SetTargetPos( 0.0, 12.0, -81.9)
	}
	
	// JǏ]		F̃Jݒ̂܂ܒǏ]
	camera.AttachTargetChara( groom, VEC3( 0.0, 0.0, 0.0))
	
	// ҋ@
	Wait(30)
	
	// tF[hC
	FadeInUpBlack()
	while(!Fade.Wait()){}
	
	// VYƐVw
	groom.Walk( -4.0, -38.0)
	bride.Walk( 4.0, -38.0)
	while(!groom.Wait()){}
	while(!bride.Wait()){}
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	if (eSex.eSex_Male == PersonalData.GetSex())
	{
		if (partnerIdStr == "Craftman")
		{
			MsgUtil.OpenMsg( "Wild_Animal_Thanks", "MES_EV_LOVE_S_MARRIAGE_10_"+partnerIdStr)
		}
		else
		{
			MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"10_"+partnerIdStr)
		}
	}
	else
	{	
		if (partnerIdStr != "Craftman")
		{
			MsgUtil.OpenMsg( "Wild_Animal_Thanks", "MES_EV_LOVE_S_MARRIAGE_10_"+partnerIdStr)
		}
		else
		{
			MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"10_"+partnerIdStr)
		}
	}
	
	// ҋ@
	WaitInterval()
	
	// [VFw܂x
	Father.SetMotion( "SeedOnce")
	Mother.SetMotion( "SeedOnce")
	Uncle.SetMotion( "SeedOnce")
	Sister.SetMotion( "SeedOnce")
	while(!Father.Wait());
	// GtFNgFwԂтx\		pŁwLLxlɕ\
	MultiCharaEmotion( [groom, bride], "Fukidashi_Kirakira")
	
	// ҋ@
	WaitInterval()	
	
	// VYƐVw
	groom.Walk( -4.0, -18.0)
	bride.Walk( 4.0, -18.0)
	while(!groom.Wait()){}
	while(!bride.Wait()){}
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"11_"+partnerIdStr)
	
	// ҋ@
	WaitInterval()
	
	// [VFw܂x
	Angler.SetMotion( "SeedOnce")
	AnglerGrandson.SetMotion( "SeedOnce")
		if(partnerIdStr == "Craftman")
		{
			// CXJ܂
			TwinOlder.SetMotion( "SeedOnce")
			// CXi܂
			TwinYounger.SetMotion( "SeedOnce")
		}
		else if(partnerIdStr == "TwinOlder")
		{
			// q[K܂
			Craftman.SetMotion( "SeedOnce")
			// CXi܂
			TwinYounger.SetMotion( "SeedOnce")
		}
		else if(partnerIdStr == "TwinYounger")
		{
			// q[K܂
			Craftman.SetMotion( "SeedOnce")
			// CXJ܂
			TwinOlder.SetMotion( "SeedOnce")
		}
	while(!Angler.Wait());
	// GtFNgFwԂтx\		pŁwLLxVYɕ\
	MultiCharaEmotion( [groom, bride], "Fukidashi_Kirakira")
	
	// ҋ@
	WaitInterval()
	
	// VYƐVw
	groom.Walk( -4.0, 9.0)
	bride.Walk( 4.0, 9.0)
	while(!groom.Wait()){}
	while(!bride.Wait()){}
	
	// bZ[W
	if (eSex.eSex_Male == PersonalData.GetSex())
	{
		if (partnerIdStr == "Craftman")
		{
			MsgUtil.OpenMsg( "Wild_Animal_Thanks", "MES_EV_MAN_LOVE_S_MARRIAGE_13_"+partnerIdStr)
		}
		else
		{
			MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"13_"+partnerIdStr)
		}
	}
	else
	{	
		if (partnerIdStr != "Craftman")
		{
			MsgUtil.OpenMsg( "Wild_Animal_Thanks", "MES_EV_LOVE_S_MARRIAGE_13_"+partnerIdStr)
		}
		else
		{
			MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"13_"+partnerIdStr)
		}
	}
	
	// ҋ@
	WaitInterval()
	
	// [VFw܂x
	Fisher.SetMotion( "SeedOnce")
	FisherWife.SetMotion( "SeedOnce")
	FisherDaughter.SetMotion( "SeedOnce")
	FisherSon.SetMotion( "SeedOnce")
	Assistant.SetMotion( "SeedOnce")
	Historian.SetMotion( "SeedOnce")
	while(!Fisher.Wait());
	// GtFNgFwԂтx\		pŁwLLxVYɕ\
	MultiCharaEmotion( [groom, bride], "Fukidashi_Kirakira")
	
	// ҋ@
	WaitInterval()
	
	// VYƐVw
	groom.Walk( -4.0, 35.0)
	bride.Walk( 4.0, 35.0)
	while(!groom.Wait()){}
	while(!bride.Wait()){}
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"16")
	
	// ҋ@
	WaitInterval()
	
	// [VFw@x
	Witch.SetMotion( "Magic")
	Goddes.SetMotion( "Magic")
	Inari.SetMotion( "Magic")
	
	// ҋ@
	Wait(30)
	
	// SEF̉
	local handle = Sound.PlaySE("Weding_Bell");	
	
	// GtFNgFwԂтx\		pŁwLLxVYɕ\
	MultiCharaEmotion( [groom, bride], "Fukidashi_Kirakira")
	
	while(!Witch.Wait());
	
	// ҋ@
	WaitInterval()	
	
	// J̒Ǐ]
	camera.DetachTargetChara()
	
	// Jړ
	camera.MoveCamera( VEC3( 0.00, 35.40, 67.20 ), 90)
	camera.MoveTarget( VEC3( 0.00, 12.07, 36.80 ), 90)
	while(!camera.Wait()){}
	
	// ҋ@
	WaitInterval()	
	
	// VYƐVw
	CharaWalkRotFace2Face( groom, bride, 10)
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwn[gxVYAVwɕ\
	groom.SetEffect("Fukidashi_Heart")
	bride.SetEffect("Fukidashi_Heart")
	while(!groom.WaitEffect());
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"17_"+partnerIdStr)
	
	// ҋ@
	WaitInterval()
	
	// [VFwLXx
	{
		// [VFwLXx
		if (partnerIdStr != "Craftman" && eSex.eSex_Female == PersonalData.GetSex())
		{
			groom.SetMotion( "WeddingKiss")
			bride.SetMotion( "WeddingKiss")
		}
		else if (partnerIdStr == "Craftman" && eSex.eSex_Female == PersonalData.GetSex())
		{
			groom.SetMotion( "WeddingKiss")
			bride.SetMotion( "Kiss")
		}
		else
		{
			groom.SetMotion( "Kiss")
			bride.SetMotion( "Kiss")
		}
		
		// ҋ@
		Wait(20)
		
		// SEFLX
		local handle = Sound.PlaySE("Kiss");
		// SEFI҂
		while(!Sound.IsEndSE(handle));
		while(!bride.Wait());
	}
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwn[gxVYAVwɕ\
	groom.SetEffect("Fukidashi_Heart")
	bride.SetEffect("Fukidashi_Heart")
	while(!groom.WaitEffect());
	

	
	while(!Sound.IsEndSE(handle));
}



/**
 * CxgI
 */
function EventEnd() : (EventName)
{
	EventFinalizeCommon(EventName)
	
	
	local partnerIdStr = GetMarriageNpc()		// ID擾
	
	// fobON̑Ή. 肪ȂƎsłȂ
	if(partnerIdStr != null)
	{
		// ̃X^bt[̌Ăяo
		// X^bt[ցEEE
		MainStaffrollWedding()
	}
	
	// IɌĂ
	FinalizeStaffrollWedding()
	
	// `[gAĂэ
	EventManager.HoldNextEvent("Tutorial_Marriage");
	MainGameStateChanger.MapChangeAppointMap( EventConstData.GetStartMapStr(EventManager.GetNextEventIdStr()));
}

