

// Cxg
local EventName = "Resident_Father"

// bZ[W
local MSG_DATA = 
{
	Name = "Resident_Father"
	ID   = "MES_EV_RESIDENT_FATHER_"
}



// Jgp邽߂ɕKv
camera <- CameraChanger.GetCamera()


// LIuWF
player <- null
npcPartner <- null
npcFather <- null
npcMother <- null
npcSister <- null

partnerIdStr <- null	// ID
fatherIdStr <- "Event_Father"
motherIdStr <- "Mother"
sisterIdStr <- "Sister"

PartnerMsgId <- null	// MsgID

function NpcGenderCheck( charaIdStr)
{
	local charaGender = null
	switch(charaIdStr)
	{
		case "Postman":		charaGender = eSex.eSex_Male;		break;
		case "Doctor":		charaGender = eSex.eSex_Male;		break;
		case "Chaser":		charaGender = eSex.eSex_Male;		break;
		case "Apprentice":	charaGender = eSex.eSex_Male;		break;
		case "Craftman":	charaGender = eSex.eSex_Male;		break;
		case "DummyLover1": charaGender = eSex.eSex_Male;		break;
		case "Florist":		charaGender = eSex.eSex_Female;		break;
		case "TeaGirl":		charaGender = eSex.eSex_Female;		break;
		case "Teacher":		charaGender = eSex.eSex_Female;		break;
		case "TwinOlder":	charaGender = eSex.eSex_Female;		break;
		case "TwinYounger":	charaGender = eSex.eSex_Female;		break;
		case "DummyLover2": charaGender = eSex.eSex_Female;		break;
	}
	return charaGender;
}


/**
 * ǉNPCɕ򂷂MsgID擾
 */
function getAddNpcBranchMsgId( msgId, npcIdStr )
{
	if( IsAddNpc(npcIdStr)){
		return (msgId + PartnerMsgId);
	}
	return msgId;
}



/**
 * Cxg
 */
function EventInitialize() : (EventName)
{
	EventInitializeCommon(EventName)
	
	// 擾
	partnerIdStr = GetMarriageNpc()
	if( partnerIdStr == null){
		partnerIdStr = PersonalData.GetSex() == eSex.eSex_Male ? "Florist" : "Postman"
	}
	
	// MsgID
	PartnerMsgId = "_" + NpcIdStr2MsgIDStr( partnerIdStr)
	
	if (NpcGenderCheck(partnerIdStr) == PersonalData.GetSex()) {
		TLE <- "_TLE"
	}
	else {
		TLE <- ""
	}
}



/**
 * Cxg
 */
function EventMain()
{
	EventInitialize()
	
	// ł̋N
	EventScene_WakeUp()
	
	// qGAPŉƑė
	EventScene_ComeFamily()
	
	// F̒ē
	local eventSceneShowAroundTownArray = [
		[ EventScene_JapanSub, 		EventScene_JapanMain, 	EventScene_JapanTeaHouse ],			// a
		[ EventScene_AmericaSub,	EventScene_AmericaMain, EventScene_AmericaRestaurant ],		// k
		[ EventScene_SouthSub,		EventScene_SouthMain, 	EventScene_SouthTeaHouse, ],		// 썑
	]
	local countryId = NpcConstData.GetCountry(ID.StringToNpcId( partnerIdStr))
	local eventSceneShowAroundTown = eventSceneShowAroundTownArray[countryId]
	foreach( scene in eventSceneShowAroundTown)
	{
		scene()
	}
	
	// eƌ
	EventScene_Father()
	
	// ƑƂʂ
	EventScene_GoBackHome()
	
	// ₷݂Ȃ
	EventScene_GoodNight()
	
	// tF[hAEg
	FadeOutBlack()
	
	EventEnd()
}




/**
 * FN
 */
function EventScene_WakeUp()
{
	// ================================
	// 
	
	// oL̏
	player = ObjectManager.CreatePlayer()
	npcPartner = ObjectManager.CreateNpc( partnerIdStr)
	while(!ObjectManager.CreateWait()){}
	
	
	// L̐ݒ
	local wakeUpPos = MyHouseData.GetWakeupPos();
	player.SetCharaPos( wakeUpPos.x, wakeUpPos.z)
	player.SetRotY( Math.Deg2Rad(0.0))
	
	npcPartner.SetCharaPos( wakeUpPos.x + 10.0, wakeUpPos.z - 10.0)
	npcPartner.SetRotY( Math.Deg2Rad(0.0))
	
	local cameraBasePos = wakeUpPos + VEC3( 5.0, 0.0, -5.0)		// 悻2l̒
	// J̐ݒ
	camera.SetCameraPos( cameraBasePos.x, 35.0, cameraBasePos.z + 42.0)
	camera.SetTargetPos( cameraBasePos.x, 11.5, cameraBasePos.z -  2.0)
	
	
	
	// ================================
	// o
	
	// Cxgŏ̃tF[h
	EventStartFirstFadeIn()
	
	// ҋ@
	WaitInterval()
	
	// [VFwLтx
	player.SetMotion( "Stretch")
	npcPartner.SetMotion( "Stretch")
	while(!player.Wait());
	while(!npcPartner.Wait());
	
	// ҋ@
	WaitInterval()
	
	// ]FQl
	CharaWalkRotFace2Face( player, npcPartner, 5)
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwׂGtFNgx
	PlayFukidashiEffect( player, "Fukidashi_Talk")
	
	PlayFukidashiEffect( npcPartner, "Fukidashi_Talk")
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwn[gx
	npcPartner.SetEffect("Fukidashi_Heart")
	player.SetEffect("Fukidashi_Heart")
	while(!player.WaitEffect());
	
	// GtFNgFwׂGtFNgx
	PlayFukidashiEffect( player, "Fukidashi_Talk")
	
	// [VFwx
	npcPartner.SetMotion( "Nod")
	while(!npcPartner.Wait());
	
	// ҋ@
	WaitInterval()
	
	local entrancePos = VEC3( 0.0, 0.0, 65.0)
	
	// l֕Ɍ
	CharaWalkRotPos( player, entrancePos, 10)
	
	// l
	player.Walk( entrancePos.x, entrancePos.z)
	
	// ֕Ɍ
	CharaWalkRotPos( npcPartner, entrancePos, 10)
	
	while(!player.Wait()){}
	
	// SEFhAJ
	PlaySEDoor()
	
	// tF[hAEgiVb^[j
	FadeOutUpShutter()
}



/**
 * qGAPFƑė
 */
function EventScene_ComeFamily() : (MSG_DATA)
{
	local getPostPos = function()
	{
		local pos = VEC3( 10.00, 10.73, -275.00)
		local myHouseId = PersonalData.GetMyHousePanelIdStr()
		switch(myHouseId)
		{
			case "MyHouse03_America":				pos = VEC3( 10.00, 10.73, -275.00);		break;		// 0270 RiK kĕ
			case "MyHouse03_Japan":					pos = VEC3(  5.00, 10.73, -285.00);		break;		// 0271 RiK a
			case "MyHouse03_South":					pos = VEC3( 10.00, 10.73, -270.00);		break;		// 0272 RiK 썑
			case "MyHouse04_America":				pos = VEC3(  9.50, 10.73, -280.00);		break;		// 0273 SiK kĕ
			case "MyHouse04_Japan":					pos = VEC3( 10.00, 10.73, -275.00);		break;		// 0274 SiK a
			case "MyHouse04_South":					pos = VEC3( 10.00, 10.73, -280.00);		break;		// 0275 SiK 썑
			case "MyHouse05_America":				pos = VEC3(  5.00, 10.66, -270.00);		break;		// 0276 TiK kĕ
			case "MyHouse05_Japan":					pos = VEC3(  5.00, 10.66, -285.00);		break;		// 0277 TiK a
			case "MyHouse05_South":					pos = VEC3( 12.50, 10.73, -275.00);		break;		// 0278 TiK 썑
			case "MyHouse05_Western":				pos = VEC3(  5.00, 10.73, -275.00);		break;		// 0279 TiK EGX^
			case "MyHouse05_JapaneseModern":		pos = VEC3( 20.00, 10.73, -290.00);		break;		// 0280 TiK a_
			case "MyHouse05_HeianImperialPalace":   pos = VEC3( 24.00, 10.73, -280.00);		break;		// 0281 TiK 䏊
			case "MyHouse05_Jungle":				pos = VEC3( 10.50, 10.73, -270.00);		break;		// 0282 TiK WO
			case "MyHouse05_LiveHouse":				pos = VEC3(  4.50, 10.73, -275.00);		break;		// 0283 TiK CunEX
			case "MyHouse05_Sea":					pos = VEC3( 10.00, 10.73, -280.00);		break;		// 0284 TiK C
			case "MyHouse05_WanNyandaful":			pos = VEC3( 15.00, 10.73, -280.00);		break;		// 0285 TiK j_t
			case "MyHouse05_Magician":				pos = VEC3(  9.00, 10.73, -290.00);		break;		// 0286 TiK @gٕ
			case "MyHouse05_ElDorado":				pos = VEC3(  9.50, 10.73, -295.00);		break;		// 0287 TiK 
		}
		return pos;
	}
	
	// ================================
	// 
	
	// }bvύX
	Map.Change( "Farm_00")	// qGAP
	
	// oL̏
	player = ObjectManager.CreatePlayer()
	while(!ObjectManager.CreateWait()){}
	
	// l̐ݒ
	local postPos = getPostPos()
	player.SetCharaPos( postPos.x, postPos.z)		// |XgO
	player.SetRotY( Math.Deg2Rad(180.0))
	
	local playerPos = player.GetPos()
	// J̐ݒ
	camera.SetCameraPos( playerPos.x, 10.72 + 50.00, playerPos.z + 60.0)
	camera.SetTargetPos( playerPos.x, 10.72 + 23.25, playerPos.z + 18.0)
	
	// JǏ]Flɐݒ
	camera.AttachTargetChara( player, VEC3( 0.0, 0.0, 0.0))
	
	
	
	// ================================
	// o
	
	// tF[hCiVb^[j
	FadeInUpShutter()
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwтx
	PlayFukidashiEffect( player, "Fukidashi_Ameaze")
	
	// ҋ@
	WaitInterval()
	
	// [VFwxi|Xg莆oj
	player.SetMotion( "HandShake")
	Wait(10)
	// SEF
	Sound.PlaySEAndWait("Forest_In")
	while(!player.Wait());
	
	LiftItemFrontNoSE( player, "recipe_A")
	
	// ҋ@
	WaitInterval()
	
	local readLetterPos = VEC3( 0.0, 0.0, -260.0)
	// l֕Ɍ
	CharaWalkRotPos( player, readLetterPos, 10)
	
	// 
	player.Walk( readLetterPos.x, readLetterPos.z)
	
	while(!player.Wait()){}
	
	// uݒ
	MsgUtil.SetTransMojiW( 0, GetSeasonName( TimeData.GetSeason()));
	MsgUtil.SetTransMoji( 1, TimeData.GetDate().tostring());
	
	// bZ[W
//	MsgUtil.OpenMsg( MSG_DATA.Name, getAddNpcBranchMsgId( MSG_DATA.ID+"00", partnerIdStr))
	// DLC肾MsgIdς̂őΉ		// @todoFMsgId̖@ƈقȂ̂ō킹
	if( IsAddNpc(partnerIdStr)){
		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+NpcIdStr2MsgIDStr( partnerIdStr)+"_00")
	}
	else{
		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"00")
	}
	
	// J̒Ǐ]
	camera.DetachTargetChara()
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwفx
	PlayFukidashiEffect( player, "Fukidashi_Silent")
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwفx
	PlayFukidashiEffect( player, "Fukidashi_Silent")
	
	// ҋ@
	WaitInterval()
	WaitInterval()
	
	// GtFNgFwx
	PlayFukidashiEffect( player, "Fukidashi_Surprise")
	
	
	// BGMF~jQ[BGM
	Sound.PlayBGM("Minigame");
	
	// 쐬
	npcPartner = ObjectManager.CreateNpc( partnerIdStr)
	// 肽L̐
	while(!ObjectManager.CreateWait()){}
	
	local entrancePos = GetPosEntranceMyHouse()
	
	// ̐ݒ
	npcPartner.SetCharaPos( entrancePos.x, entrancePos.z - 20.0)
	npcPartner.SetRotY( Math.Deg2Rad(0.0))
	
	
	// Jړ
	CameraMovePosXZ( camera, entrancePos.x, entrancePos.z + 60.0, 45)
	while(!camera.Wait()) {}
	
	// lĂACeĂ
	CharaDetachItem( player)
	
	// ̃hAJ
	OpenDoorMyHouse()
	
	// ҋ@
	WaitInterval()
	
	// 
	npcPartner.Walk( entrancePos.x, entrancePos.z)
	
	// ҋ@
	WaitInterval()
	while(!npcPartner.Wait()){}
	
	// ̃hA߂
	CloseDoorMyHouse()
	
	// JǏ]Fɐݒ
	camera.AttachTargetChara( npcPartner, VEC3( 0.0, 0.0, 0.0))
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFw^x
	PlayFukidashiEffect( npcPartner, "Fukidashi_Question")
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"01"+PartnerMsgId)
	
	// ̕Ăʒuil̋߂j
	local partnerGoalPos = player.GetPos() + VEC3( -14.0, 0.0, -3.0)
	
	// 
	npcPartner.Walk( partnerGoalPos.x, partnerGoalPos.z)
	while(!npcPartner.Wait()){}
	
	// J̒Ǐ]
	camera.DetachTargetChara()
	
	// ]FQl
	CharaWalkRotFace2Face( player, npcPartner, 5)
	
	
	// [VFwgUUŐxl
	player.SetMotion( "Explain")
	// GtFNgFwłxl
	PlayFukidashiEffect( player, "Fukidashi_Haste")
	while(!player.Wait());
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwтx
	PlayFukidashiEffect( npcPartner, "Fukidashi_Ameaze")
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"02"+PartnerMsgId)
	
	
	
	// l̉Ƒ쐬
	npcSister = ObjectManager.CreateNpc( sisterIdStr)
	npcMother = ObjectManager.CreateNpc( motherIdStr)
	npcFather = ObjectManager.CreateNpc( fatherIdStr)
	// 肽L̐
	while(!ObjectManager.CreateWait()){}
	
	// Ƒ̐ݒ
	npcSister.SetCharaPos( -20.0, -200.0)
	npcSister.SetRotY( Math.Deg2Rad( 180.0))
	npcMother.SetCharaPos( -15.0, -185.0)
	npcMother.SetRotY( Math.Deg2Rad( 180.0))
	npcFather.SetCharaPos( -25.0, -185.0)
	npcFather.SetRotY( Math.Deg2Rad( 180.0))
	
	// 
	Sound.StopBGM(60);
	
	// ̖Ou
	MsgUtil.SetTransCharaName( 0, NpcConstData.GetDispName(ID.StringToNpcId(partnerIdStr)));
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"03")
	
	local sisterGoalPos = VEC3( -17.0, 0.0, -245.0)
	
	local coupleObj = [ player, npcPartner]
	
	// GtFNgFwтx
	MultiCharaEmotionNoWait( coupleObj, "Fukidashi_Ameaze")
	
	// lvwl̕
	MultiCharaWalkRotPos( coupleObj, sisterGoalPos, 10)
	
	WaitMultiCharaEmotion( coupleObj)		// G[V̏I҂
	
	// BGMFėpCxgBGM_1
	Sound.PlayBGM("Other_Event_1");
	
	// [VFwOCɂȂx
	npcPartner.SetMotion( "Bangs")
	
	// ҋ@
	WaitInterval()
	
	// l
	npcSister.Walk( sisterGoalPos.x, sisterGoalPos.z)
	Wait(20)
	// }[i
	npcMother.Walk( -5.0, -245.0)
	Wait(10)
	// _EX
	npcFather.Walk( -30.0, -250.0)
	
	while(!npcPartner.Wait());
	
	
	local tmpPos = CalcCenterPoint( [player.GetPos(), npcPartner.GetPos()])
	
	while(!npcSister.Wait());
	// llɌ
	CharaWalkRotPos( npcSister, tmpPos)
	
	// [VFwUx
	npcSister.SetMotion( "ByeBye")
	
	while(!npcMother.Wait());
	CharaWalkRotPos( npcMother, tmpPos)
	
	while(!npcFather.Wait());
	CharaWalkRotPos( npcFather, tmpPos)
	
	// ҋ@
	WaitInterval()
	
	// J̐ݒ
	camera.SetCameraPos( 38.3, 45.5, -224.2)
	camera.SetTargetPos(  0.1, 24.2, -248.4)
	
	Wait(30)
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, getAddNpcBranchMsgId( MSG_DATA.ID+"04", partnerIdStr))
	
	// [VFwUxl
	player.SetMotion( "Deny")
	// GtFNgFwłxl
	PlayFukidashiEffect( player, "Fukidashi_Haste")
	while(!player.Wait());
	
	// ҋ@
	WaitInterval()
	
	// ]F_EXƌ肪
	CharaWalkRotFace2Face( npcFather, npcPartner, 5)
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, getAddNpcBranchMsgId( MSG_DATA.ID+"05", partnerIdStr))
	
	// ҋ@
	WaitInterval()
	
	
	// ================================
	// _EXƌ肪鉉o
	local partnerPosBackUp = npcPartner.GetPos()
	local fatherPosBackUp = npcFather.GetPos()
	local vec = partnerPosBackUp - fatherPosBackUp
	
	// Aɂċς
	local fatherGreetingMoveValue = IsAddNpc(partnerIdStr) ? 0.2 :
									IsAmericaNpc(partnerIdStr) ? 0.3 :
									IsJapanNpc(partnerIdStr) ? 0.2 :
									IsSouthNpc(partnerIdStr) ? 0.2 : 0.3;
	local partnerGreetingMoveValue = IsAddNpc(partnerIdStr) ? 0.75 :
									IsAmericaNpc(partnerIdStr) ? 0.75 :
									IsJapanNpc(partnerIdStr) ? 0.95 :
									IsSouthNpc(partnerIdStr) ? 0.95 : 0.75;
	
	// _EXƌ
	npcFather.Walk( fatherPosBackUp.x + vec.x * fatherGreetingMoveValue, fatherPosBackUp.z + vec.z * fatherGreetingMoveValue)
	npcPartner.Walk( fatherPosBackUp.x + vec.x * partnerGreetingMoveValue, fatherPosBackUp.z + vec.z * partnerGreetingMoveValue)
	while(!npcFather.Wait()){}
	while(!npcPartner.Wait()){}
	
	// ]FQlij
	CharaWalkRotFace2Face( npcFather, npcPartner, 5)
	
	// [VFwiꂼ̈Ajx_EXƌ
	local greetingMotion = 	IsAddNpc(partnerIdStr) ? "HandShake" :				// ǉLFwx
							IsAmericaNpc(partnerIdStr) ? "Hug" :				// kăLFwnOx
							IsJapanNpc(partnerIdStr) ? "Greeting" :				// aLFwx
							IsSouthNpc(partnerIdStr) ? "Fist" : "HandShake";	// 썑LFw킹x
	npcFather.SetMotion( greetingMotion)
	npcPartner.SetMotion( greetingMotion)
	while(!npcFather.Wait());
	while(!npcPartner.Wait());
	
	// ҋ@
	WaitInterval()
	
	// ̏ꏊɖ߂
	CharaWalkFixsingDeg( npcPartner, partnerPosBackUp.x, partnerPosBackUp.z, Math.Rad2Deg(npcPartner.GetRotY()), 10)
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"06"+PartnerMsgId)
	
	if (NpcGenderCheck(partnerIdStr) == PersonalData.GetSex() && (PartnerMsgId != "_WANTATAN" || PartnerMsgId != "_PRESENTER")) {
		if (PersonalData.GetSex() == eSex.eSex_Female){
			MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"06_01")
		}
		else {
			MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"06_02")
		}
	}
	else if (PartnerMsgId != "_WANTATAN" || PartnerMsgId != "_PRESENTER"){
		if (PersonalData.GetSex() == eSex.eSex_Female){
			MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"06_03")
		}
		else {
			MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"06_04")
		}
	}
	
	// ҋ@
	WaitInterval()
	
	// _EXA肪l̕
	MultiCharaWalkRotObj( [npcFather, npcPartner], player, 10)
	
	// ҋ@
	WaitInterval()
	
	// [VFwgUUŐxl
	player.SetMotion( "Explain")
	// GtFNgFwłxl
	PlayFukidashiEffect( player, "Fukidashi_Haste")
	while(!player.Wait());
	
	// ҋ@
	WaitInterval()
	
	// 肪_EX̕
	CharaWalkRotObj( npcPartner, npcFather, 10)
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"07")
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwЂ߂x
	PlayFukidashiEffect( npcPartner, "Fukidashi_Flash")
	
	// ]FQl
	CharaWalkRotFace2Face( player, npcPartner, 10)
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"08"+PartnerMsgId)
	
	// ҋ@
	WaitInterval()
	
	// [VFwx
	player.SetMotion( "Nod")
	// GtFNgFwтx
	PlayFukidashiEffect( player, "Fukidashi_Ameaze")
	while(!player.Wait());
	
	// lvw_EX̕
	MultiCharaWalkRotObj( [ player, npcPartner], npcFather, 10)
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"09")
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwفx}[i
	npcMother.SetEffect("Fukidashi_Silent")
	// GtFNgFwyxl
	npcSister.SetEffect("Fukidashi_Fun")
	while(!npcMother.WaitEffect());
	while(!npcSister.WaitEffect());
	
	// GtFNgFwЂ߂x}[i
	PlayFukidashiEffect( npcMother, "Fukidashi_Flash")
	
	// ҋ@
	WaitInterval()
	
	// S}[i̕
	MultiCharaWalkRotObj( [player, npcPartner, npcFather, npcSister], npcMother, 10)
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"10")
	
	// ҋ@
	WaitInterval()
	
	local hisohisoPos = CalcCenterPoint( [npcMother.GetPos(), npcSister.GetPos()]) + VEC3( 0.0, 0.0, 5.0)
	// }[iƃl
	MultiCharaWalkRotPos( [npcMother, npcSister], hisohisoPos, 10)
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"11")
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwyxl
	npcSister.SetEffect("Fukidashi_Fun")
	// }[iAll̕
	MultiCharaWalkRotObj( [npcMother, npcSister], player, 10)
	while(!npcSister.WaitEffect());
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"12")
	
	// ҋ@
	WaitInterval()
	
	// qȂMSGǉ
	if( IsChildAppear())
	{
		// bZ[W
		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"13")
		
		// ҋ@
		WaitInterval()
	}
	
	// GtFNgFwyxl
	PlayFukidashiEffect( player, "Fukidashi_Fun")
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"14")
	
	// ҋ@
	WaitInterval()
	
	// tF[hAEgiVb^[j
	FadeOutUpShutter()
}



//-----------------------------------------------------------------------------
//-----------------------------------------------------------------------------
// EFX^Ëē

/**
 * EFX^ËēFkăTu
 */
function EventScene_AmericaSub()
{
	// Ԑݒ
	SetTime( 10, 00, 0)
	
	// ================================
	// FkăTu
	
	// }bvύX
	Map.Change( "America_Sub")	// kăTu
	
	local npcAmericaFarmOldwoman = null
	local npcAmericaFarmMan = null
	
	// oL̏
	::player = ObjectManager.CreatePlayer()
	::npcPartner = ObjectManager.CreateNpc( partnerIdStr)
	::npcFather = ObjectManager.CreateNpc( fatherIdStr)
	
	npcAmericaFarmOldwoman = ObjectManager.CreateNpc( "AmericaFarmOldwoman")	// [K
	npcAmericaFarmMan = ObjectManager.CreateNpc( "AmericaFarmMan")				// wN^[
	while(!ObjectManager.CreateWait()){}
	
	
	local basePos = VEC3( 120.0, -2.3, 100.0)
	local playerPos   = basePos
	local partnerPos  = basePos + VEC3( -20.0, 0.0,  -5.0)
	local fatherPos   = basePos + VEC3( -15.0, 0.0,  15.0)
	local oldwomanPos = basePos + VEC3(  15.0, 0.0,  15.0)
	local farmManPos  = basePos + VEC3(  40.0, 0.0, -10.0)
	
	// L̍Wݒ
	player.SetCharaPos( playerPos.x, playerPos.z)
	npcPartner.SetCharaPos( partnerPos.x, partnerPos.z)
	npcFather.SetCharaPos( fatherPos.x, fatherPos.z)
	npcAmericaFarmOldwoman.SetCharaPos( oldwomanPos.x, oldwomanPos.z)
	npcAmericaFarmMan.SetCharaPos( farmManPos.x, farmManPos.z)
	
	// _EXƃ[K̒Ԓn_
	local viewPoint = CalcCenterPoint( [fatherPos, oldwomanPos])
	// L̊pxݒ
	CharaSetDirPos( player, viewPoint)
	CharaSetDirPos( npcPartner, viewPoint)
	CharaSetDirPos( npcFather, viewPoint)
	CharaSetDirPos( npcAmericaFarmOldwoman, viewPoint)
	CharaSetDirPos( npcAmericaFarmMan, viewPoint)
	
	// J̐ݒ
	camera.SetCameraPos( viewPoint.x, 0.0 + 50.00, viewPoint.z + 60.0)
	camera.SetTargetPos( viewPoint.x, 0.0 + 23.25, viewPoint.z + 18.0)
	
	
	
	// ================================
	// o
	
	// tF[hCiVb^[j
	FadeInUpShutter()
	
	// ҋ@
	WaitInterval()
	
	// l_EX̕
	CharaWalkRotObj( player, npcFather, 10)
	
	// GtFNgFwׂGtFNgxl
	PlayFukidashiEffect( player, "Fukidashi_Talk")
	
	// ҋ@
	WaitInterval()
	
	// l[K̕
	CharaWalkRotObj( player, npcAmericaFarmOldwoman, 10)
	
	// GtFNgFwׂGtFNgxl
	PlayFukidashiEffect( player, "Fukidashi_Talk")
	
	CharaWalkRotPos( player, viewPoint, 10)
	
	// ҋ@
	WaitInterval()
	
	// _EXƃ[K鉉o
	local fatherPosBackUp = npcFather.GetPos()
	local oldwomanPosBackUp = npcAmericaFarmOldwoman.GetPos()
	local movement = oldwomanPosBackUp - fatherPosBackUp
	// _EXƃ[K
	npcFather.Walk( fatherPosBackUp.x + movement.x * 0.3, fatherPosBackUp.z + movement.z * 0.3)
	npcAmericaFarmOldwoman.Walk( fatherPosBackUp.x + movement.x * 0.7, fatherPosBackUp.z + movement.z * 0.7)
	while(!npcFather.Wait()){}
	while(!npcAmericaFarmOldwoman.Wait()){}
	
	// ҋ@
	WaitInterval()
	
	// [VFwnOx_EXƃ[K
	npcFather.SetMotion( "Hug")
	npcAmericaFarmOldwoman.SetMotion( "Hug")
	
	Wait(60)
	
	// tF[hAEgiVb^[j
	FadeOutUpShutter()
	
	while(!npcFather.Wait());
	while(!npcAmericaFarmOldwoman.Wait());
}



/**
 * EFX^ËēFkăC
 */
function EventScene_AmericaMain()
{
	// ================================
	// FIXO
	
	// }bvύX
	Map.Change( "America_Main")	// kăC
	
	// oL̏
	::player = ObjectManager.CreatePlayer()
	::npcPartner = ObjectManager.CreateNpc( partnerIdStr)
	::npcFather = ObjectManager.CreateNpc( fatherIdStr)
	local npcAlison  = ObjectManager.CreateNpc( "Mob_Alison")	// uFA\()
	local npcHiraf   = ObjectManager.CreateNpc( "Mob_Hiraf")	// uFqt(މ)
	local npcCortes  = ObjectManager.CreateNpc( "Mob_Cortes")	// uFReX(G݉)
	local npcNatasha = ObjectManager.CreateNpc( "Mob_Natasha")	// uFi^[V(Hމ)
	while(!ObjectManager.CreateWait()){}
	
	local basePos = VEC3( 65.0, 1.0, 100.0)
	local playerPos   = basePos
	local partnerPos  = basePos + VEC3(  20.0, 0.0, -10.0)
	local fatherPos   = basePos + VEC3(  35.0, 0.0,  20.0)
	local alisonPos   = basePos + VEC3(  -5.0, 0.0, -30.0)
	local hirafPos    = basePos + VEC3( -15.0, 0.0, -25.0)
	local cortesPos   = basePos + VEC3( -25.0, 0.0, -15.0)
	local natashaPos  = basePos + VEC3( -35.0, 0.0,   0.0)
	
	// L̍Wݒ
	player.SetCharaPos( playerPos.x, playerPos.z)
	npcPartner.SetCharaPos( partnerPos.x, partnerPos.z)
	npcFather.SetCharaPos( fatherPos.x, fatherPos.z)
	npcAlison.SetCharaPos( alisonPos.x, alisonPos.z)
	npcHiraf.SetCharaPos( hirafPos.x, hirafPos.z)
	npcCortes.SetCharaPos( cortesPos.x, cortesPos.z)
	npcNatasha.SetCharaPos( natashaPos.x, natashaPos.z)
	
	// lƃuBƂ̒Sn_
	local viewPoint = CalcCenterPoint( [player.GetPos(), npcAlison.GetPos(), npcHiraf.GetPos(), npcCortes.GetPos(), npcNatasha.GetPos()])
	// L̊pxݒ
	CharaSetDirPos( player, viewPoint)
	CharaSetDirObj( npcPartner, player)
	CharaSetDirObj( npcFather, player)
	CharaSetDirObj( npcAlison, player)
	CharaSetDirObj( npcHiraf, player)
	CharaSetDirObj( npcCortes, player)
	CharaSetDirObj( npcNatasha, player)
	
//	// [VFwrg݁E[v(~)x_EX
//	npcFather.SetMotionLoop( "ArmsFoldedStopLoop")
	
	// J̐ݒ
	local cameraBasePos = basePos + VEC3( 0.0, 0.0, 10.0)
	camera.SetCameraPos( cameraBasePos.x, 0.0 + 50.00, cameraBasePos.z + 60.0)
	camera.SetTargetPos( cameraBasePos.x, 0.0 + 23.25, cameraBasePos.z + 18.0)
	
	
	
	// ================================
	// o
	
	// tF[hCiVb^[j
	FadeInUpShutter()
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwׂGtFNgxA\
	PlayFukidashiEffect( npcAlison, "Fukidashi_Talk")
	
	// GtFNgFwׂGtFNgxReX
	PlayFukidashiEffect( npcCortes, "Fukidashi_Talk")
	
	// GtFNgFwׂGtFNgxl
	PlayFukidashiEffect( player, "Fukidashi_Talk")
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFw΂GtFNgx
	MultiCharaEmotionNoWait( [npcAlison, npcHiraf, npcCortes, npcNatasha, player], "Fukidashi_Laugh")
	if(partnerIdStr != "Doctor"){
		npcPartner.SetEffect("Fukidashi_Laugh")
	}
	
	// ҋ@
	WaitInterval()
	
//	// [VFwrg݁EȂE[vx_EX
//	npcFather.SetMotionLoop( "ArmsFoldedNodLoop")
//	npcFather.LoopMotionEnd()
	// [VFwx
	npcFather.SetMotion( "Nod")
	Wait(45)
	
	// tF[hAEgiVb^[j
	FadeOutUpShutter()
	
	while(!player.WaitEffect());
//	npcFather.LoopMotionEnd()
	while(!npcFather.Wait());
	
	// svɂȂL폜
	ObjectManager.DeleteNpc( npcAlison)
	ObjectManager.DeleteNpc( npcHiraf)
	ObjectManager.DeleteNpc( npcCortes)
	ObjectManager.DeleteNpc( npcNatasha)
	
	// ҋ@
	Wait(60)
	
	
	
	// ================================
	// F@O
	
	local npcStoreDaughter  = ObjectManager.CreateNpc( "StoreDaughter")		// mG
	local npcAmericaFarmSon = ObjectManager.CreateNpc( "AmericaFarmSon")	// R
	while(!ObjectManager.CreateWait()){}
	
	
	basePos = VEC3( 130.0, 35.74, 45.0)
	playerPos   = basePos
	partnerPos  = basePos + VEC3( 15.0, 0.0,  3.0)
	fatherPos   = basePos + VEC3( 10.0, 0.0, 25.0)
	
	// L̍Wݒ
	player.SetCharaPos( playerPos.x, playerPos.z)
	npcPartner.SetCharaPos( partnerPos.x, partnerPos.z)
	npcFather.SetCharaPos( fatherPos.x, fatherPos.z)
	npcStoreDaughter.SetCharaPos( 70.0, -140.0)
	npcAmericaFarmSon.SetCharaPos( 80.0, -145.0)
	
	// J̐ݒ
	camera.SetCameraPos( 130.0, 75.5, 145.0)
	camera.SetTargetPos( 130.0, 52.0, 101.0)
	
	
	
	// ================================
	// o
	
	// mGƃR
	npcStoreDaughter.Walk( 100.0, -65.0)
	npcAmericaFarmSon.Walk( 110.0, -60.0)
	
	// ҋ@
	WaitInterval()
	
	// l
	local playerWalkPoint = VEC3( 125.0, 36.65, -40.0)
	player.Walk( playerWalkPoint.x, playerWalkPoint.z)
	npcPartner.Walk( playerWalkPoint.x + 15.0, playerWalkPoint.z + 3.0)
	npcFather.Walk( playerWalkPoint.x + 10.0, playerWalkPoint.z + 25.0)
	
	// Jړ
	CameraMovePosXZ( camera, 125.0, 22.0, 170)
	
	// tF[hCiVb^[j
	FadeInUpShutter()
	
	
	while(!player.Wait()){}
	while(!npcStoreDaughter.Wait()){}
	while(!camera.Wait()) {}
	
	
	local charaObjArray = [player, npcPartner, npcFather]
	
	// mG̕Ɍ
	MultiCharaWalkRotPos( charaObjArray, VEC3( 105.0, 0.0, -62.5), 10)
	
	// ҋ@
	WaitInterval()
	
	// [VFwUx
	npcStoreDaughter.SetMotion( "ByeBye")
	npcAmericaFarmSon.SetMotion( "ByeBye")
	
	// ҋ@
	Wait(5)
	
	// [VFwUx
	player.SetMotion( "ByeBye")
	npcPartner.SetMotion( "ByeBye")
	
	while(!npcStoreDaughter.Wait());
	while(!npcAmericaFarmSon.Wait());
	while(!player.Wait());
	while(!npcPartner.Wait());
	
	local childGoalPos = VEC3( 130.0, 35.74, 60.0)
	
	// mGƃRړ̕
	MultiCharaWalkRotPos( [npcStoreDaughter, npcAmericaFarmSon], childGoalPos, 10)
	
	// mG
	npcStoreDaughter.Walk( childGoalPos.x, childGoalPos.z)
	
	// ҋ@
	WaitInterval()
	
	// R
	CharaWalkSeenByEveryone( npcAmericaFarmSon, childGoalPos.x, childGoalPos.z - 10.0, 140, charaObjArray)
	
	// S
	local centerPoint = CalcCenterPoint( [player.GetPos(), npcPartner.GetPos(), npcFather.GetPos()])
	MultiCharaWalkRotPos( charaObjArray, centerPoint, 10)
	
	// GtFNgFw킢킢x
	MultiCharaEmotion( charaObjArray, "Fukidashi_Waiwai")
	
	// isɌ
	MultiCharaWalkRotPos( charaObjArray, VEC3( 95.0, 0.0, -100.0), 10)
	
	// l
	player.Walk( 95.0, -100.0)
	npcPartner.Walk( 105.0, -100.0)
	npcFather.Walk( 95.0, -95.0)
	
	// ҋ@
	WaitInterval()
	
	// tF[hAEgiVb^[j
	FadeOutUpShutter()
	
	while(!player.Wait()){}
	while(!npcPartner.Wait()){}
	while(!npcFather.Wait()){}
}



/**
 * EFX^ËēFXg
 */
function EventScene_AmericaRestaurant() : (MSG_DATA)
{
	// ================================
	// FXg
	
	// Xg̐HɎזȂ̂ŃvĂ
	EventFlag.SetFlag("Restaurant1FLamp", false)
	
	// }bvύX
	Map.Change( "Restaurant_1F")	// XgPKQk
	
	// oL̏
	player = ObjectManager.CreatePlayer()
	npcPartner = ObjectManager.CreateNpc( partnerIdStr)
	npcFather = ObjectManager.CreateNpc( fatherIdStr)
	
	local npcRestaurantHusbund = ObjectManager.CreateNpc( "RestaurantHusbund")
	local npcRestaurantWife    = ObjectManager.CreateNpc( "RestaurantWife")
	while(!ObjectManager.CreateWait()){}
	
	// L̐ݒ
	CharaSetPosSitDownChair( player,
							AINpcMapPointData.GetPos( "Restaurant_1F_Chair_06_Sit"),	// Ee[u̍
							Math.Rad2Deg( AINpcMapPointData.GetRotY( "Restaurant_1F_Chair_06_Sit")),
							eSitChairStyle.NoMove
	)
	CharaSetPosSitDownChair( npcPartner,
							AINpcMapPointData.GetPos( "Restaurant_1F_Chair_05_Sit"),	// Ee[uE̍
							Math.Rad2Deg( AINpcMapPointData.GetRotY( "Restaurant_1F_Chair_05_Sit")),
							eSitChairStyle.NoMove
	)
	CharaSetPosSitDownChair( npcFather,
							AINpcMapPointData.GetPos( "Restaurant_1F_Chair_04_Sit"),	// Ee[u̍
							Math.Rad2Deg( AINpcMapPointData.GetRotY( "Restaurant_1F_Chair_04_Sit")),
							eSitChairStyle.NoMove
	)
	npcRestaurantHusbund.SetCharaPos( 0.0, -80.0)
	npcRestaurantHusbund.SetRotY( Math.Deg2Rad(0.0))
	
	npcRestaurantWife.SetCharaPos( 6.0, -90)
	npcRestaurantWife.SetRotY( Math.Deg2Rad( 180.0))
	
	
	// p
	local tableCenterPos = VEC3( 35.0, 0.0, 25.0)
	local mainMealItem = CookModel.Create( "FoodRacret", 0.7)		// ̗
	local mealItemIdStr = "FoodEggsBenedict"						// e̗
	local mealItemArray = []
	mealItemArray.append( CookModel.Create( mealItemIdStr, 0.5))
	mealItemArray.append( CookModel.Create( mealItemIdStr, 0.5))
	mealItemArray.append( CookModel.Create( mealItemIdStr, 0.5))
	while(!ItemModelManager.CreateWait());
	
	mainMealItem.SetPos( tableCenterPos + VEC3( 0.0, 8.0, 0.0))		// Ee[u
	mealItemArray[0].SetPos( AINpcMapPointData.GetPos( "Restaurant_1F_Chair_04_DishPos"))		// Ee[u
	mealItemArray[1].SetPos( AINpcMapPointData.GetPos( "Restaurant_1F_Chair_05_DishPos"))		// Ee[uE
	mealItemArray[2].SetPos( AINpcMapPointData.GetPos( "Restaurant_1F_Chair_06_Sit") + VEC3( 0.0, 8.0,  5.5))		// Ee[u
	
	mealItemArray[0].SetRot( VEC3( Math.Deg2Rad( 0.0), AINpcMapPointData.GetRotY( "Restaurant_1F_Chair_04_Sit"), Math.Deg2Rad( 0.0)))
	mealItemArray[1].SetRot( VEC3( Math.Deg2Rad( 0.0), AINpcMapPointData.GetRotY( "Restaurant_1F_Chair_05_Sit"), Math.Deg2Rad( 0.0)))
	mealItemArray[2].SetRot( VEC3( Math.Deg2Rad( 0.0), AINpcMapPointData.GetRotY( "Restaurant_1F_Chair_06_Sit"), Math.Deg2Rad( 0.0)))
	
	
	// J̐ݒ
	camera.SetCameraPos( 45.00, 28.40, 63.55)
	camera.SetTargetPos( 32.85,  8.13, 19.50)
	
	// o
	EventScene_EatAndTalkCommon()
	
	// zuACe
	ItemModelManager.DeleteAll()
}




//-----------------------------------------------------------------------------
//-----------------------------------------------------------------------------
// RR̈ē

/**
 * RR̈ēF썑Tu
 */
function EventScene_SouthSub()
{
	// ================================
	// F썑Tu
	
	// }bvύX
	Map.Change( "South_Sub")	// 썑Tu
	
	local npcFisherDaughter = null
	local npcFisherSon = null
	local npcAnglerGrandson = null
	
	// oL̏
	::player = ObjectManager.CreatePlayer()
	::npcPartner = ObjectManager.CreateNpc( partnerIdStr)
	::npcFather = ObjectManager.CreateNpc( fatherIdStr)
	
	npcFisherDaughter  = ObjectManager.CreateNpc( "FisherDaughter")		// A}
	npcFisherSon       = ObjectManager.CreateNpc( "FisherSon")			// VN
	npcAnglerGrandson  = ObjectManager.CreateNpc( "AnglerGrandson")		// eBO
	while(!ObjectManager.CreateWait()){}
	
	
	local basePos = VEC3( -90.0, 0.44, 180.0)
	local playerPos   = basePos
	local partnerPos  = basePos + VEC3(  -5.0, 0.0, 20.0)
	local fatherPos   = basePos + VEC3( -20.0, 0.0, -5.0)
	
	// L̍Wݒ
	player.SetCharaPos( playerPos.x, playerPos.z)
	npcPartner.SetCharaPos( partnerPos.x, partnerPos.z)
	npcFather.SetCharaPos( fatherPos.x, fatherPos.z)
	local childBasePos = VEC3( 40.0, 0.44, 80.0)
	npcFisherDaughter.SetCharaPos( childBasePos.x, childBasePos.z)
	npcFisherSon.SetCharaPos( childBasePos.x + 10.0, childBasePos.z + 10.0)
	npcAnglerGrandson.SetCharaPos( childBasePos.x + 20.0, childBasePos.z - 15.0)
	
	// J̐ݒ
	local offsetCameraPos = VEC3(   0.0, 39.9, 61.52)
	local offsetTargetPos = VEC3(   0.0, 19.6, 15.81)
	local startCameraPos  = VEC3( -30.0,  0.0, 25.0)
	local cameraPos = basePos + offsetCameraPos + startCameraPos
	local targetPos = basePos + offsetTargetPos + startCameraPos
	camera.SetCameraPos( cameraPos.x, cameraPos.y, cameraPos.z)
	camera.SetTargetPos( targetPos.x, targetPos.y, targetPos.z)
	
	
	
	// ================================
	// o
	
	// A}AVNAeBO
	local childrenWalkPoint = VEC3( -10.0, 0.0, 115.0)
	npcFisherDaughter.Walk( childrenWalkPoint.x, childrenWalkPoint.z)
	npcFisherSon.Walk(      childrenWalkPoint.x + 10.0, childrenWalkPoint.z + 10.0)
	npcAnglerGrandson.Walk( childrenWalkPoint.x + 20.0, childrenWalkPoint.z - 15.0)
	
	
	// l
	local playerWalkPoint = VEC3( -30.0, 0.42, 145.0)
	player.Walk( playerWalkPoint.x, playerWalkPoint.z)
	npcPartner.Walk( playerWalkPoint.x - 5.0, playerWalkPoint.z + 20.0)
	npcFather.Walk( playerWalkPoint.x - 20.0, playerWalkPoint.z - 5.0)
	
	// Jړ
	CameraMovePosXZ( camera, -20.0, 215.0, 170)
	
	// tF[hCiVb^[j
	FadeInUpShutter()
	
	while(!npcFisherDaughter.Wait()){}
	while(!npcFisherSon.Wait()){}
	while(!npcAnglerGrandson.Wait()){}
	
	local childrenObjArray = [npcFisherDaughter, npcFisherSon, npcAnglerGrandson]
	
	// GtFNgFwтx
	MultiCharaEmotionNoWait( childrenObjArray, "Fukidashi_Ameaze")
	
	// A}l̕
	MultiCharaWalkRotPos( childrenObjArray, playerWalkPoint, 10)
	
	while(!camera.Wait()) {}
	while(!player.Wait()){}
	
	local charaObjArray = [player, npcPartner, npcFather]
	
	// lA}̕
	MultiCharaWalkRotPos( charaObjArray, npcFisherDaughter.GetPos(), 10)
	
	// ҋ@
	WaitInterval()
	
	// [VFwUx
	MultiCharaMotionNoWait( childrenObjArray, "ByeBye")
	Wait(5)
	player.SetMotion( "ByeBye")
	npcPartner.SetMotion( "ByeBye")
	while(!player.Wait());
	while(!npcPartner.Wait());
	
	// ҋ@
	WaitInterval()
	
	local childrenWalkGoalPoint = VEC3( -100.0, 0.0, 120.0)
	// A}ړ
	MultiCharaWalkRotPos( childrenObjArray, childrenWalkGoalPoint, 10)
	
	// A}AVNAeBO
	npcFisherDaughter.Walk( childrenWalkGoalPoint.x, childrenWalkGoalPoint.z)
	npcFisherSon.Walk(      childrenWalkGoalPoint.x + 10.0, childrenWalkGoalPoint.z + 10.0)
	npcAnglerGrandson.Walk( childrenWalkGoalPoint.x + 20.0, childrenWalkGoalPoint.z - 15.0)
	
	// l^c~
	MultiCharaWalkRotPos( charaObjArray, childrenWalkGoalPoint, 60)
	
	// GtFNgFw킢킢x
	MultiCharaEmotionNoWait( childrenObjArray, "Fukidashi_Waiwai")
	
	// ҋ@
	WaitInterval()
	
	// tF[hAEgiVb^[j
	FadeOutUpShutter()
	
	while(!npcFisherDaughter.WaitEffect());
	while(!npcFisherSon.Wait()){}
	while(!npcAnglerGrandson.Wait()){}
	
	// svɂȂL폜
	ObjectManager.DeleteNpc( npcFisherDaughter)
	ObjectManager.DeleteNpc( npcFisherSon)
	ObjectManager.DeleteNpc( npcAnglerGrandson)
	
	// ҋ@
	Wait(60)
	
	
	
	// ================================
	// FIXO
	
	local npcFisherWife = ObjectManager.CreateNpc( "FisherWife")	// J
	local npcCocopaya   = ObjectManager.CreateNpc( "Mob_Cocopaya")	// RRp
	local npcQina       = ObjectManager.CreateNpc( "Mob_Qina")		// Li
	while(!ObjectManager.CreateWait()){}
	
	
	local basePos = VEC3( -50.0, 0.51, 10.0)
	local playerPos   = basePos
	local partnerPos  = basePos + VEC3( -5.0, 0.0, -20.0)
	local fatherPos   = basePos + VEC3( 20.0, 0.0, -35.0)
	
	// L̍Wݒ
	player.SetCharaPos( playerPos.x, playerPos.z)
	npcPartner.SetCharaPos( partnerPos.x, partnerPos.z)
	npcFather.SetCharaPos( fatherPos.x, fatherPos.z)
	npcFisherWife.SetCharaPos( -75.0, 10.0)
	npcCocopaya.SetCharaPos( -85.0, -5.0)
	npcQina.SetCharaPos( -85.0, 25.0)
	
	// L̊pxݒ
	CharaSetDirObj( player, npcFisherWife)
	CharaSetDirObj( npcPartner, npcFisherWife)
	CharaSetDirObj( npcFather, npcFisherWife)
	CharaSetDirObj( npcFisherWife, player)
	CharaSetDirObj( npcCocopaya, player)
	CharaSetDirObj( npcQina, player)
	
	// J̐ݒ
	camera.SetCameraPos( -68.00, 32.50, 61.00)
	camera.SetTargetPos( -68.00, 15.65, 13.93)
	
	
	
	// ================================
	// o
	
	// tF[hCiVb^[j
	FadeInUpShutter()
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwׂGtFNgxJ
	PlayFukidashiEffect( npcFisherWife, "Fukidashi_Talk")
	
	// ҋ@
	WaitInterval()
	// GtFNgFwׂGtFNgxl
	PlayFukidashiEffect( player, "Fukidashi_Talk")
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwׂGtFNgxJ
	PlayFukidashiEffect( npcFisherWife, "Fukidashi_Talk")
	
	// GtFNgFwׂGtFNgxJ
	PlayFukidashiEffect( npcFisherWife, "Fukidashi_Talk")
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwׂGtFNgxl
	PlayFukidashiEffect( player, "Fukidashi_Talk")
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFw΂GtFNgx
	MultiCharaEmotionNoWait( [npcFisherWife, npcCocopaya, npcQina, npcPartner, player], "Fukidashi_Laugh")
	
	// ҋ@
	Wait(60)
	
	// [VFwx
	npcFather.SetMotion( "Nod")
	Wait(45)
	
	// tF[hAEgiVb^[j
	FadeOutUpShutter()
	
	// ҋ@
	Wait(60)
	
	while(!player.WaitEffect());
	while(!npcFather.Wait());
}



/**
 * RR̈ēF썑C
 */
function EventScene_SouthMain()
{
	// ================================
	// F썑C
	
	// }bvύX
	Map.Change( "South_Main")	// 썑C
	
	// oL̏
	::player = ObjectManager.CreatePlayer()
	::npcPartner = ObjectManager.CreateNpc( partnerIdStr)
	::npcFather = ObjectManager.CreateNpc( fatherIdStr)
	local npcInnOwner = ObjectManager.CreateNpc( "InnOwner")		// gg^
	while(!ObjectManager.CreateWait()){}
	
	
	local basePos = VEC3( -35.0, 11.77, -50.0)
	local playerPos   = basePos
	local partnerPos  = basePos + VEC3(  15.0, 0.0,  0.0)
	local fatherPos   = basePos + VEC3(  10.0, 0.0, 15.0)
	local innOwnerPos = basePos + VEC3( -10.0, 0.0, 15.0)
	
	// L̍Wݒ
	player.SetCharaPos( playerPos.x, playerPos.z)
	npcPartner.SetCharaPos( partnerPos.x, partnerPos.z)
	npcFather.SetCharaPos( fatherPos.x, fatherPos.z)
	npcInnOwner.SetCharaPos( innOwnerPos.x, innOwnerPos.z)
	
	// _EXƃgg^̒Ԓn_
	local viewPoint = CalcCenterPoint( [fatherPos, innOwnerPos])
	// L̊pxݒ
	CharaSetDirPos( player, viewPoint)
	CharaSetDirPos( npcPartner, viewPoint)
	CharaSetDirPos( npcFather, viewPoint)
	CharaSetDirPos( npcInnOwner, viewPoint)
	
	// J̐ݒ
	camera.SetCameraPos( viewPoint.x, viewPoint.y + 33.15, viewPoint.z + 65.0)
	camera.SetTargetPos( viewPoint.x, viewPoint.y + 16.31, viewPoint.z + 18.0)
	
	
	
	// ================================
	// o
	
	// tF[hCiVb^[j
	FadeInUpShutter()
	
	// ҋ@
	WaitInterval()
	
	// lgg^̕
	CharaWalkRotObj( player, npcInnOwner, 10)
	
	// GtFNgFwׂGtFNgxl
	PlayFukidashiEffect( player, "Fukidashi_Talk")
	
	// ҋ@
	WaitInterval()
	
	// l_EX̕
	CharaWalkRotObj( player, npcFather, 10)
	
	// GtFNgFwׂGtFNgxl
	PlayFukidashiEffect( player, "Fukidashi_Talk")
	
	CharaWalkRotPos( player, viewPoint, 10)
	
	// ҋ@
	WaitInterval()
	
	// _EXƃgg^鉉o
	local fatherPosBackUp = npcFather.GetPos()
	local innOwnerPosBackUp = npcInnOwner.GetPos()
	local movement = innOwnerPosBackUp - fatherPosBackUp
	// _EXƃgg^
	npcFather.Walk( fatherPosBackUp.x + movement.x * 0.1, fatherPosBackUp.z + movement.z * 0.1)
	npcInnOwner.Walk( fatherPosBackUp.x + movement.x * 0.9, fatherPosBackUp.z + movement.z * 0.9)
	while(!npcFather.Wait()){}
	while(!npcInnOwner.Wait()){}
	
	// ҋ@
	WaitInterval()
	
	// [VFwƌ킹x_EXƃgg^
	npcFather.SetMotion( "Fist")
	npcInnOwner.SetMotion( "Fist")
	
	Wait(30)
	
	// tF[hAEgiVb^[j
	FadeOutUpShutter()
	
	while(!npcFather.Wait());
	while(!npcInnOwner.Wait());
}


/**
 * RR̈ēFl
 */
function EventScene_SouthTeaHouse()
{
	// ================================
	// Fl
	
	// }bvύX
	Map.Change( "South_Sub")	// 썑Tu	
	
	// oL̏
	player = ObjectManager.CreatePlayer()
	npcPartner = ObjectManager.CreateNpc( partnerIdStr)
	npcFather = ObjectManager.CreateNpc( fatherIdStr)
	while(!ObjectManager.CreateWait()){}
	
	// L̐ݒ
	CharaSetPosSitDownChair( player,
							AINpcMapPointData.GetPos( "South_Sub_Chair_05_Sit"),		// Ee[uE̍
							Math.Rad2Deg( AINpcMapPointData.GetRotY( "South_Sub_Chair_05_Sit")),
							eSitChairStyle.NoMove
	)
	CharaSetPosSitDownChair( npcPartner,
							AINpcMapPointData.GetPos( "South_Sub_Chair_06_Sit"),		// Ee[u̍
							Math.Rad2Deg( AINpcMapPointData.GetRotY( "South_Sub_Chair_06_Sit")),
							eSitChairStyle.NoMove
	)
	CharaSetPosSitDownChair( npcFather,
							AINpcMapPointData.GetPos( "South_Sub_Chair_04_Sit"),		// Ee[u̍
							Math.Rad2Deg( AINpcMapPointData.GetRotY( "South_Sub_Chair_04_Sit")),
							eSitChairStyle.NoMove
	)
	
	// CDJoꏈ
	if( partnerIdStr != "TwinOlder")
	{
		local npcTwinOlder = ObjectManager.CreateNpc( "TwinOlder")		// CDJ
		while(!ObjectManager.CreateWait()){}
		local twinOlderPos = AINpcMapPointData.GetPos( "Shop_S_Restaurant_00")		// l  XiJE^[j
		npcTwinOlder.SetCharaPos( twinOlderPos.x, twinOlderPos.z)
		npcTwinOlder.SetRotY( Math.Deg2Rad(0.0))
	}
	
	// VDJoꏈ
	if( partnerIdStr != "TwinYounger")
	{
		local npcTwinYounger = ObjectManager.CreateNpc( "TwinYounger")	// VDJ
		while(!ObjectManager.CreateWait()){}
		npcTwinYounger.SetCharaPos( 335.00, -120.00)
		npcTwinYounger.SetRotY( Math.Deg2Rad(0.0))
	}
	
	
	// p
	local tableCenterPos = VEC3( 355.0, 21.06, -55.0)
	local mainMealItem = CookModel.Create( "FoodRomiromiSalmon", 0.7)		// ̗
	local mealItemIdStr = "FoodLocomoko"								// e̗
	local mealItemArray = []
	mealItemArray.append( CookModel.Create( mealItemIdStr, 0.7))				// _EXFHו
	mealItemArray.append( CookModel.Create( "FoodChai", 0.5))					//         Fݕ
	mealItemArray.append( CookModel.Create( mealItemIdStr, 0.7))				// l  FHו
	mealItemArray.append( CookModel.Create( "FoodTropicalJuice", 0.5))			//         Fݕ
	mealItemArray.append( CookModel.Create( mealItemIdStr, 0.7))				// FHו
	mealItemArray.append( CookModel.Create( "FoodSunriseShake", 0.5))			//         Fݕ
	while(!ItemModelManager.CreateWait());
	
	mainMealItem.SetPos( tableCenterPos + VEC3( 0.0, 6.5, 1.0))		// Ee[u
	mealItemArray[0].SetPos( AINpcMapPointData.GetPos( "South_Sub_Chair_04_DishPos") + VEC3( 0.0, 0.0, -2.0))		// Ee[uF_EX
	mealItemArray[1].SetPos( AINpcMapPointData.GetPos( "South_Sub_Chair_04_DishPos") + VEC3( 0.0, 0.0,  2.0))		//
	mealItemArray[2].SetPos( tableCenterPos + VEC3( 6.0, 6.5, 0.0) + VEC3( 0.0, 0.0,  2.0))							// Ee[uEFl
	mealItemArray[3].SetPos( tableCenterPos + VEC3( 6.0, 6.5, 0.0) + VEC3( 0.0, 0.0, -2.0))							// 
	mealItemArray[4].SetPos( AINpcMapPointData.GetPos( "South_Sub_Chair_06_DishPos") + VEC3(  2.0, 0.0, 0.0))		// Ee[uF
	mealItemArray[5].SetPos( AINpcMapPointData.GetPos( "South_Sub_Chair_06_DishPos") + VEC3( -2.0, 0.0, 0.0))		// 
	
	mealItemArray[0].SetRot( VEC3( Math.Deg2Rad( 0.0), AINpcMapPointData.GetRotY( "South_Sub_Chair_04_DishPos"), Math.Deg2Rad( 0.0)))
	mealItemArray[1].SetRot( VEC3( Math.Deg2Rad( 0.0), AINpcMapPointData.GetRotY( "South_Sub_Chair_04_DishPos"), Math.Deg2Rad( 0.0)))
	mealItemArray[2].SetRot( VEC3( Math.Deg2Rad( 0.0), AINpcMapPointData.GetRotY( "South_Sub_Chair_05_Sit"), Math.Deg2Rad( 0.0)))
	mealItemArray[3].SetRot( VEC3( Math.Deg2Rad( 0.0), AINpcMapPointData.GetRotY( "South_Sub_Chair_05_Sit"), Math.Deg2Rad( 0.0)))
	mealItemArray[4].SetRot( VEC3( Math.Deg2Rad( 0.0), AINpcMapPointData.GetRotY( "South_Sub_Chair_06_DishPos"), Math.Deg2Rad( 0.0)))
	mealItemArray[5].SetRot( VEC3( Math.Deg2Rad( 0.0), AINpcMapPointData.GetRotY( "South_Sub_Chair_06_DishPos"), Math.Deg2Rad( 0.0)))
	
	
	// J̐ݒ
	camera.SetCameraPos( 355.00, 49.92, -17.11)
	camera.SetTargetPos( 355.00, 29.66, -62.82)
	
	
	// o
	EventScene_EatAndTalkCommon()
	
	// zuACe
	ItemModelManager.DeleteAll()
}




//-----------------------------------------------------------------------------
//-----------------------------------------------------------------------------
// 䂭̗̈ē

/**
 * 䂭̗̈ēFaTu
 */
function EventScene_JapanSub()
{
	// ================================
	// FaTu
	
	// }bvύX
	Map.Change( "Japan_Sub")	// aTu
	
	local npcStuffSonOlder = null
	local npcStuffSonYounger = null
	local npcMigrantGirl = null
	
	// oL̏
	::player = ObjectManager.CreatePlayer()
	::npcPartner = ObjectManager.CreateNpc( partnerIdStr)
	::npcFather = ObjectManager.CreateNpc( fatherIdStr)
	
	npcStuffSonOlder   = ObjectManager.CreateNpc( "StuffSonOlder")		// ^c~
	npcStuffSonYounger = ObjectManager.CreateNpc( "StuffSonYounger")	// C`
	npcMigrantGirl     = ObjectManager.CreateNpc( "MigrantGirl")		// X
	while(!ObjectManager.CreateWait()){}
	
	
	local basePos = VEC3( -10.0, -4.19, 60.0)
	local playerPos   = basePos
	local partnerPos  = basePos + VEC3( 12.0, 0.0,  3.0)
	local fatherPos   = basePos + VEC3(  7.0, 0.0, 25.0)
	
	// L̍Wݒ
	player.SetCharaPos( playerPos.x, playerPos.z)
	npcPartner.SetCharaPos( partnerPos.x, partnerPos.z)
	npcFather.SetCharaPos( fatherPos.x, fatherPos.z)
	npcStuffSonOlder.SetCharaPos( -110.0, -2.0)
	npcStuffSonYounger.SetCharaPos( -130.0, 3.0)
	npcMigrantGirl.SetCharaPos( -125.0, 13.0)
// ʂ炷ႤVer
//		npcStuffSonOlder.SetCharaPos( -35.0, -110.0)
//		npcStuffSonYounger.SetCharaPos( -45.0, -114.0)
//		npcMigrantGirl.SetCharaPos( -30.0, -120.0)
	
	// J̐ݒ
	camera.SetCameraPos( basePos.x, basePos.y + 40.0, basePos.z + 100.0)
	camera.SetTargetPos( basePos.x, basePos.y + 17.0, basePos.z +  56.0)
	
	
	
	// ================================
	// o
	
	// ^c~AC`AX
	npcStuffSonOlder.Walk( -40.0, -30.0)
	npcStuffSonYounger.Walk( -60.0, -25.0)
	npcMigrantGirl.Walk( -55.0, -15.0)
	
// ʂ炷ႤVer
//		// ^c~AC`AX
//		npcStuffSonOlder.Walk( -20.0, -30.0)
//		npcStuffSonYounger.Walk( -30.0, -34.0)
//		npcMigrantGirl.Walk( -15.0, -40.0)	
	
	// ҋ@
	Wait(20)
	
	// l
	local playerWalkPoint = VEC3( -24.0, -4.19, -10.0)
	player.Walk( playerWalkPoint.x, playerWalkPoint.z)
	npcPartner.Walk( playerWalkPoint.x + 12.0, playerWalkPoint.z + 3.0)
	npcFather.Walk( playerWalkPoint.x + 7.0, playerWalkPoint.z + 25.0)
	
	// Jړ
	CameraMovePosXZ( camera, -20.0, 52.0, 170)
	
	// tF[hCiVb^[j
	FadeInUpShutter()
	
	while(!npcStuffSonOlder.Wait()){}
	while(!npcStuffSonYounger.Wait()){}
	while(!npcMigrantGirl.Wait()){}
	
	local childrenObjArray = [npcStuffSonOlder, npcStuffSonYounger, npcMigrantGirl]
	
	// GtFNgFwтx
	MultiCharaEmotionNoWait( childrenObjArray, "Fukidashi_Ameaze")
	
	// ^c~l̕
	MultiCharaWalkRotPos( childrenObjArray, playerWalkPoint, 10)
	
	while(!camera.Wait()) {}
	
	// Jړ
	CameraMovePosXZ( camera, -35.0, 52.0, 30)
	
	while(!player.Wait()){}
	
	local charaObjArray = [player, npcPartner, npcFather]
	
	// l^c~̕
	MultiCharaWalkRotPos( charaObjArray, npcStuffSonOlder.GetPos(), 10)
	
	while(!camera.Wait()) {}
	
	// ҋ@
	WaitInterval()
	
	// [VFwUx
	MultiCharaMotionNoWait( childrenObjArray, "ByeBye")
	Wait(5)
	player.SetMotion( "ByeBye")
	npcPartner.SetMotion( "ByeBye")
	while(!player.Wait());
	while(!npcPartner.Wait());
	
	// ҋ@
	WaitInterval()
	
	// ^c~AC`AX
	npcStuffSonOlder.Walk( -45.0, -120.0)
	npcStuffSonYounger.Walk( -50.0, -110.0)
	npcMigrantGirl.Walk( -40.0, -110.0)
	
	// l^c~
	MultiCharaWalkRotPos( charaObjArray, VEC3( -45.0, 0.0, -120.0), 10)
	
	// GtFNgFw킢킢x
	MultiCharaEmotionNoWait( childrenObjArray, "Fukidashi_Waiwai")
	
	// ҋ@
	WaitInterval()
	
	// tF[hAEgiVb^[j
	FadeOutUpShutter()
	
	while(!npcMigrantGirl.WaitEffect());
	while(!npcStuffSonOlder.Wait()){}
	while(!npcStuffSonYounger.Wait()){}
	while(!npcMigrantGirl.Wait()){}
}



/**
 * 䂭̗̈ēFaC
 */
function EventScene_JapanMain()
{
	// ================================
	// FIXO
	
	// }bvύX
	Map.Change( "Japan_Main")	// aC
	
	// oL̏
	::player = ObjectManager.CreatePlayer()
	::npcPartner = ObjectManager.CreateNpc( partnerIdStr)
	::npcFather = ObjectManager.CreateNpc( fatherIdStr)
	local npcTsukumo  = ObjectManager.CreateNpc( "Mob_Tsukumo")		// uFcN(G݉)
	local npcTagosaku = ObjectManager.CreateNpc( "Mob_Tagosaku")	// uF^STN()
	while(!ObjectManager.CreateWait()){}
	
	local basePos = VEC3( 190.0, 0.5, 40.0)
	local playerPos   = basePos
	local partnerPos  = basePos + VEC3( -10.0, 0.0, -20.0)
	local fatherPos   = basePos + VEC3( -30.0, 0.0,  10.0)
	local TsukumoPos  = basePos + VEC3(  15.0, 0.0, -20.0)
	local TagosakuPos = basePos + VEC3(  30.0, 0.0, -10.0)
	
	// L̍Wݒ
	player.SetCharaPos( playerPos.x, playerPos.z)
	npcPartner.SetCharaPos( partnerPos.x, partnerPos.z)
	npcFather.SetCharaPos( fatherPos.x, fatherPos.z)
	npcTsukumo.SetCharaPos( TsukumoPos.x, TsukumoPos.z)
	npcTagosaku.SetCharaPos( TagosakuPos.x, TagosakuPos.z)
	
	// uQl̒Sn_
	local viewPoint = CalcCenterPoint( [npcTsukumo.GetPos(), npcTagosaku.GetPos()])
	
	CharaSetDirPos( player, viewPoint)
	CharaSetDirPos( npcPartner, viewPoint)
	CharaSetDirObj( npcFather, player)
	CharaSetDirObj( npcTsukumo, player)
	CharaSetDirObj( npcTagosaku, player)
	
	// J̐ݒ
	camera.SetCameraPos( basePos.x, basePos.y + 31.00, basePos.z + 64.0)
	camera.SetTargetPos( basePos.x, basePos.y + 18.80, basePos.z + 15.5)
	
	
	
	// ================================
	// o
	
	// tF[hCiVb^[j
	FadeInUpShutter()
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwׂGtFNgxA\
	PlayFukidashiEffect( npcTsukumo, "Fukidashi_Talk")
	
	// GtFNgFwׂGtFNgxReX
	PlayFukidashiEffect( npcTagosaku, "Fukidashi_Talk")
	
	// GtFNgFwׂGtFNgxl
	PlayFukidashiEffect( player, "Fukidashi_Talk")
	
	// GtFNgFw΂GtFNgx
	MultiCharaEmotion( [npcTsukumo, npcTagosaku, npcPartner, player], "Fukidashi_Laugh")
	
	// ҋ@
	WaitInterval()
	
	// [VFwx
	npcFather.SetMotion( "Nod")
	Wait(45)
	
	// tF[hAEgiVb^[j
	FadeOutUpShutter()
	
	// svɂȂL폜
	ObjectManager.DeleteNpc( npcTsukumo)
	ObjectManager.DeleteNpc( npcTagosaku)
	
	// ҋ@
	Wait(60)
	
	
	
	// ================================
	// FO
	
	local npcTeaOwner = ObjectManager.CreateNpc( "TeaOwner")		// MWE
	while(!ObjectManager.CreateWait()){}
	
	
	local basePos = VEC3( -150.0, 0.5, 400.0)
	local playerPos   = basePos
	local partnerPos  = basePos + VEC3(  20.0, 0.0,  -5.0)
	local fatherPos   = basePos + VEC3(  15.0, 0.0,  15.0)
	local teaOwnerPos = basePos + VEC3( -15.0, 0.0,  15.0)
	
	// L̍Wݒ
	player.SetCharaPos( playerPos.x, playerPos.z)
	npcPartner.SetCharaPos( partnerPos.x, partnerPos.z)
	npcFather.SetCharaPos( fatherPos.x, fatherPos.z)
	npcTeaOwner.SetCharaPos( teaOwnerPos.x, teaOwnerPos.z)
	
	// _EXƃMWE̒Ԓn_
	local viewPoint = CalcCenterPoint( [fatherPos, teaOwnerPos])
	// L̊pxݒ
	CharaSetDirPos( player, viewPoint)
	CharaSetDirPos( npcPartner, viewPoint)
	CharaSetDirPos( npcFather, viewPoint)
	CharaSetDirPos( npcTeaOwner, viewPoint)
	
	// J̐ݒ
	camera.SetCameraPos( viewPoint.x, 0.0 + 50.00, viewPoint.z + 60.0)
	camera.SetTargetPos( viewPoint.x, 0.0 + 23.25, viewPoint.z + 18.0)
	
	
	
	// ================================
	// o
	
	// tF[hCiVb^[j
	FadeInUpShutter()
	
	// ҋ@
	WaitInterval()
	
	// lMWE̕
	CharaWalkRotObj( player, npcTeaOwner, 10)
	
	// GtFNgFwׂGtFNgxl
	PlayFukidashiEffect( player, "Fukidashi_Talk")
	
	// ҋ@
	WaitInterval()
	
	// l_EX̕
	CharaWalkRotObj( player, npcFather, 10)
	
	// GtFNgFwׂGtFNgxl
	PlayFukidashiEffect( player, "Fukidashi_Talk")
	
	CharaWalkRotPos( player, viewPoint, 10)
	
	// ҋ@
	WaitInterval()
	
	// _EXƃMWE鉉o
	local fatherPosBackUp = npcFather.GetPos()
	local teaOwnerPosBackUp = npcTeaOwner.GetPos()
	local movement = teaOwnerPosBackUp - fatherPosBackUp
	// _EXƃMWE
	npcFather.Walk( fatherPosBackUp.x + movement.x * 0.2, fatherPosBackUp.z + movement.z * 0.2)
	npcTeaOwner.Walk( fatherPosBackUp.x + movement.x * 0.9, fatherPosBackUp.z + movement.z * 0.9)
	while(!npcFather.Wait()){}
	while(!npcTeaOwner.Wait()){}
	
	// ҋ@
	WaitInterval()
	
	// [VFwx_EXƃMWE
	npcFather.SetMotion( "Greeting")
	npcTeaOwner.SetMotion( "Greeting")
	
	Wait(30)
	
	// tF[hAEgiVb^[j
	FadeOutUpShutter()
	
	while(!npcFather.Wait());
	while(!npcTeaOwner.Wait());
}



/**
 * 䂭̗̈ēF
 */
function EventScene_JapanTeaHouse()
{
	// ================================
	// F
	
	// }bvύX
	Map.Change( "TeaHouse_1F")	// PKQa
	
	// oL̏
	player = ObjectManager.CreatePlayer()
	npcPartner = ObjectManager.CreateNpc( partnerIdStr)
	npcFather = ObjectManager.CreateNpc( fatherIdStr)
	local npcTeaOwner = ObjectManager.CreateNpc( "TeaOwner")		// MWE
	while(!ObjectManager.CreateWait()){}
	
	// L̐ݒ
	CharaSetPosSitDownChair( player,
							AINpcMapPointData.GetPos( "TeaHouse_1F_Chair_03_Sit"),		// e[uE̍
							Math.Rad2Deg( AINpcMapPointData.GetRotY( "TeaHouse_1F_Chair_03_Sit")),
							eSitChairStyle.NoMove
	)
	CharaSetPosSitDownChair( npcPartner,
							AINpcMapPointData.GetPos( "TeaHouse_1F_Chair_02_Sit"),		// e[uE̍
							Math.Rad2Deg( AINpcMapPointData.GetRotY( "TeaHouse_1F_Chair_02_Sit")),
							eSitChairStyle.NoMove
	)
	CharaSetPosSitDownChair( npcFather,
							AINpcMapPointData.GetPos( "TeaHouse_1F_Chair_01_Sit"),		// e[u̍
							Math.Rad2Deg( AINpcMapPointData.GetRotY( "TeaHouse_1F_Chair_01_Sit")),
							eSitChairStyle.NoMove
	)
	
	local teaOwnerPos = AINpcMapPointData.GetPos( "Shop_J_Restaurant_00")		// Xia  JE^[Oj
	npcTeaOwner.SetCharaPos( teaOwnerPos.x, teaOwnerPos.z)
	npcTeaOwner.SetRotY( Math.Deg2Rad(90.0))
	
	
	// p
	local tableCenterPos = VEC3( -55.00, 0.00, 15.00)
	local mealItemIdStr00 = "FoodRice"									// e̔͂
	local mealItemIdStr01 = "FoodMisoSoup"								// e̖X`
	local mealItemArray = []
	mealItemArray.append( CookModel.Create( mealItemIdStr00, 0.7))
	mealItemArray.append( CookModel.Create( mealItemIdStr01, 0.5))
	mealItemArray.append( CookModel.Create( mealItemIdStr00, 0.7))
	mealItemArray.append( CookModel.Create( mealItemIdStr01, 0.5))
	mealItemArray.append( CookModel.Create( mealItemIdStr00, 0.7))
	mealItemArray.append( CookModel.Create( mealItemIdStr01, 0.5))
	local mainMealItem00 = CookModel.Create( "FoodGrilledFish", 0.7)	// êE
	local mainMealItem01 = CookModel.Create( "FoodGrilledFish", 0.7)	// êEE
	local mainMealItem02 = CookModel.Create( "FoodGrilledFish", 0.7)	// êEE
	while(!ItemModelManager.CreateWait());
	
	mainMealItem00.SetPos( tableCenterPos + VEC3( -3.0, 8.0, -3.0))		// Ee[uE
	mainMealItem01.SetPos( tableCenterPos + VEC3(  3.0, 8.0, -4.0))		// Ee[uEE
	mainMealItem02.SetPos( tableCenterPos + VEC3(  3.0, 8.0,  4.0))		// Ee[uEE
	mealItemArray[0].SetPos( AINpcMapPointData.GetPos( "TeaHouse_1F_Chair_01_DishPos") + VEC3( 0.0, 0.0, -1.0))		// Ee[u
	mealItemArray[1].SetPos( AINpcMapPointData.GetPos( "TeaHouse_1F_Chair_01_DishPos") + VEC3( 0.0, 0.0,  3.0))
	mealItemArray[2].SetPos( AINpcMapPointData.GetPos( "TeaHouse_1F_Chair_02_DishPos") + VEC3( 0.0, 0.0,  2.0))		// Ee[uE
	mealItemArray[3].SetPos( AINpcMapPointData.GetPos( "TeaHouse_1F_Chair_02_DishPos") + VEC3( 0.0, 0.0, -2.0))
	mealItemArray[4].SetPos( AINpcMapPointData.GetPos( "TeaHouse_1F_Chair_03_DishPos") + VEC3( 0.0, 0.0,  2.0))		// Ee[uE
	mealItemArray[5].SetPos( AINpcMapPointData.GetPos( "TeaHouse_1F_Chair_03_DishPos") + VEC3( 0.0, 0.0, -2.0))
	
	mainMealItem00.SetRot( VEC3( Math.Deg2Rad( 0.0), Math.Deg2Rad( 270.0), Math.Deg2Rad( 0.0)))
	mainMealItem01.SetRot( VEC3( Math.Deg2Rad( 0.0), Math.Deg2Rad( 90.0), Math.Deg2Rad( 0.0)))
	mainMealItem02.SetRot( VEC3( Math.Deg2Rad( 0.0), Math.Deg2Rad( 90.0), Math.Deg2Rad( 0.0)))
	mealItemArray[0].SetRot( VEC3( Math.Deg2Rad( 0.0), AINpcMapPointData.GetRotY( "TeaHouse_1F_Chair_01_DishPos"), Math.Deg2Rad( 0.0)))
	mealItemArray[1].SetRot( VEC3( Math.Deg2Rad( 0.0), AINpcMapPointData.GetRotY( "TeaHouse_1F_Chair_01_DishPos"), Math.Deg2Rad( 0.0)))
	mealItemArray[2].SetRot( VEC3( Math.Deg2Rad( 0.0), AINpcMapPointData.GetRotY( "TeaHouse_1F_Chair_02_DishPos"), Math.Deg2Rad( 0.0)))
	mealItemArray[3].SetRot( VEC3( Math.Deg2Rad( 0.0), AINpcMapPointData.GetRotY( "TeaHouse_1F_Chair_02_DishPos"), Math.Deg2Rad( 0.0)))
	mealItemArray[4].SetRot( VEC3( Math.Deg2Rad( 0.0), AINpcMapPointData.GetRotY( "TeaHouse_1F_Chair_03_DishPos"), Math.Deg2Rad( 0.0)))
	mealItemArray[5].SetRot( VEC3( Math.Deg2Rad( 0.0), AINpcMapPointData.GetRotY( "TeaHouse_1F_Chair_03_DishPos"), Math.Deg2Rad( 0.0)))
	
	
	// J̐ݒ
	camera.SetCameraPos( -55.00, 30.40, 58.00)
	camera.SetTargetPos( -55.00,  9.00, 19.90)
	
	
	// o
	EventScene_EatAndTalkCommon()
	
	// zuACe
	ItemModelManager.DeleteAll()
}



/**
 * ʏFHo
 */
function EventScene_EatAndTalkCommon() : (MSG_DATA)
{
	local eatCharaObjArray = [player, npcFather ]
	local charaObjArray    = [player, npcPartner, npcFather ]
	
	// ^^͐lOŐHȂ̂ŏO
	if( partnerIdStr != "DummyLover1"){
		eatCharaObjArray.append( npcPartner)
	}
	
	// H[Vݒ
	foreach( chara in eatCharaObjArray )
	{
		// [V[vFI
		chara.LoopMotionEnd()
		
		chara.AttachItemToRight( "Spoon")
		chara.SetAttachItemVisible(true);
		// [V[vFw֎qɍĐHׂ(Hׂ)x
		chara.SetMotionLoop( "SitEatLoop")
		// [VFw֎qɍĐHׂ(߂)x
		chara.SetMotion( "SitEatEnd")
		// [V[vFw֎qɍx
		chara.SetMotionLoop( "SitWaitLoop")
	}
	
	// ҋ@
	Wait(60)
	// ҋ@
	WaitInterval()
	
	// tF[hCiVb^[j
	FadeInUpShutter()
	
	// ҋ@
	Wait(60)
	
	// H̃[V[v
	foreach( chara in eatCharaObjArray )
	{
		// [V[vFI
		chara.LoopMotionEnd()
		// ĂXv[폜
		chara.DetachItem()
	}
	
	foreach( chara in eatCharaObjArray )
	{
		while(!chara.Wait());		// "SitEatEnd"̏I҂
	}
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"15")
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwyx
	player.SetEffect("Fukidashi_Fun")
	npcPartner.SetEffect("Fukidashi_Fun")
	while(!player.WaitEffect());
	while(!npcPartner.WaitEffect());
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"16"+TLE+PartnerMsgId)
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFw킢킢x
	MultiCharaEmotionNoWait( charaObjArray, "Fukidashi_Waiwai")
	
	// ҋ@
	Wait(30)
	
	// tF[hAEg
	FadeOutUpBlack()
	
	while(!npcFather.WaitEffect());
}



//-----------------------------------------------------------------------------
//-----------------------------------------------------------------------------
// ē

/**
 * _Fe_EX
 */
function EventScene_Father() : (MSG_DATA)
{
	// ================================
	// 
	
	// }bvύX
	Map.Change( "Crossroad")	// _GA
	
	// oL̏
	player = ObjectManager.CreatePlayer()
	npcPartner = ObjectManager.CreateNpc( partnerIdStr)
	npcFather = ObjectManager.CreateNpc( fatherIdStr)
	// 肽L̐
	while(!ObjectManager.CreateWait()){}
	
	local basePos = VEC3( 20.0, 0.5, 70.0)
	local playerPos  = basePos
	local partnerPos = basePos + VEC3(  12.0, 0.0, -6.0)
	local fatherPos  = basePos + VEC3( -12.0, 0.0, -8.0)
	// L̐ݒ
	player.SetCharaPos( playerPos.x, playerPos.z)
	player.SetRotY( Math.Deg2Rad(0.0))
	npcPartner.SetCharaPos( partnerPos.x, partnerPos.z)
	npcPartner.SetRotY( Math.Deg2Rad(0.0))
	npcFather.SetCharaPos( fatherPos.x, fatherPos.z)
	npcFather.SetRotY( Math.Deg2Rad( 0.0))
	
	// J̐ݒ
	camera.SetCameraPos( basePos.x - 45.0, 35.36, basePos.z + 48.35)
	camera.SetTargetPos( basePos.x - 11.8, 18.52, basePos.z + 15.06)
	
	// JǏ]F_EXɐݒ
	camera.AttachTargetChara( npcFather, VEC3( 0.0, 0.0, 0.0))
	
	
	// 
	local distanceWalking = 60.0
	player.Walk(     playerPos.x,  playerPos.z  + distanceWalking + 20.0)
	npcPartner.Walk( partnerPos.x, partnerPos.z + distanceWalking + 15.0)
	npcFather.Walk(  fatherPos.x,  fatherPos.z  + distanceWalking)
	
	// ================================
	// o
	
	// tF[hC
	FadeInUpBlack()
	
//	local charaAll = [player, npcPartner, npcFather]
	
//	// GtFNgFw킢킢x
//	MultiCharaEmotionNoWait( charaAll, "Fukidashi_Waiwai")
//	
//	WaitMultiCharaEmotion( charaAll)
	
	// ҋ@
//	WaitInterval()
	
	// GtFNgFwفx
	npcFather.SetEffect("Fukidashi_Silent")
	
	// GtFNgFwׂGtFNgx
	player.SetEffect("Fukidashi_Talk")
	
	while(!player.Wait()){}
	while(!npcPartner.Wait()){}
	while(!npcFather.Wait()){}
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"17")
	
	
	while(!npcFather.WaitEffect());		// GtFNgI҂
	while(!player.WaitEffect());		// GtFNgI҂
	
	// J̒Ǐ]
	camera.DetachTargetChara()
	
	// ҋ@
	WaitInterval()
	
	// lA肪_EX̕
	MultiCharaWalkRotObj( [player, npcPartner], npcFather, 10)
	
	// GtFNgFw^x
	PlayFukidashiEffect( player, "Fukidashi_Question")
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"18")
	
	// ҋ@
	WaitInterval()
	
	// 肪l̕
	CharaWalkRotObj( npcPartner, player, 10)
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwفx
	PlayFukidashiEffect( player, "Fukidashi_Silent")
	
	// ҋ@
	WaitInterval()
	
	// l̕
	CharaWalkRotObj( player, npcPartner, 10)
	
	// ҋ@
	Wait(60)
	
	// l_EX̕
	CharaWalkRotObj( player, npcFather, 10)
	
	// ҋ@
	WaitInterval()
	
	// [VFwx
	player.SetMotion( "Nod")
	while(!player.Wait());
	
	local entrancePos = VEC3( 20.0, 0.0, 200.0)
	// lqւ̓Ɍ
	CharaWalkRotPos( player, entrancePos, 10)
	
	// l
	player.Walk( entrancePos.x, entrancePos.z)
	
	// ҋ@
	Wait(60)
	
	// 肪_EX̕
	CharaWalkRotObj( npcPartner, npcFather, 10)
	
	// ҋ@Fl̈ړ҂
	Wait(30)
	
	// _EX̕
	CharaWalkRotObj( npcFather, npcPartner, 10)
	
	// ҋ@
	WaitInterval()
	
	// J̈ړ
	camera.MoveCamera( VEC3( -10.90, 33.20, 168.10), 60)
	camera.MoveTarget( VEC3( 18.00, 12.90,  133.50), 60)
	while(!camera.Wait()){}
	
	// ҋ@
	WaitInterval()
	
	
	if (PersonalData.GetSex() == eSex.eSex_Female) 
	{
		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"19_1")

	}
	else
	{
		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"19_2")

	}
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwтx
	PlayFukidashiEffect( npcPartner, "Fukidashi_Ameaze")
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"20"+TLE+PartnerMsgId)
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwفx_EX
	PlayFukidashiEffect( npcFather, "Fukidashi_Silent")
	
	// ҋ@
	WaitInterval()
	
	// _EXl̕čs
	CharaWalkRotObj( npcFather, player, 10)
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"21")
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwفx
	PlayFukidashiEffect( npcPartner, "Fukidashi_Silent")
	
	// ҋ@
	WaitInterval()
	
	// _EX̕
	CharaWalkRotObj( npcFather, npcPartner, 10)
	
	// ҋ@
	WaitInterval()
	
	
	if (PersonalData.GetSex() == eSex.eSex_Female)
	{
		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"22_1")

	}
	else
	{
		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"22_2")

	}
	
	// [VFwx
	npcFather.SetMotion( "Greeting")
	while(!npcFather.Wait());
	
	// ҋ@
	WaitInterval()
	
	// [VFwUx
	npcPartner.SetMotion( "Deny")
	// GtFNgFwłx
	PlayFukidashiEffect( npcPartner, "Fukidashi_Haste")
	while(!npcPartner.Wait());
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"23"+TLE+PartnerMsgId)
	
	// ҋ@
	WaitInterval()
	
	// [VFwx
	npcPartner.SetMotion( "Greeting")
	while(!npcPartner.Wait());
	
	// tF[hAEg
	FadeOutUpBlack()
	
	// l܂܂Ȃ̂ŁAÔ߂őҋ@Ă
	while(!player.Wait()){}
}





/**
 * kăTuFƑƂʂ
 */
function EventScene_GoBackHome() : (MSG_DATA)
{
	// ================================
	// 
	
	// }bvύX
	Map.Change( "Farm_00")	// qGAP
	
	// oL̏
	player = ObjectManager.CreatePlayer()
	npcPartner = ObjectManager.CreateNpc( partnerIdStr)
	npcFather = ObjectManager.CreateNpc( fatherIdStr)
	npcMother = ObjectManager.CreateNpc( motherIdStr)
	npcSister = ObjectManager.CreateNpc( sisterIdStr)
	// uF
	local npcMob = ObjectManager.CreateNpc("Mob_Borgo")
	// 肽L̐
	while(!ObjectManager.CreateWait()){}
	
	
	local basePos = VEC3( -20.0, 0.5, -170.0)
	
	// L̐ݒ
	player.SetCharaPos( basePos.x + 10.0, basePos.z - 10.0)
	player.SetRotY( Math.Deg2Rad(285.0))
	
	npcPartner.SetCharaPos( basePos.x + 10.0, basePos.z + 10.0)
	npcPartner.SetRotY( Math.Deg2Rad(280.0))
	
	// _EX
	npcFather.SetCharaPos( basePos.x - 10.0, basePos.z - 10.0)
	npcFather.SetRotY( Math.Deg2Rad( 45.0))
	// }[i
	npcMother.SetCharaPos( basePos.x - 20.0, basePos.z + 15.0)
	npcMother.SetRotY(Math.Deg2Rad( 105.0))
	// [l
	npcSister.SetCharaPos( basePos.x - 15.0, basePos.z + 5.0)
	npcSister.SetRotY(Math.Deg2Rad( 90.0))
	// uFqtł͂ȂN
	npcMob.SetCharaPos( basePos.x - 25.0, basePos.z - 15.0)
	npcMob.SetRotY(Math.Deg2Rad( 0.0))
	
	
	// nԗp̔no
	local npcHorse = ObjectManager.CreateEventAnimal( "HorseA", "Adult", "Horse")
	while(!ObjectManager.CreateWait()){}
	
	npcHorse.SetPos( basePos.x - 60.0, basePos.z - 5.0)
//	npcHorse.SetRotY(Math.Deg2Rad( 80.0))
	npcHorse.SetRotY(Math.Deg2Rad( 260.0))
	
	// nԂo
	local itemCart = ItemModelManager.Create("ride_america")
	while(!ItemModelManager.CreateWait());
	
	itemCart.SetPos( VEC3( basePos.x - 60.0, basePos.y, basePos.z - 5.0))
//	itemCart.SetRot( VEC3( Math.Deg2Rad( 0.0), Math.Deg2Rad( 80.0), Math.Deg2Rad( 0.0)))
	itemCart.SetRot( VEC3( Math.Deg2Rad( 0.0), Math.Deg2Rad( 260.0), Math.Deg2Rad( 0.0)))
	
	// J̐ݒ
	camera.SetCameraPos( basePos.x - 2.0, 33.80, basePos.z + 60.80)
	camera.SetTargetPos( basePos.x - 2.0, 15.80, basePos.z + 14.15)
	
	// SEFE}̖
	Sound.PlaySEAndWait("Horse_Neigh")
	// SEFהnԂ̎ԗ։]
	Sound.PlaySEAndWait("Cart")
	
	
	// tF[hC
	FadeInUpBlack()
	
	// ҋ@
	WaitInterval()
	
	// ]FQl
	CharaWalkRotFace2Face( npcFather, npcPartner, 10)
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"24"+TLE+PartnerMsgId)
	
	// ҋ@
	WaitInterval()
	
	// [VFwx_EX
	npcFather.SetMotion( "Greeting")
	while(!npcFather.Wait());
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"25"+TLE+PartnerMsgId)
	
	// ҋ@
	WaitInterval()
	
	
	// _EXƌ肪鉉o
	local partnerPosBackUp = npcPartner.GetPos()
	local fatherPosBackUp = npcFather.GetPos()
	local movement = partnerPosBackUp - fatherPosBackUp
	// _EXƌ
	npcFather.Walk( fatherPosBackUp.x + movement.x * 0.3, fatherPosBackUp.z + movement.z * 0.3)
	npcPartner.Walk( fatherPosBackUp.x + movement.x * 0.75, fatherPosBackUp.z + movement.z * 0.75)
	while(!npcFather.Wait()){}
	while(!npcPartner.Wait()){}
	
	// [VFwx_EXƌ
	npcFather.SetMotion( "HandShake")
	npcPartner.SetMotion( "HandShake")
	while(!npcFather.Wait());
	while(!npcPartner.Wait());
	
	// ҋ@
	WaitInterval()
	
	// ̏ꏊɖ߂
	CharaWalkFixsingDeg( npcPartner, partnerPosBackUp.x, partnerPosBackUp.z, Math.Rad2Deg(npcPartner.GetRotY()), 10)
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"26")
	
	// ҋ@
	WaitInterval()
	
	// lƃ}[i
	CharaWalkRotFace2Face( npcSister, npcMother, 10)
	
	// GtFNgFwyx}[iAl
	npcMother.SetEffect("Fukidashi_Fun")
	npcSister.SetEffect("Fukidashi_Fun")
	
	// _EXƎl
	CharaWalkRotFace2Face( npcFather, player, 10)
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"27")
	
	while(!npcMother.WaitEffect());
	while(!npcSister.WaitEffect());
	
	// }[iAll̕
	MultiCharaWalkRotObj( [npcMother, npcSister], player, 10)
	
	// ҋ@
	WaitInterval()
	
	// [VFwUxlAlA}[i
	player.SetMotion( "ByeBye")
	npcSister.SetMotion( "ByeBye")
	npcMother.SetMotion( "ByeBye")
	
	// [VFwx
	npcPartner.SetMotion( "Greeting")
	
	// ҋ@
	Wait(5)
	
	// [VFwx_EX
	npcFather.SetMotion( "Nod")
	
	while(!player.Wait());
	while(!npcSister.Wait());
	while(!npcMother.Wait());
	while(!npcFather.Wait());
	while(!npcPartner.Wait());
	
	// ҋ@
	Wait(20)
	
	// tF[hAEg
	FadeOutUpBlack()
	
	// ҋ@
	Wait(30)
	
	// SEFE}̖
	Sound.PlaySEAndWait("Horse_Neigh")
	
	// ҋ@
	Wait(20)
	
	// SEFהnԂ̎ԗ։]
	Sound.PlaySEAndWait("Cart")
	// SEFהnԂ̎ԗ։]
	Sound.PlaySEAndWait("Cart")
	// SEFהnԂ̎ԗ։]
	Sound.PlaySEAndWait("Cart")
	// SEFהnԂ̎ԗ։]
	Sound.PlaySEAndWait("Cart")
	
	// ҋ@
	Wait(60)
}





/**
 * F₷݂Ȃ
 */
function EventScene_GoodNight() : (MSG_DATA)
{
	// ================================
	// 
	
	// }bvύX
	Map.Change( PersonalData.GetMyHouseInteriorDesignMapIdStr())	// 
	
	// oL̏
	player = ObjectManager.CreatePlayer()
	npcPartner = ObjectManager.CreateNpc( partnerIdStr)
	while(!ObjectManager.CreateWait()){}
	
	
	// L̐ݒ
	local wakeUpPos = MyHouseData.GetWakeupPos();
	player.SetCharaPos( wakeUpPos.x, wakeUpPos.z)
	npcPartner.SetCharaPos( wakeUpPos.x + 10.0, wakeUpPos.z - 10.0)
	CharaSetDirObj( player, npcPartner)
	CharaSetDirObj( npcPartner, player)
	
	local cameraBasePos = wakeUpPos + VEC3( 5.0, 0.0, -5.0)		// 悻2l̒
	// J̐ݒ
	camera.SetCameraPos( cameraBasePos.x, 35.0, cameraBasePos.z + 42.0)
	camera.SetTargetPos( cameraBasePos.x, 11.5, cameraBasePos.z -  2.0)
	
	
	
	// ================================
	// o
	
	// tF[hC
	FadeInUpBlack()
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"28"+PartnerMsgId)
	
	// ҋ@
	WaitInterval()
	
	// [VFwUxl
	player.SetMotion( "Deny")
	while(!player.Wait());
	
	// ҋ@
	WaitInterval()
	
	// [VFwgUUŐxl
	player.SetMotion( "Explain")
	// GtFNgFwׂxl
	PlayFukidashiEffect( player, "Fukidashi_Talk")
	while(!player.Wait());
	
	// ҋ@
	WaitInterval()
	
	if (PartnerMsgId == "_WANTATAN")
	{
		// bZ[W
		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"29"+TLE+PartnerMsgId)
	}
	else
	{
		// bZ[W
		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"29"+PartnerMsgId)
	}
	
	
	// ҋ@
	WaitInterval()
	
	// tF[hAEg
	FadeOutUpBlack()
	
	// tB^[ݒu
	FilterBlackStart()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"31")
	
	// tB^[P
	FilterBlackEnd()
	
	// ҋ@
	WaitInterval()
}


/**
 * CxgI
 */
function EventEnd() : (EventName)
{
	EventFinalizeCommon(EventName)
	
	// CxgIAlN̈ʒu
	Map.EventEndWeakupPoint()
}

