

// Cxg
local EventName = "Resident_FriendsTalk"

// bZ[W
local MSG_DATA = 
{
	Name = "Resident_FriendsTalk"
	ID   = "MES_EV_RESIDENT_FRIENDS_"
}


// MSGIFkJ
enum eSelectMsg
{
	Doing,
	Not,
}

// be
enum eFriendsTalkType
{
	First,		// ()
	Love,		// 
	Work,		// d
	Family,		// Ƒ
	MaxNum,
}

// b̎
enum eLoveTalkType
{
	Single,		// Ȃ
	Lover,		// l
	Married,	// 
	MaxNum,
}

// Jgp邽߂ɕKv
camera <- CameraChanger.GetCamera()


// vC[op
player <- null

// CxgǏʂۑ
selectMsgFriendsTalk <- eSelectMsg.Doing

resultMsg <- -1

/**
 * Cxg߂Ăł邩̔
 */
function isThisEventFirstTime()
{
	return (EventFlag.GetParam( "FriendsTalkEventCount") == eFriendsTalkType.First)
}

/**
 * Cxg^Cv擾
 *   Cxg񎞂́ubṽCxgƂď
 */
function getFriendsTalkEventCount()
{
	local eventCount = EventFlag.GetParam( "FriendsTalkEventCount")
	return (eventCount == eFriendsTalkType.First ? eFriendsTalkType.Love : eventCount)
}

function NpcGenderCheck( charaIdStr)
{
	local charaGender = null
	switch(charaIdStr)
	{
		case "Postman":		charaGender = eSex.eSex_Male;		break;
		case "Doctor":		charaGender = eSex.eSex_Male;		break;
		case "Chaser":		charaGender = eSex.eSex_Male;		break;
		case "Apprentice":	charaGender = eSex.eSex_Male;		break;
		case "Craftman":	charaGender = eSex.eSex_Male;		break;
		case "Florist":		charaGender = eSex.eSex_Female;		break;
		case "TeaGirl":		charaGender = eSex.eSex_Female;		break;
		case "Teacher":		charaGender = eSex.eSex_Female;		break;
		case "TwinOlder":	charaGender = eSex.eSex_Female;		break;
		case "TwinYounger":	charaGender = eSex.eSex_Female;		break;
	}
	return charaGender;
}

function GetNpcNumberId( charaIdStr) 
{
	local arrayNum = null
	switch(charaIdStr)
	{
		case "Postman":		arrayNum = 0;		break;
		case "Doctor":		arrayNum = 1;		break;
		case "Craftman":	arrayNum = 2;		break;
		case "Apprentice":	arrayNum = 3;		break;
		case "Chaser":		arrayNum = 4;		break;
		case "TeaGirl":		arrayNum = 0;		break;
		case "Teacher":		arrayNum = 1;		break;
		case "Florist":		arrayNum = 2;		break;
		case "TwinOlder":	arrayNum = 3;		break;
		case "TwinYounger":	arrayNum = 4;		break;
	}
	return arrayNum;
}

function GetNpcMsgId( charaIdStr)
{
	local NpcMsgId = null
	switch(charaIdStr)
	{
		case "Postman":		NpcMsgId = "POSTMAN";			break;
		case "Doctor":		NpcMsgId = "DOCTOR";			break;
		case "Chaser":		NpcMsgId = "CHASER";			break;
		case "Apprentice":	NpcMsgId = "APPRENTICE";		break;
		case "Craftman":	NpcMsgId = "CRAFTMAN";			break;
		case "Florist":		NpcMsgId = "FLORIST";			break;
		case "TeaGirl":		NpcMsgId = "TEAGIRL";			break;
		case "Teacher":		NpcMsgId = "TEACHER";			break;
		case "TwinOlder":	NpcMsgId = "TWINOLDER";			break;
		case "TwinYounger":	NpcMsgId = "TWINYOUNGER";		break;
	}
	return NpcMsgId;
}


/**
 * Cxg
 */
function EventInitialize() : (EventName)
{
	EventInitializeCommon(EventName)
}



/**
 * Cxg
 */
function EventMain()
{
	EventInitialize()
	
	// _V[̏
	local crossroadScene = CrossroadSceneClass()
	crossroadScene.Initialize()
	
	EventStartFirstFadeIn()
	
	// _V[̉o
	crossroadScene.MainScene()
	
	if( selectMsgFriendsTalk == eSelectMsg.Doing)
	{
		// 肪ꍇAbV[
		local partnerIdStr = GetMarriageNpc()		// 擾
		if(partnerIdStr && partnerIdStr != "Inari"&& NpcGenderCheck(partnerIdStr) != PersonalData.GetSex())
		{
			MyHouseSceneTalkToPartner( partnerIdStr)
		}
		
		
		// V[̏
		local myHouseScene = MyHouseSceneClass()
		
		// V[̉o
		myHouseScene.MainScene()
	}
	
	// tF[hAEg
	FadeOutBlack()
	
	EventEnd()
}





//---------------------------------------------------------
/**
 * _̏
 */
class CrossroadSceneClass
{
	/**
	 * 
	 */
	function Initialize() : (MSG_DATA)
	{
		// oL̏
		player = ObjectManager.CreatePlayer()
		local playerSex = PersonalData.GetSex()
		mNpcA = ObjectManager.CreateNpc( playerSex == eSex.eSex_Male ? "Postman" : "Florist")		// kāFEFC or VFbg
		mNpcJ = ObjectManager.CreateNpc( playerSex == eSex.eSex_Male ? "Apprentice" : "TeaGirl")	// aFqi^   or R
		mNpcS = ObjectManager.CreateNpc( playerSex == eSex.eSex_Male ? "Craftman" : "TwinOlder")	// 썑FfDX or CDJ
		while(!ObjectManager.CreateWait()){}
		
		
		// Wƌݒ
		player.SetCharaPos( 10.0, 95.0)
		player.SetRotY(Math.Deg2Rad(180.0))
		
		mNpcA.SetCharaPos( 40.0, 35.0)		// k
		mNpcJ.SetCharaPos( 50.0, 15.0)		// a
		mNpcS.SetCharaPos( 60.0, 35.0)		// 썑
		
		// RlɂȂ悤ɐݒ
		local midpoint = CalcCenterPoint( [ mNpcA.GetPos(), mNpcJ.GetPos(), mNpcS.GetPos()])
		CharaSetDirPos( mNpcA, midpoint)
		CharaSetDirPos( mNpcJ, midpoint)
		CharaSetDirPos( mNpcS, midpoint)
		
		// SLpɒǉ
		mNpcAll.append(mNpcA)
		mNpcAll.append(mNpcJ)
		mNpcAll.append(mNpcS)
		
		// J̐ݒ
		camera.SetCameraPos( 50.00, 32.00, 98.00)
		camera.SetTargetPos( 50.00, 15.15, 51.00)
		
		// bZ[W̐ݒ
		mMsgName = MSG_DATA.Name
		local msgIdSex   = playerSex == eSex.eSex_Male ? "MAN_PROLOG_" : "WOMAN_PROLOG_"
		local msgIdCount = isThisEventFirstTime() ? "FIRST_" : "SECOND_"
		mMsgId = MSG_DATA.ID + msgIdSex + msgIdCount
	}
	
	
	
	/**
	 * _FoC
	 */
	function MainScene()
	{
		// GtFNgFw킢킢x
		MultiCharaEmotionNoWait( mNpcAll, "Fukidashi_Waiwai")
		
		// ҋ@
		WaitInterval()
		
		// l
		player.Walk( 35.0, 50.0)
		while(!player.Wait()){}
		WaitMultiCharaEmotion( mNpcAll)		// G[V̏I҂
		
		// GtFNgFwтx
		MultiCharaEmotionNoWait( mNpcAll, "Fukidashi_Ameaze")
		
		// Sl̕
		MultiCharaWalkRotObj( mNpcAll, player, 10)
		
		WaitMultiCharaEmotion( mNpcAll)		// G[V̏I҂
		
		// Jړ
		camera.MoveCamera( VEC3( 45.0, 32.00, 98.00 ), 40)
		camera.MoveTarget( VEC3( 45.0, 15.15, 51.00 ), 40)
		
		// ҋ@
		WaitInterval()
		
		// bZ[W
		MsgUtil.OpenMsg( mMsgName, mMsgId+"00")
		
		// ҋ@
		WaitInterval()
		
		// GtFNgFw킢킢x
		PlayFukidashiEffect( player, "Fukidashi_Waiwai")
		
		// ҋ@
		WaitInterval()
		
		// GtFNgFw^x
		PlayFukidashiEffect( player, "Fukidashi_Question")
		
		// ҋ@
		WaitInterval()
		
		// ߂Ăǂŉo
		if( isThisEventFirstTime())
		{
			MainBranchFirstTime()		// Pڂ̉o
		}
		else
		{
			MainBranchMoreThanOnce()	// Qڈȍ~̉o
		}
		// ŃtF[hAEgς
	}
	
	
	
	/**
	 * oC̕FPڂ̉o
	 */
	function MainBranchFirstTime()
	{
		local marriageIdStr = GetMarriageNpc()
		
		// bZ[W
		MsgUtil.OpenMsg( mMsgName, mMsgId+"01")
		
		// ҋ@
		WaitInterval()
		
		// GtFNgFwx
		PlayFukidashiEffect( player, "Fukidashi_Fun")
		
		// ҋ@
		WaitInterval()
		
		// bZ[W
		MsgUtil.OpenMsg( mMsgName, mMsgId+"02")
		
		// [VFwlx
		player.SetMotion( "Think")
		while(!player.Wait());
		
		// GtFNgFwЂ߂x
		PlayFukidashiEffect( player, "Fukidashi_Flash")
		
		// [VFwgUUŐx
		// GtFNgFwׂx
		player.SetMotion( "Explain")
		PlayFukidashiEffect( player, "Fukidashi_Talk")
		while(!player.Wait());
		
		// ҋ@
		WaitInterval()
		
		// GtFNgFwтx
		MultiCharaEmotion( mNpcAll, "Fukidashi_Ameaze")
		
		// ҋ@
		WaitInterval()
		
		if (marriageIdStr == "TwinOlder" || marriageIdStr == "TeaGirl" || marriageIdStr == "Craftman" || marriageIdStr == "Apprentice") {
			MsgUtil.OpenMsg( mMsgName, mMsgId+"03_MARRIAGE_"+GetNpcMsgId( GetPartnerNpc()))
		}
		else {
			// bZ[W
			MsgUtil.OpenMsg( mMsgName, mMsgId+"03")
		}
		
		// ҋ@
		WaitInterval()
		
		// [VFwgUUŐx
		// GtFNgFwx
		player.SetMotion( "Nod")
		PlayFukidashiEffect( player, "Fukidashi_Fun")
		while(!player.Wait());
		
		// ҋ@
		WaitInterval()
		
		// bZ[W
		if (marriageIdStr == "Florist" || marriageIdStr == "TwinOlder" || marriageIdStr == "TeaGirl" || marriageIdStr == "Postman" || marriageIdStr == "Craftman" || marriageIdStr == "Apprentice") {
			MsgUtil.OpenMsg( mMsgName, mMsgId+"04_MARRIAGE_"+GetNpcMsgId( GetPartnerNpc()))
		}
		else {
			// bZ[W
			MsgUtil.OpenMsg( mMsgName, mMsgId+"04")
		}
		
		// ҋ@
		WaitInterval()
		
		// GtFNgFw킢킢x
		PlayFukidashiEffect( player, "Fukidashi_Waiwai")
		
		// ҋ@
		WaitInterval()
		
		// bZ[W
		MsgUtil.OpenMsg( mMsgName, mMsgId+"05")
		
		
		// [VFjwxFwUx
		local farewellMotion =  CharaIsBoy(player) ? "Nod" : "ByeBye"
		MultiCharaMotionNoWait( mNpcAll, farewellMotion)
		player.SetMotion( farewellMotion)
		
		// ҋ@
		Wait(45)
		
		// tF[hAEgiVb^[j
		FadeOutUpShutter()
		
		// Ô߂̃[VI҂
		while(!player.Wait());
	}
	
	
	/**
	 * oC̕FQڈȍ~̉o
	 */
	function MainBranchMoreThanOnce()
	{
		local marriageIdStr = GetMarriageNpc()
		
		// bZ[W:IukH  / Ȃv
		if (marriageIdStr == "Florist" || marriageIdStr == "TeaGirl" || marriageIdStr == "Postman" || marriageIdStr == "Craftman" || marriageIdStr == "Apprentice") {
			selectMsgFriendsTalk = MsgUtil.OpenSelectMsg( mMsgName, mMsgId + "01_MARRIAGE_"+GetNpcMsgId( GetPartnerNpc()), [ mMsgId + "02", mMsgId + "03"])
		}
		else {
			selectMsgFriendsTalk = MsgUtil.OpenSelectMsg( mMsgName, mMsgId + "01", [ mMsgId + "02", mMsgId + "03"])
		}
		
		// ҋ@
		WaitInterval()
		
		
		// bZ[W
		if( selectMsgFriendsTalk == eSelectMsg.Doing)
		{
			// uvI
			MsgUtil.OpenMsg( mMsgName, mMsgId+"04")
		}
		else
		{
			if (marriageIdStr == "Florist" || marriageIdStr == "TeaGirl" || marriageIdStr == "TwinOlder" || marriageIdStr == "Craftman" || marriageIdStr == "Apprentice") {
				// uȂvI
				MsgUtil.OpenMsg( mMsgName, mMsgId+"05_MARRIAGE_"+GetNpcMsgId( GetPartnerNpc()))
			}
			else {
				// uȂvI
				MsgUtil.OpenMsg( mMsgName, mMsgId+"05")
			}
		}
		
		
		// [VFjwxFwUx
		local farewellMotion =  CharaIsBoy(player) ? "Nod" : "ByeBye"
		MultiCharaMotionNoWait( mNpcAll, farewellMotion)
		player.SetMotion( farewellMotion)
		
		// ҋ@
		Wait(45)
		
		// tF[h
		if( selectMsgFriendsTalk == eSelectMsg.Doing)
		{
			// tF[hAEgiVb^[jFk̉oɑ
			FadeOutUpShutter()
		}
		else
		{
			// tF[hAEgFCxgI
			FadeOutUpBlack()
		}
		
		// Ô߂̃[VI҂
		while(!player.Wait());
	}
	
	
	// L
	player = null
	mNpcA = null
	mNpcJ = null
	mNpcS = null
	mNpcAll = []
	
	// bZ[W
	mMsgName = null
	mMsgId = null
}





//---------------------------------------------------------
/**
 * lɂāAɎbV[
 */
function MyHouseSceneTalkToPartner( partnerIdStr) : (MSG_DATA)
{
	// ================================
	// 
	
	// }bvύX
	Map.Change( PersonalData.GetMyHouseInteriorDesignMapIdStr())	// 
	
	// oL̏
	local player = ObjectManager.CreatePlayer()
	local npcPartner = ObjectManager.CreateNpc( partnerIdStr)
	while(!ObjectManager.CreateWait()){}
	
	// L̍Wݒ
	player.SetCharaPos( -16.07, 25.34)
	npcPartner.SetCharaPos( 3.15, 27.15)
	
	// Ľݒ
	CharaSetDirObj( player, npcPartner)
	CharaSetDirObj( npcPartner, player)
	
	
	// J̐ݒ
	camera.SetCameraPos( -6.00, 28.25, 66.68)
	camera.SetTargetPos( -6.00,  0.29,  3.60)
	
	
	
	// ================================
	// o
	
	// bZ[WID̐ݒ
	local msgId = MSG_DATA.ID + "MAN_WEDDING_" + NpcIdStr2MsgIDStr( partnerIdStr) + (IsChildAppear() ? "_CHILD" : "_NOCHILD" )
	
	// tF[hCiVb^[j
	FadeInUpShutter()
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, msgId)
	
	// ҋ@
	WaitInterval()
	
	// tF[hAEgiVb^[jFk̉oɑ
	FadeOutUpShutter()
}





//---------------------------------------------------------
/**
 * l̏
 */
class MyHouseSceneClass
{
	constructor() : (MSG_DATA)
	{
		// ֎qȂe[uݒ
		EventFlag.SetFlag("Table1", true)
		EventFlag.SetFlag("Table2", false)
		EventFlag.SetFlag("Table3", false)
		EventFlag.SetFlag("Table4", false)
		
		// }bvύX
		Map.Change( PersonalData.GetMyHouseInteriorDesignMapIdStr())	// 
		
		// oL̏
		player = ObjectManager.CreatePlayer()
		
		// ȕ\
		//	  []  [2]
		//	[0] [] [3]
		//	  [1]   [4]
		local npcIdStrArray = [
			// [0]			[1]			[2]			[3]				[4]
			[ "Postman", 	"Doctor", 	"Craftman", "Apprentice", 	"Chaser" ],			// j
			[ "TeaGirl", 	"Teacher", 	"Florist", 	"TwinOlder", 	"TwinYounger" ],	// 
		]
		foreach( npcIdStr in npcIdStrArray[ PersonalData.GetSex()])
		{
			mNpcAll.append( ObjectManager.CreateNpc( npcIdStr))
		}
		while(!ObjectManager.CreateWait()){}
		
		mCharaAll = mNpcAll
		mCharaAll.append( player)
		
		
		// Wƌݒ
		local tablePos = GetPosTableMyHouse()
		
		player.SetCharaPos( tablePos.x - 16.0, tablePos.z - 16.0)
		CharaSetDirPos( player, VEC3( tablePos.x, 0.0, tablePos.z))
		
		local npcPosArray = [
			{ x = tablePos.x - 20.0, z = tablePos.z },
			{ x = tablePos.x - 16.0, z = tablePos.z + 16.0 },
			{ x = tablePos.x + 16.0, z = tablePos.z - 16.0 },
			{ x = tablePos.x + 20.0, z = tablePos.z },
			{ x = tablePos.x + 16.0, z = tablePos.z + 16.0 },
		]
		foreach( i, npcPos in npcPosArray)
		{
			mNpcAll[i].SetCharaPos( npcPos.x, npcPos.z)
			CharaSetDirPos( mNpcAll[i], VEC3( tablePos.x, 0.0, tablePos.z))
		}
		
		
		// ACe̐ݒ
		local itemOnTablePos = VEC3( tablePos.x, GetHeightOfTheTable() + 0.2, tablePos.z)
		
		local itemMaleFoodData = [
			[ { idStr = "FoodPotatoPancake", scale = 0.8}, 		{ idStr = "FoodHarumaki", scale = 0.8}, 		{ idStr = "FoodFriedFishCakes", scale = 0.8},  ],	// t
			[ { idStr = "FoodPopcorn", scale = 0.8}, 			{ idStr = "FoodShisoOnigiri", scale = 0.8}, 	{ idStr = "FoodBoiledCorn", scale = 0.8},  ],		// 
			[ { idStr = "FoodPizza", scale = 0.8}, 				{ idStr = "FoodRoastGyoza", scale = 0.8}, 		{ idStr = "FoodIkaPepperItame", scale = 0.8},  ],	// H
			[ { idStr = "FoodQuishe", scale = 0.8}, 			{ idStr = "FoodSenbei", scale = 0.8}, 			{ idStr = "FoodMoqueca", scale = 0.8},  ],			// ~
		]
		local itemFemaleFoodData = [
			[ { idStr = "FoodCustardPie", scale = 0.8}, 		{ idStr = "FoodKusaDango", scale = 0.8}, 		{ idStr = "FoodFruitGratin", scale = 0.8},  ],		// t
			[ { idStr = "FoodCrape", scale = 0.8}, 				{ idStr = "FoodShavedIceMaccya", scale = 0.8}, 	{ idStr = "FoodFruitPunch", scale = 0.8},  ],		// 
			[ { idStr = "FoodGrapeCake", scale = 0.8}, 			{ idStr = "FoodMitarashiDango", scale = 0.8}, 	{ idStr = "FoodPanipuri", scale = 0.8},  ],			// H
			[ { idStr = "FoodChocolateFondue", scale = 0.8}, 	{ idStr = "FoodYoukan", scale = 0.8}, 			{ idStr = "FoodMalasada", scale = 0.8},  ],			// ~
		]
		
		// ACeFHו
		local itemFoodDataArray = CharaIsBoy(player) ? itemMaleFoodData : itemFemaleFoodData
		local season = TimeData.GetSeason()
		local itemModelArray = []
		
		foreach( item in itemFoodDataArray[season])
		{
			itemModelArray.append( CookModel.Create( item.idStr, item.scale))
		}
		while(!ItemModelManager.CreateWait());
		itemModelArray[0].SetPos( itemOnTablePos + VEC3( 0.0, 0.0, 7.0))
		itemModelArray[0].SetRot( VEC3( Math.Deg2Rad( 0.0), Math.Deg2Rad( 0.0), Math.Deg2Rad( 0.0)))
		itemModelArray[1].SetPos( itemOnTablePos)
		itemModelArray[1].SetRot( VEC3( Math.Deg2Rad( 0.0), Math.Deg2Rad( 0.0), Math.Deg2Rad( 0.0)))
		itemModelArray[2].SetPos( itemOnTablePos + VEC3( 0.0, 0.0, -7.0))
		itemModelArray[2].SetRot( VEC3( Math.Deg2Rad( 0.0), Math.Deg2Rad( 0.0), Math.Deg2Rad( 0.0)))
		
		// ACeFl̈ݕ
		local itemDrinkPlayer = CookModel.Create( CharaIsBoy(player) ? "FoodHotMilk" : "FoodEarlGrey", 0.7)
		while(!ItemModelManager.CreateWait());
		itemDrinkPlayer.SetPos( VEC3( tablePos.x - 7.5, itemOnTablePos.y, tablePos.z - 6.0 ))
		itemDrinkPlayer.SetRot( VEC3( Math.Deg2Rad( 0), Math.Deg2Rad( 260), Math.Deg2Rad( 0)))
		
		// ACeFNpc̈ݕ
		local itemDrinkNpcArray = []
		local itemDrinkIdStrArray = [
			// Npc̈ݕFΏۂ npcIdStrArray[] ɂ킹
			[ "FoodCafemocha", 	"FoodCoffee", 	"FoodBananaAulait", "FoodRyokucya",	"FoodRyokucya"],			// j
			[ "FoodUmecya", 	"FoodMaccya", 	"FoodPeachTea", 	"FoodHerbTea", 	"FoodYogyrtSmoothie"],		// 
		]
		foreach( itemDrink in itemDrinkIdStrArray[ PersonalData.GetSex()])
		{
			itemDrinkNpcArray.append( CookModel.Create( itemDrink, 0.7))
		}
		while(!ItemModelManager.CreateWait());
		
		local npcItemDataArray = [
			{ pos = VEC3( tablePos.x - 8.5, itemOnTablePos.y, tablePos.z ),			deg = 270, },
			{ pos = VEC3( tablePos.x - 7.5, itemOnTablePos.y, tablePos.z + 6.0 ),	deg = 280, },
			{ pos = VEC3( tablePos.x + 7.5, itemOnTablePos.y, tablePos.z - 6.0 ),	deg = 100, },
			{ pos = VEC3( tablePos.x + 8.5, itemOnTablePos.y, tablePos.z ),			deg =  90, },
			{ pos = VEC3( tablePos.x + 7.5, itemOnTablePos.y, tablePos.z + 6.0 ),	deg =  80, },
		]
		foreach( i, iteData in npcItemDataArray)
		{
			itemDrinkNpcArray[i].SetPos( iteData.pos)
			itemDrinkNpcArray[i].SetRot( VEC3( Math.Deg2Rad( 0), Math.Deg2Rad( iteData.deg), Math.Deg2Rad( 0)))
		}
		
		
		// J̐ݒ
		camera.SetCameraPos( tablePos.x, 29.30, tablePos.z + 44.41)
		camera.SetTargetPos( tablePos.x,  9.04, tablePos.z -  1.30)
		
		
		// bZ[W̐ݒ
		mMsgName = MSG_DATA.Name
		mMsgId = MSG_DATA.ID + (CharaIsBoy(player) ? "MAN_" : "WOMAN_")
		
		Print("MyHouseTtablePos : ("+tablePos.x+", "+tablePos.y+", "+tablePos.z+")")
	}
	
	
	
	/**
	 * lFoC
	 */
	function MainScene()
	{
		// ̘b
		TalkAboutInterior()
		
		// CxgJEgɂAbe򂷂
		local friendsTalkType = getFriendsTalkEventCount()
		
		// ʂɂb̓eς
		local sex = PersonalData.GetSex()
		
		if( friendsTalkType == eFriendsTalkType.Love)
		{
			// vC󋵂ɂb̓eς
			local loveTalkType = getLoveTalkType()
			
			if( loveTalkType == eLoveTalkType.Single)
			{
				// Ƃg̗̎b
				if(sex == eSex.eSex_Male){
					MaleTalkAboutNoLover()
				}
				else{
					FemaleTalkAboutNoLover()
				}
			}
			else if ( loveTalkType == eLoveTalkType.Lover)
			{
				// l鎞̗b
				if(sex == eSex.eSex_Male){
					MaleTalkAboutLover()
				}
				else{
					FemaleTalkAboutLover()
				}
			}
			else	// eLoveTalkType.Married
			{
				// ̗b
				if(sex == eSex.eSex_Male){
					MaleTalkAboutMarried()
				}
				else{
					FemaleTalkAboutMarried()
				}
			}
		}
		else if( friendsTalkType == eFriendsTalkType.Work)
		{
			// d̘b
			if(sex == eSex.eSex_Male){
				MaleTalkAboutWork()
			}
			else{
				FemaleTalkAboutWork()
			}
		}
		else	// eFriendsTalkType.Family
		{
			// Ƒ̘b
			if(sex == eSex.eSex_Male){
				MaleTalkAboutFamily()
			}
			else{
				FemaleTalkAboutFamily()
			}
		}
		
		// ߂̉b
		TalkAboutEnd()
	}
	
	
	
	/**
	 * oF̘b
	 */
	function TalkAboutInterior()
	{
		local marriageIdStr = GetMarriageNpc()
		
		// GtFNgFw킢킢x
		MultiCharaEmotionNoWait( mCharaAll, "Fukidashi_Waiwai")
		
		// tF[hCiVb^[j
		FadeInUpShutter()
		
		// ҋ@
		WaitInterval()
		WaitMultiCharaEmotion( mCharaAll)		// GtFNgI҂
		
		// bZ[W
		MsgUtil.OpenMsg( mMsgName, mMsgId+"CHEERS_00")
		
		// ҋ@
		WaitInterval()
		
		// GtFNgFw킢킢x
		MultiCharaEmotion( mCharaAll, "Fukidashi_Waiwai")
		
		// ҋ@
		WaitInterval()
		
		// bZ[WF񂩂ǂMsg
		if (marriageIdStr == "Florist" || marriageIdStr == "TeaGirl" || marriageIdStr == "TwinOlder" || marriageIdStr == "Teacher" || marriageIdStr == "Postman" || marriageIdStr == "Doctor" || marriageIdStr == "Craftman" || marriageIdStr == "Chaser" || marriageIdStr == "Apprentice") {
			// uȂvI
			MsgUtil.OpenMsg( mMsgName, isThisEventFirstTime() ? mMsgId+"WELCOME_FIRST_00_MARRIAGE_"+GetNpcMsgId(GetPartnerNpc) : getMsgIDTalkAboutInterior())
		}
		else {
			MsgUtil.OpenMsg( mMsgName, isThisEventFirstTime() ? mMsgId+"WELCOME_FIRST_00" : getMsgIDTalkAboutInterior())
		}		
		
		// ҋ@
		WaitInterval()
		
		// GtFNgFwx
		PlayFukidashiEffect( player, "Fukidashi_Fun")
		// ҋ@
		WaitInterval()
		
		
//		// GtFNgFw킢킢x
//		MultiCharaEmotionNoWait( mCharaAll, "Fukidashi_Waiwai")
//		
//		// ҋ@
//		Wait(45)
		
		// tF[hAEgiVb^[j
		FadeOutUpShutter()
		
		// ҋ@
		WaitInterval()
//		while(!player.WaitEffect());
		
		// GtFNgFw킢킢x
		MultiCharaEmotionNoWait( mCharaAll, "Fukidashi_Waiwai")
		
		// tF[hCiVb^[j
		FadeInUpShutter()
		
		// ҋ@
		WaitInterval()
		WaitMultiCharaEmotion( mCharaAll)		// GtFNgI҂
	}
	
	
	
	/**
	 * oFbjVerFlȂ
	 */
	function MaleTalkAboutNoLover()
	{
		// bZ[WID̐ݒ
		local msgId = mMsgId + "TALK_LOVE_SINGLE_"
		
		// bZ[W
		MsgUtil.OpenMsg( mMsgName, msgId+"00")
		
		// GtFNglɕ\
		PlayFukidashiEffect( player, "Fukidashi_Question")
		
		// bZ[W
		MsgUtil.OpenMsg( mMsgName, msgId+"01")
		
		// GtFNglɕ\		
		PlayFukidashiEffect( player, "Fukidashi_Seat")
		
		// bZ[W
		MsgUtil.OpenMsg( mMsgName, msgId+"02")
		
		
		// bZ[WID̐ݒ
		msgId = mMsgId + "TALK_LOVE_SINGLE_CHOICE_"
		
		// bZ[W:IuCɂȂĺHv
		resultMsg = MsgUtil.OpenSelectMsg( mMsgName, msgId+"00", [ msgId+"01", msgId+"02", msgId+"03", msgId+"04", msgId+"05", msgId+"06", msgId+"07", msgId+"08", msgId+"09", msgId+"10"])
		
		// bZ[W
		MsgUtil.OpenMsg( mMsgName, getMsgIDTalkAboutLoveSingle( resultMsg))
		
		if (resultMsg > 4) {
			// GtFNglɕ\		
			PlayFukidashiEffect( player, "Fukidashi_Silent")
		}
		else {
			// GtFNglɕ\		
			PlayFukidashiEffect( player, "Fukidashi_Seat")
		}
	}
	
	
	
	/**
	 * oFbVerFlȂ
	 */
	function FemaleTalkAboutNoLover()
	{
		// bZ[WID̐ݒ
		local msgId = mMsgId + "TALK_LOVE_SINGLE_"
		
		// bZ[W
		MsgUtil.OpenMsg( mMsgName, msgId+"00")
		
		// GtFNglɕ\		
		PlayFukidashiEffect( player, "Fukidashi_Seat")
		
		// bZ[W
		MsgUtil.OpenMsg( mMsgName, msgId+"01")
		
		// GtFNglɕ\		
		PlayFukidashiEffect( player, "Fukidashi_Question")
		
		// bZ[W
		MsgUtil.OpenMsg( mMsgName, msgId+"02")
		
		
		// bZ[WID̐ݒ
		msgId = mMsgId + "TALK_LOVE_SINGLE_CHOICE_"
		
		// bZ[W:IuCɂȂĺHv
		resultMsg = MsgUtil.OpenSelectMsg( mMsgName, msgId+"00", [ msgId+"01", msgId+"02", msgId+"03", msgId+"04", msgId+"05", msgId+"06", msgId+"07", msgId+"08", msgId+"09", msgId+"10"])
		
		// bZ[W
		MsgUtil.OpenMsg( mMsgName, getMsgIDTalkAboutLoveSingle( resultMsg))
		
		if (resultMsg > 4) {
			// GtFNglɕ\		
			PlayFukidashiEffect( player, "Fukidashi_Silent")
		}
		else {
			// GtFNglɕ\		
			PlayFukidashiEffect( player, "Fukidashi_Seat")
		}
	}
	
	
	
	/**
	 * oFbjVerFl鎞
	 */
	function MaleTalkAboutLover()
	{
		// bZ[WID̐ݒ
		local msgId = mMsgId + "TALK_LOVE_COUPLE_"
		local LoverIdStr = ""			   
		
		// lor񑊎̖Oݒ
		MsgUtil.SetTransCharaName( 0, GetNpcNameFromId( GetPartnerNpc()))
		
		if (NpcGenderCheck(GetPartnerNpc()) == PersonalData.GetSex()) {
			LoverIdStr = "_"+GetNpcMsgId( GetPartnerNpc())
		}
			
		// bZ[W
		MsgUtil.OpenMsg( mMsgName, msgId+"00"+LoverIdStr)
		
		// GtFNglɕ\
		player.SetMotion( "Nod")
		player.SetEffect("Fukidashi_Heart")
		while(!player.Wait());
		
		// bZ[W
		MsgUtil.OpenMsg( mMsgName, msgId+"01"+LoverIdStr)
		
		// [VFwׂx
		player.SetMotion( "Explain")
		while(!player.Wait());
		
		// bZ[W
		MsgUtil.OpenMsg( mMsgName, msgId+"02"+LoverIdStr)
		
		if (GetPartnerNpc() == "Doctor" && NpcGenderCheck(GetPartnerNpc()) == PersonalData.GetSex()) {
			PlayFukidashiEffect( player, "Fukidashi_Fun")
		}
		else {
			// GtFNglɕ\
			PlayFukidashiEffect( player, "Fukidashi_Seat")
		}
	}
	
	
	
	/**
	 * oFbVerFl鎞
	 */
	function FemaleTalkAboutLover()
	{
		// bZ[WID̐ݒ
		local msgId = mMsgId + "TALK_LOVE_COUPLE_"
		
		local LoverIdStr = ""
		
		if (NpcGenderCheck(GetPartnerNpc()) == PersonalData.GetSex()) {
			LoverIdStr = GetNpcMsgId( GetPartnerNpc())+"_"
		}
		// bZ[W
		MsgUtil.OpenMsg( mMsgName, msgId+LoverIdStr+"00")
		
		// GtFNglɕ\
		PlayFukidashiEffect( player, "Fukidashi_Fun")
		
		// bZ[W
		MsgUtil.OpenMsg( mMsgName, msgId+LoverIdStr+"01")
		
		// GtFNglɕ\
		PlayFukidashiEffect( player, "Fukidashi_Seat")
		
		// bZ[W
		MsgUtil.OpenMsg( mMsgName, msgId+LoverIdStr+"02")
		
		if (NpcGenderCheck(GetPartnerNpc()) == PersonalData.GetSex()) {
			PlayFukidashiEffect( mNpcAll[ GetNpcNumberId( GetPartnerNpc() ) ], "Fukidashi_Heart")			
			
			WaitInterval()
			
			// GtFNglɕ\
			PlayFukidashiEffect( player, "Fukidashi_Heart")
		}
		else {
			// GtFNglɕ\
			PlayFukidashiEffect( player, "Fukidashi_Silent")
		}
		
		// [VFwȂx
		player.SetMotion( "Nod")
		while(!player.Wait());
		
		// bZ[W
		MsgUtil.OpenMsg( mMsgName, msgId+LoverIdStr+"03")
	}
	
	
	
	/**
	 * oFbjVerF
	 */
	function MaleTalkAboutMarried()
	{
		local LoverIdStr = ""
		
		if (NpcGenderCheck(GetPartnerNpc()) == PersonalData.GetSex()) {
			LoverIdStr = "_"+GetNpcMsgId( GetPartnerNpc())
		}
		
		// bZ[WID̐ݒ
		local msgId = mMsgId + "TALK_WEDDING_"
		
		// bZ[W
		MsgUtil.OpenMsg( mMsgName, msgId+"00"+LoverIdStr)
		
		// [VFwׂx
		player.SetMotion( "Explain")
		while(!player.Wait());
		
		if (NpcGenderCheck(GetPartnerNpc()) != PersonalData.GetSex()) {
			// bZ[W
			MsgUtil.OpenMsg( mMsgName, msgId+"01")
		}
		
		// GtFNglɕ\
		PlayFukidashiEffect( player, "Fukidashi_Heart")
		
		if (NpcGenderCheck(GetPartnerNpc()) == PersonalData.GetSex()) {
			WaitInterval()
			PlayFukidashiEffect( mNpcAll[ GetNpcNumberId( GetPartnerNpc() ) ], "Fukidashi_Heart")
		}
		
		// bZ[W
		MsgUtil.OpenMsg( mMsgName, msgId+"02"+LoverIdStr)
		
		// GtFNglɕ\
		PlayFukidashiEffect( player, "Fukidashi_Seat")
	}
	
	
	
	/**
	 * oFbVerF
	 */
	function FemaleTalkAboutMarried()			   
	{
		local LoverIdStr = ""
		
		if (NpcGenderCheck(GetPartnerNpc()) == PersonalData.GetSex()) {
			LoverIdStr = GetNpcMsgId( GetPartnerNpc())+"_"
		}
		
		// bZ[WID̐ݒ
		local msgId = mMsgId + "TALK_WEDDING_"
		
		// lor񑊎̖Oݒ
		MsgUtil.SetTransCharaName( 0, GetNpcNameFromId( GetPartnerNpc()))
		
		// bZ[W
		MsgUtil.OpenMsg( mMsgName, msgId+LoverIdStr+"00")
		
		if (NpcGenderCheck(GetPartnerNpc()) != PersonalData.GetSex()) {
			// GtFNglɕ\
			// [VFwׂx
			player.SetMotion( "Explain")
			player.SetEffect("Fukidashi_Fun")
			while(!player.Wait());
			
			// bZ[W
			MsgUtil.OpenMsg( mMsgName, msgId+"01")
			
			// [VFwȂx
			player.SetMotion( "Nod")
			player.SetEffect("Fukidashi_Heart")
			while(!player.Wait());
		}
		else {
			player.SetEffect("Fukidashi_Fun")
			player.SetMotion( "Nod")
			while(!player.Wait());
			
			// [VFwȂx
			player.SetMotion( "Explain")
			player.SetEffect("Fukidashi_Heart")
			while(!player.Wait());
		}
		
		// bZ[W
		MsgUtil.OpenMsg( mMsgName, msgId+LoverIdStr+"02")
		
		// [VFwȂx
		player.SetMotion( "Nod")
		while(!player.Wait());
	}
	
	
	
	/**
	 * oFj̎d̘b
	 */
	function MaleTalkAboutWork()
	{
		// bZ[WID̐ݒ
		local msgId = mMsgId + "TALK_JOB_"
		
		// bZ[W
		MsgUtil.OpenMsg( mMsgName, msgId+"00")
		
		// GtFNglɕ\
		PlayFukidashiEffect( player, "Fukidashi_Haste")
		
		// bZ[W
		MsgUtil.OpenMsg( mMsgName, msgId+"01")
		
		// GtFNglɕ\
		PlayFukidashiEffect( player, "Fukidashi_Ameaze")
		
		// bZ[W
		MsgUtil.OpenMsg( mMsgName, msgId+"02")
		
		// GtFNglɕ\
		PlayFukidashiEffect( player, "Fukidashi_Fun")
		
		// bZ[W
		MsgUtil.OpenMsg( mMsgName, msgId+"03")
		
		// GtFNglɕ\
		PlayFukidashiEffect( player, "Fukidashi_Waiwai")
	}
	
	
	
	/**
	 * oF̎d̘b
	 */
	function FemaleTalkAboutWork()
	{
		// bZ[WID̐ݒ
		local msgId = mMsgId + "TALK_JOB_"
		
		// bZ[W
		MsgUtil.OpenMsg( mMsgName, msgId+"00")
		
		// GtFNglɕ\
		PlayFukidashiEffect( player, "Fukidashi_Puzzle")
		
		// bZ[W
		MsgUtil.OpenMsg( mMsgName, msgId+"01")
		
		// GtFNglɕ\
		PlayFukidashiEffect( player, "Fukidashi_Seat")
		
		// bZ[W
		MsgUtil.OpenMsg( mMsgName, msgId+"02")
		
		player.SetEffect("Fukidashi_Silent")
		while(!player.WaitEffect());
		
		// bZ[W
		MsgUtil.OpenMsg( mMsgName, msgId+"03")
		
		// GtFNglɕ\
		PlayFukidashiEffect( player, "Fukidashi_Seat")
	}
	
	
	
	/**
	 * oFj̉Ƒ̘b
	 */
	function MaleTalkAboutFamily()
	{
		// bZ[WID̐ݒ
		local msgId = mMsgId + "TALK_FAMILY_"
		
		// bZ[W
		MsgUtil.OpenMsg( mMsgName, msgId+"00")
		
		// GtFNglɕ\
		PlayFukidashiEffect( player, "Fukidashi_Haste")
		
		// bZ[W
		MsgUtil.OpenMsg( mMsgName, msgId+"01")
		
		// GtFNglɕ\
		PlayFukidashiEffect( player, "Fukidashi_Fun")
	}
	
	
	
	/**
	 * oF̉Ƒ̘b
	 */
	function FemaleTalkAboutFamily()
	{
		// bZ[WID̐ݒ
		local msgId = mMsgId + "TALK_FAMILY_"
		
		// bZ[W
		MsgUtil.OpenMsg( mMsgName, msgId+"00")
		
		// GtFNglɕ\
		PlayFukidashiEffect( player, "Fukidashi_Question")
		
		// [VFwׂx
		player.SetMotion( "Explain")
		while(!player.Wait());
		
		// bZ[W
		MsgUtil.OpenMsg( mMsgName, msgId+"01")
		
		// GtFNglɕ\
		PlayFukidashiEffect( player, "Fukidashi_Haste")
		
		// bZ[W
		MsgUtil.OpenMsg( mMsgName, msgId+"02")
		
		// GtFNglɕ\
		PlayFukidashiEffect( player, "Fukidashi_Haste")
		
		// [VFwׂx
		player.SetMotion( "Explain")
		while(!player.Wait());
		
		// bZ[W
		MsgUtil.OpenMsg( mMsgName, msgId+"03")
	}
	
	
	
	/**
	 * oF߂̘b
	 */
	function TalkAboutEnd()
	{
		// ҋ@
		WaitInterval()
		
//		// GtFNgFw킢킢x
//		MultiCharaEmotionNoWait( mCharaAll, "Fukidashi_Waiwai")
//		
//		// ҋ@
//		Wait(45)
		
		// tF[hAEgiVb^[j
		FadeOutUpShutter()
		
		// ҋ@
		WaitInterval()
//		WaitMultiCharaEmotion( mCharaAll)		// GtFNgI҂
		
		// GtFNgFw킢킢x
		MultiCharaEmotionNoWait( mCharaAll, "Fukidashi_Waiwai")
		
		// tF[hCiVb^[j
		FadeInUpShutter()
		
		// ҋ@
		WaitInterval()
		WaitMultiCharaEmotion( mCharaAll)		// GtFNgI҂
		
		// bZ[W
		MsgUtil.OpenMsg( mMsgName, mMsgId+"END_00")
		
		
		// ʃtF[hAEg
		FadeOutUpBlack()
		
		// witB^[ݒu
		FilterBlackStart()
		
		// bZ[W
		MsgUtil.OpenMsg( mMsgName, mMsgId+"END_01")
		
		// witB^[P
		FilterBlackEnd()
	}
	
	
	
	/**
	 * ɂẴbZ[WID擾
	 */
	function getMsgIDTalkAboutInterior()
	{
		local homeMapIdStr = PersonalData.GetMyHouseInteriorDesignMapIdStr()
		local msgId = "WELCOME_FIRST_00"
		local marriageIdStr = GetMarriageNpc()
		
		if (marriageIdStr == "Florist" && NpcGenderCheck(marriageIdStr) == PersonalData.GetSex()) {
			switch( homeMapIdStr)
			{
				case "Home_03_America":
				case "Home_04_America":
				case "Home_05_America":				msgId = "INTERIOR_AMERICA_00_MARRIAGE_FLORIST";			break;
				
				case "Home_03_Japan":
				case "Home_04_Japan":
				case "Home_05_Japan":				msgId = "INTERIOR_JAPAN_00_MARRIAGE_FLORIST";			break;
				
				case "Home_03_South":
				case "Home_04_South":
				case "Home_05_South":				msgId = "INTERIOR_SOUTH_00";			break;
				
				case "Home_05_Western":				msgId = "INTERIOR_WESTERN_00";			break;
				case "Home_05_JapaneseModern":		msgId = "INTERIOR_JAPANESEMODERN_00_MARRIAGE_FLORIST";	break;
				case "Home_05_HeianImperialPalace":	msgId = "INTERIOR_HEIAN_00";			break;
				case "Home_05_Jungle":				msgId = "INTERIOR_JUNGLE_00_MARRIAGE_FLORIST";			break;
				case "Home_05_LiveHouse":			msgId = "INTERIOR_LIVEHOUSE_00_MARRIAGE_FLORIST";		break;
				case "Home_05_Sea":					msgId = "INTERIOR_SEA_00";				break;
				case "Home_05_WanNyandaful":		msgId = "INTERIOR_WANNYAN_00_MARRIAGE_FLORIST";			break;
				case "Home_05_Magician":			msgId = "INTERIOR_MAGICIAN_00";			break;
				case "Home_05_ElDorado":			msgId = "INTERIOR_ELDORADO_00_MARRIAGE_FLORIST";			break;
			}
		}
		else if (marriageIdStr == "TeaGirl" && NpcGenderCheck(marriageIdStr) == PersonalData.GetSex()) {
			switch( homeMapIdStr)
			{
				case "Home_03_America":
				case "Home_04_America":
				case "Home_05_America":				msgId = "INTERIOR_AMERICA_00_MARRIAGE_TEAGIRL";			break;
				
				case "Home_03_Japan":
				case "Home_04_Japan":
				case "Home_05_Japan":				msgId = "INTERIOR_JAPAN_00";			break;
				
				case "Home_03_South":
				case "Home_04_South":
				case "Home_05_South":				msgId = "INTERIOR_SOUTH_00_MARRIAGE_TEAGIRL";			break;
				
				case "Home_05_Western":				msgId = "INTERIOR_WESTERN_00";			break;
				case "Home_05_JapaneseModern":		msgId = "INTERIOR_JAPANESEMODERN_00_MARRIAGE_TEAGIRL";	break;
				case "Home_05_HeianImperialPalace":	msgId = "INTERIOR_HEIAN_00_MARRIAGE_TEAGIRL";			break;
				case "Home_05_Jungle":				msgId = "INTERIOR_JUNGLE_00";			break;
				case "Home_05_LiveHouse":			msgId = "INTERIOR_LIVEHOUSE_00_MARRIAGE_TEAGIRL";		break;
				case "Home_05_Sea":					msgId = "INTERIOR_SEA_00";				break;
				case "Home_05_WanNyandaful":		msgId = "INTERIOR_WANNYAN_00_MARRIAGE_TEAGIRL";			break;
				case "Home_05_Magician":			msgId = "INTERIOR_MAGICIAN_00_MARRIAGE_TEAGIRL";			break;
				case "Home_05_ElDorado":			msgId = "INTERIOR_ELDORADO_00_MARRIAGE_TEAGIRL";			break;
			}
		}
		else if (marriageIdStr == "Teacher" && NpcGenderCheck(marriageIdStr) == PersonalData.GetSex()) {
			switch( homeMapIdStr)
			{
				case "Home_03_America":
				case "Home_04_America":
				case "Home_05_America":				msgId = "INTERIOR_AMERICA_00_MARRIAGE_TEACHER";			break;
				
				case "Home_03_Japan":
				case "Home_04_Japan":
				case "Home_05_Japan":				msgId = "INTERIOR_JAPAN_00";			break;
				
				case "Home_03_South":
				case "Home_04_South":
				case "Home_05_South":				msgId = "INTERIOR_SOUTH_00_MARRIAGE_TEACHER";			break;
				
				case "Home_05_Western":				msgId = "INTERIOR_WESTERN_00";			break;
				case "Home_05_JapaneseModern":		msgId = "INTERIOR_JAPANESEMODERN_00_MARRIAGE_TEACHER";	break;
				case "Home_05_HeianImperialPalace":	msgId = "INTERIOR_HEIAN_00_MARRIAGE_TEACHER";			break;
				case "Home_05_Jungle":				msgId = "INTERIOR_JUNGLE_00";			break;
				case "Home_05_LiveHouse":			msgId = "INTERIOR_LIVEHOUSE_00";		break;
				case "Home_05_Sea":					msgId = "INTERIOR_SEA_00";				break;
				case "Home_05_WanNyandaful":		msgId = "INTERIOR_WANNYAN_00_MARRIAGE_TEACHER";			break;
				case "Home_05_Magician":			msgId = "INTERIOR_MAGICIAN_00_MARRIAGE_TEACHER";			break;
				case "Home_05_ElDorado":			msgId = "INTERIOR_ELDORADO_00_MARRIAGE_TEACHER";			break;
			}
		}
		else if (marriageIdStr == "TwinOlder" && NpcGenderCheck(marriageIdStr) == PersonalData.GetSex()) {
			switch( homeMapIdStr)
			{
				case "Home_03_America":
				case "Home_04_America":
				case "Home_05_America":				msgId = "INTERIOR_AMERICA_00";			break;
				
				case "Home_03_Japan":
				case "Home_04_Japan":
				case "Home_05_Japan":				msgId = "INTERIOR_JAPAN_00_MARRIAGE_TWINOLDER";			break;
				
				case "Home_03_South":
				case "Home_04_South":
				case "Home_05_South":				msgId = "INTERIOR_SOUTH_00";			break;
				
				case "Home_05_Western":				msgId = "INTERIOR_WESTERN_00_MARRIAGE_TWINOLDER";			break;
				case "Home_05_JapaneseModern":		msgId = "INTERIOR_JAPANESEMODERN_00";	break;
				case "Home_05_HeianImperialPalace":	msgId = "INTERIOR_HEIAN_00";			break;
				case "Home_05_Jungle":				msgId = "INTERIOR_JUNGLE_00_MARRIAGE_TWINOLDER";			break;
				case "Home_05_LiveHouse":			msgId = "INTERIOR_LIVEHOUSE_00_MARRIAGE_TWINOLDER";		break;
				case "Home_05_Sea":					msgId = "INTERIOR_SEA_00_MARRIAGE_TWINOLDER";				break;
				case "Home_05_WanNyandaful":		msgId = "INTERIOR_WANNYAN_00";			break;
				case "Home_05_Magician":			msgId = "INTERIOR_MAGICIAN_00";			break;
				case "Home_05_ElDorado":			msgId = "INTERIOR_ELDORADO_00_MARRIAGE_TWINOLDER";			break;
			}
		}
		else if (marriageIdStr == "TwinYounger" && NpcGenderCheck(marriageIdStr) == PersonalData.GetSex()) {
			switch( homeMapIdStr)
			{
				case "Home_03_America":
				case "Home_04_America":
				case "Home_05_America":				msgId = "INTERIOR_AMERICA_00";			break;
				
				case "Home_03_Japan":
				case "Home_04_Japan":
				case "Home_05_Japan":				msgId = "INTERIOR_JAPAN_00_MARRIAGE_TWINYOUNGER";			break;
				
				case "Home_03_South":
				case "Home_04_South":
				case "Home_05_South":				msgId = "INTERIOR_SOUTH_00";			break;
				
				case "Home_05_Western":				msgId = "INTERIOR_WESTERN_00";			break;
				case "Home_05_JapaneseModern":		msgId = "INTERIOR_JAPANESEMODERN_00";	break;
				case "Home_05_HeianImperialPalace":	msgId = "INTERIOR_HEIAN_00_MARRIAGE_TWINYOUNGER";			break;
				case "Home_05_Jungle":				msgId = "INTERIOR_JUNGLE_00_MARRIAGE_TWINYOUNGER";			break;
				case "Home_05_LiveHouse":			msgId = "INTERIOR_LIVEHOUSE_00";		break;
				case "Home_05_Sea":					msgId = "INTERIOR_SEA_00_MARRIAGE_TWINYOUNGER";				break;
				case "Home_05_WanNyandaful":		msgId = "INTERIOR_WANNYAN_00";			break;
				case "Home_05_Magician":			msgId = "INTERIOR_MAGICIAN_00_MARRIAGE_TWINYOUNGER";			break;
				case "Home_05_ElDorado":			msgId = "INTERIOR_ELDORADO_00_MARRIAGE_TWINYOUNGER";			break;
			}
		}
		else if (marriageIdStr == "Postman" && NpcGenderCheck(marriageIdStr) == PersonalData.GetSex()) {
			switch( homeMapIdStr)
			{
				case "Home_03_America":
				case "Home_04_America":
				case "Home_05_America":				msgId = "INTERIOR_AMERICA_00_MARRIAGE_POSTMAN";			break;
				
				case "Home_03_Japan":
				case "Home_04_Japan":
				case "Home_05_Japan":				msgId = "INTERIOR_JAPAN_00_MARRIAGE_POSTMAN";			break;
				
				case "Home_03_South":
				case "Home_04_South":
				case "Home_05_South":				msgId = "INTERIOR_SOUTH_00";			break;
				
				case "Home_05_Western":				msgId = "INTERIOR_WESTERN_00_MARRIAGE_POSTMAN";			break;
				case "Home_05_JapaneseModern":		msgId = "INTERIOR_JAPANESEMODERN_00";	break;
				case "Home_05_HeianImperialPalace":	msgId = "INTERIOR_HEIAN_00";			break;
				case "Home_05_Jungle":				msgId = "INTERIOR_JUNGLE_00_MARRIAGE_POSTMAN";			break;
				case "Home_05_LiveHouse":			msgId = "INTERIOR_LIVEHOUSE_00_MARRIAGE_POSTMAN";		break;
				case "Home_05_Sea":					msgId = "INTERIOR_SEA_00_MARRIAGE_POSTMAN";				break;
				case "Home_05_WanNyandaful":		msgId = "INTERIOR_WANNYAN_00";			break;
				case "Home_05_Magician":			msgId = "INTERIOR_MAGICIAN_00_MARRIAGE_POSTMAN";			break;
				case "Home_05_ElDorado":			msgId = "INTERIOR_ELDORADO_00_MARRIAGE_POSTMAN";			break;
			}
		}
		else if (marriageIdStr == "Doctor" && NpcGenderCheck(marriageIdStr) == PersonalData.GetSex()) {
			switch( homeMapIdStr)
			{
				case "Home_03_America":
				case "Home_04_America":
				case "Home_05_America":				msgId = "INTERIOR_AMERICA_00_MARRIAGE_DOCTOR";			break;
				
				case "Home_03_Japan":
				case "Home_04_Japan":
				case "Home_05_Japan":				msgId = "INTERIOR_JAPAN_00";			break;
				
				case "Home_03_South":
				case "Home_04_South":
				case "Home_05_South":				msgId = "INTERIOR_SOUTH_00_MARRIAGE_DOCTOR";			break;
				
				case "Home_05_Western":				msgId = "INTERIOR_WESTERN_00";			break;
				case "Home_05_JapaneseModern":		msgId = "INTERIOR_JAPANESEMODERN_00";	break;
				case "Home_05_HeianImperialPalace":	msgId = "INTERIOR_HEIAN_00";			break;
				case "Home_05_Jungle":				msgId = "INTERIOR_JUNGLE_00_MARRIAGE_DOCTOR";			break;
				case "Home_05_LiveHouse":			msgId = "INTERIOR_LIVEHOUSE_00_MARRIAGE_DOCTOR";		break;
				case "Home_05_Sea":					msgId = "INTERIOR_SEA_00";				break;
				case "Home_05_WanNyandaful":		msgId = "INTERIOR_WANNYAN_00";			break;
				case "Home_05_Magician":			msgId = "INTERIOR_MAGICIAN_00_MARRIAGE_DOCTOR";			break;
				case "Home_05_ElDorado":			msgId = "INTERIOR_ELDORADO_00_MARRIAGE_DOCTOR";			break;
			}
		}
		else if (marriageIdStr == "Apprentice" && NpcGenderCheck(marriageIdStr) == PersonalData.GetSex()) {
			switch( homeMapIdStr)
			{
				case "Home_03_America":
				case "Home_04_America":
				case "Home_05_America":				msgId = "INTERIOR_AMERICA_00";			break;
				
				case "Home_03_Japan":
				case "Home_04_Japan":
				case "Home_05_Japan":				msgId = "INTERIOR_JAPAN_00_MARRIAGE_APPRENTICE";			break;
				
				case "Home_03_South":
				case "Home_04_South":
				case "Home_05_South":				msgId = "INTERIOR_SOUTH_00";			break;
				
				case "Home_05_Western":				msgId = "INTERIOR_WESTERN_00";			break;
				case "Home_05_JapaneseModern":		msgId = "INTERIOR_JAPANESEMODERN_00_MARRIAGE_APPRENTICE";	break;
				case "Home_05_HeianImperialPalace":	msgId = "INTERIOR_HEIAN_00_MARRIAGE_APPRENTICE";			break;
				case "Home_05_Jungle":				msgId = "INTERIOR_JUNGLE_00_MARRIAGE_APPRENTICE";			break;
				case "Home_05_LiveHouse":			msgId = "INTERIOR_LIVEHOUSE_00_MARRIAGE_APPRENTICE";		break;
				case "Home_05_Sea":					msgId = "INTERIOR_SEA_00_MARRIAGE_APPRENTICE";				break;
				case "Home_05_WanNyandaful":		msgId = "INTERIOR_WANNYAN_00_MARRIAGE_APPRENTICE";			break;
				case "Home_05_Magician":			msgId = "INTERIOR_MAGICIAN_00";			break;
				case "Home_05_ElDorado":			msgId = "INTERIOR_ELDORADO_00_MARRIAGE_APPRENTICE";			break;
			}
		}
		else if (marriageIdStr == "Chaser" && NpcGenderCheck(marriageIdStr) == PersonalData.GetSex()) {
			switch( homeMapIdStr)
			{
				case "Home_03_America":
				case "Home_04_America":
				case "Home_05_America":				msgId = "INTERIOR_AMERICA_00";			break;
				
				case "Home_03_Japan":
				case "Home_04_Japan":
				case "Home_05_Japan":				msgId = "INTERIOR_JAPAN_00_MARRIAGE_CHASER";			break;
				
				case "Home_03_South":
				case "Home_04_South":
				case "Home_05_South":				msgId = "INTERIOR_SOUTH_00_MARRIAGE_CHASER";			break;
				
				case "Home_05_Western":				msgId = "INTERIOR_WESTERN_00_MARRIAGE_CHASER";			break;
				case "Home_05_JapaneseModern":		msgId = "INTERIOR_JAPANESEMODERN_00_MARRIAGE_CHASER";	break;
				case "Home_05_HeianImperialPalace":	msgId = "INTERIOR_HEIAN_00_MARRIAGE_CHASER";			break;
				case "Home_05_Jungle":				msgId = "INTERIOR_JUNGLE_00_MARRIAGE_CHASER";			break;
				case "Home_05_LiveHouse":			msgId = "INTERIOR_LIVEHOUSE_00";		break;
				case "Home_05_Sea":					msgId = "INTERIOR_SEA_00";				break;
				case "Home_05_WanNyandaful":		msgId = "INTERIOR_WANNYAN_00_MARRIAGE_CHASER";			break;
				case "Home_05_Magician":			msgId = "INTERIOR_MAGICIAN_00_MARRIAGE_CHASER";			break;
				case "Home_05_ElDorado":			msgId = "INTERIOR_ELDORADO_00_MARRIAGE_CHASER";			break;
			}
		}
		else if (marriageIdStr == "Craftman" && NpcGenderCheck(marriageIdStr) == PersonalData.GetSex()) {
			switch( homeMapIdStr)
			{
				case "Home_03_America":
				case "Home_04_America":
				case "Home_05_America":				msgId = "INTERIOR_AMERICA_00_MARRIAGE_CRAFTMAN";			break;
				
				case "Home_03_Japan":
				case "Home_04_Japan":
				case "Home_05_Japan":				msgId = "INTERIOR_JAPAN_00";			break;
				
				case "Home_03_South":
				case "Home_04_South":
				case "Home_05_South":				msgId = "INTERIOR_SOUTH_00";			break;
				
				case "Home_05_Western":				msgId = "INTERIOR_WESTERN_00";			break;
				case "Home_05_JapaneseModern":		msgId = "INTERIOR_JAPANESEMODERN_00_MARRIAGE_CRAFTMAN";	break;
				case "Home_05_HeianImperialPalace":	msgId = "INTERIOR_HEIAN_00_MARRIAGE_CRAFTMAN";			break;
				case "Home_05_Jungle":				msgId = "INTERIOR_JUNGLE_00";			break;
				case "Home_05_LiveHouse":			msgId = "INTERIOR_LIVEHOUSE_00";		break;
				case "Home_05_Sea":					msgId = "INTERIOR_SEA_00_MARRIAGE_CRAFTMAN";				break;
				case "Home_05_WanNyandaful":		msgId = "INTERIOR_WANNYAN_00_MARRIAGE_CRAFTMAN";			break;
				case "Home_05_Magician":			msgId = "INTERIOR_MAGICIAN_00";			break;
				case "Home_05_ElDorado":			msgId = "INTERIOR_ELDORADO_00_MARRIAGE_CRAFTMAN";			break;
			}
		}
		else {
			switch( homeMapIdStr)
			{
				case "Home_03_America":
				case "Home_04_America":
				case "Home_05_America":				msgId = "INTERIOR_AMERICA_00";			break;
				
				case "Home_03_Japan":
				case "Home_04_Japan":
				case "Home_05_Japan":				msgId = "INTERIOR_JAPAN_00";			break;
				
				case "Home_03_South":
				case "Home_04_South":
				case "Home_05_South":				msgId = "INTERIOR_SOUTH_00";			break;
				
				case "Home_05_Western":				msgId = "INTERIOR_WESTERN_00";			break;
				case "Home_05_JapaneseModern":		msgId = "INTERIOR_JAPANESEMODERN_00";	break;
				case "Home_05_HeianImperialPalace":	msgId = "INTERIOR_HEIAN_00";			break;
				case "Home_05_Jungle":				msgId = "INTERIOR_JUNGLE_00";			break;
				case "Home_05_LiveHouse":			msgId = "INTERIOR_LIVEHOUSE_00";		break;
				case "Home_05_Sea":					msgId = "INTERIOR_SEA_00";				break;
				case "Home_05_WanNyandaful":		msgId = "INTERIOR_WANNYAN_00";			break;
				case "Home_05_Magician":			msgId = "INTERIOR_MAGICIAN_00";			break;
				case "Home_05_ElDorado":			msgId = "INTERIOR_ELDORADO_00";			break;
			}
		}
		
		return mMsgId + msgId
	}
	
	
	/**
	 * g[N̓e擾
	 */
	function getLoveTalkType()
	{
		local talkType = eLoveTalkType.Single
		local loverNpcIdStr    = GetLoverNpc()
		local engageNpcIdStr   = GetEngageNpc()
		local marriageNpcIdStr = GetMarriageNpc()
		
		if( loverNpcIdStr == "Inari" ||
			engageNpcIdStr == "Inari" ||
			marriageNpcIdStr == "Inari" )
		{
			// Ci܂Ɗ֌WiłꍇANɂȂ
			talkType = eLoveTalkType.Single		// Ƃgg[N
		}
		else if( marriageNpcIdStr)
		{
			talkType = eLoveTalkType.Married	// g[N
		}
		else if( loverNpcIdStr || engageNpcIdStr)
		{
			talkType = eLoveTalkType.Lover		// l莞g[N
		}
		else
		{
			talkType = eLoveTalkType.Single		// Ƃgg[N
		}
		
		return talkType
	}
	
	
	/**
	 * CɂȂ鑊ɂẴbZ[WID擾
	 */
	function getMsgIDTalkAboutLoveSingle( selectMsg)
	{
		local scale = ""
		local msgIdArray = [
			[ "FLORIST", "TEAGIRL", "TEACHER", "TWINOLDER", "TWINYOUNGER",
				"POSTMAN", "DOCTOR", "APPRENTICE", "CHASER", "CRAFTMAN"	],
			[ "POSTMAN", "DOCTOR", "APPRENTICE", "CHASER", "CRAFTMAN",
				"FLORIST", "TWINOLDER", "TWINYOUNGER", "TEAGIRL", "TEACHER" ],
		]
		local npcIdArray = [
			[ "Florist", "TeaGirl", "Teacher", "TwinOlder", "TwinYounger",
				"Postman", "Doctor", "Apprentice", "Chaser", "Craftman"	],
															  
			[ "Postman", "Doctor", "Apprentice", "Chaser", "Craftman",
				"Florist", "TwinOlder", "TwinYounger", "TeaGirl", "Teacher" ],
		]
		
		local friendship = NpcData.GetFriendShip( npcIdArray[ PersonalData.GetSex()][ selectMsg] )
		
		if (friendship >= 40000) {
			scale = "_HIGH"
		}
		else {
			scale = "_LOW"
		}
		
		local msgId = "TALK_LOVE_SINGLE_" + msgIdArray[ PersonalData.GetSex()][ selectMsg] + scale + "_00"
		
		if ( PersonalData.GetSex() == NpcGenderCheck(npcIdArray[ PersonalData.GetSex()][ selectMsg]) ) {
			PlayFukidashiEffect( mNpcAll[ GetNpcNumberId( npcIdArray[ PersonalData.GetSex()][ selectMsg] ) ], "Fukidashi_Ameaze")
		}
		
		return mMsgId + msgId
	}
	
	
	// L
	mCharaAll = []
	mNpcAll = []
	
	// bZ[W
	mMsgName = null
	mMsgId = null
}





/**
 * CxgI
 */
function EventEnd() : (EventName)
{
	EventFinalizeCommon(EventName)
	
	if( selectMsgFriendsTalk == eSelectMsg.Doing)
	{
		// CxgIAlN̈ʒu
		Map.EventEndWeakupPoint()
	}
	else
	{
		// CxgIAl̕Aꏊ_GAɐݒ
		Map.EventEndChangeAppointPos( "Crossroad", 24.0, 96.2, 0)
	}
}

