/**
 * i]ʃNX
 */
class FreeEventShowFesCommon
{
	constructor( msgGroupName, msgFesName, npcWrap, festivalRank, isWinner)
	{
		mMsgGroupName = msgGroupName;
		mMsgFesName = msgFesName;
		mNpcWrap = npcWrap;
		mFestivalRank = festivalRank;
		mIsWinner = isWinner;
	}
	
	function TalkFestivalFlow()
	{
		// _
		return MsgRandomJudge() ? TalkFestivalRank() : mClassMsgFlowFunc();
	}
	
	function TalkFestivalRank()
	{
		local resultMsg = mIsWinner ? "WIN_" : "LOSE_"
		local rankMsg = [
			"BEGINNER",
			"VETERAN",
			"EXPERT",
			"LEGEND",
		];
		
		if (mNpcWrap.GetMsgLoveState() == "MARRIAGE_")
		{
			if (resultMsg == "WIN_")
			{
				if (rankMsg[mFestivalRank] == "BEGINNER" && mNpcWrap.GetMsgIdNpcIdStr() == "TwinOlder" && eSex.eSex_Female == PersonalData.GetSex())
				{
					MsgUtil.OpenMsg( "Wild_Animal_Thanks", "MES_" + mNpcWrap.GetMsgLoveState() + "FREE_EVENT_" + mNpcWrap.GetMsgIdNpcIdStr() + "_" + "COOKING" + "_" + resultMsg + rankMsg[mFestivalRank]);
				}
				else if (rankMsg[mFestivalRank] == "VETERAN" && mNpcWrap.GetMsgIdNpcIdStr() == "Doctor" && eSex.eSex_Male == PersonalData.GetSex())
				{
					MsgUtil.OpenMsg( "Wild_Animal_Thanks", "MES_" + mNpcWrap.GetMsgLoveState() + "FREE_EVENT_" + mNpcWrap.GetMsgIdNpcIdStr() + "_" + "COOKING" + "_" + resultMsg + rankMsg[mFestivalRank]);
				}
				else if (rankMsg[mFestivalRank] == "EXPERT" && (mNpcWrap.GetMsgIdNpcIdStr() == "Florist" || mNpcWrap.GetMsgIdNpcIdStr() == "TeaGirl") && eSex.eSex_Female == PersonalData.GetSex())
				{
					MsgUtil.OpenMsg( "Wild_Animal_Thanks", "MES_" + mNpcWrap.GetMsgLoveState() + "FREE_EVENT_" + mNpcWrap.GetMsgIdNpcIdStr() + "_" + "COOKING" + "_" + resultMsg + rankMsg[mFestivalRank]);
				}
				else if (rankMsg[mFestivalRank] == "LEGEND" && mNpcWrap.GetMsgIdNpcIdStr() == "Craftman" && eSex.eSex_Male == PersonalData.GetSex())
				{
					MsgUtil.OpenMsg( "Wild_Animal_Thanks", "MES_" + mNpcWrap.GetMsgLoveState() + "FREE_EVENT_" + mNpcWrap.GetMsgIdNpcIdStr() + "_" + "COOKING" + "_" + resultMsg + rankMsg[mFestivalRank]);
				}
				else
				{
					MsgUtil.OpenMsg( mMsgGroupName, "MES_" + mNpcWrap.GetMsgLoveState() + "FREE_EVENT_" + mNpcWrap.GetMsgIdNpcIdStr() + "_" + mMsgFesName + "_" + resultMsg + rankMsg[mFestivalRank]);
				}
			}
			else if (resultMsg == "LOSE_")
			{
				if (rankMsg[mFestivalRank] == "VETERAN" && ((mNpcWrap.GetMsgIdNpcIdStr() == "Apprentice" && eSex.eSex_Male == PersonalData.GetSex()) || (mNpcWrap.GetMsgIdNpcIdStr() == "TwinOlder" && eSex.eSex_Female == PersonalData.GetSex())))
				{
					MsgUtil.OpenMsg( "Wild_Animal_Thanks", "MES_" + mNpcWrap.GetMsgLoveState() + "FREE_EVENT_" + mNpcWrap.GetMsgIdNpcIdStr() + "_" + "COOKING" + "_" + resultMsg + rankMsg[mFestivalRank]);
				}
				else if (rankMsg[mFestivalRank] == "EXPERT" && (mNpcWrap.GetMsgIdNpcIdStr() == "TeaGirl" || mNpcWrap.GetMsgIdNpcIdStr() == "Teacher") && eSex.eSex_Female == PersonalData.GetSex())
				{
					MsgUtil.OpenMsg( "Wild_Animal_Thanks", "MES_" + mNpcWrap.GetMsgLoveState() + "FREE_EVENT_" + mNpcWrap.GetMsgIdNpcIdStr() + "_" + "COOKING" + "_" + resultMsg + rankMsg[mFestivalRank]);
				}
				else if (rankMsg[mFestivalRank] == "LEGEND" && mNpcWrap.GetMsgIdNpcIdStr() == "Chaser" && eSex.eSex_Male == PersonalData.GetSex())
				{
					MsgUtil.OpenMsg( "Wild_Animal_Thanks", "MES_" + mNpcWrap.GetMsgLoveState() + "FREE_EVENT_" + mNpcWrap.GetMsgIdNpcIdStr() + "_" + "COOKING" + "_" + resultMsg + rankMsg[mFestivalRank]);
				}
				else
				{
					MsgUtil.OpenMsg( mMsgGroupName, "MES_" + mNpcWrap.GetMsgLoveState() + "FREE_EVENT_" + mNpcWrap.GetMsgIdNpcIdStr() + "_" + mMsgFesName + "_" + resultMsg + rankMsg[mFestivalRank]);
				}
			}
		}
		else if (mNpcWrap.GetMsgLoveState() == "LOVER_" && rankMsg[mFestivalRank] == "LEGEND" && resultMsg == "WIN_" && mNpcWrap.GetMsgIdNpcIdStr() == "TeaGirl" && eSex.eSex_Female == PersonalData.GetSex())
		{
			MsgUtil.OpenMsg( "Wild_Animal_Thanks", "MES_" + mNpcWrap.GetMsgLoveState() + "FREE_EVENT_" + mNpcWrap.GetMsgIdNpcIdStr() + "_" + "COOKING" + "_" + resultMsg + rankMsg[mFestivalRank]);
		}
		else 
		{
			MsgUtil.OpenMsg( mMsgGroupName, "MES_" + mNpcWrap.GetMsgLoveState() + "FREE_EVENT_" + mNpcWrap.GetMsgIdNpcIdStr() + "_" + mMsgFesName + "_" + resultMsg + rankMsg[mFestivalRank]);
		}
		
		return true;
	}
	
	mMsgGroupName = null;
	mMsgFesName = null;
	mNpcWrap = null;
	mFestivalRank = null;
	mIsWinner = null;
	mClassMsgFlowFunc = null;
};


