/**
 * Ղ肨m点̃bZ[W
 */
local npcWrap = NpcWrap(ObjectManager.GetTalkNpc())


// ނ
if( EventFlag.GetFlag("FishingFestival")){
	local aiNpc = AIManager.GetAI(npcWrap.GetId());
	if( aiNpc && aiNpc.GetAINpcActionIdStr() == "Fishing"){
		npcWrap.StartTalkGeneral("MES_SCHEDULE_TALK_14");
		return true;
	}
}


// eՂ̃bZ[W
// @note Ղ̓͋N, ՂI܂ōmbZ[Wo
// @note ŃbZ[WoՂׂ͂3ׂē([e[VIŕς)
local country = npcWrap.GetCountry() == eCountryId.America ? "A" :
				npcWrap.GetCountry() == eCountryId.Japan ? "J" : "S";

local checkFunc = function( npcWrap, countryName, fesName)
{
	local childCheckFes = function( npcWrap, fesName)
	{
		if( !npcWrap.IsChild()){
			return false;
		}
		
		local countryNameArray = [
			"A",
			"J",
			"S",
		];
		
		foreach( countryName in countryNameArray)
		{
			if(FestivalConstData.IsEventDateNotRotation( "Fes_" + countryName + fesName)){
				return true;
			}
		}
		return false;
	}
	
	return	FestivalConstData.IsReleaseEventDate("Fes_" + countryName + fesName) ||
			childCheckFes( npcWrap, fesName);
}

if( checkFunc( npcWrap, country, "_Game")){
	if( FestivalConstData.IsReceptionNotEnd("Fes_A_Game")){
		npcWrap.StartTalkGeneral("MES_TODAY_GAME");
		return true;
	}
}
if( checkFunc( npcWrap, country, "_Drink")){
	if( FestivalConstData.IsReceptionNotEnd("Fes_A_Drink")){
		npcWrap.StartTalkGeneral("MES_TODAY_DRINK");
		return true;
	}
}
if( checkFunc( npcWrap, country, "_New_Year")){
	if( FestivalConstData.IsReceptionNotEnd("Fes_A_New_Year")){
		npcWrap.StartTalkGeneral("MES_TODAY_NEW_YEAR");
		return true;
	}
}
if( checkFunc( npcWrap, country, "_Friendship")){
	if( FestivalConstData.IsReceptionNotEnd("Fes_A_Friendship")){
		if( npcWrap.IsPartner()){
			npcWrap.StartTalkGeneral("MES_" + npcWrap.GetMsgLoveState() + "TODAY_FRIENDSHIP");
		}
		else {
			if (
			(npcWrap.GetIdStr() == "Postman" && PlayerWrap.GetMsgSex() == "MAN") ||
			(npcWrap.GetIdStr() == "Florist" && PlayerWrap.GetMsgSex() == "WOMAN") ||
			(npcWrap.GetIdStr() == "Doctor" && PlayerWrap.GetMsgSex() == "MAN") || 
			(npcWrap.GetIdStr() == "TeaGirl" && PlayerWrap.GetMsgSex() == "WOMAN") ||
			(npcWrap.GetIdStr() == "Chaser" && PlayerWrap.GetMsgSex() == "MAN") ||
			(npcWrap.GetIdStr() == "Apprentice" && PlayerWrap.GetMsgSex() == "MAN") )
			{
				MsgUtil.OpenMsg( "Wedding_Anniversary", "MES_" + npcWrap.GetIdStr() + "_" + PlayerWrap.GetMsgSex() + "_TODAY_FRIENDSHIP");
			}
			else
			{
				npcWrap.StartTalkGeneral("MES_" + PlayerWrap.GetMsgSex() + "_TODAY_FRIENDSHIP");
			}
		}
		return true;
	}
}

// ʂ̂Ղ蔻
{
	LoadScript("PresentFesFlow","Talk/PresentFestivalFlow.nut");
	PresentFesFlow();
	
	local country = npcWrap.GetCountry();
	
	function countryFesCheck( npcWrap, fesName, msgName)
	{
		if( FestivalConstData.IsReleaseEventDate(fesName) &&
			FestivalConstData.IsReceptionNotEnd(fesName))
		{
			npcWrap.StartTalkGeneral("MES_TODAY_" + msgName);
			return true;
		}
		
		return false;
	}
	function presentFesCheck( npcWrap, fesName, msgName, country)
	{
		if( IsPresentFestivalNoticeTerm( npcWrap, fesName))
		{
			if( !npcWrap.GetFesPresentFlag()){
				
				// vC[ĂȂ
				if (
				(npcWrap.GetIdStr() == "Postman" && npcWrap.GetMsgLoveState() == "LOVER_" && PlayerWrap.GetMsgSex == "MAN") ||
				(npcWrap.GetIdStr() == "Doctor" && npcWrap.GetMsgLoveState() == "LOVER_" && PlayerWrap.GetMsgSex == "MAN")
				)
				{
					MsgUtil.OpenMsg( "Wedding_Anniversary", "MES_" + npcWrap.GetIdStr() + "_" + npcWrap.GetMsgLoveState() + "TODAY_" + msgName);
				}
				else
				{
					npcWrap.StartTalkGeneral("MES_" + npcWrap.GetMsgLoveState() + "TODAY_" + msgName);
				}
				
				
				
				if( NoFreeBag()){
					if (
					(npcWrap.GetIdStr() == "Postman" && (npcWrap.GetMsgLoveState() == "LOVER_" || npcWrap.GetMsgLoveState() == "MARRIAGE_") && PlayerWrap.GetMsgSex == "MAN") || 
					(npcWrap.GetIdStr() == "Postman" && npcWrap.GetMsgLoveState() == "MARRIAGE_" && PlayerWrap.GetMsgSex == "MAN") )
					{
						MsgUtil.OpenMsg( "Wedding_Anniversary", "MES_" + npcWrap.GetIdStr() + "_" + npcWrap.GetMsgLoveState() + "TODAY_" + msgName +"_NOT");
					}
					else
					{
						npcWrap.StartTalkGeneral("MES_TODAY_" + msgName +"_NOT");
					}
					return true;
				}
				
				// lւ̃v[g
				PlayerReceiveTalkOnlyFlow( npcWrap, ID.ItemIdToString(GetReturnItemId( npcWrap, country)), 1, npcWrap.GetReceiveItemQuality());
				npcWrap.SetGiveFesPresentFlag(true);
				return true;
			}
		}
		
		if( IsPresentFestivalNoticeTerm( npcWrap, fesName, false))
		{
			if( npcWrap.GetFesPresentFlag()){
				
				// vC[ĂĂԂĂȂ
				npcWrap.StartTalkGeneral("MES_" + npcWrap.GetMsgLoveState() + "FORGET_" + msgName);
				
				if( NoFreeBag()){
					npcWrap.StartTalkGeneral("MES_TODAY_" + msgName +"_NOT");
					return true;
				}
				
				// lւ̃v[g
				PlayerReceiveTalkOnlyFlow( npcWrap, ID.ItemIdToString(GetReturnItemId( npcWrap, country)), 1, npcWrap.GetReceiveItemQuality());
				npcWrap.SetGiveFesPresentFlag(true);
				return true;
			}
		}
		
		return false;
	}
	
	if( NpcCountryMatch( npcWrap, eCountryId.America)){
		if( countryFesCheck( npcWrap, "Fes_A_Goddess", "GODDESS") ||
			presentFesCheck( npcWrap, "Fes_A_Flower", "FLOWER", eCountryId.America))
		{
			return true;
		}
	}
	if( NpcCountryMatch( npcWrap, eCountryId.Japan)){
		if( countryFesCheck( npcWrap, "Fes_J_Rice_Ear", "RICE_EAR") ||
			presentFesCheck( npcWrap, "Fes_J_RicePriddge", "GRUEL", eCountryId.Japan))
		{
			return true;
		}
	}
	if( NpcCountryMatch( npcWrap, eCountryId.South)){
		if( countryFesCheck( npcWrap, "Fes_S_Witch", "WITCH") ||
			presentFesCheck( npcWrap, "Fes_S_Fruit", "FRUIT", eCountryId.South))
		{
			return true;
		}
	}
}



return false;
