//
// ʉbt[
//
local npcWrap = NpcWrap(ObjectManager.GetTalkNpc())

function LoveGiftFlow( npcWrap, friendShip)
{
	if( NoFreeBag()){ return false; }
	if( PlayerLiftAnimal() != null){ return false;}
	
	// ̗FDxȏォ, vC[̗̑͂ȉ
	if( (npcWrap.GetFriendShip() > friendShip) &&
		(PersonalData.GetHp() <= PersonalData.GetCurrentMaxHp() / 2))
	{
		// Փxɍ킹āAACen
		npcWrap.StartTalkGeneral( "MES_" + npcWrap.GetMsgLoveState() + "GIFT_0" + Random.RandomInt(3));
		PlayerReceiveTalkOnlyFlow( npcWrap, GetLoveGiftItemStr(npcWrap.GetCountry(), 7), 1, npcWrap.GetReceiveItemQuality());
		
		npcWrap.SetGiveGift(true);
		return true;
	}
	return false;
}

function GetLoveGiftItemStr( countryId, difficulty)
{
	local max = ID.eCookId_Num;
	local startCookId = Random.RandomInt(max);
	
	local itemId = -1;
	local cookId = startCookId;
	do {
		itemId = CookConstData.GetCookItemId(cookId);
		
		if( CookConstData.GetDifficulty(cookId) <= difficulty &&
			ItemConstData.GetProducingArea(itemId) == countryId)
		{
			break;
		}
		
		++cookId;
		if( cookId >= max){
			cookId = 0;
		}
	} while( startCookId != cookId);
	
	return ID.ItemIdToString(itemId);
}

function UncleTutorialConditionOK( npcWrap)
{
	local weather = WeatherData.GetCurrentMapTodayWeather();
	return	npcWrap.GetIdStr() == "Uncle" &&
			npcWrap.GetTalkFlag() &&
			weather != eWeatherId.eWeather_Typhoon &&
			weather != eWeatherId.eWeather_HeavySnow &&
			TimeData.GetHour() <= 12;
}

//-------------------------------------------------------------------------------------------------
if( CheckPlayerBirthDayCondition(npcWrap)){
	// l̒a
	LoadScript( "TalkBirthDay", "Talk/TalkPlayerBirthday.nut")
	if( TalkBirthDay()){
		return;
	}
}

if( CheckLoveBlessCondition(npcWrap)){
	// t, , , oYjbZ[W
	LoadScript( "TalkLoveBless", "Talk/TalkLoveBlessFlow.nut")
	
	if( TalkLoveBless()){
		return;
	}
}

// eՂ̃bZ[W
if( CheckFestivalNoticeCondition(npcWrap))
{
	LoadScript("FestivalNotice","Talk/TalkFestivalNotice.nut");
	if( FestivalNotice()){
		return;
	}
}

// AIXPW[X
if( CheckSaleAICondition(npcWrap))
{
	LoadScript("IncludeTalkShopFlow", "Talk/TalkShopFlow.nut");
	IncludeTalkShopFlow();
	if(TalkShopFlow(npcWrap)){
		return;
	}
}


// v|[YnACelȊOɌē{t[
{
	if( npcWrap.IsLoverNpc() && npcWrap.GetProposeAngry()){
		
		// Oɐt[
		
		if( npcWrap.IsLover() || npcWrap.IsEngage() || npcWrap.IsMarriage()){
			npcWrap.StartTalkGeneral("MES_"+ npcWrap.GetMsgLoveState() +"ANGER_BLUE_SHUTTLECOCK");
			
			npcWrap.SetProposeAngry(false);
			npcWrap.AddFriendShip(-5000);
			
			return;
		}
	}

	if( npcWrap.IsLoverNpc() && npcWrap.GetConfessAngry()){
		
		// 炻ɐt[
		
		if( npcWrap.IsLover() || npcWrap.IsEngage() || npcWrap.IsMarriage()){
			npcWrap.StartTalkGeneral("MES_"+ npcWrap.GetMsgLoveState() +"ANGER_PENDANT");
			
			npcWrap.SetConfessAngry(false);
			npcWrap.AddFriendShip(-5000);
			
			return;
		}
	}
}

// AIXPW[H
if( CheckMealTalkCondition(npcWrap)){
	LoadScript("IncludeTalkMealFlow","Talk/TalkMealFlow.nut");
	IncludeTalkMealFlow();
	if(TalkMealFlow(npcWrap)){
		return;
	}
}

// `[gA
if( UncleTutorialConditionOK(npcWrap))
{
	local result = MsgUtil.OpenSelectMsg( npcWrap.GetMsgGroup(), "TUTORIAL_TALK_CHOICE_00", [ "TUTORIAL_TALK_CHOICE_01",  "TUTORIAL_TALK_CHOICE_02"]);
	
	// ͂I
	if( result == 0){
		EventManager.HoldNextEvent("Tutorial_Uncle");
		MainGameStateChanger.MapChangeAppointMap( EventConstData.GetStartMapStr(EventManager.GetNextEventIdStr()));
	}
	
	return;
}



if( npcWrap.IsLover() && !npcWrap.GetGiveGift()){
	
	// 𖞂ĂH
	if( LoveGiftFlow( npcWrap, 45000)){
		return;
	}
}

if( npcWrap.IsMarriage() && !npcWrap.GetGiveGift()){
	
	// ٓ𖞂ĂH
	if( LoveGiftFlow( npcWrap, 80000)){
		return;
	}
}


// btOOFF
if( !npcWrap.GetTalkFlag()){
	
	LoadScript( "TalkGreeting", "Talk/TalkGreeting.nut");
	TalkGreeting();
	return;
}

// `˗t[
if( CheckHelpPlayerCondition(npcWrap)){
	LoadScript("HelpPlayerFlow","Talk/TalkHelpPlayerFlow.nut");
	HelpPlayerFlow();
	if( HelpPlayerRequestFlow(npcWrap)){
		return;
	}
}

// v[gOFF
// @note v[g̃ANV̏͂ƓɂȂ.
local presentReaction = npcWrap.GetPresentReaction();
if( !npcWrap.GetPresentFlag() &&
	presentReaction &&
	!npcWrap.GetMsgPresentReaction() &&
	BagData.CanAddItemToBag( -1, 0, 0) &&
	(PlayerLiftAnimal() == null))
{
	local msgType = null;
	switch(presentReaction){
		case 1:
			msgType = "FOOD";
			break;
		case 2:
			msgType = "OTHER";
			break;
		case 3:
			msgType = "HARVEST";
			break;
		case 4:
			msgType = "COOKING";
			break;
		case 5:
			msgType = "FLOWER";
			break;
		case 6:
			msgType = "PRODUCT";
			break;
	}
	MsgUtil.SetTransItemNameW( 0, ItemConstData.GetName(npcWrap.GetPresentItemId()));
	npcWrap.StartTalkGeneral("MES_REACTION_PRESENT_"+msgType);
	
	npcWrap.SetMsgPresentReaction(true);
	
	local rand = Random.RandomInt(3);
	
	if( !rand){
		// v[ĝԂ
		npcWrap.StartTalkGeneral("MES_" + npcWrap.GetMsgLoveState() + "RETURN_PRESENT");
		
		// ̗̍(Փx5ȉ)n
		PlayerReceiveTalkOnlyFlow( npcWrap, GetLoveGiftItemStr( npcWrap.GetCountry(), 5), 1, npcWrap.GetReceiveItemQuality());
	}
	
	npcWrap.SetPresentReaction(0);
	return;
}

// mRg
if(MsgRandomJudge()){
	if(CheckFashionCondition(npcWrap)){
		LoadScript("IncludeTalkFashionFlow","Talk/TalkFashionFlow.nut");
		IncludeTalkFashionFlow();
		if( TalkFashionFlow(npcWrap)){
			return;
		}
	}
}


// o׃t[
// ܂oׂĂ邩
if( ShipmentBoxData.IsSaleToday()){
	if( CheckShipmentFlowConditionOK(npcWrap)){
		LoadScript("IncludeTalkShipmentFlow","Talk/TalkShipmentFlow.nut");
		IncludeTalkShipmentFlow();
		
		if( TalkShipmentFlow(npcWrap)){
			return;
		}
	}
}

if(MsgRandomJudge()){
	local aiNpc = AIManager.GetAI(npcWrap.GetId());
	if( aiNpc){
		local actionIdStr = aiNpc.GetAINpcActionIdStr()
		if( actionIdStr == "StandSpeak" || actionIdStr == "SitSpeak"){
			// @todo R~N
		}
	}
}

if( npcWrap.IsLoverNpc() && MsgRandomJudge()){
	// b
	
	switch(npcWrap.GetLoveState()){
		case eNpcLoveState.Lover:
		{
			if( EventFlag.GetParam("LoveCount") <= 7){
				local msgNum = 0;
				if( npcWrap.GetLoverCount() >= 2){
					msgNum = 2;
				}
				
				if (
				(npcWrap.GetIdStr() == "Postman" && PlayerWrap.GetMsgSex() == "MAN" && msgNum == 2) ||
				(npcWrap.GetIdStr() == "Craftman" && PlayerWrap.GetMsgSex() == "MAN" && msgNum == 0))
				{
					MsgUtil.OpenMsg( "Wedding_Anniversary", "MES_" + npcWrap.GetIdStr() + "_LOVERS_0" + msgNum)
				}
				else
				{
					npcWrap.StartTalkGeneral("MES_LOVERS_0" + msgNum);
				}
				
				return;
			}
		}
		break;
		case eNpcLoveState.NotLover:
		{
			if( npcWrap.GetLoveCancelDayCount() <= 7){
				npcWrap.StartTalkGeneral("MES_LOVERS_01");
				return;
			}
		}
		break;
		case eNpcLoveState.Engage:
		{
			if (npcWrap.GetIdStr() == "Postman" && PlayerWrap.GetMsgSex() == "MAN")
			{
				MsgUtil.OpenMsg( "Wedding_Anniversary", "MES_" + npcWrap.GetIdStr() + "_ENGAGEMENT")
			}
			else
			{
				npcWrap.StartTalkGeneral("MES_ENGAGEMENT");
			}
			
			return;
		}
		break;	
		case eNpcLoveState.Marriage:
		{
			local pregnancyCount = EventFlag.GetParam("PregnancyCount");
			if( EventFlag.GetParam("MarriageCount") <= 7){
				if ((npcWrap.GetIdStr() == "Florist" && PlayerWrap.GetMsgSex() == "WOMAN"))
				{
					MsgUtil.OpenMsg( "Wedding_Anniversary", "MES_" + npcWrap.GetIdStr() + "_MARRIAGE_00")
				}
				else
				{	
					npcWrap.StartTalkGeneral("MES_MARRIAGE_00");
				}
				
				return;
			}
			else if( pregnancyCount >= 0 && pregnancyCount <= 14){
				
				if (
				(npcWrap.GetIdStr() == "Postman" && PlayerWrap.GetMsgSex() == "MAN") || 
				(npcWrap.GetIdStr() == "Doctor" && PlayerWrap.GetMsgSex() == "MAN") || 
				(npcWrap.GetIdStr() == "Craftman" && PlayerWrap.GetMsgSex() == "MAN") ||
				(npcWrap.GetIdStr() == "Chaser" && PlayerWrap.GetMsgSex() == "MAN") )
				{
					MsgUtil.OpenMsg( "Wedding_Anniversary", "MES_" + npcWrap.GetIdStr() + "_MARRIAGE_01")
				}
				else if (npcWrap.GetIdStr() == "DummyLover1" && PlayerWrap.GetMsgSex() == "MAN")
				{
					npcWrap.StartTalkGeneral("MES_MARRIAGE_01_TLE");
				}
				else
				{
					npcWrap.StartTalkGeneral("MES_MARRIAGE_01");
				}
				
				return;
			}
			else if( pregnancyCount >= 0 &&  pregnancyCount <= 29){
				
				if (
				(npcWrap.GetIdStr() == "Postman" && PlayerWrap.GetMsgSex() == "MAN") ||
				(npcWrap.GetIdStr() == "Doctor" && PlayerWrap.GetMsgSex() == "MAN") ||
				(npcWrap.GetIdStr() == "Chaser" && PlayerWrap.GetMsgSex() == "MAN") ||
				(npcWrap.GetIdStr() == "Apprentice" && PlayerWrap.GetMsgSex() == "MAN") ||
				(npcWrap.GetIdStr() == "Teacher" && PlayerWrap.GetMsgSex() == "WOMAN") )
				{
					MsgUtil.OpenMsg( "Wedding_Anniversary", "MES_" + npcWrap.GetIdStr() + "_MARRIAGE_02")
				}
				else if (npcWrap.GetIdStr() == "DummyLover1" && PlayerWrap.GetMsgSex() == "MAN")
				{
					npcWrap.StartTalkGeneral("MES_MARRIAGE_02_TLE");
				}
				else
				{
					npcWrap.StartTalkGeneral("MES_MARRIAGE_02");
				}
				
				return;
			}
			else if( pregnancyCount >= 0 &&  pregnancyCount <= 44){
				
				if (
				(npcWrap.GetIdStr() == "Postman" && PlayerWrap.GetMsgSex() == "MAN") ||
				(npcWrap.GetIdStr() == "Doctor" && PlayerWrap.GetMsgSex() == "MAN") ||
				(npcWrap.GetIdStr() == "Craftman" && PlayerWrap.GetMsgSex() == "MAN") ||
				(npcWrap.GetIdStr() == "TeaGirl" && PlayerWrap.GetMsgSex() == "WOMAN") ||
				(npcWrap.GetIdStr() == "Apprentice" && PlayerWrap.GetMsgSex() == "MAN")
				)
				{
					MsgUtil.OpenMsg( "Wedding_Anniversary", "MES_" + npcWrap.GetIdStr() + "_MARRIAGE_03")
				}
				else if (npcWrap.GetIdStr() == "DummyLover1" && PlayerWrap.GetMsgSex() == "MAN")
				{
					npcWrap.StartTalkGeneral("MES_MARRIAGE_03_TLE");
				}
				else
				{
					npcWrap.StartTalkGeneral("MES_MARRIAGE_03");
				}
				
				return;
			}
			else if( EventFlag.GetParam("BabyCount") >= 0 && EventFlag.GetParam("BabyCount") <= 7){
			
				if (
				(npcWrap.GetIdStr() == "TwinOlder" && PlayerWrap.GetMsgSex() == "WOMAN") ||
				(npcWrap.GetIdStr() == "Chaser" && PlayerWrap.GetMsgSex() == "MAN") )
				{
					MsgUtil.OpenMsg( "Wedding_Anniversary", "MES_" + npcWrap.GetIdStr() + "_CHILD_GROWTH_00")
				}
				else
				{
					npcWrap.StartTalkGeneral("MES_CHILD_GROWTH_00");
				}
				
				return;
			}
			else if( EventFlag.GetParam("HaiHaiCount") >= 0 && EventFlag.GetParam("HaiHaiCount") <= 7){
				npcWrap.StartTalkGeneral("MES_CHILD_GROWTH_01");
				return;
			}
			else if( EventFlag.GetParam("BoyCount") >= 0 && EventFlag.GetParam("BoyCount") <= 7){
			
				if (
				(npcWrap.GetIdStr() == "Chaser" && PlayerWrap.GetMsgSex() == "MAN") ||
				(npcWrap.GetIdStr() == "Apprentice" && PlayerWrap.GetMsgSex() == "MAN"))
				{
					MsgUtil.OpenMsg( "Wedding_Anniversary", "MES_" + npcWrap.GetIdStr() + "_CHILD_GROWTH_02")
				}
				else
				{	
					npcWrap.StartTalkGeneral("MES_CHILD_GROWTH_02");
				}
				
				return;
			}
		}
		break;
	}
}

LoadScript( "TalkRandom", "Talk/TalkRandom.nut");
TalkRandom();

return;
