//
// @brief NpcɊ֘A鏈܂Ƃ߂Ăt@C
//

//-----------------------------------------------------------------------------
//
//  enum
//


// Npc ̋@
enum eNpcMood {
	Good,
	Normal,
	Bad,
}

// @note Jp܂Ƃߖ̏ꍇ, 
//       None   = Jptp
//       Normal = JpI
enum eCampaState {
    None,                            // 0000 JpȂ
    Normal,                          // 0001 ʏJp
    Special,                         // 0002 Jp
}

enum eMobType{
	Store,
	Loitering,
	Task,
	Neta,
	Other,
}



//------------------------------------------------------------------------------
// 
// ֐
// 

/**
 * NpcvC[̐ʂŌ₩f
 */
function NpcLoverCandidate( npcId)
{
	if( !NpcConstData.IsLover(npcId)){
		return false;
	}
	local idStr = ID.NpcIdToString(npcId);
	
	// Ci܂͋ʗl炵̂ŁAǂ̔zɂĂ
	local manLover = [
		"Postman",		"Doctor",
		"Chaser",		"Apprentice",
		"Craftman",		"Inari",
		"Florist",		"TeaGirl",
		"Teacher",		"TwinOlder",
		"TwinYounger",  "DummyLover1",
		"DummyLover2",
	]
	local womanLover = [
		"Florist",		"TeaGirl",
		"Teacher",		"TwinOlder",
		"TwinYounger",	"Inari",
		"Postman",		"Doctor",
		"Chaser",		"Apprentice",
		"Craftman",     "DummyLover1",
		"DummyLover2",
	]
	
	local loverArray = PlayerWrap.IsBoy() ? womanLover : manLover;
	
	
	foreach( lover in loverArray)
	{
		if( idStr == lover ){
			return true;
		}
	}
	
	return false;
}

function GetOnlyFlag(npcWrap)
{
	local aiNpc = AIManager.GetAI(npcWrap.GetId());
	
	// @memo ̎͑ACeOāAv[gIɍēx悤ɕύXɂȂ邩.
	// NPCpb܂́A𑕔ĂƂ true Ԃ.
	return (aiNpc && aiNpc.HasExclusiveTalk()) || npcWrap.Get().IsAttached();
}

/**
 * bp̃v[gn
 */
function PlayerPresentTalkOnlyFlow( npcWrap, itemData, liftType)
{
	local aiNpc = AIManager.GetAI(npcWrap.GetId());
	// QĂƂ͖ⓚpŔ.
	if( aiNpc && aiNpc.GetAINpcActionIdStr() == "Sleep"){	return;		}
	
	PlayerPresentTalk( npcWrap.Get(), itemData, liftType, GetOnlyFlag(npcWrap));
}

/**
 * bp̃v[g炤
 */
function PlayerReceiveTalkOnlyFlow( npcWrap, itemId, itemNum, itemQuality)
{
	local aiNpc = AIManager.GetAI(npcWrap.GetId());
	// QĂƂ͖ⓚpŔ.
	if( aiNpc && aiNpc.GetAINpcActionIdStr() == "Sleep"){	return;		}
	
	PlayerReceiveTalk( npcWrap.Get(), itemId, itemNum, itemQuality, GetOnlyFlag(npcWrap));
}

/**
 * JoGȂAv[g̏
 */
function PresentTalkOnlyFlow(npcWrap, itemIdStr)
{
	local player = ObjectManager.GetPlayer();
	
	if(player){
		if( !GetOnlyFlag(npcWrap)){
			PresentForYou( player, npcWrap.Get(), itemIdStr);
		}
		else {
			player.LiftItemFront(itemIdStr);
			while(!player.Wait());
			Wait(15);
			PresentForYouPresentOnly( player, itemIdStr);
		}
	}
}

/**
 * AIMapPointɂ邩
 */
function NpcInMapPointMap( npcWrap, mapPointIdStr)
{
	local npc = npcWrap.Get();
	
	if( npc.GetMapIdStr() != AINpcMapPointData.GetMapId(mapPointIdStr)){
		return false;
	}
	
	return true;
}


//-----------------------------------------------------------------------------
//
// NX
//

/**
 * NpcXNvgň₷悤ɂ郉bp[NX
 */
class NpcWrap
{
	constructor(npc)
	{
		body = npc;
	}

	function Get()
	{
		return body;
	}

	function GetId()
	{
		return body.GetNpcId();
	}

	function GetIdStr()
	{
		return ID.NpcIdToString(GetId());
	}

	// \
	function GetName()
	{
		return NpcConstData.GetDispName(GetId());
	}
	function GetNameW()
	{
		return NpcConstData.GetDispNameW(GetId());
	}
	
	function GetMsgGroup()
	{
		local msgGroup = NpcConstData.GetMsgGroup(GetId())
		
		// q̎͏Oς
		local childMsgGroup = "";
		if( GetIdStr() == "Child"){
			local growth = ChildData.GetGrowth();
			
			if( growth == eChildGrowth.HaiHai){
				childMsgGroup = "_Baby";
			}
			else if( growth == eChildGrowth.Child){
				if( ChildData.GetSex() == eSex.eSex_Male){
					childMsgGroup = "_Boy";
				}
				else {
					childMsgGroup = "_Girl";
				}
			}
		}
		
		return msgGroup + childMsgGroup;
	}
	
	function GetMsgIdNpcIdStr()
	{
		return GetMsgIdToNpcIdStr(GetIdStr());
	}
	
	//---------------------------------
	// n
	//---------------------------------
	function IsLoverNpc(){			return NpcConstData.IsLover(body.GetNpcId());				}
	function IsNpc(){				return NpcConstData.IsNpc(body.GetNpcId());					}
	function IsMob(){				return NpcConstData.IsMob(body.GetNpcId());					}
	function IsNpcWithoutLover(){	return NpcConstData.IsNpcWithoutLover(body.GetNpcId());		}
	
	function IsSick(){				return NpcWrap.GetState() == eNpcState.Sick;				}
	
	function IsFree(){				return IsLoverNpc() ?NpcWrap.GetLoveState() == eNpcLoveState.Free : false;		}
	function IsLover(){				return IsLoverNpc() ?NpcWrap.GetLoveState() == eNpcLoveState.Lover : false;		}
	function IsNotLover(){			return IsLoverNpc() ?NpcWrap.GetLoveState() == eNpcLoveState.NotLover : false;	}	// t
	function IsEngage(){			return IsLoverNpc() ?NpcWrap.GetLoveState() == eNpcLoveState.Engage : false;	}
	function IsMarriage(){			return IsLoverNpc() ?NpcWrap.GetLoveState() == eNpcLoveState.Marriage : false;	}
	
	function IsGood(){				return NpcWrap.GetMood() == eNpcMood.Good;					}
	function IsNormal(){			return NpcWrap.GetMood() == eNpcMood.Normal;				}
	function IsBad(){				return NpcWrap.GetMood() == eNpcMood.Bad;					}
	
	function IsSingle(){			return IsNpcWithoutLover() || IsFree() || IsNotLover();	}	// IsSingle ͒ʏNPCƌݕʂꒆ肷. Free ƖŐʂɂ̂Œ.
	function IsPartner(){			return !IsSingle();										}
	
	/**
	 * vC[̐ʂƂ̗Ώۂǂ肷
	 */
	function IsLoveInterest()
	{
		return NpcLoverCandidate(GetId());
	}
	/**
	 * Ci܂JEgȂ菈
	 */
	function IsLoveInterestNotCountInari()
	{
		return GetIdStr() != "Inari" && IsLoveInterest();
	}
	
	/**
	 * ܂Ƃߖǂ
	 */
	function IsAmericaOrganizer()
	{
		return GetIdStr() == "AmericaFarmOldwoman";
	}
	function IsJapanOrganizer()
	{
		return GetIdStr() == "TeaOwner";
	}
	function IsSouthOrganizer()
	{
		return GetIdStr() == "InnOwner";
	}
	
	function IsOrganizer()
	{
		return IsAmericaOrganizer() || IsJapanOrganizer() || IsSouthOrganizer();
	}
	
	/**
	 * AoCglǂ
	 */
	function IsPartTimeJobBroker()
	{
		
		local brokerArray = [
			"Mob_Horaz",
			"Mob_Rikyu",
			"Mob_Hoala",
		];
		
		foreach( broker in brokerArray){
			if( GetIdStr() == broker){
				return true;
			}
		}
		
		return false;
	}
	
	/**
	 * qǂ
	 */
	function IsChild()
	{
		return GetIdStr() == "Child";
	}
	function IsSister()
	{
		return GetIdStr() == "Sister";
	}
	function IsMother()
	{
		return GetIdStr() == "Mother";
	}
	function IsInari()
	{
		return GetIdStr() == "Inari";
	}
	
	//---------------------------------
	// f[^擾(ConstData)
	//---------------------------------
	function GetSex(){						return NpcConstData.GetSex( GetId());												}
	function GetCountry(){					return NpcConstData.GetCountry( GetId());											}
	function GetMobType(){					return NpcConstData.GetMobType( GetId());											}
	function GetScheduleType(){				return NpcConstData.GetScheduleType( GetId(), TimeData.GetWeek());					}
	function IsBirthDay(){
		local date = TimeData.GetDate();
		local season = TimeData.GetSeason();
		if( GetIdStr() != "Child"){
			return NpcConstData.IsBirthDay( GetId(), season, date);
		}
		else {
			return ChildData.GetBirthDay() == date && ChildData.GetBirthSeason() == season;
		}
	}
	
	//---------------------------------
	// f[^擾n
	//---------------------------------
	function GetFirstMeeting(){				return NpcData.GetFirstMeeting( GetIdStr());				}
	function SetFirstMeeting( flag){		NpcData.SetFirstMeeting( GetIdStr(), flag);					}
	function GetTalkFlag(){					return NpcData.GetTalkFlag( GetIdStr());					}
	function SetTalkFlag( flag){			NpcData.SetTalkFlag( GetIdStr(), flag);						}
	function GetState(){					return NpcData.GetState( GetIdStr());						}
	function SetState( state ){				NpcData.SetState( GetIdStr(), state);						}
	function GetBirthDayBlessFlag(){		return NpcData.GetMsgBirthDayBless( GetIdStr());			}
	function SetBirthDayBlessFlag( flag){	NpcData.SetMsgBirthDayBless( GetIdStr(), flag);				}
	function GetGiveBirthDayPresent(){		return NpcData.GetGiveBirthDayPresent( GetIdStr());			}
	function SetGiveBirthDayPresent( flag){	NpcData.SetGiveBirthDayPresent( GetIdStr(), flag);			}
	
	function GetFriendShip(){				return NpcData.GetFriendShip( GetIdStr());					}
	function SetFriendShip(num){			NpcData.SetFriendShip( GetIdStr(), num);					}
	function GetMsgLoveCoupleBless(){		return NpcData.GetMsgLoveCoupleBless( GetIdStr());			}
	function SetMsgLoveCoupleBless( flag){	NpcData.SetMsgLoveCoupleBless( GetIdStr(), flag);			}
	function GetMsgProposeBless(){			return NpcData.GetMsgProposeBless( GetIdStr());				}
	function SetMsgProposeBless( flag){		NpcData.SetMsgProposeBless( GetIdStr(), flag);				}
	function GetMsgMarriageBless(){			return NpcData.GetMsgMarriageBless( GetIdStr());			}
	function SetMsgMarriageBless( flag){	NpcData.SetMsgMarriageBless( GetIdStr(), flag);				}
	function GetMsgChildBirthBless(){		return NpcData.GetMsgChildBirthBless( GetIdStr());			}
	function SetMsgChildBirthBless( flag){	NpcData.SetMsgChildBirthBless( GetIdStr(), flag);			}
	
	function GetCampaState(){				return NpcData.GetCampaState( GetIdStr());					}
	function SetCampaState( state){			NpcData.SetCampaState( GetIdStr(), state);					}
	function GetCampaTarget(){				return NpcData.GetCampaTarget( GetIdStr());					}
	function SetCampaTarget( flag){			NpcData.SetCampaTarget( GetIdStr(), flag);					}
	function GetPartnerFamily(){			return NpcData.GetPartnerFamily( GetIdStr());				}
	function SetPartnerFamily( flag){		NpcData.SetPartnerFamily( GetIdStr(), flag);				}
	function GetTalkInterval(){				return NpcData.GetTalkInterval( GetIdStr());				}
	function SetTalkInterval( num){			NpcData.SetTalkInterval( GetIdStr(), num);					}
	function GetMood(){						return NpcData.GetMood( GetIdStr());						}
	function SetMood( mood){				NpcData.SetMood( GetIdStr(), mood);							}
	
	function GetMsgPresentReaction(){		return NpcData.GetMsgPresentReaction( GetIdStr());			}
	function SetMsgPresentReaction(flag){	NpcData.SetMsgPresentReaction( GetIdStr(), flag);			}
	function GetPresentReaction(){			return NpcData.GetPresentReaction( GetIdStr());				}
	function SetPresentReaction(num){		NpcData.SetPresentReaction( GetIdStr(), num);				}
	function GetPresentItemId(){			return NpcData.GetPresentItemId( GetIdStr());				}
	function SetPresentItemId(itemId){		NpcData.SetPresentItemId( GetIdStr(), itemId);				}
	function GetClothCommentFlag(){			return NpcData.GetClothComment( GetIdStr());				}
	function SetClothCommentFlag(flag){		NpcData.SetClothComment( GetIdStr(), flag);					}
	function GetAccessoryCommentFlag(){		return NpcData.GetClothComment( GetIdStr());				}
	function SetAccessoryCommentFlag(flag){	NpcData.SetClothComment( GetIdStr(), flag);					}
	
	function GetFreeTalkFlag(){				return NpcData.GetFreeTalkFlag(GetIdStr());					}
	function SetFreeTalkFlag(flag){			NpcData.SetFreeTalkFlag(GetIdStr(), flag);					}
	function GetFreeTalkCounter(){			return NpcData.GetFreeTalkCounter( GetIdStr());				}
	function SetFreeTalkCounter(num){		NpcData.SetFreeTalkCounter( GetIdStr(), num);				}
	function GetPresentFlag(){				return NpcData.GetPresentFlag( GetIdStr());					}
	function SetPresentFlag(flag){			NpcData.SetPresentFlag( GetIdStr(), flag);					}
	function GetFesPresentFlag(){			return NpcData.GetFesPresentFlag( GetIdStr());				}
	function SetFesPresentFlag(flag){		NpcData.SetFesPresentFlag( GetIdStr(), flag);				}
	function GetPresentCounter(){			return NpcData.GetPresentCounter( GetIdStr());				}
	function SetPresentCounter(num){		NpcData.SetPresentCounter( GetIdStr(), num);				}
	
	function GetProposeAngry(){				return NpcData.GetProposeAngry( GetIdStr());				}
	function SetProposeAngry(flag){			NpcData.SetProposeAngry( GetIdStr(), flag);					}
	function GetGiveFesPresentFlag(){		return NpcData.GetGiveFesPresentFlag( GetIdStr());			}
	function SetGiveFesPresentFlag(flag){	NpcData.SetGiveFesPresentFlag( GetIdStr(), flag);			}
	function GetGiveGift(){					return NpcData.GetGiveGift( GetIdStr());					}
	function SetGiveGift(flag){				NpcData.SetGiveGift( GetIdStr(), flag);						}
	
	function GetEventProgress(){			return NpcData.GetEventProgress(GetIdStr());				}
	function SetEventProgress(num){			NpcData.SetEventProgress(GetIdStr(), num);					}
	function GetEventProgressSelect(){		return NpcData.GetEventProgressSelect(GetIdStr());			}
	function SetEventProgressSelect(num){	NpcData.SetEventProgressSelect(GetIdStr(), num);			}
	function GetEventProgressFlag(){		return NpcData.GetMsgEventProgress(GetIdStr());				}
	function SetEventProgressFlag(flag){	NpcData.SetMsgEventProgress(GetIdStr(), flag);				}
	
	function GetHelpPlayerFlag(){			return NpcData.GetHelpPlayer(GetIdStr());					}
	function SetHelpPlayerFlag(flag){		NpcData.SetHelpPlayer(GetIdStr(),flag);						}
	function GetMsgHelpPlayerFlag(){		return NpcData.GetMsgHelpPlayer(GetIdStr());				}
	function SetMsgHelpPlayerFlag(flag){	NpcData.SetMsgHelpPlayer(GetIdStr(),flag);					}
	function GetClothFriendShipFlag(){		return NpcData.GetClothFriendShip(GetIdStr());				}
	function SetClothFriendShipFlag(flag){	NpcData.SetClothFriendShip(GetIdStr(),flag);				}
	
	function GetShowAnimal(){				return NpcData.GetShowAnimal(GetIdStr());					}
	function SetShowAnimal(flag){			NpcData.SetShowAnimal(GetIdStr(),flag);						}

    function GetPresentFriendship(item, isBirthDay) { return NpcData.GetPresentFriendship(item, GetIdStr(), isBirthDay); }
	
	//---------------------------------
	// Add
	//---------------------------------
	function AddFriendShip(num){				NpcData.AddFriendShip( GetIdStr(), num);				}
	function AddPresentCounter(num){			NpcData.AddPresentCounter( GetIdStr(), num);			}
	function AddAngryCounter(num){				NpcData.AddAngryCounter( GetIdStr(), num);				}
	function AddAttentionUseConstPoint(idStr){	NpcData.AddAttentionUseConstPoint( GetIdStr(), idStr);	}
	
	//---------------------------------
	// f[^擾n(p)
	//---------------------------------
	function GetLoveState(){				return NpcData.GetLoveState( GetIdStr());				}
	function SetLoveState( state ){			NpcData.SetLoveState( GetIdStr(), state);				}
	function GetAttention(){				return NpcData.GetAttention( GetIdStr());				}
	function SetAttention( num){			NpcData.SetAttention( GetIdStr(), num);					}
	function GetConfessAngry(){				return NpcData.GetConfessAngry( GetIdStr());			}
	function SetConfessAngry(flag){			NpcData.SetConfessAngry( GetIdStr(), flag);				}
	function GetProposeAngry(){				return NpcData.GetProposeAngry( GetIdStr());			}
	function SetProposeAngry(flag){			NpcData.SetProposeAngry( GetIdStr(), flag);				}
	
	function GetLoverCount(){				return NpcData.GetLoverCount( GetIdStr());				}
	function SetLoverCount(num){			NpcData.SetLoverCount( GetIdStr(), num);				}
	function GetLoveCancelDayCount(){		return NpcData.GetLoveCancelDayCount( GetIdStr());		}
	function SetLoveCancelDayCount(){		NpcData.SetLoveCancelDayCount( GetIdStr(), num);		}
	function GetProposePassDayCount(){		return NpcData.GetProposePassDayCount( GetIdStr());		}
	function SetProposePassDayCount(num){	NpcData.SetProposePassDayCount( GetIdStr(), num);		}
	function GetConfessPassDayCount(){		return NpcData.GetConfessPassDayCount( GetIdStr());		}
	function SetConfessPassDayCount(num){	NpcData.SetConfessPassDayCount( GetIdStr(), num);		}
	
	
	//----------------------------------
	// ֗@\֐
	//----------------------------------
	function StartTalkGeneral( msgId, talkFlagUpdate = true)
	{
		MsgUtil.OpenMsg( GetMsgGroup(), msgId)
		if( talkFlagUpdate && IsNpc()){
			SetNpcTalkFlagOn(ID.NpcIdToString(GetId()));
		}
	}
	
	/**
	 * iKƂ MsgId Ԃ
	 */
	function GetMsgLoveState()
	{
		if( !IsLoverNpc()){	return "";	}
		
		local msgArray = 
		[
			"", "LOVER_",
			"", "LOVER_",
			"MARRIAGE_",
		]
		
		return msgArray[GetLoveState()];
	}
	
	/**
	 * ԂACe̕i
	 */
	function GetReceiveItemQuality()
	{
		local friendShip = GetFriendShip();
		local quality = 0;
		if( friendShip <= 10000){
			quality = 30;
		}
		else if( friendShip <= 20000){
			quality = 60;
		}
		else if( friendShip <= 30000){
			quality = 90;
		}
		else if( friendShip <= 40000){
			quality = 120;
		}
		else{
			quality = 150;
		}
		
		
		return quality;
	}

	
	
	// member
	body = null;
}






